options pagesize=55 linesize=150 compress=yes nocenter;



libname OUT 'C:\AHS_11\METRO_CINCH_2011\';
libname OUT09 'C:\AHS_SAS_DATA\NEW_AHS_FILES\ahs09\';



libname OUT1 'C:\AHS_11\type_c\';

************************************************************************************;
ods HTML file="C:\AHS_11\METRO_CINCH_2011\METRO_CINCH_PREVIOUS_2011.XLS";
************************************************************************************;
/*

Draft Algorithm for Forward-looking Weighting


The following are the steps necessary to prepare the data to analyze what happened 
between the previous survey and 2011 to units that existed in the previous survey.  
AHS variables are given their codebook names and presented in capital letters.  
We refer to the previous survey variables by the prefix INxx_; 2011 variables
have the prefix IN11_.   

1)	This is preliminary work for the mobile home adjustment in step 4.  
For each metro area except New Orleans, using previous file before merger, 
compute a pure weight count of mobile homes built before 2000 (OLDMHPWT ) by 
summing PWT for cases where INxx_NUNIT2 IN (4,5) AND INxx_BUILT LE 1999. Use WEIGHT in 1998 
, 2002 and 2004.

Please print out the number of pre-2000 mobile homes in each metropolitan area and 
the OLDMHPWT for each area.  

*/



****************************************************************************************;

DATA RENAMED_METRO_1998;SET OUT.RENAMED_METRO_1998;missing B D R X _ H;

IF	(IN98_SMSA = 1000)	THEN	                METRO_AREA='Birmingham    ';
IF	(IN98_SMSA = 1640)	THEN	                METRO_AREA='Cincinnati    ';
IF	(IN98_SMSA = 5775)	THEN	                METRO_AREA='Oakland       ';
IF	(IN98_SMSA = 6480 or IN98_CMSA = 80)	THEN	METRO_AREA='Providence    ';
IF	(IN98_SMSA = 7360)	THEN	                METRO_AREA='San Francisco ';
IF	(IN98_SMSA = 7400)	THEN	                METRO_AREA='San Jose      ';
IF	 (IN98_SMSA = 5680)	THEN	                METRO_AREA='Virginia Beach';

IF	(IN98_SMSA = 1000)	THEN	                METRO_AREA_N=1;
IF	(IN98_SMSA = 1640)	THEN	                METRO_AREA_N=2;
IF	(IN98_SMSA = 5775)	THEN	                METRO_AREA_N=3;
IF	(IN98_SMSA = 6480 or IN98_CMSA = 80)	THEN	METRO_AREA_N=4;
IF	(IN98_SMSA = 7360)	THEN	                METRO_AREA_N=5;
IF	(IN98_SMSA = 7400)	THEN	                METRO_AREA_N=6;
IF	 (IN98_SMSA = 5680)	THEN	                METRO_AREA_N=7;



     MISSING b d r ;
IF IN98_NUNIT2='B' THEN IN98_NUNIT2='.B' ;
IF IN98_BUILT='B' THEN IN98_BUILT='.B' ;RUN;


DATA RENAMED_METRO_1998_SUB;

SET RENAMED_METRO_1998; IF IN98_NUNIT2 IN(4,5) AND IN98_BUILT LE 1999;

RUN;

PROC SORT DATA=RENAMED_METRO_1998_SUB;BY METRO_AREA;RUN;

PROC MEANS DATA=RENAMED_METRO_1998_SUB NOPRINT; VAR IN98_PWT; OUTPUT OUT=METRO_1998_OLDMHPWT 
N=N SUM=SUM_OLDMHPWT;   BY METRO_AREA; RUN;
TITLE "SUM OF IN98_PWT FOR DATA WHERE IN98_NUNIT2 IN(4,5) AND IN98_BUILT LE 1999 BY METRO_AREA";RUN;

PROC PRINT DATA=METRO_1998_OLDMHPWT NOOBS; VAR METRO_AREA N SUM_OLDMHPWT;  RUN;


************************************************************************************;

DATA RENAMED_METRO_2002;SET OUT.RENAMED_METRO_2002;missing B D R X _ H;
     MISSING b d r ;
IF IN02_NUNIT2='B' THEN IN02_NUNIT2='.B' ;
IF IN02_BUILT='B' THEN IN02_BUILT='.B' ;

IF	(IN02_SMSA = 0360)	THEN	                METRO_AREA='Anaheim       ';
IF	(IN02_SMSA = 1280 or IN02_CMSA = 10)	THEN	METRO_AREA='Buffalo       ';
IF	(IN02_SMSA = 1520)	THEN	                METRO_AREA='Charlotte     ';
IF	(IN02_SMSA = 1840)	THEN	                METRO_AREA='Columbus      ';
IF	(IN02_SMSA = 1920)	THEN	                METRO_AREA='Dallas        ';
IF	(IN02_SMSA = 2800)	THEN	                METRO_AREA='Fort Worth    ';
IF	(IN02_SMSA = 3760)	THEN	                METRO_AREA='Kansas City   ';
IF	(IN02_SMSA = 5080)	THEN	                METRO_AREA='Milwaukee     ';
IF	(IN02_SMSA = 6200)	THEN	                METRO_AREA='Phoenix       ';
IF	(IN02_SMSA = 6440 or IN02_CMSA = 79)	THEN	METRO_AREA='Portland      ';
IF	 (IN02_SMSA = 7280)	THEN                    METRO_AREA='Riverside     ';
IF	(IN02_SMSA = 7320)	THEN	                METRO_AREA='San Diego     ';



IF	(IN02_SMSA = 0360)	THEN	                METRO_AREA_N=8;
IF	(IN02_SMSA = 1280 or IN02_CMSA = 10)	THEN	METRO_AREA_N=9;
IF	(IN02_SMSA = 1520)	THEN	                METRO_AREA_N=10;
IF	(IN02_SMSA = 1840)	THEN	                METRO_AREA_N=11;
IF	(IN02_SMSA = 1920)	THEN	                METRO_AREA_N=12;
IF	(IN02_SMSA = 2800)	THEN	                METRO_AREA_N=13;
IF	(IN02_SMSA = 3760)	THEN	                METRO_AREA_N=14;
IF	(IN02_SMSA = 5080)	THEN	                METRO_AREA_N=15;
IF	(IN02_SMSA = 6200)	THEN	                METRO_AREA_N=16;
IF	(IN02_SMSA = 6440 or IN02_CMSA = 79)	THEN	METRO_AREA_N=17;
IF	 (IN02_SMSA = 7280)	THEN                    METRO_AREA_N=18;
IF	(IN02_SMSA = 7320)	THEN	                METRO_AREA_N=19;




RUN;


DATA RENAMED_METRO_2002_SUB;

SET RENAMED_METRO_2002;IF IN02_NUNIT2 IN(4,5) AND IN02_BUILT LE 1999;RUN;


PROC SORT DATA=RENAMED_METRO_2002_SUB;BY METRO_AREA;RUN;

PROC MEANS DATA=RENAMED_METRO_2002_SUB NOPRINT;VAR  IN02_PWT ; OUTPUT OUT=METRO_2002_OLDMHPWT N=N SUM=SUM_OLDMHPWT; 
 BY METRO_AREA; RUN;
TITLE "SUM OF IN02_PWT FOR DATA WHERE IN02_NUNIT2 IN(4,5) AND IN02_BUILT LE 1999 BY METRO_AREA";RUN;

PROC PRINT DATA=METRO_2002_OLDMHPWT NOOBS; VAR METRO_AREA N SUM_OLDMHPWT;  RUN;



************************************************************************************;
*************************************************************************************;

DATA RENAMED_METRO_2004;SET OUT.RENAMED_METRO_2004;missing B D R X _ H;
     MISSING b d r ;
IF IN04_NUNIT2='B' THEN IN04_NUNIT2='.B' ;
IF IN04_BUILT='B' THEN IN04_BUILT='.B' ;

IF	(IN04_SMSA = 0520)	THEN	                                              METRO_AREA='Atlanta       ';
IF	(IN04_SMSA = 1680)	THEN	                                              METRO_AREA='Cleveland     ';
IF	(IN04_SMSA = 2080) 	THEN	                                              METRO_AREA='Denver        ';
IF	(IN04_SMSA = 3480)	THEN	                                              METRO_AREA='Indianapolis  ';
IF	(IN04_SMSA = 4920)	THEN	                                              METRO_AREA='MemphiS       ';
IF	(IN04_SMSA = 0845 or IN04_SMSA = 6280)	THEN	                              METRO_AREA='Pittsburgh    ';
IF	(IN04_SMSA = 6920)	THEN	                                              METRO_AREA='Sacramento    ';
IF	(IN04_SMSA = 0275 or IN04_SMSA = 2285 or IN04_SMSA = 7040 or IN04_CMSA = 82)	THEN  METRO_AREA='St. Louis     ';


IF	(IN04_SMSA = 0520)	THEN	                                              METRO_AREA_N=21;
IF	(IN04_SMSA = 1680)	THEN	                                              METRO_AREA_N=22;
IF	(IN04_SMSA = 2080) 	THEN	                                              METRO_AREA_N=23;
IF	(IN04_SMSA = 3480)	THEN	                                              METRO_AREA_N=24;
IF	(IN04_SMSA = 4920)	THEN	                                              METRO_AREA_N=25;
IF	(IN04_SMSA = 0845 or IN04_SMSA = 6280)	THEN	                              METRO_AREA_N=26;
IF	(IN04_SMSA = 6920)	THEN	                                              METRO_AREA_N=27;
IF	(IN04_SMSA = 0275 or IN04_SMSA = 2285 or IN04_SMSA = 7040 or IN04_CMSA = 82)
	THEN                                                                          METRO_AREA_N=28;


RUN;


DATA RENAMED_METRO_2004_SUB;

SET RENAMED_METRO_2004;IF IN04_NUNIT2 IN(4,5) AND IN04_BUILT LE 1999;RUN;


PROC SORT DATA=RENAMED_METRO_2004_SUB;BY METRO_AREA;RUN;

PROC MEANS DATA=RENAMED_METRO_2004_SUB NOPRINT; VAR IN04_PWT; OUTPUT OUT=METRO_2004_OLDMHPWT N=N SUM=SUM_OLDMHPWT; 
 BY METRO_AREA; RUN;

TITLE "SUM OF IN04_PWT FOR DATA WHERE IN04_NUNIT2 IN(4,5) AND IN04_BUILT LE 1999 BY METRO_AREA";RUN;

PROC PRINT DATA=METRO_2004_OLDMHPWT NOOBS; VAR METRO_AREA N SUM_OLDMHPWT;  RUN;

************************************************************************************;

DATA RENAMED_METRO_2009_Los_Angeles; SET OUT09.RENAMED_ahs2009;
     MISSING b d r ;
IF IN09_NUNIT2='B' THEN IN09_NUNIT2='.B' ;
IF IN09_BUILT='B' THEN IN09_BUILT='.B' ;

IF	(IN09_SMSA = 4480);

IF	(IN09_SMSA = 4480)	THEN	METRO_AREA='Los Angeles	 ';

IF	(IN09_SMSA = 4480)	THEN	METRO_AREA_N=20;

RUN;

/*
DATA renamed_Metro_2009_LA_SUB;
SET RENAMED_METRO_2009_Los_Angeles;IF IN09_NUNIT2 IN(4,5) AND IN09_BUILT LE 1999;
*/

RUN;


************************************************************************************;


DATA RENAMED_METRO_2009_NEW_ORLEANS;
SET OUT.RENAMED_METRO_2009_NEW_ORLEANS;
missing B D R X _ H;
     MISSING b d r ;
IF IN09_NUNIT2='B' THEN IN09_NUNIT2='.B' ;
IF IN09_BUILT='B' THEN IN09_BUILT='.B' ;

IF	(IN09_SMSA = 5560)	THEN	METRO_AREA='New Orleans	  ';

METRO_AREA_N=29;


RUN;

/*
DATA RENAMED_2009_NEW_ORLEANS_SUB;

SET RENAMED_METRO_2009_NEW_ORLEANS;IF IN09_NUNIT2 IN(4,5) AND IN09_BUILT LE 1999;RUN;
*/

**************************************************************************************;


/*
2)Create a working file (or files, if you want to have separate files for each 
metro area-- you may want to group by previous year so that INxx_  
This is done in a separate codes called Making Metro data for 1998, 2002, 2004, 2003 Los Angles,
2004, 2009 New Orleans and 2011    
takes only one value in each file) as follows.
*/



/*  sTEP a)	
Merge the previous survey files and 2011 files, 
using the flat files, and keep only those cases in both files or 
in the previous file only.  
*/
********************************************************************************;

DATA renamed_ahs2011_C98;SET OUT.renamed_ahs2011_C98;


IF	(IN11_SMSA = 1000)	THEN	                METRO_AREA='Birmingham    ';
IF	(IN11_SMSA = 1640)	THEN	                METRO_AREA='Cincinnati    ';
IF	(IN11_SMSA = 5775)	THEN	                METRO_AREA='Oakland       ';
IF	(IN11_SMSA = 6480 or IN11_CMSA = 80)	THEN	METRO_AREA='Providence    ';
IF	(IN11_SMSA = 7360)	THEN	                METRO_AREA='San Francisco ';
IF	(IN11_SMSA = 7400)	THEN	                METRO_AREA='San Jose      ';
IF	 (IN11_SMSA = 5720)	THEN	                METRO_AREA='Virginia Beach';

IF	(IN11_SMSA = 1000)	THEN	                METRO_AREA_N=1;
IF	(IN11_SMSA = 1640)	THEN	                METRO_AREA_N=2;
IF	(IN11_SMSA = 5775)	THEN	                METRO_AREA_N=3;
IF	(IN11_SMSA = 6480 or IN11_CMSA = 80)	THEN	METRO_AREA_N=4;
IF	(IN11_SMSA = 7360)	THEN	                METRO_AREA_N=5;
IF	(IN11_SMSA = 7400)	THEN	                METRO_AREA_N=6;
IF	 (IN11_SMSA = 5720)	THEN	                METRO_AREA_N=7;



RUN;

DATA renamed_ahs2011_C02;SET OUT.renamed_ahs2011_C02;


IF	(IN11_SMSA = 0360)	THEN	                METRO_AREA='Anaheim       ';
IF	(IN11_SMSA = 1280 or IN11_CMSA = 10)	THEN	METRO_AREA='Buffalo       ';
IF	(IN11_SMSA = 1520)	THEN	                METRO_AREA='Charlotte     ';
IF	(IN11_SMSA = 1840)	THEN	                METRO_AREA='Columbus      ';
IF	(IN11_SMSA = 1920)	THEN	                METRO_AREA='Dallas        ';
IF	(IN11_SMSA = 2800)	THEN	                METRO_AREA='Fort Worth    ';
IF	(IN11_SMSA = 3760)	THEN	                METRO_AREA='Kansas City   ';
IF	(IN11_SMSA = 5080)	THEN	                METRO_AREA='Milwaukee     ';
IF	(IN11_SMSA = 6200)	THEN	                METRO_AREA='Phoenix       ';
IF	(IN11_SMSA = 6440 or IN11_CMSA = 79)	THEN	METRO_AREA='Portland      ';
IF	 (IN11_SMSA = 6780)	THEN                    METRO_AREA='Riverside     ';
IF	(IN11_SMSA = 7320)	THEN	                METRO_AREA='San Diego     ';



IF	(IN11_SMSA = 0360)	THEN	                METRO_AREA_N=8;
IF	(IN11_SMSA = 1280 or IN11_CMSA = 10)	THEN	METRO_AREA_N=9;
IF	(IN11_SMSA = 1520)	THEN	                METRO_AREA_N=10;
IF	(IN11_SMSA = 1840)	THEN	                METRO_AREA_N=11;
IF	(IN11_SMSA = 1920)	THEN	                METRO_AREA_N=12;
IF	(IN11_SMSA = 2800)	THEN	                METRO_AREA_N=13;
IF	(IN11_SMSA = 3760)	THEN	                METRO_AREA_N=14;
IF	(IN11_SMSA = 5080)	THEN	                METRO_AREA_N=15;
IF	(IN11_SMSA = 6200)	THEN	                METRO_AREA_N=16;
IF	(IN11_SMSA = 6440 or IN11_CMSA = 79)	THEN	METRO_AREA_N=17;
IF	 (IN11_SMSA = 6780)	THEN                    METRO_AREA_N=18;
IF	(IN11_SMSA = 7320)	THEN	                METRO_AREA_N=19;


RUN;



DATA renamed_ahs2011_C04; SET OUT.renamed_ahs2011_C04;


IF	(IN11_SMSA = 0520)	THEN	                                              METRO_AREA='Atlanta       ';
IF	(IN11_SMSA = 1680)	THEN	                                              METRO_AREA='Cleveland     ';
IF	(IN11_SMSA = 2080) 	THEN	                                              METRO_AREA='Denver        ';
IF	(IN11_SMSA = 3480)	THEN	                                              METRO_AREA='Indianapolis  ';
IF	(IN11_SMSA = 4920)	THEN	                                              METRO_AREA='MemphiS       ';
IF	(IN11_SMSA = 0845 or IN11_SMSA = 6280)	THEN	                              METRO_AREA='Pittsburgh    ';
IF	(IN11_SMSA = 6920)	THEN	                                              METRO_AREA='Sacramento    ';
IF	(IN11_SMSA = 0275 or IN11_SMSA = 2285 or IN11_SMSA = 7040 or IN11_CMSA = 82)	THEN  METRO_AREA='St. Louis     ';




IF	(IN11_SMSA = 0520)	THEN	                                              METRO_AREA_N=21;
IF	(IN11_SMSA = 1680)	THEN	                                              METRO_AREA_N=22;
IF	(IN11_SMSA = 2080) 	THEN	                                              METRO_AREA_N=23;
IF	(IN11_SMSA = 3480)	THEN	                                              METRO_AREA_N=24;
IF	(IN11_SMSA = 4920)	THEN	                                              METRO_AREA_N=25;
IF	(IN11_SMSA = 0845 or IN11_SMSA = 6280)	THEN	                              METRO_AREA_N=26;
IF	(IN11_SMSA = 6920)	THEN	                                              METRO_AREA_N=27;
IF	(IN11_SMSA = 0275 or IN11_SMSA = 2285 or IN11_SMSA = 7040 or IN11_CMSA = 82)
	THEN                                                                          METRO_AREA_N=28;

RUN;

DATA Los_Angeles_2011;; SET OUT.Los_Angeles_2011;

IF	(IN11_SMSA = 4480)	THEN	METRO_AREA='Los Angeles	 ';

IF	(IN11_SMSA = 4480)	THEN	METRO_AREA_N=20;RUN;


DATA New_Orleans_2011; SET OUT.New_Orleans_2011;

METRO_AREA='New Orleans	  ';

METRO_AREA_N=29;
RUN;

*************************************************************************************;

DATA renamed_metro_1998; SET renamed_metro_1998; CONTROLM=CONTROL;RUN;


PROC SORT DATA=renamed_ahs2011_C98; BY CONTROLM METRO_AREA;RUN;

PROC SORT DATA=renamed_metro_1998; BY CONTROLM METRO_AREA;RUN;

DATA ahs2011_1998; MERGE renamed_ahs2011_C98 (IN=I11) renamed_metro_1998 (IN=I98); BY 
CONTROLM METRO_AREA;

IF I11=1 AND I98=1 THEN MATCH_98_2011='IN BOTH      ';
IF I11=1 AND I98=0 THEN MATCH_98_2011='IN 2011 ONLY ';
IF I11=0 AND I98=1 THEN MATCH_98_2011='IN 1998 ONLY ';RUN;

TITLE "UNWEIGHTED FREQ DIST OF MATCH_98_2011"; RUN;

PROC FREQ DATA=ahs2011_1998;TABLE MATCH_98_2011/MISSING;RUN;


DATA AHS2011_1998_FORWARD;SET ahs2011_1998;  

IF MATCH_98_2011='IN BOTH      '
OR MATCH_98_2011='IN 1998 ONLY ';RUN;

*************************************************************************************;
DATA renamed_metro_2002; SET renamed_metro_2002; CONTROLM=CONTROL;RUN;

PROC SORT DATA=renamed_ahs2011_C02; BY CONTROLM METRO_AREA;RUN;

PROC SORT DATA=renamed_metro_2002; BY CONTROLM METRO_AREA;RUN;

DATA ahs2011_2002; MERGE renamed_ahs2011_C02 (IN=I11) renamed_metro_2002 (IN=I02); BY 
CONTROLM METRO_AREA;

IF I11=1 AND I02=1 THEN MATCH_02_2011='IN BOTH      ';
IF I11=1 AND I02=0 THEN MATCH_02_2011='IN 2011 ONLY ';
IF I11=0 AND I02=1 THEN MATCH_02_2011='IN 2002 ONLY ';RUN;

TITLE "UNWEIGHTED FREQ DIST OF MATCH_02_2011"; RUN;

PROC FREQ DATA=ahs2011_2002;TABLE MATCH_02_2011/MISSING;RUN;


DATA AHS2011_2002_FORWARD;SET ahs2011_2002;  

IF MATCH_02_2011='IN BOTH      '
OR MATCH_02_2011='IN 2002 ONLY ';RUN;




*************************************************************************************;
DATA renamed_metro_2004; SET renamed_metro_2004; CONTROLM=CONTROL;RUN;


PROC SORT DATA=renamed_ahs2011_C04; BY CONTROLM METRO_AREA;RUN;

PROC SORT DATA=renamed_metro_2004; BY CONTROLM METRO_AREA;RUN;

DATA ahs2011_2004; MERGE renamed_ahs2011_C04 (IN=I11) renamed_metro_2004 (IN=I04); BY 
CONTROLM METRO_AREA;

IF I11=1 AND I04=1 THEN MATCH_04_2011='IN BOTH      ';
IF I11=1 AND I04=0 THEN MATCH_04_2011='IN 2011 ONLY ';
IF I11=0 AND I04=1 THEN MATCH_04_2011='IN 2004 ONLY ';RUN;

TITLE "UNWEIGHTED FREQ DIST OF MATCH_04_2011"; RUN;

PROC FREQ DATA=ahs2011_2004;TABLE MATCH_04_2011/MISSING;RUN;


DATA AHS2011_2004_FORWARD;SET ahs2011_2004;  

IF MATCH_04_2011='IN BOTH      '
OR MATCH_04_2011='IN 2004 ONLY ';RUN;



*************************************************************************************;

DATA renamed_Metro_2009_los_angeles;SET renamed_Metro_2009_los_angeles;CONTROLM=CONTROL;RUN;


PROC SORT DATA=Los_Angeles_2011; BY CONTROL;RUN;

PROC SORT DATA=renamed_Metro_2009_los_angeles; BY CONTROL;RUN;

DATA ahs2011_2009_Los_angeles; MERGE Los_Angeles_2011 (IN=I11) renamed_metro_2009_los_angeles
 (IN=I09); BY CONTROL;

IF I11=1 AND I09=1 THEN MATCH_09_2011='IN BOTH      ';
IF I11=1 AND I09=0 THEN MATCH_09_2011='IN 2011 ONLY ';
IF I11=0 AND I09=1 THEN MATCH_09_2011='IN 2009 ONLY ';RUN;

TITLE "UNWEIGHTED FREQ DIST OF MATCH_09_2011_Los_angles"; RUN;

PROC FREQ DATA=ahs2011_2009_Los_angeles;TABLE MATCH_09_2011/MISSING;RUN;


DATA ahs2011_2009_FORWARD_LosAngles;SET ahs2011_2009_Los_angeles;  

IF MATCH_09_2011='IN BOTH      '
OR MATCH_09_2011='IN 2009 ONLY ';RUN;



*************************************************************************************;

DATA renamed_metro_2009_New_Orleans;SET renamed_metro_2009_New_Orleans;CONTROLM=CONTROL;RUN;



PROC SORT DATA=New_Orleans_2011; BY CONTROLM METRO_AREA;RUN;

PROC SORT DATA=renamed_metro_2009_New_Orleans; BY CONTROLM METRO_AREA;RUN;

DATA ahs2011_2009_New_Orleans; MERGE New_Orleans_2011 (IN=I11) 
renamed_metro_2009_New_Orleans  (IN=I09); BY CONTROLM METRO_AREA;

IF I11=1 AND I09=1 THEN MATCH_09_2011='IN BOTH      ';
IF I11=1 AND I09=0 THEN MATCH_09_2011='IN 2011 ONLY ';
IF I11=0 AND I09=1 THEN MATCH_09_2011='IN 2009 ONLY ';RUN;

TITLE "UNWEIGHTED FREQ DIST OF MATCH_09_2011_New_Orleans"; RUN;

PROC FREQ DATA=ahs2011_2009_New_Orleans;TABLE MATCH_09_2011/MISSING;RUN;


DATA AHS2011_2009_FORWARD_NEWORLEANS;SET ahs2011_2009_New_Orleans;  

IF MATCH_09_2011='IN BOTH      '
OR MATCH_09_2011='IN 2009 ONLY ';RUN;



***************************************************************************************;

/* b)	Merge the file from step 1a with PYTC, keeping only those cases in both files 
or the 1a file only.*/


DATA typec2011;SET  OUT1.typec2011;;


IF SMSA='B' THEN SMSA='.B' ;

IF CMSA='B' THEN CMSA='.B' ;

RUN;


DATA typec2011_C98;SET typec2011;
IF (SMSA = 1000) OR (SMSA = 1640) OR (SMSA = 5775)
OR (SMSA = 6480 or CMSA = 80) OR (SMSA = 7360) OR (SMSA = 7400) 
OR  (SMSA = 5680) ; RUN;


DATA typec2011_C02;SET typec2011;
IF (SMSA = 0360)
OR (SMSA = 1280 or CMSA = 10)
OR (SMSA = 1520)
OR (SMSA = 1840)
OR (SMSA = 1920)
OR (SMSA = 2800)
OR (SMSA = 3760)
OR (SMSA = 5080)
OR (SMSA = 6200)
OR (SMSA = 6440 or CMSA = 79)
OR  (SMSA = 7280)
OR (SMSA = 7320) ;RUN;


DATA typec2011_C04;SET typec2011;
IF  (SMSA = 0520)
or (SMSA = 1680)
or (SMSA = 2080) 
or (SMSA = 3480)
or (SMSA = 4920)
or (SMSA = 0845 or SMSA = 6280)
or (SMSA = 6920)
or (SMSA = 0275 or SMSA = 2285 or SMSA = 7040 or CMSA = 82);run;


DATA typec2011_C09_LosAngles;SET typec2011;

IF SMSA=4480;RUN;


DATA typec2011_C09_Neworleans;SET typec2011;

IF SMSA=5560;RUN;


PROC SORT DATA = typec2011_C98; BY CONTROLM; RUN;

PROC SORT DATA = typec2011_C02; BY CONTROLM; RUN;

PROC SORT DATA = typec2011_C04; BY CONTROLM; RUN;

PROC SORT DATA = typec2011_C09_LosAngles; BY CONTROLM; RUN;

PROC SORT DATA = typec2011_C09_Neworleans; BY CONTROLM; RUN;



PROC SORT DATA = AHS2011_1998_FORWARD;BY CONTROLM;RUN;

PROC SORT DATA = AHS2011_2002_FORWARD;BY CONTROLM;RUN;

PROC SORT DATA = AHS2011_2004_FORWARD;BY CONTROLM;RUN;

PROC SORT DATA = AHS2011_2009_FORWARD_LosAngles;BY CONTROLM;RUN;

PROC SORT DATA = AHS2011_2009_FORWARD_NEWORLEANS;BY CONTROLM;RUN;


DATA AHS2011_1998_FORWARD;MERGE typec2011_C98 (IN=I) AHS2011_1998_FORWARD (IN=J);BY CONTROLM;

IF (I=1 AND J=1) OR (I=0 AND J=1); 

missing b d r _ x h;
missing B D R _ X H;

IF	 IN11_SAMEDU='B' 	THEN	IN11_SAMEDU='.B'; 

IF	 IN98_NUNIT2='B' 	THEN	 IN98_NUNIT2='.B';
IF	 IN11_NUNIT2='B' 	THEN	 IN11_NUNIT2='.B';


IF	 IN98_NOINT='B' 	THEN	 IN98_NOINT='.B';
IF	 IN11_NOINT='B' 	THEN	 IN11_NOINT='.B';

RUN;

DATA AHS2011_2002_FORWARD;MERGE typec2011_C02 (IN=I) AHS2011_2002_FORWARD (IN=J);BY CONTROLM;

IF (I=1 AND J=1) OR (I=0 AND J=1);
missing b d r _ x h;
missing B D R _ X H;

IF	 IN11_SAMEDU='B' 	THEN	IN11_SAMEDU='.B'; 

IF	 IN02_NUNIT2='B' 	THEN	 IN02_NUNIT2='.B';
IF	 IN11_NUNIT2='B' 	THEN	 IN11_NUNIT2='.B';


IF	 IN02_NOINT='B' 	THEN	 IN02_NOINT='.B';
IF	 IN11_NOINT='B' 	THEN	 IN11_NOINT='.B';

 RUN;

DATA AHS2011_2004_FORWARD;MERGE typec2011_C04 (IN=I) AHS2011_2004_FORWARD (IN=J);BY CONTROLM;

IF (I=1 AND J=1) OR (I=0 AND J=1);  


IF	 IN11_SAMEDU='B' 	THEN	IN11_SAMEDU='.B'; 

IF	 IN04_NUNIT2='B' 	THEN	 IN04_NUNIT2='.B';
IF	 IN11_NUNIT2='B' 	THEN	 IN11_NUNIT2='.B';


IF	 IN04_NOINT='B' 	THEN	 IN04_NOINT='.B';
IF	 IN11_NOINT='B' 	THEN	 IN11_NOINT='.B';

RUN;


DATA AHS2011_2009_FORWARD_LosAngles;MERGE typec2011_C09_LosAngles (IN=I) AHS2011_2009_FORWARD_LosAngles (IN=J);BY CONTROLM;

IF (I=1 AND J=1) OR (I=0 AND J=1); 


missing b d r _ x h;
missing B D R _ X H;

IF	 IN11_SAMEDU='B' 	THEN	IN11_SAMEDU='.B'; 

IF	 IN09_NUNIT2='B' 	THEN	 IN09_NUNIT2='.B';
IF	 IN11_NUNIT2='B' 	THEN	 IN11_NUNIT2='.B';


IF	 IN09_NOINT='B' 	THEN	 IN09_NOINT='.B';
IF	 IN11_NOINT='B' 	THEN	 IN11_NOINT='.B';


RUN;



DATA AHS2011_2009_FORWARD_NEWORLEANS;MERGE typec2011_C09_Neworleans (IN=I) AHS2011_2009_FORWARD_NEWORLEANS (IN=J);BY CONTROLM;

IF (I=1 AND J=1) OR (I=0 AND J=1); 


missing b d r _ x h;
missing B D R _ X H;

IF	 IN11_SAMEDU='B' 	THEN	IN11_SAMEDU='.B'; 

IF	 IN09_NUNIT2='B' 	THEN	 IN09_NUNIT2='.B';
IF	 IN11_NUNIT2='B' 	THEN	 IN11_NUNIT2='.B';


IF	 IN09_NOINT='B' 	THEN	 IN09_NOINT='.B';
IF	 IN11_NOINT='B' 	THEN	 IN11_NOINT='.B';


RUN;

***************************************************************************************;

/*
c)Eliminate cases where IN11_NOINT GE 38.   
This eliminates losses due to sample changes. CINCH should ignore these 
losses because they are not market-related losses and because we cannot 
say anything useful about what happens to these units.  
*/


DATA AHS2011_1998_FORWARD;SET  AHS2011_1998_FORWARD; IF IN11_NOINT GE 38 THEN DELETE;RUN;

DATA AHS2011_2002_FORWARD;SET  AHS2011_2002_FORWARD; IF IN11_NOINT GE 38 THEN DELETE;RUN;

DATA AHS2011_2004_FORWARD;SET  AHS2011_2004_FORWARD; IF IN11_NOINT GE 38 THEN DELETE;RUN;

DATA AHS2011_2009_FORWARD_LosAngles;SET  AHS2011_2009_FORWARD_LosAngles; IF IN11_NOINT GE 38 THEN DELETE;RUN;

DATA AHS2011_2009_FORWARD_NEWORLEANS;SET  AHS2011_2009_FORWARD_NEWORLEANS; IF IN11_NOINT GE 38 THEN DELETE;RUN;

*****************************************************************************************;

/*
d)	Eliminate cases where IN11_SAMEDU = 2.  
This eliminates cases where it is possible that the Census Bureau went 
to the wrong unit in the previous survey. 
*/

DATA AHS2011_1998_FORWARD;SET  AHS2011_1998_FORWARD; IF IN11_SAMEDU = 2 THEN DELETE;RUN;

DATA AHS2011_2002_FORWARD;SET  AHS2011_2002_FORWARD; IF IN11_SAMEDU = 2 THEN DELETE;RUN;

DATA AHS2011_2004_FORWARD;SET  AHS2011_2004_FORWARD; IF IN11_SAMEDU = 2 THEN DELETE;RUN;

DATA AHS2011_2009_FORWARD_LosAngles;SET  AHS2011_2009_FORWARD_LosAngles; IF IN11_SAMEDU = 2 THEN DELETE;RUN;

DATA AHS2011_2009_FORWARD_NEWORLEANS;SET  AHS2011_2009_FORWARD_NEWORLEANS; IF IN11_SAMEDU = 2 THEN DELETE;RUN;

*****************************************************************************************;


/*
e)Eliminate all observations that were type B or type C losses (10 LE INxx_NOINT LT 38)
 in the previous survey.  
These units were not part of the housing stock in the previous survey year and therefore
 are not tracked in the forward-looking analysis.
*/

DATA AHS2011_1998_FORWARD;SET  AHS2011_1998_FORWARD; IF (10 LE IN98_NOINT LT 38) THEN DELETE;L=1;;RUN;

DATA AHS2011_2002_FORWARD;SET  AHS2011_2002_FORWARD; IF (10 LE IN02_NOINT LT 38) THEN DELETE;L=1;;RUN;

DATA AHS2011_2004_FORWARD;SET  AHS2011_2004_FORWARD; IF (10 LE IN04_NOINT LT 38) THEN DELETE;L=1;;RUN;

DATA AHS2011_2009_FORWARD_LosAngles;SET  AHS2011_2009_FORWARD_LosAngles; IF (10 LE IN09_NOINT LT 38) THEN DELETE;L=1;;RUN;

DATA AHS2011_2009_FORWARD_NEWORLEANS;SET  AHS2011_2009_FORWARD_NEWORLEANS; IF (10 LE IN09_NOINT LT 38) THEN DELETE;L=1;;RUN;

*****************************************************************************************;

PROC SORT DATA = AHS2011_1998_FORWARD;BY METRO_AREA;RUN;

PROC SORT DATA = AHS2011_2002_FORWARD;BY METRO_AREA;RUN;

PROC SORT DATA = AHS2011_2004_FORWARD;BY METRO_AREA;RUN;

PROC SORT DATA = AHS2011_2009_FORWARD_LosAngles;BY METRO_AREA;RUN;

PROC SORT DATA = AHS2011_2009_FORWARD_NEWORLEANS;BY METRO_AREA;RUN;


TITLE "COUNT OF CASES IN AHS2011_1998_FORWARD AFTER STEP 2 e BY METRO_AREA)"; run;

PROC MEANS DATA=AHS2011_1998_FORWARD noprint; VAR L; OUTPUT OUT=COUNT_11_98 N=COUNT_11_98; 
BY  METRO_AREA; RUN;

PROC PRINT DATA = COUNT_11_98 NOOBS;VAR METRO_AREA COUNT_11_98;RUN;


TITLE "COUNT OF CASES IN AHS2011_2002_FORWARD AFTER STEP 2 e BY METRO_AREA)"; run;

PROC MEANS DATA=AHS2011_2002_FORWARD noprint; VAR L; OUTPUT OUT=COUNT_11_02 N=COUNT_11_02; BY  METRO_AREA; RUN;

PROC PRINT DATA = COUNT_11_02 NOOBS;VAR METRO_AREA COUNT_11_02;RUN;



TITLE "COUNT OF CASES IN AHS2011_2004_FORWARD AFTER STEP 2 e BY METRO_AREA)"; run;

PROC MEANS DATA=AHS2011_2004_FORWARD noprint; VAR L; OUTPUT OUT=COUNT_11_04 N=COUNT_11_04; BY  METRO_AREA; RUN;

PROC PRINT DATA = COUNT_11_04 NOOBS;VAR METRO_AREA COUNT_11_04;RUN;


TITLE "COUNT OF CASES IN AHS2011_2009_FORWARD_LosAngles AFTER STEP 2 e BY METRO_AREA)"; run;

PROC MEANS DATA=AHS2011_2009_FORWARD_LosAngles noprint; VAR L; OUTPUT OUT=COUNT_11_09 N=COUNT_11_09; BY  METRO_AREA; RUN;

PROC PRINT DATA = COUNT_11_09 NOOBS;VAR METRO_AREA COUNT_11_09;RUN;




TITLE "COUNT OF CASES IN AHS2011_2009_FORWARD_NEWORLEANS AFTER STEP 2 e BY METRO_AREA)"; run;

PROC MEANS DATA=AHS2011_2009_FORWARD_NEWORLEANS noprint; VAR L; OUTPUT OUT=COUNT_11_09 N=COUNT_11_09; BY  METRO_AREA; RUN;

PROC PRINT DATA = COUNT_11_09 NOOBS;VAR METRO_AREA COUNT_11_09;RUN;

********************************************************************************************;


/*
3)	Create a metro pure weight as follows: MPWT = INxx_PWT for each case. 


4)	For each metro area except New Orleans and Los Angles, adjust the metro pure weights of 
manufactured (mobile) homes.  

a)	From merged file, compute a pure weight count of mobile homes built before 
2000 that are in both years (OLDMHKEPT ) by summing MPWT for cases where INxx_NUNIT2 IN(4,5) 
AND INxx_BUILT LE 1999.

Please print out the number of pre-2000 mobile homes in each metropolitan area and the
 OLDMHKEPT for each area.  

b)	 Adjust the pure weights of all manufactured (mobile) homes as follows:
  
IF INxx_NUNIT2 IN(4,5) AND INxx_BUILT GE 2000 THEN MPWT = MPWT 
 IF INxx_NUNIT2 IN(4,5) AND INxx_BUILT LE 1999 THEN MPWT = MPWT* (OLDMHPWT/ OLDMHKEPT)
       
NOTE: OLDMHPWT/OLDMHKEPT will vary by metropolitan area.

  
*/


DATA AHS2011_1998_FORWARD_SUB; SET AHS2011_1998_FORWARD; 
IF IN98_NUNIT2 IN(4,5) AND IN98_BUILT LE 1999;RUN;

DATA AHS2011_2002_FORWARD_SUB; SET AHS2011_2002_FORWARD; 
IF IN02_NUNIT2 IN(4,5) AND IN02_BUILT LE 1999;RUN;

DATA AHS2011_2004_FORWARD_SUB; SET AHS2011_2004_FORWARD; 
IF IN04_NUNIT2 IN(4,5) AND IN04_BUILT LE 1999;RUN;



PROC SORT DATA = AHS2011_1998_FORWARD_SUB;BY METRO_AREA;RUN;

PROC SORT DATA = AHS2011_2002_FORWARD_SUB;BY METRO_AREA;RUN;

PROC SORT DATA = AHS2011_2004_FORWARD_SUB;BY METRO_AREA;RUN;



PROC MEANS DATA=AHS2011_1998_FORWARD_SUB NOPRINT; VAR IN98_PWT; OUTPUT OUT=METRO_1998_OLDMHKEPT N=N 
SUM=SUM_OLDMHKEPT;  BY METRO_AREA; RUN;

TITLE "SUM OF IN98_PWT FOR DATA WHERE IN98_NUNIT2 IN(4,5) AND IN98_BUILT LE 1999 BY METRO_AREA IN 
THE KEPT FORWARD DATA";RUN;

PROC PRINT DATA=METRO_1998_OLDMHKEPT NOOBS; VAR METRO_AREA N SUM_OLDMHKEPT;  RUN;



PROC MEANS DATA=AHS2011_2002_FORWARD_SUB NOPRINT; VAR IN02_PWT; OUTPUT OUT=METRO_2002_OLDMHKEPT N=N 
SUM=SUM_OLDMHKEPT;  BY METRO_AREA; RUN;

TITLE "SUM OF IN02_PWT FOR DATA WHERE IN02_NUNIT2 IN(4,5) AND IN02_BUILT LE 1999 BY METRO_AREA IN 
THE KEPT FORWARD DATA";RUN;

PROC PRINT DATA=METRO_2002_OLDMHKEPT NOOBS; VAR METRO_AREA N SUM_OLDMHKEPT;  RUN;



PROC MEANS DATA=AHS2011_2004_FORWARD_SUB NOPRINT; VAR IN04_PWT; OUTPUT OUT=METRO_2004_OLDMHKEPT N=N 
SUM=SUM_OLDMHKEPT;  BY METRO_AREA; RUN;

TITLE "SUM OF IN04_PWT FOR DATA WHERE IN04_NUNIT2 IN(4,5) AND IN04_BUILT LE 1999 BY METRO_AREA IN 
THE KEPT FORWARD DATA";RUN;

PROC PRINT DATA=METRO_2004_OLDMHKEPT NOOBS; VAR METRO_AREA N SUM_OLDMHKEPT;  RUN;



************************************************************************************;
PROC SORT DATA=METRO_1998_OLDMHPWT;BY METRO_AREA;RUN;

PROC SORT DATA=METRO_2002_OLDMHPWT;BY METRO_AREA;RUN;

PROC SORT DATA=METRO_2004_OLDMHPWT;BY METRO_AREA;RUN;



************************************************************************************;
PROC SORT DATA=METRO_1998_OLDMHKEPT;BY METRO_AREA;RUN;

PROC SORT DATA=METRO_2002_OLDMHKEPT;BY METRO_AREA;RUN;

PROC SORT DATA=METRO_2004_OLDMHKEPT;BY METRO_AREA;RUN;

************************************************************************************;

DATA AHS2011_1998_FORWARD; MERGE AHS2011_1998_FORWARD METRO_1998_OLDMHPWT METRO_1998_OLDMHKEPT;
BY METRO_AREA;

    MPWT=IN98_PWT;
IF IN98_NUNIT2 IN(4,5) AND IN98_BUILT GE 2000 THEN MPWT = MPWT ;
IF IN98_NUNIT2 IN(4,5) AND IN98_BUILT LE 1999 THEN MPWT = MPWT* (SUM_OLDMHPWT/SUM_OLDMHKEPT);
      
RUN;
 


DATA AHS2011_2002_FORWARD; MERGE AHS2011_2002_FORWARD METRO_2002_OLDMHPWT METRO_2002_OLDMHKEPT;
BY METRO_AREA;

    MPWT=IN02_PWT;
IF IN02_NUNIT2 IN(4,5) AND IN02_BUILT GE 2000 THEN MPWT = MPWT ;
IF IN02_NUNIT2 IN(4,5) AND IN02_BUILT LE 1999 THEN MPWT = MPWT* (SUM_OLDMHPWT/SUM_OLDMHKEPT);
      
RUN;



DATA AHS2011_2004_FORWARD; MERGE AHS2011_2004_FORWARD METRO_2004_OLDMHPWT METRO_2004_OLDMHKEPT;
BY METRO_AREA;

    MPWT=IN04_PWT;
IF IN04_NUNIT2 IN(4,5) AND IN04_BUILT GE 2000 THEN MPWT = MPWT ;
IF IN04_NUNIT2 IN(4,5) AND IN04_BUILT LE 1999 THEN MPWT = MPWT* (SUM_OLDMHPWT/SUM_OLDMHKEPT);
      
RUN;



DATA AHS2011_2009_FORWARD_LosAngles;SET  AHS2011_2009_FORWARD_LosAngles;
    MPWT=IN09_PWT;

RUN;



DATA AHS2011_2009_FORWARD_NEWORLEANS;SET  AHS2011_2009_FORWARD_NEWORLEANS;
    MPWT=IN09_PWT;

RUN;

*********************************************************************************;
						
						
PROC SORT DATA = AHS2011_1998_FORWARD;BY METRO_AREA_N;RUN;

PROC SORT DATA = AHS2011_2002_FORWARD;BY METRO_AREA_N;RUN;

PROC SORT DATA = AHS2011_2004_FORWARD;BY METRO_AREA_N;RUN;

PROC SORT DATA = AHS2011_2009_FORWARD_LosAngles;BY METRO_AREA_N;RUN;


PROC SORT DATA = AHS2011_2009_FORWARD_NEWORLEANS;BY METRO_AREA_N;RUN;
						


PROC MEANS DATA=AHS2011_1998_FORWARD NOPRINT; VAR  MPWT; OUTPUT OUT=METRO_1998_SMPWT N=N 
SUM=SMPWT;  BY METRO_AREA_N; RUN;

TITLE "SMPWT , BASECOUNT, AND RATIO FOR THE AHS2011_1998_FORWARD BY METRO_AREA_N ";RUN;

DATA METRO_1998_SMPWT; SET METRO_1998_SMPWT;
            
IF METRO_AREA_N=	1	THEN	BASECOUNT	=	394000	;
IF METRO_AREA_N=	2	THEN	BASECOUNT	=	647500	;
IF METRO_AREA_N=	3	THEN	BASECOUNT	=	895000	;
IF METRO_AREA_N=	4	THEN	BASECOUNT	=	415400	;
IF METRO_AREA_N=	5	THEN	BASECOUNT	=	700200	;
IF METRO_AREA_N=	6	THEN	BASECOUNT	=	591000	;
IF METRO_AREA_N=	7	THEN	BASECOUNT	=	632100	;

RATIO=BASECOUNT/SMPWT;

IF	METRO_AREA_N=1  THEN METRO_AREA='Birmingham    ';
IF	METRO_AREA_N=2  THEN METRO_AREA='Cincinnati    ';
IF	METRO_AREA_N=3  THEN METRO_AREA='Oakland       ';
IF	METRO_AREA_N=4  THEN METRO_AREA='Providence    ';
IF      METRO_AREA_N=5  THEN METRO_AREA='San Francisco ';
IF	METRO_AREA_N=6  THEN METRO_AREA='San Jose      ';
IF      METRO_AREA_N=7  THEN METRO_AREA='Virginia Beach';



RUN;

PROC PRINT DATA=METRO_1998_SMPWT NOOBS; VAR METRO_AREA N SMPWT BASECOUNT RATIO;  RUN;



PROC MEANS DATA=AHS2011_2002_FORWARD NOPRINT; VAR  MPWT; OUTPUT OUT=METRO_2002_SMPWT N=N 
SUM=SMPWT;  BY METRO_AREA_N; RUN;

TITLE "SMPWT , BASECOUNT, AND RATIO FOR THE AHS2011_2002_FORWARD BY METRO_AREA_N ";RUN;

DATA METRO_2002_SMPWT; SET METRO_2002_SMPWT;

IF METRO_AREA_N=	8	THEN	BASECOUNT	=	995600	;
IF METRO_AREA_N=	9	THEN	BASECOUNT	=	515500	;
IF METRO_AREA_N=	10	THEN	BASECOUNT	=	667800	;
IF METRO_AREA_N=	11	THEN	BASECOUNT	=	682600	;
IF METRO_AREA_N=	12	THEN	BASECOUNT	=	1365400	;
IF METRO_AREA_N=	13	THEN	BASECOUNT	=	639400	;
IF METRO_AREA_N=	14	THEN	BASECOUNT	=	766500	;
IF METRO_AREA_N=	15	THEN	BASECOUNT	=	626500	;
IF METRO_AREA_N=	16	THEN	BASECOUNT	=	1340400	;
IF METRO_AREA_N=	17	THEN	BASECOUNT	=	811700	;
IF METRO_AREA_N=	18	THEN	BASECOUNT	=	1229500	;
IF METRO_AREA_N=	19	THEN	BASECOUNT	=	1072000	;

IF	METRO_AREA_N=8  THEN METRO_AREA='Anaheim       ';
IF	METRO_AREA_N=9  THEN METRO_AREA='Buffalo       ';
IF	METRO_AREA_N=10 THEN METRO_AREA='Charlotte     ';
IF	METRO_AREA_N=11 THEN METRO_AREA='Columbus      ';
IF	METRO_AREA_N=12 THEN METRO_AREA='Dallas        ';
IF	METRO_AREA_N=13 THEN METRO_AREA='Fort Worth    ';
IF	METRO_AREA_N=14 THEN METRO_AREA='Kansas City   ';
IF	METRO_AREA_N=15 THEN METRO_AREA='Milwaukee     ';
IF	METRO_AREA_N=16 THEN METRO_AREA='Phoenix       ';
IF	METRO_AREA_N=17 THEN METRO_AREA='Portland      ';
IF	METRO_AREA_N=18 THEN METRO_AREA='Riverside     ';
IF	METRO_AREA_N=19 THEN METRO_AREA='San Diego     ';


RATIO=BASECOUNT/SMPWT;
RUN;

PROC PRINT DATA=METRO_2002_SMPWT NOOBS; VAR METRO_AREA N SMPWT BASECOUNT RATIO;  RUN;



PROC MEANS DATA=AHS2011_2004_FORWARD NOPRINT; VAR  MPWT; OUTPUT OUT=METRO_2004_SMPWT N=N 
SUM=SMPWT;  BY METRO_AREA_N; RUN;

TITLE "SMPWT , BASECOUNT, AND RATIO FOR THE AHS2011_2004_FORWARD BY METRO_AREA_N";RUN;

DATA METRO_2004_SMPWT; SET METRO_2004_SMPWT;


IF METRO_AREA_N=	21	THEN	BASECOUNT	=	1802800	;
IF METRO_AREA_N=	22	THEN	BASECOUNT	=	856100	;
IF METRO_AREA_N=	23	THEN	BASECOUNT	=	949100	;
IF METRO_AREA_N=	24	THEN	BASECOUNT	=	744900	;
IF METRO_AREA_N=	25	THEN	BASECOUNT	=	489200	;
IF METRO_AREA_N=	26	THEN	BASECOUNT	=	1069200	;
IF METRO_AREA_N=	27	THEN	BASECOUNT	=	727500	;
IF METRO_AREA_N=	28	THEN	BASECOUNT	=	1139600	;


RATIO=BASECOUNT/SMPWT;

IF	METRO_AREA_N=21 THEN	                                              METRO_AREA='Atlanta       ';
IF	METRO_AREA_N=22 THEN	                                              METRO_AREA='Cleveland     ';
IF	METRO_AREA_N=23 THEN	                                              METRO_AREA='Denver        ';
IF	METRO_AREA_N=24 THEN	                                              METRO_AREA='Indianapolis  ';
IF	METRO_AREA_N=25 THEN                                                  METRO_AREA='MemphiS       ';              
IF	METRO_AREA_N=26 THEN	                              		      METRO_AREA='Pittsburgh    ';
IF	METRO_AREA_N=27 THEN	                                              METRO_AREA='Sacramento    ';
IF	METRO_AREA_N=28 THEN  					              METRO_AREA='St. Louis     ';

RUN;

PROC PRINT DATA=METRO_2004_SMPWT NOOBS; VAR METRO_AREA N SMPWT BASECOUNT RATIO;  RUN;



PROC MEANS DATA=AHS2011_2009_FORWARD_LosAngles NOPRINT; VAR  MPWT; OUTPUT OUT=METRO_2009_SMPWT_LA N=N 
SUM=SMPWT;  BY METRO_AREA_N; RUN;

TITLE "SMPWT , BASECOUNT, AND RATIO FOR THE AHS2011_2009_FORWARD_LosAngles (Los Angles) ";RUN;

DATA METRO_2009_SMPWT_LA; SET METRO_2009_SMPWT_LA;

IF METRO_AREA_N=	20	THEN	BASECOUNT	= 3221075	;


METRO_AREA='Los Angeles	  ';
RATIO=BASECOUNT/SMPWT;
RUN;


PROC PRINT DATA=METRO_2009_SMPWT_LA NOOBS; VAR METRO_AREA N SMPWT BASECOUNT RATIO;  RUN;





PROC MEANS DATA=AHS2011_2009_FORWARD_NEWORLEANS NOPRINT; VAR  MPWT; OUTPUT OUT=METRO_2009_SMPWT_NO N=N 
SUM=SMPWT;  BY METRO_AREA_N; RUN;

TITLE "SMPWT , BASECOUNT, AND RATIO FOR THE AHS2011_2009_FORWARD_NEWORLEANS (New Orleans) ";RUN;

DATA METRO_2009_SMPWT_NO; SET METRO_2009_SMPWT_NO;

IF METRO_AREA_N=	29	THEN	BASECOUNT	=	512500	;

METRO_AREA='New Orleans	  ';

RATIO=BASECOUNT/SMPWT;
RUN;


PROC PRINT DATA=METRO_2009_SMPWT_NO NOOBS; VAR METRO_AREA N SMPWT BASECOUNT RATIO;  RUN;


****************************************************************************************;
/*
b)	Compute a FLCINCHWT = MPWT*(BASECOUNT/SMPWT).  
This computation ratios the weights up so that they sum to the housing stock 
in the previous survey.


*/
PROC SORT DATA=METRO_1998_SMPWT; BY METRO_AREA_N; RUN;

PROC SORT DATA=METRO_2002_SMPWT; BY METRO_AREA_N; RUN;

PROC SORT DATA=METRO_2004_SMPWT; BY METRO_AREA_N; RUN;

PROC SORT DATA=METRO_2009_SMPWT_LA; BY METRO_AREA_N; RUN;

PROC SORT DATA=METRO_2009_SMPWT_NO; BY METRO_AREA_N; RUN;


PROC SORT DATA=AHS2011_1998_FORWARD; BY METRO_AREA_N; RUN;

PROC SORT DATA=AHS2011_2002_FORWARD; BY METRO_AREA_N; RUN;

PROC SORT DATA=AHS2011_2004_FORWARD; BY METRO_AREA_N; RUN;

PROC SORT DATA=AHS2011_2009_FORWARD_LosAngles; BY METRO_AREA_N; RUN;

PROC SORT DATA=AHS2011_2009_FORWARD_NEWORLEANS; BY METRO_AREA_N; RUN;



DATA AHS2011_1998_FORWARD; MERGE AHS2011_1998_FORWARD METRO_1998_SMPWT ;BY METRO_AREA_N;

FLCINCHWT = MPWT*RATIO;RUN;



DATA AHS2011_2002_FORWARD; MERGE AHS2011_2002_FORWARD METRO_2002_SMPWT ;BY METRO_AREA_N;

FLCINCHWT = MPWT*RATIO;RUN;


DATA AHS2011_2004_FORWARD; MERGE AHS2011_2004_FORWARD METRO_2004_SMPWT ;BY METRO_AREA_N;

FLCINCHWT = MPWT*RATIO;RUN;


DATA AHS2011_2009_FORWARD_LosAngles; MERGE AHS2011_2009_FORWARD_LosAngles METRO_2009_SMPWT_LA ;BY METRO_AREA_N;

FLCINCHWT = MPWT*RATIO;RUN;


DATA AHS2011_2009_FORWARD_NEWORLEANS; MERGE AHS2011_2009_FORWARD_NEWORLEANS METRO_2009_SMPWT_NO ;BY METRO_AREA_N;

FLCINCHWT = MPWT*RATIO;RUN;

*********************************************************************************;

PROC MEANS DATA=AHS2011_1998_FORWARD NOPRINT; VAR FLCINCHWT ; OUTPUT OUT=METRO_1998_FLCINCHWT N=N 
SUM=SUM_FLCINCHWT;  BY METRO_AREA; RUN;

TITLE "SUM OF FLCINCHWT FOR THE AHS2011_1998_FORWARD BY METRO_AREA ";RUN;

PROC PRINT DATA=METRO_1998_FLCINCHWT NOOBS; VAR METRO_AREA SUM_FLCINCHWT;  RUN;



PROC MEANS DATA=AHS2011_2002_FORWARD NOPRINT; VAR FLCINCHWT ; OUTPUT OUT=METRO_2002_FLCINCHWT N=N 
SUM=SUM_FLCINCHWT;  BY METRO_AREA; RUN;

TITLE "SUM OF FLCINCHWT FOR THE AHS2011_2002_FORWARD BY METRO_AREA ";RUN;

PROC PRINT DATA=METRO_2002_FLCINCHWT NOOBS; VAR METRO_AREA SUM_FLCINCHWT;  RUN;



PROC MEANS DATA=AHS2011_2004_FORWARD NOPRINT; VAR FLCINCHWT ; OUTPUT OUT=METRO_2004_FLCINCHWT N=N 
SUM=SUM_FLCINCHWT;  BY METRO_AREA; RUN;

TITLE "SUM OF FLCINCHWT FOR THE AHS2011_2004_FORWARD BY METRO_AREA ";RUN;

PROC PRINT DATA=METRO_2004_FLCINCHWT NOOBS; VAR METRO_AREA SUM_FLCINCHWT;  RUN;



PROC MEANS DATA=AHS2011_2009_FORWARD_LosAngles NOPRINT; VAR FLCINCHWT ; OUTPUT OUT=METRO_2009_FLCINCHWT N=N 
SUM=SUM_FLCINCHWT;  BY METRO_AREA; RUN;

TITLE "SUM OF FLCINCHWT FOR THE AHS2011_2009_FORWARD_LosAngles BY METRO_AREA ";RUN;

PROC PRINT DATA=METRO_2009_FLCINCHWT NOOBS; VAR METRO_AREA SUM_FLCINCHWT;  RUN;




PROC MEANS DATA=AHS2011_2009_FORWARD_NEWORLEANS NOPRINT; VAR FLCINCHWT ; OUTPUT OUT=METRO_2009_FLCINCHWT N=N 
SUM=SUM_FLCINCHWT;  BY METRO_AREA; RUN;

TITLE "SUM OF FLCINCHWT FOR THE AHS2011_2009_FORWARD_NEWORLEANS BY METRO_AREA ";RUN;

PROC PRINT DATA=METRO_2009_FLCINCHWT NOOBS; VAR METRO_AREA SUM_FLCINCHWT;  RUN;

*************************************************************************************;


/*******  6.  IDENTIFY SAME, LOSS AND INTLOSS                 

a)	SAME = 1 if INxx_ISTATUS = 1, 2, or 3 AND IN11_ISTATUS = 1, 2, or 3.

b)	LOSS = 1 if INxx_ISTATUS = 1, 2, 3, or 4 AND (10 LE IN11_NOINT LT 38)   

c)	INTLOSS = 1 if INxx_ISTATUS = 1, 2, or 3 AND LOSS = 1    

****************************************************************************************/


DATA AHS2011_1998_FORWARD; SET AHS2011_1998_FORWARD;
SAME=0;

IF (IN98_ISTATUS ='1' OR IN98_ISTATUS='2' OR IN98_ISTATUS='3') AND 
(IN11_ISTATUS ='1' OR IN11_ISTATUS='2' OR IN11_ISTATUS='3')  THEN SAME=1;

LOSS=0;
IF (IN98_ISTATUS ='1' OR IN98_ISTATUS='2' OR IN98_ISTATUS='3' OR IN98_ISTATUS='4') 
AND (10 LE IN11_NOINT LT 38) THEN LOSS = 1;

INTLOSS=0;
IF (IN98_ISTATUS ='1' OR IN98_ISTATUS='2' OR IN98_ISTATUS='3') AND LOSS = 1 THEN INTLOSS = 1;

RUN;





DATA AHS2011_2002_FORWARD; SET AHS2011_2002_FORWARD;
SAME=0;

IF (IN02_ISTATUS ='1' OR IN02_ISTATUS='2' OR IN02_ISTATUS='3') AND 
(IN11_ISTATUS ='1' OR IN11_ISTATUS='2' OR IN11_ISTATUS='3')  THEN SAME=1;

LOSS=0;
IF (IN02_ISTATUS ='1' OR IN02_ISTATUS='2' OR IN02_ISTATUS='3' OR IN02_ISTATUS='4') 
AND (10 LE IN11_NOINT LT 38) THEN LOSS = 1;

INTLOSS=0;
IF (IN02_ISTATUS ='1' OR IN02_ISTATUS='2' OR IN02_ISTATUS='3') AND LOSS = 1 THEN INTLOSS = 1;

RUN;






DATA AHS2011_2004_FORWARD; SET AHS2011_2004_FORWARD;
SAME=0;

IF (IN04_ISTATUS ='1' OR IN04_ISTATUS='2' OR IN04_ISTATUS='3') AND 
(IN11_ISTATUS ='1' OR IN11_ISTATUS='2' OR IN11_ISTATUS='3')  THEN SAME=1;

LOSS=0;
IF (IN04_ISTATUS ='1' OR IN04_ISTATUS='2' OR IN04_ISTATUS='3' OR IN04_ISTATUS='4') 
AND (10 LE IN11_NOINT LT 38) THEN LOSS = 1;

INTLOSS=0;
IF (IN04_ISTATUS ='1' OR IN04_ISTATUS='2' OR IN04_ISTATUS='3') AND LOSS = 1 THEN INTLOSS = 1;

RUN;





DATA AHS2011_2009_FORWARD_LosAngles; SET AHS2011_2009_FORWARD_LosAngles;
SAME=0;

IF (IN09_ISTATUS ='1' OR IN09_ISTATUS='2' OR IN09_ISTATUS='3') AND 
(IN11_ISTATUS ='1' OR IN11_ISTATUS='2' OR IN11_ISTATUS='3')  THEN SAME=1;

LOSS=0;
IF (IN09_ISTATUS ='1' OR IN09_ISTATUS='2' OR IN09_ISTATUS='3' OR IN09_ISTATUS='4') 
AND (10 LE IN11_NOINT LT 38) THEN LOSS = 1;

INTLOSS=0;
IF (IN09_ISTATUS ='1' OR IN09_ISTATUS='2' OR IN09_ISTATUS='3') AND LOSS = 1 THEN INTLOSS = 1;

RUN;



DATA AHS2011_2009_FORWARD_NEWORLEANS; SET AHS2011_2009_FORWARD_NEWORLEANS;
SAME=0;

IF (IN09_ISTATUS ='1' OR IN09_ISTATUS='2' OR IN09_ISTATUS='3') AND 
(IN11_ISTATUS ='1' OR IN11_ISTATUS='2' OR IN11_ISTATUS='3')  THEN SAME=1;

LOSS=0;
IF (IN09_ISTATUS ='1' OR IN09_ISTATUS='2' OR IN09_ISTATUS='3' OR IN09_ISTATUS='4') 
AND (10 LE IN11_NOINT LT 38) THEN LOSS = 1;

INTLOSS=0;
IF (IN09_ISTATUS ='1' OR IN09_ISTATUS='2' OR IN09_ISTATUS='3') AND LOSS = 1 THEN INTLOSS = 1;

RUN;


****************************************************************************************;
/*  Provide unweighed counts of all three groups:  */


PROC SORT DATA=AHS2011_1998_FORWARD; BY METRO_AREA; RUN;

PROC SORT DATA=AHS2011_2002_FORWARD; BY METRO_AREA; RUN;

PROC SORT DATA=AHS2011_2004_FORWARD; BY METRO_AREA; RUN;

PROC SORT DATA=AHS2011_2009_FORWARD_LosAngles; BY METRO_AREA; RUN;

PROC SORT DATA=AHS2011_2009_FORWARD_NEWORLEANS; BY METRO_AREA; RUN;



PROC MEANS DATA=AHS2011_1998_FORWARD NOPRINT; VAR SAME LOSS INTLOSS; OUTPUT OUT=METRO_1998_SAME

SUM=SAME LOSS INTLOSS;  BY METRO_AREA; RUN;

TITLE "UNWEIGHTED COUNT OF SAME, LOSS, INTLOSS FOR THE AHS2011_1998_FORWARD BY METRO_AREA ";RUN;

PROC PRINT DATA=METRO_1998_SAME NOOBS; VAR METRO_AREA SAME LOSS INTLOSS;  RUN;



PROC MEANS DATA=AHS2011_2002_FORWARD NOPRINT; VAR SAME LOSS INTLOSS; OUTPUT OUT=METRO_2002_SAME

SUM=SAME LOSS INTLOSS;  BY METRO_AREA; RUN;

TITLE "UNWEIGHTED COUNT OF SAME, LOSS, INTLOSS FOR THE AHS2011_2002_FORWARD BY METRO_AREA ";RUN;

PROC PRINT DATA=METRO_2002_SAME NOOBS; VAR METRO_AREA SAME LOSS INTLOSS;  RUN;



PROC MEANS DATA=AHS2011_2004_FORWARD NOPRINT; VAR SAME LOSS INTLOSS; OUTPUT OUT=METRO_2004_SAME

SUM=SAME LOSS INTLOSS;  BY METRO_AREA; RUN;

TITLE "UNWEIGHTED COUNT OF SAME, LOSS, INTLOSS FOR THE AHS2011_2004_FORWARD BY METRO_AREA ";RUN;

PROC PRINT DATA=METRO_2004_SAME NOOBS; VAR METRO_AREA SAME LOSS INTLOSS;  RUN;



PROC MEANS DATA=AHS2011_2009_FORWARD_LosAngles NOPRINT; VAR SAME LOSS INTLOSS; OUTPUT OUT=METRO_2009_SAME

SUM=SAME LOSS INTLOSS;  BY METRO_AREA; RUN;

TITLE "UNWEIGHTED COUNT OF SAME, LOSS, INTLOSS FOR THE AHS2011_2009_FORWARD_LosAngles BY METRO_AREA ";RUN;

PROC PRINT DATA=METRO_2009_SAME NOOBS; VAR METRO_AREA SAME LOSS INTLOSS;  RUN;




PROC MEANS DATA=AHS2011_2009_FORWARD_NEWORLEANS NOPRINT; VAR SAME LOSS INTLOSS; OUTPUT OUT=METRO_2009_SAME

SUM=SAME LOSS INTLOSS;  BY METRO_AREA; RUN;

TITLE "UNWEIGHTED COUNT OF SAME, LOSS, INTLOSS FOR THE AHS2011_2009_FORWARD_NEWORLEANS BY METRO_AREA ";RUN;

PROC PRINT DATA=METRO_2009_SAME NOOBS; VAR METRO_AREA SAME LOSS INTLOSS;  RUN;

********************************************************************************************;


/*
7)	Calculate:

a)	SSAME = sum of FLCINCHWT for all SAME = 1  

b)	SLOSS = sum of FLCINCHWT for all LOSS = 1   

c)	SINTLOSS = sum of FLCINCHWT for INTLOSS = 1    
*/


DATA SAME1; SET  AHS2011_1998_FORWARD; IF SAME=1; RUN;

PROC SORT DATA=SAME1; BY METRO_AREA;RUN;


PROC MEANS DATA=SAME1   NOPRINT; VAR FLCINCHWT;BY METRO_AREA;
OUTPUT OUT=S1 SUM=SSAME; RUN;
 

DATA LOSS1; SET  AHS2011_1998_FORWARD; IF LOSS=1; RUN;

PROC SORT DATA=LOSS1; BY METRO_AREA; RUN;


PROC MEANS DATA=LOSS1 NOPRINT ; VAR FLCINCHWT;BY METRO_AREA;
OUTPUT OUT=S2 SUM=SLOSS; RUN;




DATA INTLOSS1; SET  AHS2011_1998_FORWARD; IF INTLOSS=1; RUN;

PROC SORT DATA=INTLOSS1 ; BY METRO_AREA; RUN;


PROC MEANS DATA=INTLOSS1 NOPRINT ; VAR FLCINCHWT;BY METRO_AREA;  
OUTPUT OUT=S3 SUM=SINTLOSS; RUN;


PROC SORT DATA=S1; BY METRO_AREA; RUN;

PROC SORT DATA=S2; BY METRO_AREA; RUN;

PROC SORT DATA=S3; BY METRO_AREA; RUN;

DATA S1_S2_S3_1998; MERGE S1 S2 S3; BY METRO_AREA; RUN;


TITLE 'SUM OF FLCINCHWT FROM AHS2011_1998_FORWARD WHERE SAME=1, LOSS=1 & INTLOSS=1  '; RUN;


PROC PRINT DATA=S1_S2_S3_1998 NOOBS; VAR METRO_AREA SSAME SLOSS SINTLOSS;RUN;

***********************************************************************************************;

DATA SAME1; SET  AHS2011_2002_FORWARD; IF SAME=1; RUN;

PROC SORT DATA=SAME1; BY METRO_AREA;RUN;


PROC MEANS DATA=SAME1   NOPRINT; VAR FLCINCHWT;BY METRO_AREA;
OUTPUT OUT=S1 SUM=SSAME; RUN;
 

DATA LOSS1; SET  AHS2011_2002_FORWARD; IF LOSS=1; RUN;

PROC SORT DATA=LOSS1; BY METRO_AREA; RUN;


PROC MEANS DATA=LOSS1 NOPRINT ; VAR FLCINCHWT;BY METRO_AREA;
OUTPUT OUT=S2 SUM=SLOSS; RUN;




DATA INTLOSS1; SET  AHS2011_2002_FORWARD; IF INTLOSS=1; RUN;

PROC SORT DATA=INTLOSS1 ; BY METRO_AREA; RUN;


PROC MEANS DATA=INTLOSS1 NOPRINT ; VAR FLCINCHWT;BY METRO_AREA;  
OUTPUT OUT=S3 SUM=SINTLOSS; RUN;


PROC SORT DATA=S1; BY METRO_AREA; RUN;

PROC SORT DATA=S2; BY METRO_AREA; RUN;

PROC SORT DATA=S3; BY METRO_AREA; RUN;

DATA S1_S2_S3_2002; MERGE S1 S2 S3; BY METRO_AREA; RUN;


TITLE 'SUM OF FLCINCHWT FROM AHS2011_2002_FORWARD WHERE SAME=1, LOSS=1 & INTLOSS=1  '; RUN;


PROC PRINT DATA=S1_S2_S3_2002 NOOBS; VAR METRO_AREA SSAME SLOSS SINTLOSS;RUN;

***********************************************************************************************;


DATA SAME1; SET  AHS2011_2004_FORWARD; IF SAME=1; RUN;

PROC SORT DATA=SAME1; BY METRO_AREA;RUN;


PROC MEANS DATA=SAME1   NOPRINT; VAR FLCINCHWT;BY METRO_AREA;
OUTPUT OUT=S1 SUM=SSAME; RUN;
 

DATA LOSS1; SET  AHS2011_2004_FORWARD; IF LOSS=1; RUN;

PROC SORT DATA=LOSS1; BY METRO_AREA; RUN;


PROC MEANS DATA=LOSS1 NOPRINT ; VAR FLCINCHWT;BY METRO_AREA;
OUTPUT OUT=S2 SUM=SLOSS; RUN;




DATA INTLOSS1; SET  AHS2011_2004_FORWARD; IF INTLOSS=1; RUN;

PROC SORT DATA=INTLOSS1 ; BY METRO_AREA; RUN;


PROC MEANS DATA=INTLOSS1 NOPRINT ; VAR FLCINCHWT;BY METRO_AREA;  
OUTPUT OUT=S3 SUM=SINTLOSS; RUN;


PROC SORT DATA=S1; BY METRO_AREA; RUN;

PROC SORT DATA=S2; BY METRO_AREA; RUN;

PROC SORT DATA=S3; BY METRO_AREA; RUN;

DATA S1_S2_S3_2004; MERGE S1 S2 S3; BY METRO_AREA; RUN;


TITLE 'SUM OF FLCINCHWT FROM AHS2011_2004_FORWARD WHERE SAME=1, LOSS=1 & INTLOSS=1  '; RUN;


PROC PRINT DATA=S1_S2_S3_2004 NOOBS; VAR METRO_AREA SSAME SLOSS SINTLOSS;RUN;

***********************************************************************************************;

DATA SAME1; SET  AHS2011_2009_FORWARD_LosAngles; IF SAME=1; RUN;

PROC SORT DATA=SAME1; BY METRO_AREA;RUN;


PROC MEANS DATA=SAME1   NOPRINT; VAR FLCINCHWT;BY METRO_AREA;
OUTPUT OUT=S1 SUM=SSAME; RUN;
 

DATA LOSS1; SET  AHS2011_2009_FORWARD_LosAngles; IF LOSS=1; RUN;

PROC SORT DATA=LOSS1; BY METRO_AREA; RUN;


PROC MEANS DATA=LOSS1 NOPRINT ; VAR FLCINCHWT;BY METRO_AREA;
OUTPUT OUT=S2 SUM=SLOSS; RUN;




DATA INTLOSS1; SET  AHS2011_2009_FORWARD_LosAngles; IF INTLOSS=1; RUN;

PROC SORT DATA=INTLOSS1 ; BY METRO_AREA; RUN;


PROC MEANS DATA=INTLOSS1 NOPRINT ; VAR FLCINCHWT;BY METRO_AREA;  
OUTPUT OUT=S3 SUM=SINTLOSS; RUN;


PROC SORT DATA=S1; BY METRO_AREA; RUN;

PROC SORT DATA=S2; BY METRO_AREA; RUN;

PROC SORT DATA=S3; BY METRO_AREA; RUN;

DATA S1_S2_S3_2009_LA; MERGE S1 S2 S3; BY METRO_AREA; RUN;


TITLE 'SUM OF FLCINCHWT FROM AHS2011_2009_FORWARD_LosAngles WHERE SAME=1, LOSS=1 & INTLOSS=1  '; RUN;


PROC PRINT DATA=S1_S2_S3_2009_LA NOOBS; VAR METRO_AREA SSAME SLOSS SINTLOSS;RUN;

***********************************************************************************************;

DATA SAME1; SET  AHS2011_2009_FORWARD_NEWORLEANS; IF SAME=1; RUN;

PROC SORT DATA=SAME1; BY METRO_AREA;RUN;


PROC MEANS DATA=SAME1   NOPRINT; VAR FLCINCHWT;BY METRO_AREA;
OUTPUT OUT=S1 SUM=SSAME; RUN;
 

DATA LOSS1; SET  AHS2011_2009_FORWARD_NEWORLEANS; IF LOSS=1; RUN;

PROC SORT DATA=LOSS1; BY METRO_AREA; RUN;


PROC MEANS DATA=LOSS1 NOPRINT ; VAR FLCINCHWT;BY METRO_AREA;
OUTPUT OUT=S2 SUM=SLOSS; RUN;




DATA INTLOSS1; SET  AHS2011_2009_FORWARD_NEWORLEANS; IF INTLOSS=1; RUN;

PROC SORT DATA=INTLOSS1 ; BY METRO_AREA; RUN;


PROC MEANS DATA=INTLOSS1 NOPRINT ; VAR FLCINCHWT;BY METRO_AREA;  
OUTPUT OUT=S3 SUM=SINTLOSS; RUN;


PROC SORT DATA=S1; BY METRO_AREA; RUN;

PROC SORT DATA=S2; BY METRO_AREA; RUN;

PROC SORT DATA=S3; BY METRO_AREA; RUN;

DATA S1_S2_S3_2009_NO; MERGE S1 S2 S3; BY METRO_AREA; RUN;


TITLE 'SUM OF FLCINCHWT FROM AHS2011_2009_FORWARD_NEWORLEANS WHERE SAME=1, LOSS=1 & INTLOSS=1  '; RUN;


PROC PRINT DATA=S1_S2_S3_2009_NO NOOBS; VAR METRO_AREA SSAME SLOSS SINTLOSS;RUN;

***********************************************************************************************;

/*
8)	For CINCH analysis, we need information on the characteristics of units 
and their occupants in both the previous survey and 2011 for all units that were
 part of the stock in both the previous survey and 2011.  For units that are part 
of the stock in only the previous survey, we need information on the characteristics 
of the units and their occupants in the previous survey but only in the previous survey.  
Up to this point, we retained units that failed to meet these conditions so that 
we can get good estimates of the number of losses (SLOSS). 

a)	Keep for future analysis only those units where SAME =1 OR INTLOSS = 1.
9)	Calculate:

a)	Ratio1 = (BASECOUNT  SLOSS)/SSAME     

b)	Ratio2 = SLOSS/SINTLOSS     


10)	Recalculate FLCINCHWT as follows:

a)	For SAME = 1, FLCINCHWT = Ratio1*FLCINCHWT

b)	For INTLOSS = 1, FLCINCHWT = Ratio2*FLCINCHWT 


*/

DATA AHS2011_1998_FORWARD; SET AHS2011_1998_FORWARD; IF SAME=1 OR INTLOSS = 1; 
 RUN;

PROC SORT DATA=AHS2011_1998_FORWARD;BY METRO_AREA;RUN;



DATA AHS2011_2002_FORWARD; SET AHS2011_2002_FORWARD; IF SAME=1 OR INTLOSS = 1; 
 RUN;

PROC SORT DATA=AHS2011_2002_FORWARD;BY METRO_AREA;RUN;


DATA AHS2011_2004_FORWARD; SET AHS2011_2004_FORWARD; IF SAME=1 OR INTLOSS = 1; 
 RUN;

PROC SORT DATA=AHS2011_2004_FORWARD;BY METRO_AREA;RUN;



DATA AHS2011_2009_FORWARD_LosAngles; SET AHS2011_2009_FORWARD_LosAngles; IF SAME=1 OR INTLOSS = 1; 
 RUN;

PROC SORT DATA=AHS2011_2009_FORWARD_LosAngles;BY METRO_AREA;RUN;



DATA AHS2011_2009_FORWARD_NEWORLEANS; SET AHS2011_2009_FORWARD_NEWORLEANS; IF SAME=1 OR INTLOSS = 1; 
 RUN;

PROC SORT DATA=AHS2011_2009_FORWARD_NEWORLEANS;BY METRO_AREA;RUN;



PROC SORT DATA=S1_S2_S3_1998; BY METRO_AREA;RUN;

PROC SORT DATA=S1_S2_S3_2002; BY METRO_AREA;RUN;

PROC SORT DATA=S1_S2_S3_2004; BY METRO_AREA;RUN;

PROC SORT DATA=S1_S2_S3_2009_LA; BY METRO_AREA;RUN;

PROC SORT DATA=S1_S2_S3_2009_NO; BY METRO_AREA;RUN;



DATA AHS2011_1998_FORWARD; MERGE AHS2011_1998_FORWARD S1_S2_S3_1998; BY METRO_AREA;
RATIO1=(BASECOUNT-SLOSS)/SSAME;

RATIO2=SLOSS/SINTLOSS;
IF SAME=1    THEN FLCINCHWT=FLCINCHWT*RATIO1;

IF INTLOSS=1 THEN FLCINCHWT=FLCINCHWT*RATIO2;RUN;




DATA AHS2011_2002_FORWARD; MERGE AHS2011_2002_FORWARD S1_S2_S3_2002; BY METRO_AREA;
RATIO1=(BASECOUNT-SLOSS)/SSAME;

RATIO2=SLOSS/SINTLOSS;

IF SAME=1    THEN FLCINCHWT=FLCINCHWT*RATIO1;

IF INTLOSS=1 THEN FLCINCHWT=FLCINCHWT*RATIO2;RUN;




DATA AHS2011_2004_FORWARD; MERGE AHS2011_2004_FORWARD S1_S2_S3_2004; BY METRO_AREA;
RATIO1=(BASECOUNT-SLOSS)/SSAME;

RATIO2=SLOSS/SINTLOSS;
IF SAME=1    THEN FLCINCHWT=FLCINCHWT*RATIO1;

IF INTLOSS=1 THEN FLCINCHWT=FLCINCHWT*RATIO2;RUN;




DATA AHS2011_2009_FORWARD_LosAngles; MERGE AHS2011_2009_FORWARD_LosAngles S1_S2_S3_2009_LA; BY METRO_AREA;
RATIO1=(BASECOUNT-SLOSS)/SSAME;

RATIO2=SLOSS/SINTLOSS;
IF SAME=1    THEN FLCINCHWT=FLCINCHWT*RATIO1;

IF INTLOSS=1 THEN FLCINCHWT=FLCINCHWT*RATIO2;RUN;



DATA AHS2011_2009_FORWARD_NEWORLEANS; MERGE AHS2011_2009_FORWARD_NEWORLEANS S1_S2_S3_2009_NO; BY METRO_AREA;
RATIO1=(BASECOUNT-SLOSS)/SSAME;

RATIO2=SLOSS/SINTLOSS;
IF SAME=1    THEN FLCINCHWT=FLCINCHWT*RATIO1;

IF INTLOSS=1 THEN FLCINCHWT=FLCINCHWT*RATIO2;RUN;


******************************************************************************************;




PROC SORT DATA=AHS2011_1998_FORWARD;BY METRO_AREA;RUN;
PROC SORT DATA=AHS2011_2002_FORWARD;BY METRO_AREA;RUN;
PROC SORT DATA=AHS2011_2004_FORWARD;BY METRO_AREA;RUN;
PROC SORT DATA=AHS2011_2009_FORWARD_LosAngles;BY METRO_AREA;RUN;
PROC SORT DATA=AHS2011_2009_FORWARD_NEWORLEANS;BY METRO_AREA;RUN;



TITLE "NUMBER OF CASES LEFT AFTER KEEPING SAME=1 OR INTLOSS=1 IN AHS2011_1998_FORWARD BY METRO_AREA"; RUN;
PROC MEANS DATA=AHS2011_1998_FORWARD NOPRINT; VAR L; 
OUTPUT OUT=COUNT_1998 N=COUNT_11_98; BY METRO_AREA;RUN;

PROC PRINT DATA=COUNT_1998 NOOBS; VAR  METRO_AREA COUNT_11_98; RUN;



TITLE "NUMBER OF CASES LEFT AFTER KEEPING SAME=1 OR INTLOSS=1 IN AHS2011_2002_FORWARD BY METRO_AREA"; RUN;
PROC MEANS DATA=AHS2011_2002_FORWARD NOPRINT; VAR L; 
OUTPUT OUT=COUNT_2002 N=COUNT_11_02; BY METRO_AREA;RUN;

PROC PRINT DATA=COUNT_2002 NOOBS; VAR  METRO_AREA COUNT_11_02; RUN;



TITLE "NUMBER OF CASES LEFT AFTER KEEPING SAME=1 OR INTLOSS=1 IN AHS2011_2004_FORWARD BY METRO_AREA"; RUN;
PROC MEANS DATA=AHS2011_2004_FORWARD NOPRINT; VAR L; 
OUTPUT OUT=COUNT_2004 N=COUNT_11_04; BY METRO_AREA;RUN;

PROC PRINT DATA=COUNT_2004 NOOBS; VAR  METRO_AREA COUNT_11_04; RUN;



TITLE "NUMBER OF CASES LEFT AFTER KEEPING SAME=1 OR INTLOSS=1 IN AHS2011_2009_FORWARD_LosAngles BY METRO_AREA"; RUN;
PROC MEANS DATA=AHS2011_2009_FORWARD_LosAngles NOPRINT; VAR L; 
OUTPUT OUT=COUNT_2009_LA N=COUNT_11_09; BY METRO_AREA;RUN;

PROC PRINT DATA=COUNT_2009_LA NOOBS; VAR  METRO_AREA COUNT_11_09; RUN;



TITLE "NUMBER OF CASES LEFT AFTER KEEPING SAME=1 OR INTLOSS=1 IN AHS2011_2009_FORWARD_NEWORLEANS BY METRO_AREA"; RUN;
PROC MEANS DATA=AHS2011_2009_FORWARD_NEWORLEANS NOPRINT; VAR L; 
OUTPUT OUT=COUNT_2009_NO N=COUNT_11_09; BY METRO_AREA;RUN;

PROC PRINT DATA=COUNT_2009_NO NOOBS; VAR  METRO_AREA COUNT_11_09; RUN;

**************************************************************************************;

******************************************************************************************;

TITLE 'VALUES OF RATIO1 AND RATIO2 IN AHS2011_1998_FORWARD BY METRO_AREA'; RUN;

PROC MEANS DATA=AHS2011_1998_FORWARD NOPRINT; VAR RATIO1 RATIO2; 
OUTPUT OUT=RATIO_1998 MEAN=RATIO1 RATIO2; BY METRO_AREA;RUN;

PROC PRINT DATA=RATIO_1998 NOOBS; VAR  METRO_AREA RATIO1 RATIO2; RUN;



TITLE 'VALUES OF RATIO1 AND RATIO2 IN AHS2011_2002_FORWARD BY METRO_AREA'; RUN;

PROC MEANS DATA=AHS2011_2002_FORWARD NOPRINT; VAR RATIO1 RATIO2; 
OUTPUT OUT=RATIO_2002 MEAN=RATIO1 RATIO2; BY METRO_AREA;RUN;

PROC PRINT DATA=RATIO_2002 NOOBS; VAR  METRO_AREA RATIO1 RATIO2; RUN;



TITLE 'VALUES OF RATIO1 AND RATIO2 IN AHS2011_2004_FORWARD BY METRO_AREA'; RUN;

PROC MEANS DATA=AHS2011_2004_FORWARD NOPRINT; VAR RATIO1 RATIO2; 
OUTPUT OUT=RATIO_2004 MEAN=RATIO1 RATIO2; BY METRO_AREA;RUN;

PROC PRINT DATA=RATIO_2004 NOOBS; VAR  METRO_AREA RATIO1 RATIO2; RUN;



TITLE 'VALUES OF RATIO1 AND RATIO2 IN AHS2011_2009_FORWARD_LosAngles BY METRO_AREA'; RUN;

PROC MEANS DATA=AHS2011_2009_FORWARD_LosAngles NOPRINT; VAR RATIO1 RATIO2; 
OUTPUT OUT=RATIO_2009 MEAN=RATIO1 RATIO2; BY METRO_AREA;RUN;

PROC PRINT DATA=RATIO_2009 NOOBS; VAR  METRO_AREA RATIO1 RATIO2; RUN;




TITLE 'VALUES OF RATIO1 AND RATIO2 IN AHS2011_2009_FORWARD_NEWORLEANS BY METRO_AREA'; RUN;

PROC MEANS DATA=AHS2011_2009_FORWARD_NEWORLEANS NOPRINT; VAR RATIO1 RATIO2; 
OUTPUT OUT=RATIO_2009 MEAN=RATIO1 RATIO2; BY METRO_AREA;RUN;

PROC PRINT DATA=RATIO_2009 NOOBS; VAR  METRO_AREA RATIO1 RATIO2; RUN;


***************************************************************************************;



/*
c)	For each metro area compute sum of FLCINCHWT

*/


******************************************************************************************;

TITLE 'SUM OF FLCINCHWT AFTER ADJUSTING IN AHS2011_1998_FORWARD BY METRO_AREA'; RUN;

PROC MEANS DATA=AHS2011_1998_FORWARD NOPRINT; VAR FLCINCHWT; 
OUTPUT OUT=FLCINCHWT_1998 SUM=SUM_FLCINCHWT; BY METRO_AREA;RUN;

PROC PRINT DATA=FLCINCHWT_1998 NOOBS; VAR  METRO_AREA SUM_FLCINCHWT; RUN;



TITLE 'SUM OF FLCINCHWT AFTER ADJUSTING IN AHS2011_2002_FORWARD BY METRO_AREA'; RUN;

PROC MEANS DATA=AHS2011_2002_FORWARD NOPRINT; VAR FLCINCHWT; 
OUTPUT OUT=FLCINCHWT_2002 SUM=SUM_FLCINCHWT; BY METRO_AREA;RUN;

PROC PRINT DATA=FLCINCHWT_2002 NOOBS; VAR  METRO_AREA SUM_FLCINCHWT; RUN;



TITLE 'SUM OF FLCINCHWT AFTER ADJUSTING IN AHS2011_2004_FORWARD BY METRO_AREA'; RUN;

PROC MEANS DATA=AHS2011_2004_FORWARD NOPRINT; VAR FLCINCHWT; 
OUTPUT OUT=FLCINCHWT_2004 SUM=SUM_FLCINCHWT; BY METRO_AREA;RUN;

PROC PRINT DATA=FLCINCHWT_2004 NOOBS; VAR  METRO_AREA SUM_FLCINCHWT; RUN;



TITLE 'SUM OF FLCINCHWT AFTER ADJUSTING IN AHS2011_2009_FORWARD_LosAngles BY METRO_AREA'; RUN;

PROC MEANS DATA=AHS2011_2009_FORWARD_LosAngles NOPRINT; VAR FLCINCHWT; 
OUTPUT OUT=FLCINCHWT_2009 SUM=SUM_FLCINCHWT; BY METRO_AREA;RUN;

PROC PRINT DATA=FLCINCHWT_2009 NOOBS; VAR  METRO_AREA SUM_FLCINCHWT; RUN;




TITLE 'SUM OF FLCINCHWT AFTER ADJUSTING IN AHS2011_2009_FORWARD_NEWORLEANS BY METRO_AREA'; RUN;

PROC MEANS DATA=AHS2011_2009_FORWARD_NEWORLEANS NOPRINT; VAR FLCINCHWT; 
OUTPUT OUT=FLCINCHWT_2009 SUM=SUM_FLCINCHWT; BY METRO_AREA;RUN;

PROC PRINT DATA=FLCINCHWT_2009 NOOBS; VAR  METRO_AREA SUM_FLCINCHWT; RUN;

***************************************************************************************;

/*

11)	At this point, we need to get unweighted counts of certain mobile home groups 
before deciding how to proceed in each metropolitan area.

a)	Compute in each metro area the number of mobile home sample units:
unweighted sum of INxx_NUNIT2 IN(4,5)

b)	Compute in each metro area the number of owner-occupied mobile home sample units:
unweighted sum of INxx_ISTATUS = 1 AND INxx_TENURE = 1 AND INxx_NUNIT2 IN(4,5)

c)	Compute in each metro area the number of renter-occupied mobile home sample units:
unweighted sum of INxx_ISTATUS = 1 AND (2 LE INxx_TENURE LE 3) AND INxx_NUNIT2 IN(4,5)

d)	Compute in each metro area the number of vacant mobile home sample units:
unweighted sum of (INxx_ISTATUS='2' OR INxx_ISTATUS='3') AND NOT(8 LE INxx_VACANCY LE 11) 
AND INxx_NUNIT2 IN(4,5)

e)	Compute in each metro area the number of seasonal mobile home sample units:
unweighted sum of (INxx_ISTATUS='2' OR INxx_ISTATUS='3') AND (8 LE INxx_VACANCY LE 11) 
AND INxx_NUNIT2 IN(4,5)

*/





DATA AHS2011_1998_FORWARD; SET AHS2011_1998_FORWARD;

All_MH=0;

IF IN98_NUNIT2 IN(4,5) THEN All_MH=1;

Owner_MH=0;

IF IN98_ISTATUS = '1' AND IN98_TENURE = 1 AND IN98_NUNIT2 IN(4,5) THEN Owner_MH=1;


Renter_MH=0;

IF IN98_ISTATUS = '1' AND (2 LE IN98_TENURE LE 3) AND IN98_NUNIT2 IN(4,5) THEN Renter_MH=1;


Vacant_MH=0;

IF (IN98_ISTATUS='2' OR IN98_ISTATUS='3') AND NOT(8 LE IN98_VACANCY LE 11) 
AND IN98_NUNIT2 IN(4,5) THEN Vacant_MH=1;

Seasonal_MH=0;

IF (IN98_ISTATUS='2' OR IN98_ISTATUS='3') AND (8 LE IN98_VACANCY LE 11) 
AND IN98_NUNIT2 IN(4,5) THEN Seasonal_MH=1;

RUN;



DATA AHS2011_2002_FORWARD; SET AHS2011_2002_FORWARD;

All_MH=0;

IF IN02_NUNIT2 IN(4,5) THEN All_MH=1;

Owner_MH=0;

IF IN02_ISTATUS = '1' AND IN02_TENURE = 1 AND IN02_NUNIT2 IN(4,5) THEN Owner_MH=1;


Renter_MH=0;

IF IN02_ISTATUS = '1' AND (2 LE IN02_TENURE LE 3) AND IN02_NUNIT2 IN(4,5) THEN Renter_MH=1;


Vacant_MH=0;

IF (IN02_ISTATUS='2' OR IN02_ISTATUS='3') AND NOT(8 LE IN02_VACANCY LE 11) 
AND IN02_NUNIT2 IN(4,5) THEN Vacant_MH=1;

Seasonal_MH=0;

IF (IN02_ISTATUS='2' OR IN02_ISTATUS='3') AND (8 LE IN02_VACANCY LE 11) 
AND IN02_NUNIT2 IN(4,5) THEN Seasonal_MH=1;

RUN;


DATA AHS2011_2004_FORWARD; SET AHS2011_2004_FORWARD;

All_MH=0;

IF IN04_NUNIT2 IN(4,5) THEN All_MH=1;

Owner_MH=0;

IF IN04_ISTATUS = '1' AND IN04_TENURE = 1 AND IN04_NUNIT2 IN(4,5) THEN Owner_MH=1;


Renter_MH=0;

IF IN04_ISTATUS = '1' AND (2 LE IN04_TENURE LE 3) AND IN04_NUNIT2 IN(4,5) THEN Renter_MH=1;


Vacant_MH=0;

IF (IN04_ISTATUS='2' OR IN04_ISTATUS='3') AND NOT(8 LE IN04_VACANCY LE 11) 
AND IN04_NUNIT2 IN(4,5) THEN Vacant_MH=1;

Seasonal_MH=0;

IF (IN04_ISTATUS='2' OR IN04_ISTATUS='3') AND (8 LE IN04_VACANCY LE 11) 
AND IN04_NUNIT2 IN(4,5) THEN Seasonal_MH=1;

RUN;



DATA AHS2011_2009_FORWARD_LosAngles; SET AHS2011_2009_FORWARD_LosAngles;

All_MH=0;

IF IN09_NUNIT2 IN(4,5) THEN All_MH=1;

Owner_MH=0;

IF IN09_ISTATUS = '1' AND IN09_TENURE = 1 AND IN09_NUNIT2 IN(4,5) THEN Owner_MH=1;


Renter_MH=0;

IF IN09_ISTATUS = '1' AND (2 LE IN09_TENURE LE 3) AND IN09_NUNIT2 IN(4,5) THEN Renter_MH=1;


Vacant_MH=0;

IF (IN09_ISTATUS='2' OR IN09_ISTATUS='3') AND NOT(8 LE IN09_VACANCY LE 11) 
AND IN09_NUNIT2 IN(4,5) THEN Vacant_MH=1;

Seasonal_MH=0;

IF (IN09_ISTATUS='2' OR IN09_ISTATUS='3') AND (8 LE IN09_VACANCY LE 11) 
AND IN09_NUNIT2 IN(4,5) THEN Seasonal_MH=1;

RUN;




DATA AHS2011_2009_FORWARD_NEWORLEANS; SET AHS2011_2009_FORWARD_NEWORLEANS;

All_MH=0;

IF IN09_NUNIT2 IN(4,5) THEN All_MH=1;

Owner_MH=0;

IF IN09_ISTATUS = '1' AND IN09_TENURE = 1 AND IN09_NUNIT2 IN(4,5) THEN Owner_MH=1;


Renter_MH=0;

IF IN09_ISTATUS = '1' AND (2 LE IN09_TENURE LE 3) AND IN09_NUNIT2 IN(4,5) THEN Renter_MH=1;


Vacant_MH=0;

IF (IN09_ISTATUS='2' OR IN09_ISTATUS='3') AND NOT(8 LE IN09_VACANCY LE 11) 
AND IN09_NUNIT2 IN(4,5) THEN Vacant_MH=1;

Seasonal_MH=0;

IF (IN09_ISTATUS='2' OR IN09_ISTATUS='3') AND (8 LE IN09_VACANCY LE 11) 
AND IN09_NUNIT2 IN(4,5) THEN Seasonal_MH=1;

RUN;




TITLE 'COUNT OF MOBILE HOMES IN AHS2011_1998_FORWARD BY METRO_AREA'; RUN;

PROC MEANS DATA=AHS2011_1998_FORWARD NOPRINT; VAR All_MH Owner_MH Renter_MH Vacant_MH Seasonal_MH; 
OUTPUT OUT=MH_98 SUM=COUNT_All_MH COUNT_Owner_MH COUNT_Renter_MH COUNT_Vacant_MH
 COUNT_Seasonal_MH ; BY METRO_AREA;RUN;

PROC PRINT DATA=MH_98 NOOBS; VAR  METRO_AREA COUNT_All_MH COUNT_Owner_MH COUNT_Renter_MH COUNT_Vacant_MH
 COUNT_Seasonal_MH ; RUN;




TITLE 'COUNT OF MOBILE HOMES IN AHS2011_2002_FORWARD BY METRO_AREA'; RUN;

PROC MEANS DATA=AHS2011_2002_FORWARD NOPRINT; VAR All_MH Owner_MH Renter_MH Vacant_MH Seasonal_MH; 
OUTPUT OUT=MH_02 SUM=COUNT_All_MH COUNT_Owner_MH COUNT_Renter_MH COUNT_Vacant_MH
 COUNT_Seasonal_MH ; BY METRO_AREA;RUN;

PROC PRINT DATA=MH_02 NOOBS; VAR  METRO_AREA COUNT_All_MH COUNT_Owner_MH COUNT_Renter_MH COUNT_Vacant_MH
 COUNT_Seasonal_MH ; RUN;




TITLE 'COUNT OF MOBILE HOMES IN AHS2011_2004_FORWARD BY METRO_AREA'; RUN;

PROC MEANS DATA=AHS2011_2004_FORWARD NOPRINT; VAR All_MH Owner_MH Renter_MH Vacant_MH Seasonal_MH; 
OUTPUT OUT=MH_04 SUM=COUNT_All_MH COUNT_Owner_MH COUNT_Renter_MH COUNT_Vacant_MH
 COUNT_Seasonal_MH ; BY METRO_AREA;RUN;

PROC PRINT DATA=MH_04 NOOBS; VAR  METRO_AREA COUNT_All_MH COUNT_Owner_MH COUNT_Renter_MH COUNT_Vacant_MH
 COUNT_Seasonal_MH ; RUN;



TITLE 'COUNT OF MOBILE HOMES IN AHS2011_2009_FORWARD_LosAngles BY METRO_AREA'; RUN;

PROC MEANS DATA=AHS2011_2009_FORWARD_LosAngles NOPRINT; VAR All_MH Owner_MH Renter_MH Vacant_MH Seasonal_MH; 
OUTPUT OUT=MH_09 SUM=COUNT_All_MH COUNT_Owner_MH COUNT_Renter_MH COUNT_Vacant_MH
 COUNT_Seasonal_MH ; BY METRO_AREA;RUN;

PROC PRINT DATA=MH_09 NOOBS; VAR  METRO_AREA COUNT_All_MH COUNT_Owner_MH COUNT_Renter_MH COUNT_Vacant_MH
 COUNT_Seasonal_MH ; RUN;



TITLE 'COUNT OF MOBILE HOMES IN AHS2011_2009_FORWARD_NEWORLEANS BY METRO_AREA'; RUN;

PROC MEANS DATA=AHS2011_2009_FORWARD_NEWORLEANS NOPRINT; VAR All_MH Owner_MH Renter_MH Vacant_MH Seasonal_MH; 
OUTPUT OUT=MH_09 SUM=COUNT_All_MH COUNT_Owner_MH COUNT_Renter_MH COUNT_Vacant_MH
 COUNT_Seasonal_MH ; BY METRO_AREA;RUN;

PROC PRINT DATA=MH_09 NOOBS; VAR  METRO_AREA COUNT_All_MH COUNT_Owner_MH COUNT_Renter_MH COUNT_Vacant_MH
 COUNT_Seasonal_MH ; RUN;




****************************************************************************************************;
****************************************************************************************************;

/* STEP 11a  FOR THE 1998 DATA *******/


DATA AHS2011_1998_FORWARD; SET AHS2011_1998_FORWARD;
DROP RATIO;
IF  IN98_NUNIT2='1'   THEN NEW_GROUP=1; /* Single family detached  */

IF  IN98_NUNIT2='2'   THEN NEW_GROUP=2; /* Single-family attached  */


IF  IN98_NUNIT2='3' & IN98_NUNITS IN('2','3','4') THEN NEW_GROUP=3; /* 2-4 Unit Structures  */

IF  IN98_NUNIT2='3' & IN98_NUNITS GE 5 THEN NEW_GROUP=4; /* 5+ Unit Structures  */

IF  IN98_NUNIT2='4' OR IN98_NUNIT2='5' THEN NEW_GROUP=5; /* Manufactured houses  */


IF NEW_GROUP=1 THEN NEW_GROUP_CATEGORY='1- Single family detached';


IF NEW_GROUP=2 THEN NEW_GROUP_CATEGORY='2_ Single-family attached';

       
IF NEW_GROUP=3 THEN NEW_GROUP_CATEGORY='3_ 2-4 Unit Structures   ';


IF NEW_GROUP=4 THEN NEW_GROUP_CATEGORY='4_ 5+ Unit Structures    ';

IF NEW_GROUP=5 THEN NEW_GROUP_CATEGORY='5_ Manufactured houses   ';

RUN;


TITLE 'UNWEIGHTED FREQ DIST OF AHS2011_1998_FORWARD; DATA BY TYPE OF HOME NEW GROUPS & Metro_area'; RUN;

PROC FREQ DATA=AHS2011_1998_FORWARD; TABLE METRO_AREA*NEW_GROUP_CATEGORY/missing NOCOL NOROW NOPERCENT; RUN;

PROC SORT DATA=AHS2011_1998_FORWARD;  BY METRO_AREA_N NEW_GROUP; RUN;


PROC MEANS DATA=AHS2011_1998_FORWARD N SUM NOPRINT; VAR FLCINCHWT; 
OUTPUT OUT=NEW_G SUM=NEW_SUM_FLCINCHWT; BY METRO_AREA_N NEW_GROUP;RUN;


DATA NEW_G; SET NEW_G ; 

IF METRO_AREA_N=	1	 AND NEW_GROUP=	1	THEN NEW_BASECOUNT=	288500	;
IF METRO_AREA_N=	2	 AND NEW_GROUP=	1	THEN NEW_BASECOUNT=	422300	;
IF METRO_AREA_N=	3	 AND NEW_GROUP=	1	THEN NEW_BASECOUNT=	550500	;
IF METRO_AREA_N=	4	 AND NEW_GROUP=	1	THEN NEW_BASECOUNT=	245100	;
IF METRO_AREA_N=	5	 AND NEW_GROUP=	1	THEN NEW_BASECOUNT=	332400	;
IF METRO_AREA_N=	6	 AND NEW_GROUP=	1	THEN NEW_BASECOUNT=	351300	;
IF METRO_AREA_N=	7	 AND NEW_GROUP=	1	THEN NEW_BASECOUNT=	384900	;
						
IF METRO_AREA_N=	1	 AND NEW_GROUP=	2	THEN NEW_BASECOUNT=	10600	;
IF METRO_AREA_N=	2	 AND NEW_GROUP=	2	THEN NEW_BASECOUNT=	18800	;
IF METRO_AREA_N=	3	 AND NEW_GROUP=	2	THEN NEW_BASECOUNT=	91700	;
IF METRO_AREA_N=	4	 AND NEW_GROUP=	2	THEN NEW_BASECOUNT=	12300	;
IF METRO_AREA_N=	5	 AND NEW_GROUP=	2	THEN NEW_BASECOUNT=	71900	;
IF METRO_AREA_N=	6	 AND NEW_GROUP=	2	THEN NEW_BASECOUNT=	78200	;
IF METRO_AREA_N=	7	 AND NEW_GROUP=	2	THEN NEW_BASECOUNT=	81700	;
						
IF METRO_AREA_N=	1	 AND NEW_GROUP=	3	THEN NEW_BASECOUNT=	16100	;
IF METRO_AREA_N=	2	 AND NEW_GROUP=	3	THEN NEW_BASECOUNT=	63300	;
IF METRO_AREA_N=	3	 AND NEW_GROUP=	3	THEN NEW_BASECOUNT=	86100	;
IF METRO_AREA_N=	4	 AND NEW_GROUP=	3	THEN NEW_BASECOUNT=	99100	;
IF METRO_AREA_N=	5	 AND NEW_GROUP=	3	THEN NEW_BASECOUNT=	103500	;
IF METRO_AREA_N=	6	 AND NEW_GROUP=	3	THEN NEW_BASECOUNT=	41400	;
IF METRO_AREA_N=	7	 AND NEW_GROUP=	3	THEN NEW_BASECOUNT=	48100	;
						
IF METRO_AREA_N=	1	 AND NEW_GROUP=	4	THEN NEW_BASECOUNT=	45300	;
IF METRO_AREA_N=	2	 AND NEW_GROUP=	4	THEN NEW_BASECOUNT=	121600	;
IF METRO_AREA_N=	3	 AND NEW_GROUP=	4	THEN NEW_BASECOUNT=	150200	;
IF METRO_AREA_N=	4	 AND NEW_GROUP=	4	THEN NEW_BASECOUNT=	53100	;
IF METRO_AREA_N=	5	 AND NEW_GROUP=	4	THEN NEW_BASECOUNT=	186500	;
IF METRO_AREA_N=	6	 AND NEW_GROUP=	4	THEN NEW_BASECOUNT=	95800	;
IF METRO_AREA_N=	7	 AND NEW_GROUP=	4	THEN NEW_BASECOUNT=	92200	;
						
IF METRO_AREA_N=	1	 AND NEW_GROUP=	5	THEN NEW_BASECOUNT=	33500	;
IF METRO_AREA_N=	2	 AND NEW_GROUP=	5	THEN NEW_BASECOUNT=	21600	;
IF METRO_AREA_N=	3	 AND NEW_GROUP=	5	THEN NEW_BASECOUNT=	16600	;
IF METRO_AREA_N=	4	 AND NEW_GROUP=	5	THEN NEW_BASECOUNT=	5700	;
IF METRO_AREA_N=	5	 AND NEW_GROUP=	5	THEN NEW_BASECOUNT=	6000	;
IF METRO_AREA_N=	6	 AND NEW_GROUP=	5	THEN NEW_BASECOUNT=	24300	;
IF METRO_AREA_N=	7	 AND NEW_GROUP=	5	THEN NEW_BASECOUNT=	25200	;


NEW_RATIO=NEW_BASECOUNT/NEW_SUM_FLCINCHWT;


IF	METRO_AREA_N=1  THEN METRO_AREA='Birmingham    ';
IF	METRO_AREA_N=2  THEN METRO_AREA='Cincinnati    ';
IF	METRO_AREA_N=3  THEN METRO_AREA='Oakland       ';
IF	METRO_AREA_N=4  THEN METRO_AREA='Providence    ';
IF      METRO_AREA_N=5  THEN METRO_AREA='San Francisco ';
IF	METRO_AREA_N=6  THEN METRO_AREA='San Jose      ';
IF      METRO_AREA_N=7  THEN METRO_AREA='Virginia Beach';


RUN;

*************************************************************************************************;                                                                                    

TITLE '2011_1998: 1998 NEW BASE COUNT ESTIMATE (SUM OF FLCINCHWT) AND THE NEW RATIOS FOR EACH OF THE 5 NEW 
HOME GROUPS & METRO_AREA'; RUN;

PROC PRINT DATA=NEW_G NOOBS; VAR METRO_AREA NEW_GROUP NEW_BASECOUNT NEW_SUM_FLCINCHWT NEW_RATIO; RUN;

PROC SORT DATA=NEW_G; BY METRO_AREA_N NEW_GROUP; RUN;

*********************************************************************************************;

DATA AHS2011_1998_FORWARD;  MERGE AHS2011_1998_FORWARD NEW_G; BY METRO_AREA_N NEW_GROUP; RUN; 

DATA AHS2011_1998_FORWARD; SET  AHS2011_1998_FORWARD ; FLCINCHWT=FLCINCHWT*NEW_BASECOUNT/NEW_SUM_FLCINCHWT; RUN;

********************************************************************************************;

PROC SORT DATA=AHS2011_1998_FORWARD; BY METRO_AREA NEW_GROUP; RUN;

TITLE '2011_1998:  WEIGHTED SUM OF FLCINCHWT FOR EACH OF THE 5 NEW HOME GROUPS AFTER ADJUSTING BY METRO_AREA'; RUN;

PROC MEANS DATA=AHS2011_1998_FORWARD N SUM NOPRINT; VAR  FLCINCHWT ;OUTPUT OUT=F  SUM=SUM_FLCINCHWT; BY METRO_AREA NEW_GROUP;RUN;

PROC PRINT DATA=F NOOBS; VAR METRO_AREA NEW_GROUP  SUM_FLCINCHWT ; RUN;


********************************************************************************************;








*************************************************************************************************************;
/* STEP 11a & b FOR THE 2002 DATA  OTHER THAN Phoenix and Riverside *******/


DATA ahs2011_2002_Other; SET  AHS2011_2002_FORWARD; IF METRO_AREA_N NOT IN(16,18);RUN;

DATA ahs2011_2002_16_18; SET  AHS2011_2002_FORWARD; IF METRO_AREA_N  IN(16,18);RUN;


****************************************************************************************************;


DATA ahs2011_2002_Other; SET ahs2011_2002_Other;
DROP RATIO;
IF  IN02_NUNIT2='1'   THEN NEW_GROUP=1; /* Single family detached  */

IF  IN02_NUNIT2='2'   THEN NEW_GROUP=2; /* Single-family attached  */


IF  IN02_NUNIT2='3' & IN02_NUNITS IN('2','3','4') THEN NEW_GROUP=3; /* 2-4 Unit Structures  */

IF  IN02_NUNIT2='3' & IN02_NUNITS GE 5 THEN NEW_GROUP=4; /* 5+ Unit Structures  */

IF  IN02_NUNIT2='4' OR IN02_NUNIT2='5' THEN NEW_GROUP=5; /* Manufactured houses  */


IF NEW_GROUP=1 THEN NEW_GROUP_CATEGORY='1- Single family detached';


IF NEW_GROUP=2 THEN NEW_GROUP_CATEGORY='2_ Single-family attached';

       
IF NEW_GROUP=3 THEN NEW_GROUP_CATEGORY='3_ 2-4 Unit Structures   ';


IF NEW_GROUP=4 THEN NEW_GROUP_CATEGORY='4_ 5+ Unit Structures    ';

IF NEW_GROUP=5 THEN NEW_GROUP_CATEGORY='5_ Manufactured houses   ';

RUN;


TITLE 'UNWEIGHTED FREQ DIST OF ahs2011_2002_Other; DATA BY TYPE OF HOME NEW GROUPS & Metro_area'; RUN;

PROC FREQ DATA=ahs2011_2002_Other; TABLE METRO_AREA*NEW_GROUP_CATEGORY/missing NOCOL NOROW NOPERCENT; RUN;

PROC SORT DATA=ahs2011_2002_Other;  BY METRO_AREA_N NEW_GROUP; RUN;


PROC MEANS DATA=ahs2011_2002_Other N SUM NOPRINT; VAR FLCINCHWT; 
OUTPUT OUT=NEW_G SUM=NEW_SUM_FLCINCHWT; BY METRO_AREA_N NEW_GROUP;RUN;


DATA NEW_G; SET NEW_G ; 

IF METRO_AREA_N=	8	 AND NEW_GROUP=	1	THEN NEW_BASECOUNT=	503300	;
IF METRO_AREA_N=	9	 AND NEW_GROUP=	1	THEN NEW_BASECOUNT=	312800	;
IF METRO_AREA_N=	10	 AND NEW_GROUP=	1	THEN NEW_BASECOUNT=	451600	;
IF METRO_AREA_N=	11	 AND NEW_GROUP=	1	THEN NEW_BASECOUNT=	426300	;
IF METRO_AREA_N=	12	 AND NEW_GROUP=	1	THEN NEW_BASECOUNT=	827100	;
IF METRO_AREA_N=	13	 AND NEW_GROUP=	1	THEN NEW_BASECOUNT=	433300	;
IF METRO_AREA_N=	14	 AND NEW_GROUP=	1	THEN NEW_BASECOUNT=	541700	;
IF METRO_AREA_N=	15	 AND NEW_GROUP=	1	THEN NEW_BASECOUNT=	352600	;
IF METRO_AREA_N=	17	 AND NEW_GROUP=	1	THEN NEW_BASECOUNT=	529500	;
IF METRO_AREA_N=	19	 AND NEW_GROUP=	1	THEN NEW_BASECOUNT=	565200	;
						
IF METRO_AREA_N=	8	 AND NEW_GROUP=	2	THEN NEW_BASECOUNT=	240900	;
IF METRO_AREA_N=	9	 AND NEW_GROUP=	2	THEN NEW_BASECOUNT=	16700	;
IF METRO_AREA_N=	10	 AND NEW_GROUP=	2	THEN NEW_BASECOUNT=	65200	;
IF METRO_AREA_N=	11	 AND NEW_GROUP=	2	THEN NEW_BASECOUNT=	114200	;
IF METRO_AREA_N=	12	 AND NEW_GROUP=	2	THEN NEW_BASECOUNT=	164800	;
IF METRO_AREA_N=	13	 AND NEW_GROUP=	2	THEN NEW_BASECOUNT=	62800	;
IF METRO_AREA_N=	14	 AND NEW_GROUP=	2	THEN NEW_BASECOUNT=	98500	;
IF METRO_AREA_N=	15	 AND NEW_GROUP=	2	THEN NEW_BASECOUNT=	41200	;
IF METRO_AREA_N=	17	 AND NEW_GROUP=	2	THEN NEW_BASECOUNT=	50300	;
IF METRO_AREA_N=	19	 AND NEW_GROUP=	2	THEN NEW_BASECOUNT=	152300	;
						
IF METRO_AREA_N=	8	 AND NEW_GROUP=	3	THEN NEW_BASECOUNT=	81700	;
IF METRO_AREA_N=	9	 AND NEW_GROUP=	3	THEN NEW_BASECOUNT=	130600	;
IF METRO_AREA_N=	10	 AND NEW_GROUP=	3	THEN NEW_BASECOUNT=	22000	;
IF METRO_AREA_N=	11	 AND NEW_GROUP=	3	THEN NEW_BASECOUNT=	46800	;
IF METRO_AREA_N=	12	 AND NEW_GROUP=	3	THEN NEW_BASECOUNT=	59000	;
IF METRO_AREA_N=	13	 AND NEW_GROUP=	3	THEN NEW_BASECOUNT=	24300	;
IF METRO_AREA_N=	14	 AND NEW_GROUP=	3	THEN NEW_BASECOUNT=	26100	;
IF METRO_AREA_N=	15	 AND NEW_GROUP=	3	THEN NEW_BASECOUNT=	112700	;
IF METRO_AREA_N=	17	 AND NEW_GROUP=	3	THEN NEW_BASECOUNT=	54800	;
IF METRO_AREA_N=	19	 AND NEW_GROUP=	3	THEN NEW_BASECOUNT=	75500	;
						
IF METRO_AREA_N=	8	 AND NEW_GROUP=	4	THEN NEW_BASECOUNT=	133700	;
IF METRO_AREA_N=	9	 AND NEW_GROUP=	4	THEN NEW_BASECOUNT=	46500	;
IF METRO_AREA_N=	10	 AND NEW_GROUP=	4	THEN NEW_BASECOUNT=	70500	;
IF METRO_AREA_N=	11	 AND NEW_GROUP=	4	THEN NEW_BASECOUNT=	76300	;
IF METRO_AREA_N=	12	 AND NEW_GROUP=	4	THEN NEW_BASECOUNT=	258200	;
IF METRO_AREA_N=	13	 AND NEW_GROUP=	4	THEN NEW_BASECOUNT=	90100	;
IF METRO_AREA_N=	14	 AND NEW_GROUP=	4	THEN NEW_BASECOUNT=	80000	;
IF METRO_AREA_N=	15	 AND NEW_GROUP=	4	THEN NEW_BASECOUNT=	116500	;
IF METRO_AREA_N=	17	 AND NEW_GROUP=	4	THEN NEW_BASECOUNT=	138100	;
IF METRO_AREA_N=	19	 AND NEW_GROUP=	4	THEN NEW_BASECOUNT=	228600	;
						
IF METRO_AREA_N=	8	 AND NEW_GROUP=	5	THEN NEW_BASECOUNT=	35900	;
IF METRO_AREA_N=	9	 AND NEW_GROUP=	5	THEN NEW_BASECOUNT=	8900	;
IF METRO_AREA_N=	10	 AND NEW_GROUP=	5	THEN NEW_BASECOUNT=	58500	;
IF METRO_AREA_N=	11	 AND NEW_GROUP=	5	THEN NEW_BASECOUNT=	18900	;
IF METRO_AREA_N=	12	 AND NEW_GROUP=	5	THEN NEW_BASECOUNT=	56400	;
IF METRO_AREA_N=	13	 AND NEW_GROUP=	5	THEN NEW_BASECOUNT=	28900	;
IF METRO_AREA_N=	14	 AND NEW_GROUP=	5	THEN NEW_BASECOUNT=	20300	;
IF METRO_AREA_N=	15	 AND NEW_GROUP=	5	THEN NEW_BASECOUNT=	3500	;
IF METRO_AREA_N=	17	 AND NEW_GROUP=	5	THEN NEW_BASECOUNT=	39000	;
IF METRO_AREA_N=	19	 AND NEW_GROUP=	5	THEN NEW_BASECOUNT=	50400	;


NEW_RATIO=NEW_BASECOUNT/NEW_SUM_FLCINCHWT;




IF	METRO_AREA_N=8  THEN METRO_AREA='Anaheim       ';
IF	METRO_AREA_N=9  THEN METRO_AREA='Buffalo       ';
IF	METRO_AREA_N=10 THEN METRO_AREA='Charlotte     ';
IF	METRO_AREA_N=11 THEN METRO_AREA='Columbus      ';
IF	METRO_AREA_N=12 THEN METRO_AREA='Dallas        ';
IF	METRO_AREA_N=13 THEN METRO_AREA='Fort Worth    ';
IF	METRO_AREA_N=14 THEN METRO_AREA='Kansas City   ';
IF	METRO_AREA_N=15 THEN METRO_AREA='Milwaukee     ';
IF	METRO_AREA_N=16 THEN METRO_AREA='Phoenix       ';
IF	METRO_AREA_N=17 THEN METRO_AREA='Portland      ';
IF	METRO_AREA_N=18 THEN METRO_AREA='Riverside     ';
IF	METRO_AREA_N=19 THEN METRO_AREA='San Diego     ';



RUN;

*************************************************************************************************;                                                                                    

TITLE '2011_2002: 2002 (NOT PHOENIX AND RIVERSIDE) NEW BASE COUNT ESTIMATE (SUM OF FLCINCHWT), AND THE NEW RATIOS FOR EACH OF THE 5 NEW 
HOME GROUPS & METRO_AREA'; RUN;

PROC PRINT DATA=NEW_G NOOBS; VAR METRO_AREA NEW_GROUP NEW_BASECOUNT NEW_SUM_FLCINCHWT NEW_RATIO; RUN;

PROC SORT DATA=NEW_G; BY METRO_AREA_N NEW_GROUP; RUN;

*********************************************************************************************;

DATA ahs2011_2002_Other;  MERGE ahs2011_2002_Other NEW_G; BY METRO_AREA_N NEW_GROUP; RUN; 

DATA ahs2011_2002_Other; SET  ahs2011_2002_Other ; FLCINCHWT=FLCINCHWT*NEW_BASECOUNT/NEW_SUM_FLCINCHWT; RUN;

********************************************************************************************;

PROC SORT DATA=ahs2011_2002_Other; BY METRO_AREA NEW_GROUP; RUN;

TITLE '2011_2002:  WEIGHTED SUM OF FLCINCHWT FOR EACH OF THE 5 NEW HOME GROUPS AFTER ADJUSTING BY METRO_AREA'; RUN;

PROC MEANS DATA=ahs2011_2002_Other N SUM NOPRINT; VAR  FLCINCHWT ;OUTPUT OUT=F  SUM=SUM_FLCINCHWT; BY METRO_AREA NEW_GROUP;RUN;

PROC PRINT DATA=F NOOBS; VAR METRO_AREA NEW_GROUP  SUM_FLCINCHWT ; RUN;


********************************************************************************************;

DATA ahs2011_2002_OTHER; SET  ahs2011_2002_OTHER;   DROP METRO_AREA; RUN;
DATA ahs2011_2002_16_18; SET  ahs2011_2002_16_18; DROP METRO_AREA; RUN;

DATA AHS2011_2002_FORWARD; SET ahs2011_2002_OTHER ahs2011_2002_16_18;

IF	METRO_AREA_N=8  THEN METRO_AREA='Anaheim       ';				
IF	METRO_AREA_N=9  THEN METRO_AREA='Buffalo       ';				
IF	METRO_AREA_N=10 THEN METRO_AREA='Charlotte     ';				
IF	METRO_AREA_N=11 THEN METRO_AREA='Columbus      ';				
IF	METRO_AREA_N=12 THEN METRO_AREA='Dallas        ';				
IF	METRO_AREA_N=13 THEN METRO_AREA='Fort Worth    ';				
IF	METRO_AREA_N=14 THEN METRO_AREA='Kansas City   ';				
IF	METRO_AREA_N=15 THEN METRO_AREA='Milwaukee     ';				
IF	METRO_AREA_N=16 THEN METRO_AREA='Phoenix       ';				
IF	METRO_AREA_N=17 THEN METRO_AREA='Portland      ';				
IF	METRO_AREA_N=18 THEN METRO_AREA='Riverside     ';				
IF	METRO_AREA_N=19 THEN METRO_AREA='San Diego     ';				

RUN;







*************************************************************************************************************;


****************************************************************************************************;
****************************************************************************************************;

/* STEP 11a  FOR THE 2004 DATA *******/


DATA AHS2011_2004_FORWARD; SET AHS2011_2004_FORWARD;
DROP RATIO;
IF  IN04_NUNIT2='1'   THEN NEW_GROUP=1; /* Single family detached  */

IF  IN04_NUNIT2='2'   THEN NEW_GROUP=2; /* Single-family attached  */


IF  IN04_NUNIT2='3' & IN04_NUNITS IN('2','3','4') THEN NEW_GROUP=3; /* 2-4 Unit Structures  */

IF  IN04_NUNIT2='3' & IN04_NUNITS GE 5 THEN NEW_GROUP=4; /* 5+ Unit Structures  */

IF  IN04_NUNIT2='4' OR IN04_NUNIT2='5' THEN NEW_GROUP=5; /* Manufactured houses  */


IF NEW_GROUP=1 THEN NEW_GROUP_CATEGORY='1- Single family detached';


IF NEW_GROUP=2 THEN NEW_GROUP_CATEGORY='2_ Single-family attached';

       
IF NEW_GROUP=3 THEN NEW_GROUP_CATEGORY='3_ 2-4 Unit Structures   ';


IF NEW_GROUP=4 THEN NEW_GROUP_CATEGORY='4_ 5+ Unit Structures    ';

IF NEW_GROUP=5 THEN NEW_GROUP_CATEGORY='5_ Manufactured houses   ';

RUN;


TITLE 'UNWEIGHTED FREQ DIST OF AHS2011_2004_FORWARD; DATA BY TYPE OF HOME NEW GROUPS & Metro_area'; RUN;

PROC FREQ DATA=AHS2011_2004_FORWARD; TABLE METRO_AREA*NEW_GROUP_CATEGORY/missing NOCOL NOROW NOPERCENT; RUN;

PROC SORT DATA=AHS2011_2004_FORWARD;  BY METRO_AREA_N NEW_GROUP; RUN;


PROC MEANS DATA=AHS2011_2004_FORWARD N SUM NOPRINT; VAR FLCINCHWT; 
OUTPUT OUT=NEW_G SUM=NEW_SUM_FLCINCHWT; BY METRO_AREA_N NEW_GROUP;RUN;


DATA NEW_G; SET NEW_G ; 

IF METRO_AREA_N=	21	 AND NEW_GROUP=	1	THEN NEW_BASECOUNT=	1225800	;
IF METRO_AREA_N=	22	 AND NEW_GROUP=	1	THEN NEW_BASECOUNT=	576600	;
IF METRO_AREA_N=	23	 AND NEW_GROUP=	1	THEN NEW_BASECOUNT=	565600	;
IF METRO_AREA_N=	24	 AND NEW_GROUP=	1	THEN NEW_BASECOUNT=	520200	;
IF METRO_AREA_N=	25	 AND NEW_GROUP=	1	THEN NEW_BASECOUNT=	337700	;
IF METRO_AREA_N=	26	 AND NEW_GROUP=	1	THEN NEW_BASECOUNT=	709200	;
IF METRO_AREA_N=	27	 AND NEW_GROUP=	1	THEN NEW_BASECOUNT=	495300	;
IF METRO_AREA_N=	28	 AND NEW_GROUP=	1	THEN NEW_BASECOUNT=	782100	;
						
IF METRO_AREA_N=	21	 AND NEW_GROUP=	2	THEN NEW_BASECOUNT=	108900	;
IF METRO_AREA_N=	22	 AND NEW_GROUP=	2	THEN NEW_BASECOUNT=	42700	;
IF METRO_AREA_N=	23	 AND NEW_GROUP=	2	THEN NEW_BASECOUNT=	93400	;
IF METRO_AREA_N=	24	 AND NEW_GROUP=	2	THEN NEW_BASECOUNT=	38800	;
IF METRO_AREA_N=	25	 AND NEW_GROUP=	2	THEN NEW_BASECOUNT=	17400	;
IF METRO_AREA_N=	26	 AND NEW_GROUP=	2	THEN NEW_BASECOUNT=	86800	;
IF METRO_AREA_N=	27	 AND NEW_GROUP=	2	THEN NEW_BASECOUNT=	32000	;
IF METRO_AREA_N=	28	 AND NEW_GROUP=	2	THEN NEW_BASECOUNT=	50500	;
						
IF METRO_AREA_N=	21	 AND NEW_GROUP=	3	THEN NEW_BASECOUNT=	68500	;
IF METRO_AREA_N=	22	 AND NEW_GROUP=	3	THEN NEW_BASECOUNT=	79300	;
IF METRO_AREA_N=	23	 AND NEW_GROUP=	3	THEN NEW_BASECOUNT=	35300	;
IF METRO_AREA_N=	24	 AND NEW_GROUP=	3	THEN NEW_BASECOUNT=	43300	;
IF METRO_AREA_N=	25	 AND NEW_GROUP=	3	THEN NEW_BASECOUNT=	33900	;
IF METRO_AREA_N=	26	 AND NEW_GROUP=	3	THEN NEW_BASECOUNT=	96000	;
IF METRO_AREA_N=	27	 AND NEW_GROUP=	3	THEN NEW_BASECOUNT=	49000	;
IF METRO_AREA_N=	28	 AND NEW_GROUP=	3	THEN NEW_BASECOUNT=	115000	;
						
IF METRO_AREA_N=	21	 AND NEW_GROUP=	4	THEN NEW_BASECOUNT=	331900	;
IF METRO_AREA_N=	22	 AND NEW_GROUP=	4	THEN NEW_BASECOUNT=	143700	;
IF METRO_AREA_N=	23	 AND NEW_GROUP=	4	THEN NEW_BASECOUNT=	234700	;
IF METRO_AREA_N=	24	 AND NEW_GROUP=	4	THEN NEW_BASECOUNT=	115300	;
IF METRO_AREA_N=	25	 AND NEW_GROUP=	4	THEN NEW_BASECOUNT=	83900	;
IF METRO_AREA_N=	26	 AND NEW_GROUP=	4	THEN NEW_BASECOUNT=	120700	;
IF METRO_AREA_N=	27	 AND NEW_GROUP=	4	THEN NEW_BASECOUNT=	115000	;
IF METRO_AREA_N=	28	 AND NEW_GROUP=	4	THEN NEW_BASECOUNT=	139900	;
						
IF METRO_AREA_N=	21	 AND NEW_GROUP=	5	THEN NEW_BASECOUNT=	67600	;
IF METRO_AREA_N=	22	 AND NEW_GROUP=	5	THEN NEW_BASECOUNT=	13700	;
IF METRO_AREA_N=	23	 AND NEW_GROUP=	5	THEN NEW_BASECOUNT=	20100	;
IF METRO_AREA_N=	24	 AND NEW_GROUP=	5	THEN NEW_BASECOUNT=	27200	;
IF METRO_AREA_N=	25	 AND NEW_GROUP=	5	THEN NEW_BASECOUNT=	16400	;
IF METRO_AREA_N=	26	 AND NEW_GROUP=	5	THEN NEW_BASECOUNT=	56500	;
IF METRO_AREA_N=	27	 AND NEW_GROUP=	5	THEN NEW_BASECOUNT=	36300	;
IF METRO_AREA_N=	28	 AND NEW_GROUP=	5	THEN NEW_BASECOUNT=	52100	;


NEW_RATIO=NEW_BASECOUNT/NEW_SUM_FLCINCHWT;

IF	METRO_AREA_N=21 THEN	                                              METRO_AREA='Atlanta       ';
IF	METRO_AREA_N=22 THEN	                                              METRO_AREA='Cleveland     ';
IF	METRO_AREA_N=23 THEN	                                              METRO_AREA='Denver        ';
IF	METRO_AREA_N=24 THEN	                                              METRO_AREA='Indianapolis  ';
IF	METRO_AREA_N=25 THEN                                                  METRO_AREA='MemphiS       ';              
IF	METRO_AREA_N=26 THEN	                              		      METRO_AREA='Pittsburgh    ';
IF	METRO_AREA_N=27 THEN	                                              METRO_AREA='Sacramento    ';
IF	METRO_AREA_N=28 THEN  					              METRO_AREA='St. Louis     ';



RUN;

*************************************************************************************************;                                                                                    

TITLE '2011_2004:  2004 NEW BASE COUNT, ESTIMATE (SUM OF FLCINCHWT), AND THE NEW RATIOS FOR EACH OF THE 5 NEW 
HOME GROUPS & METRO_AREA'; RUN;

PROC PRINT DATA=NEW_G NOOBS; VAR METRO_AREA NEW_GROUP NEW_BASECOUNT NEW_SUM_FLCINCHWT NEW_RATIO; RUN;

PROC SORT DATA=NEW_G; BY METRO_AREA_N NEW_GROUP; RUN;

*********************************************************************************************;

DATA AHS2011_2004_FORWARD;  MERGE AHS2011_2004_FORWARD NEW_G; BY METRO_AREA_N NEW_GROUP; RUN; 

DATA AHS2011_2004_FORWARD; SET  AHS2011_2004_FORWARD ; FLCINCHWT=FLCINCHWT*NEW_BASECOUNT/NEW_SUM_FLCINCHWT; RUN;

********************************************************************************************;

PROC SORT DATA=AHS2011_2004_FORWARD; BY METRO_AREA NEW_GROUP; RUN;

TITLE '2011_2004:  WEIGHTED SUM OF FLCINCHWT FOR EACH OF THE 5 NEW HOME GROUPS AFTER ADJUSTING BY METRO_AREA'; RUN;

PROC MEANS DATA=AHS2011_2004_FORWARD N SUM NOPRINT; VAR  FLCINCHWT ;OUTPUT OUT=F  SUM=SUM_FLCINCHWT; BY METRO_AREA NEW_GROUP;RUN;

PROC PRINT DATA=F NOOBS; VAR METRO_AREA NEW_GROUP  SUM_FLCINCHWT ; RUN;


********************************************************************************************;







****************************************************************************************************;
****************************************************************************************************;

/* STEP 11a  FOR THE 2009 LOS ANGLES DATA *******/


DATA AHS2011_2009_FORWARD_LosAngles; SET AHS2011_2009_FORWARD_LosAngles;
DROP RATIO;
IF  IN09_NUNIT2='1'   THEN NEW_GROUP=1; /* Single family detached  */

IF  IN09_NUNIT2='2'   THEN NEW_GROUP=2; /* Single-family attached  */


IF  IN09_NUNIT2='3' & IN09_NUNITS IN('2','3','4') THEN NEW_GROUP=3; /* 2-4 Unit Structures  */

IF  IN09_NUNIT2='3' & IN09_NUNITS GE 5 THEN NEW_GROUP=4; /* 5+ Unit Structures  */

IF  IN09_NUNIT2='4' OR IN09_NUNIT2='5' THEN NEW_GROUP=5; /* Manufactured houses  */


IF NEW_GROUP=1 THEN NEW_GROUP_CATEGORY='1- Single family detached';


IF NEW_GROUP=2 THEN NEW_GROUP_CATEGORY='2_ Single-family attached';

       
IF NEW_GROUP=3 THEN NEW_GROUP_CATEGORY='3_ 2-4 Unit Structures   ';


IF NEW_GROUP=4 THEN NEW_GROUP_CATEGORY='4_ 5+ Unit Structures    ';

IF NEW_GROUP=5 THEN NEW_GROUP_CATEGORY='5_ Manufactured houses   ';

RUN;


TITLE 'UNWEIGHTED FREQ DIST OF AHS2011_2009_FORWARD_LosAngles; DATA BY TYPE OF HOME NEW GROUPS & Metro_area'; RUN;

PROC FREQ DATA=AHS2011_2009_FORWARD_LosAngles; TABLE METRO_AREA*NEW_GROUP_CATEGORY/missing NOCOL NOROW NOPERCENT; RUN;

PROC SORT DATA=AHS2011_2009_FORWARD_LosAngles;  BY METRO_AREA_N NEW_GROUP; RUN;


PROC MEANS DATA=AHS2011_2009_FORWARD_LosAngles N SUM NOPRINT; VAR FLCINCHWT; 
OUTPUT OUT=NEW_G SUM=NEW_SUM_FLCINCHWT; BY METRO_AREA_N NEW_GROUP;RUN;


DATA NEW_G; SET NEW_G ; 

IF METRO_AREA_N=	20	 AND NEW_GROUP=	1	THEN NEW_BASECOUNT=	1526394	;
IF METRO_AREA_N=	20	 AND NEW_GROUP=	2	THEN NEW_BASECOUNT=	157555	;
IF METRO_AREA_N=	20	 AND NEW_GROUP=	3	THEN NEW_BASECOUNT=	330213	;
IF METRO_AREA_N=	20	 AND NEW_GROUP=	4	THEN NEW_BASECOUNT=	1185560	;
IF METRO_AREA_N=	20	 AND NEW_GROUP=	5	THEN NEW_BASECOUNT=	21352	;


NEW_RATIO=NEW_BASECOUNT/NEW_SUM_FLCINCHWT;

METRO_AREA='Los Angeles	  ';

RUN;

*************************************************************************************************;                                                                                    

TITLE '2011_2009: 2009 LOS ANGLES NEW BASE COUNT, ESTIMATE (SUM OF FLCINCHWT), AND THE NEW RATIOS FOR EACH OF THE 5 NEW 
HOME GROUPS & METRO_AREA'; RUN;

PROC PRINT DATA=NEW_G NOOBS; VAR METRO_AREA NEW_GROUP NEW_BASECOUNT NEW_SUM_FLCINCHWT NEW_RATIO; RUN;

PROC SORT DATA=NEW_G; BY METRO_AREA_N NEW_GROUP; RUN;

*********************************************************************************************;

DATA AHS2011_2009_FORWARD_LosAngles;  MERGE AHS2011_2009_FORWARD_LosAngles NEW_G; BY METRO_AREA_N NEW_GROUP; RUN; 

DATA AHS2011_2009_FORWARD_LosAngles; SET  AHS2011_2009_FORWARD_LosAngles ; FLCINCHWT=FLCINCHWT*NEW_BASECOUNT/NEW_SUM_FLCINCHWT; RUN;

********************************************************************************************;

PROC SORT DATA=AHS2011_2009_FORWARD_LosAngles; BY METRO_AREA NEW_GROUP; RUN;

TITLE '2011_2009 LOS ANGLES:  WEIGHTED SUM OF FLCINCHWT FOR EACH OF THE 5 NEW HOME GROUPS AFTER ADJUSTING BY METRO_AREA'; RUN;

PROC MEANS DATA=AHS2011_2009_FORWARD_LosAngles N SUM NOPRINT; VAR  FLCINCHWT ;OUTPUT OUT=F  SUM=SUM_FLCINCHWT; BY METRO_AREA NEW_GROUP;RUN;

PROC PRINT DATA=F NOOBS; VAR METRO_AREA NEW_GROUP  SUM_FLCINCHWT ; RUN;


********************************************************************************************;








*************************************************************************************************************;


****************************************************************************************************;
****************************************************************************************************;

/* STEP 11a  FOR THE 2009 NEW ORLEANS DATA *******/


DATA AHS2011_2009_FORWARD_NEWORLEANS; SET AHS2011_2009_FORWARD_NEWORLEANS;
DROP RATIO;
IF  IN09_NUNIT2='1'   THEN NEW_GROUP=1; /* Single family detached  */

IF  IN09_NUNIT2='2'   THEN NEW_GROUP=2; /* Single-family attached  */


IF  IN09_NUNIT2='3' & IN09_NUNITS IN('2','3','4') THEN NEW_GROUP=3; /* 2-4 Unit Structures  */

IF  IN09_NUNIT2='3' & IN09_NUNITS GE 5 THEN NEW_GROUP=4; /* 5+ Unit Structures  */

IF  IN09_NUNIT2='4' OR IN09_NUNIT2='5' THEN NEW_GROUP=5; /* Manufactured houses  */


IF NEW_GROUP=1 THEN NEW_GROUP_CATEGORY='1- Single family detached';


IF NEW_GROUP=2 THEN NEW_GROUP_CATEGORY='2_ Single-family attached';

       
IF NEW_GROUP=3 THEN NEW_GROUP_CATEGORY='3_ 2-4 Unit Structures   ';


IF NEW_GROUP=4 THEN NEW_GROUP_CATEGORY='4_ 5+ Unit Structures    ';

IF NEW_GROUP=5 THEN NEW_GROUP_CATEGORY='5_ Manufactured houses   ';

RUN;


TITLE 'UNWEIGHTED FREQ DIST OF AHS2011_2009_FORWARD_NEWORLEANS; DATA BY TYPE OF HOME NEW GROUPS & Metro_area'; RUN;

PROC FREQ DATA=AHS2011_2009_FORWARD_NEWORLEANS; TABLE METRO_AREA*NEW_GROUP_CATEGORY/missing NOCOL NOROW NOPERCENT; RUN;

PROC SORT DATA=AHS2011_2009_FORWARD_NEWORLEANS;  BY METRO_AREA_N NEW_GROUP; RUN;


PROC MEANS DATA=AHS2011_2009_FORWARD_NEWORLEANS N SUM NOPRINT; VAR FLCINCHWT; 
OUTPUT OUT=NEW_G SUM=NEW_SUM_FLCINCHWT; BY METRO_AREA_N NEW_GROUP;RUN;


DATA NEW_G; SET NEW_G ; 

IF METRO_AREA_N=	29	 AND NEW_GROUP=	1	THEN NEW_BASECOUNT=	334600	;
IF METRO_AREA_N=	29	 AND NEW_GROUP=	2	THEN NEW_BASECOUNT=	30100	;
IF METRO_AREA_N=	29	 AND NEW_GROUP=	3	THEN NEW_BASECOUNT=	71100	;
IF METRO_AREA_N=	29	 AND NEW_GROUP=	4	THEN NEW_BASECOUNT=	59100	;
IF METRO_AREA_N=	29	 AND NEW_GROUP=	5	THEN NEW_BASECOUNT=	17700	;


NEW_RATIO=NEW_BASECOUNT/NEW_SUM_FLCINCHWT;

METRO_AREA='New Orleans	  ';

RUN;

*************************************************************************************************;                                                                                    

TITLE '2011_2009: 2009 NEW ORLEANS NEW BASE COUNT, ESTIMATE (SUM OF FLCINCHWT), AND THE NEW RATIOS FOR EACH OF THE 5 NEW 
HOME GROUPS & METRO_AREA'; RUN;

PROC PRINT DATA=NEW_G NOOBS; VAR METRO_AREA NEW_GROUP NEW_BASECOUNT NEW_SUM_FLCINCHWT NEW_RATIO; RUN;

PROC SORT DATA=NEW_G; BY METRO_AREA_N NEW_GROUP; RUN;

*********************************************************************************************;

DATA AHS2011_2009_FORWARD_NEWORLEANS;  MERGE AHS2011_2009_FORWARD_NEWORLEANS NEW_G; BY METRO_AREA_N NEW_GROUP; RUN; 

DATA AHS2011_2009_FORWARD_NEWORLEANS; SET  AHS2011_2009_FORWARD_NEWORLEANS ; FLCINCHWT=FLCINCHWT*NEW_BASECOUNT/NEW_SUM_FLCINCHWT; RUN;

********************************************************************************************;

PROC SORT DATA=AHS2011_2009_FORWARD_NEWORLEANS; BY METRO_AREA NEW_GROUP; RUN;

TITLE '2011_2009 NEW ORLEANS:  WEIGHTED SUM OF FLCINCHWT FOR EACH OF THE 5 NEW HOME GROUPS AFTER ADJUSTING BY METRO_AREA'; RUN;

PROC MEANS DATA=AHS2011_2009_FORWARD_NEWORLEANS N SUM NOPRINT; VAR  FLCINCHWT ;OUTPUT OUT=F  SUM=SUM_FLCINCHWT; BY METRO_AREA NEW_GROUP;RUN;

PROC PRINT DATA=F NOOBS; VAR METRO_AREA NEW_GROUP  SUM_FLCINCHWT ; RUN;


********************************************************************************************;








*************************************************************************************************************;



/* STEP 12 AND 13 FOR THE 1998 DATA *******/


DATA AHS2011_1998_FORWARD; SET AHS2011_1998_FORWARD;

IF  IN98_ISTATUS='1' AND IN98_TENURE='1'  THEN GROUP=3; /* Owner-Occupied  */



IF  IN98_ISTATUS='1' AND (IN98_TENURE='2' OR IN98_TENURE='3') THEN GROUP=4; /* Renter */



IF  (IN98_ISTATUS='2' OR IN98_ISTATUS='3') AND NOT(8 LE IN98_VACANCY LE 11)  THEN GROUP=5; /*vacant*/



IF  (IN98_ISTATUS='2' OR IN98_ISTATUS='3' ) AND (8 LE IN98_VACANCY LE 11)   THEN GROUP=6; /*Seasonal*/;



IF GROUP=3 THEN GROUP_CATEGORY='3-owner-occupied  ';


IF GROUP=4 THEN GROUP_CATEGORY='4_renter-occupied ';

       
IF GROUP=5 THEN GROUP_CATEGORY='5_vacant          ';


IF GROUP=6 THEN GROUP_CATEGORY='6_Seasonal        ';

RUN;


TITLE 'UNWEIGHTED FREQ DIST OF AHS2011_1998_FORWARD; DATA BY TYPE OF HOME GROUPS & Metro_area'; RUN;

PROC FREQ DATA=AHS2011_1998_FORWARD; TABLE METRO_AREA*GROUP_CATEGORY/missing NOCOL NOROW NOPERCENT; RUN;

PROC SORT DATA=AHS2011_1998_FORWARD;  BY METRO_AREA_N GROUP; RUN;


PROC MEANS DATA=AHS2011_1998_FORWARD N SUM NOPRINT; VAR FLCINCHWT; 
OUTPUT OUT=G SUM=SUM_FLCINCHWT; BY METRO_AREA_N GROUP;RUN;


DATA G; SET G ; 
IF GROUP=	3	 AND METRO_AREA_N=	1	THEN PUBLISHED=	252700	;
IF GROUP=	3	 AND METRO_AREA_N=	2	THEN PUBLISHED=	396300	;
IF GROUP=	3	 AND METRO_AREA_N=	3	THEN PUBLISHED=	508600	;
IF GROUP=	3	 AND METRO_AREA_N=	4	THEN PUBLISHED=	239900	;
IF GROUP=	3	 AND METRO_AREA_N=	5	THEN PUBLISHED=	323500	;
IF GROUP=	3	 AND METRO_AREA_N=	6	THEN PUBLISHED=	343800	;
IF GROUP=	3	 AND METRO_AREA_N=	7	THEN PUBLISHED=	353600	;
						
IF GROUP=	4	 AND METRO_AREA_N=	1	THEN PUBLISHED=	106100	;
IF GROUP=	4	 AND METRO_AREA_N=	2	THEN PUBLISHED=	196100	;
IF GROUP=	4	 AND METRO_AREA_N=	3	THEN PUBLISHED=	347100	;
IF GROUP=	4	 AND METRO_AREA_N=	4	THEN PUBLISHED=	139600	;
IF GROUP=	4	 AND METRO_AREA_N=	5	THEN PUBLISHED=	339800	;
IF GROUP=	4	 AND METRO_AREA_N=	6	THEN PUBLISHED=	222100	;
IF GROUP=	4	 AND METRO_AREA_N=	7	THEN PUBLISHED=	210400	;
						
IF GROUP=	5	 AND METRO_AREA_N=	1	THEN PUBLISHED=	32200	;
IF GROUP=	5	 AND METRO_AREA_N=	2	THEN PUBLISHED=	52800	;
IF GROUP=	5	 AND METRO_AREA_N=	3	THEN PUBLISHED=	37600	;
IF GROUP=	5	 AND METRO_AREA_N=	4	THEN PUBLISHED=	28600	;
IF GROUP=	5	 AND METRO_AREA_N=	5	THEN PUBLISHED=	35000	;
IF GROUP=	5	 AND METRO_AREA_N=	6	THEN PUBLISHED=	24500	;
IF GROUP=	5	 AND METRO_AREA_N=	7	THEN PUBLISHED=	61600	;
						
IF GROUP=	6	 AND METRO_AREA_N=	1	THEN PUBLISHED=	3100	;
IF GROUP=	6	 AND METRO_AREA_N=	2	THEN PUBLISHED=	2300	;
IF GROUP=	6	 AND METRO_AREA_N=	3	THEN PUBLISHED=	1800	;
IF GROUP=	6	 AND METRO_AREA_N=	4	THEN PUBLISHED=	7300	;
IF GROUP=	6	 AND METRO_AREA_N=	5	THEN PUBLISHED=	2000	;
IF GROUP=	6	 AND METRO_AREA_N=	6	THEN PUBLISHED=	500	;
IF GROUP=	6	 AND METRO_AREA_N=	7	THEN PUBLISHED=	6500	;


IF	METRO_AREA_N=1  THEN METRO_AREA='Birmingham    ';
IF	METRO_AREA_N=2  THEN METRO_AREA='Cincinnati    ';
IF	METRO_AREA_N=3  THEN METRO_AREA='Oakland       ';
IF	METRO_AREA_N=4  THEN METRO_AREA='Providence    ';
IF      METRO_AREA_N=5  THEN METRO_AREA='San Francisco ';
IF	METRO_AREA_N=6  THEN METRO_AREA='San Jose      ';
IF      METRO_AREA_N=7  THEN METRO_AREA='Virginia Beach';


RATIO=PUBLISHED/SUM_FLCINCHWT;RUN;


*************************************************************************************************;                                                                                    

TITLE '2011_1998: 1998-PUBLISHED, ESTIMATE (SUM OF FLCINCHWT), AND THE RATIOS FOR EACH OF THE 4 HOME GROUPS & METRO_AREA'; RUN;

PROC PRINT DATA=G NOOBS; VAR METRO_AREA GROUP PUBLISHED SUM_FLCINCHWT RATIO; RUN;

PROC SORT DATA=G; BY METRO_AREA_N GROUP; RUN;

*********************************************************************************************;

DATA AHS2011_1998_FORWARD;  MERGE AHS2011_1998_FORWARD G; BY METRO_AREA_N GROUP; RUN; 

DATA AHS2011_1998_FORWARD; SET  AHS2011_1998_FORWARD ; FLCINCHWT=FLCINCHWT*PUBLISHED/SUM_FLCINCHWT; RUN;

********************************************************************************************;

PROC SORT DATA=AHS2011_1998_FORWARD; BY METRO_AREA GROUP; RUN;

TITLE '2011_1998: COUNT AND WEIGHTED SUM OF FLCINCHWT FOR EACH OF THE 4 HOME GROUPS AFTER ADJUSTING BY METRO_AREA'; RUN;

PROC MEANS DATA=AHS2011_1998_FORWARD N SUM NOPRINT; VAR  FLCINCHWT ;OUTPUT OUT=H N=N SUM=SUM_FLCINCHWT; BY METRO_AREA GROUP;RUN;

PROC PRINT DATA=H NOOBS; VAR METRO_AREA GROUP N SUM_FLCINCHWT ; RUN;


********************************************************************************************;
********************************************************************************************;


/***************** STEP 12 FOR Phoenix   ****************/


DATA ahs2011_2002_Phoenix; SET AHS2011_2002_FORWARD;IF METRO_AREA_N=16;

 
IF  IN02_ISTATUS='1' AND IN02_TENURE='1' AND  IN02_NUNIT2 = '4'                    
THEN GROUP=3; /*owner-occupied mobile homes*/

IF  IN02_ISTATUS='1' AND IN02_TENURE='1' AND  NOT(IN02_NUNIT2 = '4')                    
THEN GROUP=4; /*owner-occupied other homes*/


IF  IN02_ISTATUS='1' AND (IN02_TENURE='2' OR IN02_TENURE='3') AND IN02_NUNIT2 = '4'
THEN GROUP=5; /*renter-occupied mobile homes */

IF  IN02_ISTATUS='1' AND (IN02_TENURE='2' OR IN02_TENURE='3') AND NOT(IN02_NUNIT2 = '4')
THEN GROUP=6; /*renter-occupied other homes */


IF  (IN02_ISTATUS='2' OR IN02_ISTATUS='3') AND 
NOT(8 LE IN02_VACANCY LE 11) AND  IN02_NUNIT2 = '4' THEN GROUP=7; /*vacant mobile homes*/

IF  (IN02_ISTATUS='2' OR IN02_ISTATUS='3') AND 
NOT(8 LE IN02_VACANCY LE 11) AND NOT(IN02_NUNIT2 = '4') THEN GROUP=8; /*vacant other homes*/


IF  (IN02_ISTATUS='2' OR IN02_ISTATUS='3' ) AND 
(8 LE IN02_VACANCY LE 11)  AND  IN02_NUNIT2 = '4' THEN GROUP=9; /*Seasonal mobile homes*/;

IF  (IN02_ISTATUS='2' OR IN02_ISTATUS='3' ) AND 
(8 LE IN02_VACANCY LE 11)  AND  NOT(IN02_NUNIT2 = '4') THEN GROUP=10; /*Seasonal other homes*/;


IF GROUP=3 THEN GROUP_CATEGORY='3-owner-occupied mobile homes ';
IF GROUP=4 THEN GROUP_CATEGORY='4_owner-occupied other homes  ';

IF GROUP=5 THEN GROUP_CATEGORY='5_renter-occupied mobile homes';
IF GROUP=6 THEN GROUP_CATEGORY='6_renter-occupied other homes ';
       
IF GROUP=7 THEN GROUP_CATEGORY='7_vacant mobile homes         ';
IF GROUP=8 THEN GROUP_CATEGORY='8_vacant other homes          ';


IF GROUP=9  THEN GROUP_CATEGORY='91_Seasonal mobile homes       ';
IF GROUP=10 THEN GROUP_CATEGORY='92_Seasonal other homes        ';
RUN;


*************************************************************************************************;                                                                                    

TITLE 'UNWEIGHTED FREQ DIST OF AHS2011_2002_FORWARD_Phoenix DATA BY TYPE OF HOME GROUPS'; RUN;

PROC FREQ DATA=ahs2011_2002_Phoenix; TABLE GROUP_CATEGORY/missing; RUN;

PROC SORT DATA=ahs2011_2002_Phoenix ; BY GROUP; RUN;


PROC MEANS DATA=ahs2011_2002_Phoenix N SUM NOPRINT; VAR FLCINCHWT; OUTPUT OUT=G SUM=SUM_FLCINCHWT;BY GROUP; RUN;


DATA G; SET G ; 
IF GROUP=3 THEN PUBLISHED=60700;

IF GROUP=4 THEN PUBLISHED=749600;

IF GROUP=5 THEN PUBLISHED=13200;

IF GROUP=6 THEN PUBLISHED=342200;

IF GROUP=7 THEN PUBLISHED=16700;

IF GROUP=8 THEN PUBLISHED=133900;

IF GROUP=9 THEN PUBLISHED=11500;

IF GROUP=10 THEN PUBLISHED=12500;

METRO_AREA='Phoenix       ';

RATIO=PUBLISHED/SUM_FLCINCHWT;RUN;


*************************************************************************************************;                                                                                    

TITLE '2011_2002_Phoenix: 2002-PUBLISHED, ESTIMATE (SUM OF FLCINCHWT), AND THE RATIOS FOR EACH OF THE 8 HOME GROUPS'; RUN;

PROC PRINT DATA=G NOOBS; VAR METRO_AREA GROUP PUBLISHED SUM_FLCINCHWT RATIO; RUN;

PROC SORT DATA=G; BY GROUP; RUN;

*********************************************************************************************;

DATA ahs2011_2002_Phoenix ; MERGE ahs2011_2002_Phoenix G; BY GROUP; RUN; 

DATA ahs2011_2002_Phoenix; SET ahs2011_2002_Phoenix;FLCINCHWT=FLCINCHWT*PUBLISHED/SUM_FLCINCHWT; RUN;

********************************************************************************************;

PROC SORT DATA=ahs2011_2002_Phoenix; BY GROUP; RUN;

TITLE '2011_2002_Phoenix: COUNT AND WEIGHTED SUM FOR EACH OF THE 8 HOME GROUPS AFTER ADJUSTING'; RUN;

PROC MEANS DATA=ahs2011_2002_Phoenix N SUM NOPRINT; VAR  FLCINCHWT ; OUTPUT OUT=H N=N SUM=SUM_FLCINCHWT; BY  GROUP;  RUN;

PROC PRINT DATA=H NOOBS;VAR  GROUP N SUM_FLCINCHWT;RUN;




********************************************************************************************;
********************************************************************************************;



/***** STEP 12 & 13 FOR RIVERSIDE****/

DATA ahs2011_2002_Riverside; SET AHS2011_2002_FORWARD;IF METRO_AREA_N=18;



IF  IN02_ISTATUS='1' AND IN02_TENURE='1' AND  IN02_NUNIT2 = '4'                    
THEN GROUP=3; /*owner-occupied mobile homes*/

IF  IN02_ISTATUS='1' AND IN02_TENURE='1' AND  NOT(IN02_NUNIT2 = '4')                    
THEN GROUP=4; /*owner-occupied other homes*/


IF  IN02_ISTATUS='1' AND (IN02_TENURE='2' OR IN02_TENURE='3') AND IN02_NUNIT2 = '4'
THEN GROUP=5; /*renter-occupied mobile homes */

IF  IN02_ISTATUS='1' AND (IN02_TENURE='2' OR IN02_TENURE='3') AND NOT(IN02_NUNIT2 = '4')
THEN GROUP=6; /*renter-occupied other homes */


IF  (IN02_ISTATUS='2' OR IN02_ISTATUS='3') AND 
NOT(8 LE IN02_VACANCY LE 11) AND  IN02_NUNIT2 = '4' THEN GROUP=7; /*vacant mobile homes*/

IF  (IN02_ISTATUS='2' OR IN02_ISTATUS='3') AND 
NOT(8 LE IN02_VACANCY LE 11) AND NOT(IN02_NUNIT2 = '4') THEN GROUP=8; /*vacant other homes*/


IF  (IN02_ISTATUS='2' OR IN02_ISTATUS='3' ) AND 
(8 LE IN02_VACANCY LE 11)  AND  IN02_NUNIT2 = '4' THEN GROUP=9; /*Seasonal mobile homes*/;

IF  (IN02_ISTATUS='2' OR IN02_ISTATUS='3' ) AND 
(8 LE IN02_VACANCY LE 11)  AND  NOT(IN02_NUNIT2 = '4') THEN GROUP=10; /*Seasonal other homes*/;


IF GROUP=3 THEN GROUP_CATEGORY='3-owner-occupied mobile homes ';
IF GROUP=4 THEN GROUP_CATEGORY='4_owner-occupied other homes  ';

IF GROUP=5 THEN GROUP_CATEGORY='5_renter-occupied mobile homes';
IF GROUP=6 THEN GROUP_CATEGORY='6_renter-occupied other homes ';
       
IF GROUP=7 THEN GROUP_CATEGORY='7_vacant mobile homes         ';
IF GROUP=8 THEN GROUP_CATEGORY='8_vacant other homes          ';


IF GROUP=9  THEN GROUP_CATEGORY='91_Seasonal mobile homes       ';
IF GROUP=10 THEN GROUP_CATEGORY='92_Seasonal other homes        ';
RUN;


*************************************************************************************************;                                                                                    

TITLE 'UNWEIGHTED FREQ DIST OF AHS2011_2002_FORWARD_Riverside DATA BY TYPE OF HOME GROUPS'; RUN;

PROC FREQ DATA=ahs2011_2002_Riverside; TABLE GROUP_CATEGORY/missing; RUN;

PROC SORT DATA=ahs2011_2002_Riverside ; BY GROUP; RUN;


PROC MEANS DATA=ahs2011_2002_Riverside N SUM NOPRINT; VAR FLCINCHWT; 
OUTPUT OUT=G SUM=SUM_FLCINCHWT; BY GROUP;RUN;


DATA G; SET G ; 
IF GROUP=3 THEN PUBLISHED=93200;

IF GROUP=4 THEN PUBLISHED=673500;

IF GROUP=5 THEN PUBLISHED=16000;

IF GROUP=6 THEN PUBLISHED=301200;

IF GROUP=7 THEN PUBLISHED=7700;

IF GROUP=8 THEN PUBLISHED=95900;

IF GROUP=9 THEN PUBLISHED=5800;

IF GROUP=10 THEN PUBLISHED=36100;

METRO_AREA='Riverside     ';


RATIO=PUBLISHED/SUM_FLCINCHWT;RUN;


*************************************************************************************************;                                                                                    

TITLE '2011_2002_Riverside: 2002-PUBLISHED, ESTIMATE (SUM OF FLCINCHWT), AND THE RATIOS FOR EACH OF THE 8 HOME GROUPS'; RUN;

PROC PRINT DATA=G NOOBS; VAR METRO_AREA GROUP PUBLISHED SUM_FLCINCHWT RATIO; RUN;

PROC SORT DATA=G; BY GROUP; RUN;

*********************************************************************************************;

DATA ahs2011_2002_Riverside ; MERGE ahs2011_2002_Riverside G; BY GROUP; RUN; 

DATA ahs2011_2002_Riverside; SET  ahs2011_2002_Riverside;FLCINCHWT=FLCINCHWT*PUBLISHED/SUM_FLCINCHWT; RUN;

********************************************************************************************;

PROC SORT DATA=ahs2011_2002_Riverside; BY METRO_AREA GROUP; RUN;

TITLE '2011_2002_Riverside: COUNT AND WEIGHTED SUM FOR EACH OF THE 8 HOME GROUPS AFTER ADJUSTING'; RUN;

PROC MEANS DATA=ahs2011_2002_Riverside N SUM NOPRINT; VAR  FLCINCHWT ;OUTPUT OUT=H N=N SUM=SUM_FLCINCHWT; BY METRO_AREA GROUP;RUN;

PROC PRINT DATA=H NOOBS;VAR METRO_AREA GROUP N SUM_FLCINCHWT;RUN;



********************************************************************************************;
********************************************************************************************;






/* STEP 12 AND 13 FOR THE 2002 DATA  OTHER THAN Phoenix and Riverside *******/


DATA ahs2011_2002_Other; SET  AHS2011_2002_FORWARD; IF METRO_AREA_N NOT IN(16,18);RUN;


DATA ahs2011_2002_Other; SET ahs2011_2002_Other;


IF  IN02_ISTATUS='1' AND IN02_TENURE='1'  THEN GROUP=3; /* Owner-Occupied  */



IF  IN02_ISTATUS='1' AND (IN02_TENURE='2' OR IN02_TENURE='3') 
THEN GROUP=4; /* Renter */



IF  (IN02_ISTATUS='2' OR IN02_ISTATUS='3') AND NOT(8 LE IN02_VACANCY LE 11)  THEN GROUP=5; /*vacant*/



IF  (IN02_ISTATUS='2' OR IN02_ISTATUS='3' ) AND (8 LE IN02_VACANCY LE 11)   THEN GROUP=6; /*Seasonal*/;



IF GROUP=3 THEN GROUP_CATEGORY='3-owner-occupied  ';


IF GROUP=4 THEN GROUP_CATEGORY='4_renter-occupied ';

       
IF GROUP=5 THEN GROUP_CATEGORY='5_vacant          ';


IF GROUP=6 THEN GROUP_CATEGORY='6_Seasonal        ';

RUN;



TITLE 'UNWEIGHTED FREQ DIST OF ahs2011_2002_Other; DATA BY TYPE OF HOME GROUPS & Metro_area'; RUN;

PROC FREQ DATA=ahs2011_2002_Other;; TABLE METRO_AREA*GROUP_CATEGORY/missing NOCOL NOROW NOPERCENT; RUN;

PROC SORT DATA=ahs2011_2002_Other; ; BY METRO_AREA_N GROUP; RUN;


PROC MEANS DATA=ahs2011_2002_Other N SUM NOPRINT; VAR FLCINCHWT; 
OUTPUT OUT=G SUM=SUM_FLCINCHWT;BY METRO_AREA_N GROUP; RUN;


DATA G; SET G ; 

IF GROUP=	3	 AND METRO_AREA_N=	8	THEN PUBLISHED=	597400	;
IF GROUP=	3	 AND METRO_AREA_N=	9	THEN PUBLISHED=	314100	;
IF GROUP=	3	 AND METRO_AREA_N=	10	THEN PUBLISHED=	424200	;
IF GROUP=	3	 AND METRO_AREA_N=	11	THEN PUBLISHED=	401400	;
IF GROUP=	3	 AND METRO_AREA_N=	12	THEN PUBLISHED=	784100	;
IF GROUP=	3	 AND METRO_AREA_N=	13	THEN PUBLISHED=	392800	;
IF GROUP=	3	 AND METRO_AREA_N=	14	THEN PUBLISHED=	487100	;
IF GROUP=	3	 AND METRO_AREA_N=	15	THEN PUBLISHED=	371500	;
IF GROUP=	3	 AND METRO_AREA_N=	17	THEN PUBLISHED=	497600	;
IF GROUP=	3	 AND METRO_AREA_N=	19	THEN PUBLISHED=	586000	;
						
IF GROUP=	4	 AND METRO_AREA_N=	8	THEN PUBLISHED=	340200	;
IF GROUP=	4	 AND METRO_AREA_N=	9	THEN PUBLISHED=	147200	;
IF GROUP=	4	 AND METRO_AREA_N=	10	THEN PUBLISHED=	169500	;
IF GROUP=	4	 AND METRO_AREA_N=	11	THEN PUBLISHED=	211800	;
IF GROUP=	4	 AND METRO_AREA_N=	12	THEN PUBLISHED=	451200	;
IF GROUP=	4	 AND METRO_AREA_N=	13	THEN PUBLISHED=	193100	;
IF GROUP=	4	 AND METRO_AREA_N=	14	THEN PUBLISHED=	210300	;
IF GROUP=	4	 AND METRO_AREA_N=	15	THEN PUBLISHED=	213100	;
IF GROUP=	4	 AND METRO_AREA_N=	17	THEN PUBLISHED=	250200	;
IF GROUP=	4	 AND METRO_AREA_N=	19	THEN PUBLISHED=	413100	;
						
IF GROUP=	5	 AND METRO_AREA_N=	8	THEN PUBLISHED=	51900	;
IF GROUP=	5	 AND METRO_AREA_N=	9	THEN PUBLISHED=	50800	;
IF GROUP=	5	 AND METRO_AREA_N=	10	THEN PUBLISHED=	72000	;
IF GROUP=	5	 AND METRO_AREA_N=	11	THEN PUBLISHED=	67600	;
IF GROUP=	5	 AND METRO_AREA_N=	12	THEN PUBLISHED=	127900	;
IF GROUP=	5	 AND METRO_AREA_N=	13	THEN PUBLISHED=	51700	;
IF GROUP=	5	 AND METRO_AREA_N=	14	THEN PUBLISHED=	67300	;
IF GROUP=	5	 AND METRO_AREA_N=	15	THEN PUBLISHED=	40500	;
IF GROUP=	5	 AND METRO_AREA_N=	17	THEN PUBLISHED=	61500	;
IF GROUP=	5	 AND METRO_AREA_N=	19	THEN PUBLISHED=	67100	;
						
IF GROUP=	6	 AND METRO_AREA_N=	8	THEN PUBLISHED=	6200	;
IF GROUP=	6	 AND METRO_AREA_N=	9	THEN PUBLISHED=	3400	;
IF GROUP=	6	 AND METRO_AREA_N=	10	THEN PUBLISHED=	2100	;
IF GROUP=	6	 AND METRO_AREA_N=	11	THEN PUBLISHED=	1800	;
IF GROUP=	6	 AND METRO_AREA_N=	12	THEN PUBLISHED=	2300	;
IF GROUP=	6	 AND METRO_AREA_N=	13	THEN PUBLISHED=	1800	;
IF GROUP=	6	 AND METRO_AREA_N=	14	THEN PUBLISHED=	1700	;
IF GROUP=	6	 AND METRO_AREA_N=	15	THEN PUBLISHED=	1400	;
IF GROUP=	6	 AND METRO_AREA_N=	17	THEN PUBLISHED=	2500	;
IF GROUP=	6	 AND METRO_AREA_N=	19	THEN PUBLISHED=	5800	;

IF	METRO_AREA_N=8  THEN METRO_AREA='Anaheim       ';
IF	METRO_AREA_N=9  THEN METRO_AREA='Buffalo       ';
IF	METRO_AREA_N=10 THEN METRO_AREA='Charlotte     ';
IF	METRO_AREA_N=11 THEN METRO_AREA='Columbus      ';
IF	METRO_AREA_N=12 THEN METRO_AREA='Dallas        ';
IF	METRO_AREA_N=13 THEN METRO_AREA='Fort Worth    ';
IF	METRO_AREA_N=14 THEN METRO_AREA='Kansas City   ';
IF	METRO_AREA_N=15 THEN METRO_AREA='Milwaukee     ';

IF	METRO_AREA_N=17 THEN METRO_AREA='Portland      ';
IF	METRO_AREA_N=19 THEN METRO_AREA='San Diego     ';



RATIO=PUBLISHED/SUM_FLCINCHWT;RUN;


*************************************************************************************************;                                                                                    

TITLE '2011_2002_Other: 2002-PUBLISHED, ESTIMATE (SUM OF FLCINCHWT), AND THE RATIOS FOR EACH OF THE 4 HOME GROUPS'; RUN;

PROC PRINT DATA=G NOOBS; VAR METRO_AREA GROUP PUBLISHED SUM_FLCINCHWT RATIO; RUN;

PROC SORT DATA=G; BY METRO_AREA_N GROUP; RUN;

*********************************************************************************************;

DATA ahs2011_2002_Other; ; MERGE ahs2011_2002_Other G; BY METRO_AREA_N GROUP; RUN; 

DATA ahs2011_2002_Other; SET  ahs2011_2002_Other ; FLCINCHWT=FLCINCHWT*PUBLISHED/SUM_FLCINCHWT; RUN;

********************************************************************************************;

PROC SORT DATA=ahs2011_2002_Other; BY METRO_AREA GROUP; RUN;

TITLE '2011_2002_OTHER: COUNT AND WEIGHTED SUM OF FLCINCHWT FOR EACH OF THE 4 HOME GROUPS AFTER ADJUSTING BY METRO_AREA'; RUN;

PROC MEANS DATA=ahs2011_2002_OTHER N SUM NOPRINT; VAR  FLCINCHWT ;OUTPUT OUT=H N=N SUM=SUM_FLCINCHWT; BY METRO_AREA GROUP;RUN;

PROC PRINT DATA=H NOOBS; VAR METRO_AREA GROUP N SUM_FLCINCHWT ; RUN;



********************************************************************************************;
********************************************************************************************;



/* STEP 12 AND 13 FOR THE 2004 DATA *******/


DATA AHS2011_2004_FORWARD; SET AHS2011_2004_FORWARD;

IF  IN04_ISTATUS='1' AND IN04_TENURE='1'  THEN GROUP=3; /* Owner-Occupied  */



IF  IN04_ISTATUS='1' AND (IN04_TENURE='2' OR IN04_TENURE='3') 
THEN GROUP=4; /* Renter */



IF  (IN04_ISTATUS='2' OR IN04_ISTATUS='3') AND NOT(8 LE IN04_VACANCY LE 11)  THEN GROUP=5; /*vacant*/



IF  (IN04_ISTATUS='2' OR IN04_ISTATUS='3' ) AND (8 LE IN04_VACANCY LE 11)   THEN GROUP=6; /*Seasonal*/;



IF GROUP=3 THEN GROUP_CATEGORY='3-owner-occupied  ';


IF GROUP=4 THEN GROUP_CATEGORY='4_renter-occupied ';

       
IF GROUP=5 THEN GROUP_CATEGORY='5_vacant          ';


IF GROUP=6 THEN GROUP_CATEGORY='6_Seasonal        ';

RUN;






TITLE 'UNWEIGHTED FREQ DIST OF AHS2011_2004_FORWARD; DATA BY TYPE OF HOME GROUPS & Metro_area'; RUN;

PROC FREQ DATA=AHS2011_2004_FORWARD;; TABLE METRO_AREA*GROUP_CATEGORY/missing NOCOL NOROW NOPERCENT; RUN;

PROC SORT DATA=AHS2011_2004_FORWARD; ; BY METRO_AREA_N GROUP; RUN;


PROC MEANS DATA=AHS2011_2004_FORWARD N SUM NOPRINT; VAR FLCINCHWT; OUTPUT OUT=G SUM=SUM_FLCINCHWT; BY METRO_AREA_N GROUP;
RUN;


DATA G; SET G ; 

IF GROUP=	3	 AND METRO_AREA_N=	21	THEN PUBLISHED=	1133500	;
IF GROUP=	3	 AND METRO_AREA_N=	22	THEN PUBLISHED=	545500	;
IF GROUP=	3	 AND METRO_AREA_N=	23	THEN PUBLISHED=	600600	;
IF GROUP=	3	 AND METRO_AREA_N=	24	THEN PUBLISHED=	469800	;
IF GROUP=	3	 AND METRO_AREA_N=	25	THEN PUBLISHED=	287500	;
IF GROUP=	3	 AND METRO_AREA_N=	26	THEN PUBLISHED=	705800	;
IF GROUP=	3	 AND METRO_AREA_N=	27	THEN PUBLISHED=	450600	;
IF GROUP=	3	 AND METRO_AREA_N=	28	THEN PUBLISHED=	750400	;
						
IF GROUP=	4	 AND METRO_AREA_N=	21	THEN PUBLISHED=	462300	;
IF GROUP=	4	 AND METRO_AREA_N=	22	THEN PUBLISHED=	223800	;
IF GROUP=	4	 AND METRO_AREA_N=	23	THEN PUBLISHED=	255100	;
IF GROUP=	4	 AND METRO_AREA_N=	24	THEN PUBLISHED=	187900	;
IF GROUP=	4	 AND METRO_AREA_N=	25	THEN PUBLISHED=	143200	;
IF GROUP=	4	 AND METRO_AREA_N=	26	THEN PUBLISHED=	248100	;
IF GROUP=	4	 AND METRO_AREA_N=	27	THEN PUBLISHED=	218900	;
IF GROUP=	4	 AND METRO_AREA_N=	28	THEN PUBLISHED=	279000	;
						
IF GROUP=	5	 AND METRO_AREA_N=	21	THEN PUBLISHED=	203200	;
IF GROUP=	5	 AND METRO_AREA_N=	22	THEN PUBLISHED=	86400	;
IF GROUP=	5	 AND METRO_AREA_N=	23	THEN PUBLISHED=	91000	;
IF GROUP=	5	 AND METRO_AREA_N=	24	THEN PUBLISHED=	86100	;
IF GROUP=	5	 AND METRO_AREA_N=	25	THEN PUBLISHED=	57300	;
IF GROUP=	5	 AND METRO_AREA_N=	26	THEN PUBLISHED=	111800	;
IF GROUP=	5	 AND METRO_AREA_N=	27	THEN PUBLISHED=	53300	;
IF GROUP=	5	 AND METRO_AREA_N=	28	THEN PUBLISHED=	105200	;
						
IF GROUP=	6	 AND METRO_AREA_N=	21	THEN PUBLISHED=	3800	;
IF GROUP=	6	 AND METRO_AREA_N=	22	THEN PUBLISHED=	400	;
IF GROUP=	6	 AND METRO_AREA_N=	23	THEN PUBLISHED=	2400	;
IF GROUP=	6	 AND METRO_AREA_N=	24	THEN PUBLISHED=	1200	;
IF GROUP=	6	 AND METRO_AREA_N=	25	THEN PUBLISHED=	1200	;
IF GROUP=	6	 AND METRO_AREA_N=	26	THEN PUBLISHED=	3500	;
IF GROUP=	6	 AND METRO_AREA_N=	27	THEN PUBLISHED=	4700	;
IF GROUP=	6	 AND METRO_AREA_N=	28	THEN PUBLISHED=	5100	;

IF	METRO_AREA_N=21 THEN	                                              METRO_AREA='Atlanta       ';
IF	METRO_AREA_N=22 THEN	                                              METRO_AREA='Cleveland     ';
IF	METRO_AREA_N=23 THEN	                                              METRO_AREA='Denver        ';
IF	METRO_AREA_N=24 THEN	                                              METRO_AREA='Indianapolis  ';
IF	METRO_AREA_N=25 THEN                                                  METRO_AREA='MemphiS       ';              
IF	METRO_AREA_N=26 THEN	                              		      METRO_AREA='Pittsburgh    ';
IF	METRO_AREA_N=27 THEN	                                              METRO_AREA='Sacramento    ';
IF	METRO_AREA_N=28 THEN  					              METRO_AREA='St. Louis     ';

RATIO=PUBLISHED/SUM_FLCINCHWT;RUN;


*************************************************************************************************;                                                                                    

TITLE '2011_2004: 2004-PUBLISHED, ESTIMATE (SUM OF FLCINCHWT), AND THE RATIOS FOR EACH OF THE 4 HOME GROUPS BY METRO_AREA'; RUN;

PROC PRINT DATA=G NOOBS; VAR METRO_AREA GROUP PUBLISHED SUM_FLCINCHWT RATIO; RUN;

PROC SORT DATA=G; BY METRO_AREA_N GROUP; RUN;

*********************************************************************************************;

DATA AHS2011_2004_FORWARD; ; MERGE AHS2011_2004_FORWARD G; BY METRO_AREA_N GROUP; RUN; 

DATA AHS2011_2004_FORWARD;; SET  AHS2011_2004_FORWARD ; FLCINCHWT=FLCINCHWT*PUBLISHED/SUM_FLCINCHWT; RUN;

********************************************************************************************;


PROC SORT DATA=AHS2011_2004_FORWARD; BY METRO_AREA GROUP; RUN;

TITLE '2011_2004: COUNT AND WEIGHTED SUM OF FLCINCHWT FOR EACH OF THE 4 HOME GROUPS AFTER ADJUSTING BY METRO_AREA'; RUN;

PROC MEANS DATA=AHS2011_2004_FORWARD N SUM NOPRINT; VAR  FLCINCHWT ;OUTPUT OUT=H N=N SUM=SUM_FLCINCHWT; BY METRO_AREA GROUP;RUN;

PROC PRINT DATA=H NOOBS; VAR METRO_AREA GROUP N SUM_FLCINCHWT ; RUN;



********************************************************************************************;
********************************************************************************************;



/* STEP 12 AND 13 FOR THE 2009 LosAngles DATA *******/


DATA AHS2011_2009_FORWARD_LosAngles; SET AHS2011_2009_FORWARD_LosAngles;


IF  IN09_ISTATUS='1' AND IN09_TENURE='1'  THEN GROUP=3; /* Owner-Occupied  */



IF  IN09_ISTATUS='1' AND (IN09_TENURE='2' OR IN09_TENURE='3') 
THEN GROUP=4; /* Renter */



IF  (IN09_ISTATUS='2' OR IN09_ISTATUS='3') AND NOT(8 LE IN09_VACANCY LE 11)  THEN GROUP=5; /*vacant*/



IF  (IN09_ISTATUS='2' OR IN09_ISTATUS='3' ) AND (8 LE IN09_VACANCY LE 11)   THEN GROUP=6; /*Seasonal*/;



IF GROUP=3 THEN GROUP_CATEGORY='3-owner-occupied  ';


IF GROUP=4 THEN GROUP_CATEGORY='4_renter-occupied ';

       
IF GROUP=5 THEN GROUP_CATEGORY='5_vacant          ';


IF GROUP=6 THEN GROUP_CATEGORY='6_Seasonal        ';

RUN;


TITLE 'UNWEIGHTED FREQ DIST OF AHS2011_2009_FORWARD_LosAngles; DATA BY TYPE OF HOME GROUPS'; RUN;

PROC FREQ DATA=AHS2011_2009_FORWARD_LosAngles;; TABLE METRO_AREA*GROUP_CATEGORY/missing NOCOL NOROW NOPERCENT; RUN;

PROC SORT DATA=AHS2011_2009_FORWARD_LosAngles; ; BY METRO_AREA_N GROUP; RUN;


PROC MEANS DATA=AHS2011_2009_FORWARD_LosAngles N SUM NOPRINT; VAR FLCINCHWT; 
OUTPUT OUT=G SUM=SUM_FLCINCHWT;BY METRO_AREA_N GROUP; RUN;


DATA G; SET G ; 


IF GROUP=	3	 AND METRO_AREA_N=	20	THEN PUBLISHED=	1443277	;
						
IF GROUP=	4	 AND METRO_AREA_N=	20	THEN PUBLISHED=	1561354	;
						
IF GROUP=	5	 AND METRO_AREA_N=	20	THEN PUBLISHED=	198308	;
						
IF GROUP=	6	 AND METRO_AREA_N=	20	THEN PUBLISHED=	18136	;
METRO_AREA='Los Angeles	  ';




RATIO=PUBLISHED/SUM_FLCINCHWT;RUN;




*************************************************************************************************;                                                                                    

TITLE '2011_2009 Los Angles: 2009-PUBLISHED , ESTIMATE (SUM OF FLCINCHWT), AND THE RATIOS FOR EACH OF THE 4 HOME GROUPS'; RUN;

PROC PRINT DATA=G NOOBS; VAR METRO_AREA GROUP PUBLISHED SUM_FLCINCHWT RATIO; RUN;

PROC SORT DATA=G; BY METRO_AREA_N GROUP; RUN;

*********************************************************************************************;

DATA AHS2011_2009_FORWARD_LosAngles;  MERGE AHS2011_2009_FORWARD_LosAngles G; BY METRO_AREA_N GROUP; RUN; 

DATA AHS2011_2009_FORWARD_LosAngles; SET  AHS2011_2009_FORWARD_LosAngles ; FLCINCHWT=FLCINCHWT*PUBLISHED/SUM_FLCINCHWT; RUN;

********************************************************************************************;

PROC SORT DATA=AHS2011_2009_FORWARD_LosAngles;; BY METRO_AREA GROUP; RUN;

TITLE '2011_2009 Los Angles: COUNT AND WEIGHTED SUM FOR EACH OF THE 4 HOME GROUPS AFTER ADJUSTING'; RUN;


PROC MEANS DATA=AHS2011_2009_FORWARD_LosAngles N SUM NOPRINT; VAR  FLCINCHWT ;OUTPUT OUT=H N=N SUM=SUM_FLCINCHWT;
 BY METRO_AREA GROUP;RUN;

PROC PRINT DATA=H NOOBS; VAR METRO_AREA GROUP N SUM_FLCINCHWT ; RUN;



********************************************************************************************;
********************************************************************************************;



/* STEP 12 AND 13 FOR THE 2009 NEWORLEANS DATA *******/


DATA AHS2011_2009_FORWARD_NEWORLEANS; SET AHS2011_2009_FORWARD_NEWORLEANS;


IF  IN09_ISTATUS='1' AND IN09_TENURE='1'  THEN GROUP=3; /* Owner-Occupied  */



IF  IN09_ISTATUS='1' AND (IN09_TENURE='2' OR IN09_TENURE='3') 
THEN GROUP=4; /* Renter */



IF  (IN09_ISTATUS='2' OR IN09_ISTATUS='3') AND NOT(8 LE IN09_VACANCY LE 11)  THEN GROUP=5; /*vacant*/



IF  (IN09_ISTATUS='2' OR IN09_ISTATUS='3' ) AND (8 LE IN09_VACANCY LE 11)   THEN GROUP=6; /*Seasonal*/;



IF GROUP=3 THEN GROUP_CATEGORY='3-owner-occupied  ';


IF GROUP=4 THEN GROUP_CATEGORY='4_renter-occupied ';

       
IF GROUP=5 THEN GROUP_CATEGORY='5_vacant          ';


IF GROUP=6 THEN GROUP_CATEGORY='6_Seasonal        ';

RUN;


TITLE 'UNWEIGHTED FREQ DIST OF AHS2011_2009_FORWARD_NEWORLEANS; DATA BY TYPE OF HOME GROUPS'; RUN;

PROC FREQ DATA=AHS2011_2009_FORWARD_NEWORLEANS;; TABLE METRO_AREA*GROUP_CATEGORY/missing NOCOL NOROW NOPERCENT; RUN;

PROC SORT DATA=AHS2011_2009_FORWARD_NEWORLEANS; ; BY METRO_AREA_N GROUP; RUN;


PROC MEANS DATA=AHS2011_2009_FORWARD_NEWORLEANS N SUM NOPRINT; VAR FLCINCHWT; 
OUTPUT OUT=G SUM=SUM_FLCINCHWT;BY METRO_AREA_N GROUP; RUN;


DATA G; SET G ; 


IF GROUP=	3	 AND METRO_AREA_N=	29	THEN PUBLISHED=	290400	;
						
IF GROUP=	4	 AND METRO_AREA_N=	29	THEN PUBLISHED=	145700	;
						
IF GROUP=	5	 AND METRO_AREA_N=	29	THEN PUBLISHED=	71700	;
						
IF GROUP=	6	 AND METRO_AREA_N=	29	THEN PUBLISHED=	4700	;

METRO_AREA='New Orleans	  ';


RATIO=PUBLISHED/SUM_FLCINCHWT;RUN;


*************************************************************************************************;                                                                                    

TITLE '2011_2009 New Orleans: 2009-PUBLISHED , ESTIMATE (SUM OF FLCINCHWT), AND THE RATIOS FOR EACH OF THE 4 HOME GROUPS'; RUN;

PROC PRINT DATA=G NOOBS; VAR METRO_AREA GROUP PUBLISHED SUM_FLCINCHWT RATIO; RUN;

PROC SORT DATA=G; BY METRO_AREA_N GROUP; RUN;

*********************************************************************************************;

DATA AHS2011_2009_FORWARD_NEWORLEANS;  MERGE AHS2011_2009_FORWARD_NEWORLEANS G; BY METRO_AREA_N GROUP; RUN; 

DATA AHS2011_2009_FORWARD_NEWORLEANS; SET  AHS2011_2009_FORWARD_NEWORLEANS ; FLCINCHWT=FLCINCHWT*PUBLISHED/SUM_FLCINCHWT; RUN;

********************************************************************************************;

PROC SORT DATA=AHS2011_2009_FORWARD_NEWORLEANS;; BY METRO_AREA GROUP; RUN;

TITLE '2011_2009 New Orleans: COUNT AND WEIGHTED SUM FOR EACH OF THE 4 HOME GROUPS AFTER ADJUSTING'; RUN;


PROC MEANS DATA=AHS2011_2009_FORWARD_NEWORLEANS N SUM NOPRINT; VAR  FLCINCHWT ;OUTPUT OUT=H N=N SUM=SUM_FLCINCHWT; BY METRO_AREA GROUP;RUN;

PROC PRINT DATA=H NOOBS; VAR METRO_AREA GROUP N SUM_FLCINCHWT ; RUN;









********************************************************************************************;
********************************************************************************************;

DATA ahs2011_2002_OTHER; SET  ahs2011_2002_OTHER; DROP METRO_AREA GROUP_CATEGORY; RUN;
DATA ahs2011_2002_Phoenix; SET  ahs2011_2002_Phoenix; DROP METRO_AREA GROUP_CATEGORY; RUN;
DATA ahs2011_2002_Riverside; SET  ahs2011_2002_Riverside; DROP METRO_AREA GROUP_CATEGORY; RUN;


DATA AHS2011_1998_FORWARD; SET AHS2011_1998_FORWARD; RUN;

DATA AHS2011_2002_FORWARD; SET ahs2011_2002_OTHER ahs2011_2002_Phoenix ahs2011_2002_Riverside;

IF	METRO_AREA_N=8  THEN METRO_AREA='Anaheim       ';				
IF	METRO_AREA_N=9  THEN METRO_AREA='Buffalo       ';				
IF	METRO_AREA_N=10 THEN METRO_AREA='Charlotte     ';				
IF	METRO_AREA_N=11 THEN METRO_AREA='Columbus      ';				
IF	METRO_AREA_N=12 THEN METRO_AREA='Dallas        ';				
IF	METRO_AREA_N=13 THEN METRO_AREA='Fort Worth    ';				
IF	METRO_AREA_N=14 THEN METRO_AREA='Kansas City   ';				
IF	METRO_AREA_N=15 THEN METRO_AREA='Milwaukee     ';				
IF	METRO_AREA_N=16 THEN METRO_AREA='Phoenix       ';				
IF	METRO_AREA_N=17 THEN METRO_AREA='Portland      ';				
IF	METRO_AREA_N=18 THEN METRO_AREA='Riverside     ';				
IF	METRO_AREA_N=19 THEN METRO_AREA='San Diego     ';				

RUN;

DATA AHS2011_2004_FORWARD; SET AHS2011_2004_FORWARD; RUN;


DATA AHS2011_2009_FORWARD_LosAngles; SET AHS2011_2009_FORWARD_LosAngles; RUN;

DATA AHS2011_2009_FORWARD_NEWORLEANS; SET AHS2011_2009_FORWARD_NEWORLEANS; RUN;


**********************************************************************************************************;


/****   STEP 13. FOR  AHS2011_1998_FORWARD  *****/

TITLE 'UNWEIGHTED FREQ DIST OF SAME AND INTLOSS AFTER STEP 12 FROM AHS2011_1998_FORWARD BY METRO_AREA'; RUN;

PROC FREQ DATA=AHS2011_1998_FORWARD;TABLE METRO_AREA*(SAME  INTLOSS)/MISSING NOCOL NOROW NOPERCENT; RUN;



TITLE 'SUM OF FLCINCHWT FOR UNITS WHERE SAME=1 AFTER ADJUSTING FROM AHS2011_1998_FORWARD BY METRO_AREA'; RUN;

DATA SAME1; SET AHS2011_1998_FORWARD ; IF SAME=1; RUN;

PROC SORT DATA=SAME1; BY METRO_AREA; RUN;

PROC MEANS DATA=SAME1 SUM  NOPRINT; VAR FLCINCHWT ;OUTPUT OUT=SUM_SAME1 SUM=SUM_FLCINCHWT;BY METRO_AREA; RUN;


PROC PRINT DATA=SUM_SAME1 NOOBS; VAR METRO_AREA SUM_FLCINCHWT;RUN;


  
TITLE 'COUNT AND WEIGHTED SUM FOR UNITS WHERE INTLOSS=1 AFTER ADJUSTING FROM AHS2011_1998_FORWARD BY METRO_AREA '; RUN;

DATA INTLOSS1; SET AHS2011_1998_FORWARD; IF INTLOSS=1; RUN;

PROC SORT DATA=INTLOSS1; BY METRO_AREA; RUN;

PROC MEANS DATA=INTLOSS1 SUM  NOPRINT; VAR FLCINCHWT;OUTPUT OUT=SUM_INTLOSS1 SUM=SUM_FLCINCHWT;  BY METRO_AREA;RUN;



PROC PRINT DATA=SUM_INTLOSS1 NOOBS; VAR METRO_AREA SUM_FLCINCHWT;RUN;

TITLE 'SUM OF FLCINCHWT FOR ALL UNITS AFTER ADJUSTING FROM AHS2011_1998_FORWARD BY METRO_AREA '; RUN;

PROC SORT DATA=AHS2011_1998_FORWARD; BY METRO_AREA; RUN;

PROC MEANS DATA=AHS2011_1998_FORWARD SUM NOPRINT; VAR FLCINCHWT ;OUTPUT OUT=SUM_ALL SUM=SUM_FLCINCHWT; BY METRO_AREA; RUN;

PROC PRINT DATA=SUM_ALL NOOBS; VAR METRO_AREA SUM_FLCINCHWT;RUN;


*******************************************************************************************;


/****   STEP 13. FOR  AHS2011_2002_FORWARD  *****/

TITLE 'UNWEIGHTED FREQ DIST OF SAME AND INTLOSS AFTER STEP 12 FROM AHS2011_2002_FORWARD BY METRO_AREA'; RUN;

PROC FREQ DATA=AHS2011_2002_FORWARD;TABLE METRO_AREA*(SAME  INTLOSS)/MISSING NOCOL NOROW NOPERCENT; RUN;



TITLE 'SUM OF FLCINCHWT FOR UNITS WHERE SAME=1 AFTER ADJUSTING FROM AHS2011_2002_FORWARD BY METRO_AREA'; RUN;

DATA SAME1; SET AHS2011_2002_FORWARD ; IF SAME=1; RUN;

PROC SORT DATA=SAME1; BY METRO_AREA; RUN;

PROC MEANS DATA=SAME1 SUM  NOPRINT; VAR FLCINCHWT ;OUTPUT OUT=SUM_SAME1 SUM=SUM_FLCINCHWT;BY METRO_AREA; RUN;


PROC PRINT DATA=SUM_SAME1 NOOBS; VAR METRO_AREA SUM_FLCINCHWT;RUN;


  
TITLE 'COUNT AND WEIGHTED SUM FOR UNITS WHERE INTLOSS=1 AFTER ADJUSTING FROM AHS2011_2002_FORWARD BY METRO_AREA '; RUN;

DATA INTLOSS1; SET AHS2011_2002_FORWARD; IF INTLOSS=1; RUN;

PROC SORT DATA=INTLOSS1; BY METRO_AREA; RUN;

PROC MEANS DATA=INTLOSS1 SUM  NOPRINT; VAR FLCINCHWT;OUTPUT OUT=SUM_INTLOSS1 SUM=SUM_FLCINCHWT;  BY METRO_AREA;RUN;



PROC PRINT DATA=SUM_INTLOSS1 NOOBS; VAR METRO_AREA SUM_FLCINCHWT;RUN;

TITLE 'SUM OF FLCINCHWT FOR ALL UNITS AFTER ADJUSTING FROM AHS2011_2002_FORWARD BY METRO_AREA '; RUN;

PROC SORT DATA=AHS2011_2002_FORWARD; BY METRO_AREA; RUN;

PROC MEANS DATA=AHS2011_2002_FORWARD SUM NOPRINT; VAR FLCINCHWT ;OUTPUT OUT=SUM_ALL SUM=SUM_FLCINCHWT; BY METRO_AREA; RUN;

PROC PRINT DATA=SUM_ALL NOOBS; VAR METRO_AREA SUM_FLCINCHWT;RUN;


*******************************************************************************************;

/****   STEP 13. FOR  AHS2011_2004_FORWARD  *****/

TITLE 'UNWEIGHTED FREQ DIST OF SAME AND INTLOSS AFTER STEP 12 FROM AHS2011_2004_FORWARD BY METRO_AREA'; RUN;

PROC FREQ DATA=AHS2011_2004_FORWARD;TABLE METRO_AREA*(SAME  INTLOSS)/MISSING NOCOL NOROW NOPERCENT; RUN;



TITLE 'SUM OF FLCINCHWT FOR UNITS WHERE SAME=1 AFTER ADJUSTING FROM AHS2011_2004_FORWARD BY METRO_AREA'; RUN;

DATA SAME1; SET AHS2011_2004_FORWARD ; IF SAME=1; RUN;

PROC SORT DATA=SAME1; BY METRO_AREA; RUN;

PROC MEANS DATA=SAME1 SUM  NOPRINT; VAR FLCINCHWT ;OUTPUT OUT=SUM_SAME1 SUM=SUM_FLCINCHWT;BY METRO_AREA; RUN;


PROC PRINT DATA=SUM_SAME1 NOOBS; VAR METRO_AREA SUM_FLCINCHWT;RUN;


  
TITLE 'COUNT AND WEIGHTED SUM FOR UNITS WHERE INTLOSS=1 AFTER ADJUSTING FROM AHS2011_2004_FORWARD BY METRO_AREA '; RUN;

DATA INTLOSS1; SET AHS2011_2004_FORWARD; IF INTLOSS=1; RUN;

PROC SORT DATA=INTLOSS1; BY METRO_AREA; RUN;

PROC MEANS DATA=INTLOSS1 SUM  NOPRINT; VAR FLCINCHWT;OUTPUT OUT=SUM_INTLOSS1 SUM=SUM_FLCINCHWT;  BY METRO_AREA;RUN;



PROC PRINT DATA=SUM_INTLOSS1 NOOBS; VAR METRO_AREA SUM_FLCINCHWT;RUN;

TITLE 'SUM OF FLCINCHWT FOR ALL UNITS AFTER ADJUSTING FROM AHS2011_2004_FORWARD BY METRO_AREA '; RUN;

PROC SORT DATA=AHS2011_2004_FORWARD; BY METRO_AREA; RUN;

PROC MEANS DATA=AHS2011_2004_FORWARD SUM NOPRINT; VAR FLCINCHWT ;OUTPUT OUT=SUM_ALL SUM=SUM_FLCINCHWT; BY METRO_AREA; RUN;

PROC PRINT DATA=SUM_ALL NOOBS; VAR METRO_AREA SUM_FLCINCHWT;RUN;


*******************************************************************************************;

/****   STEP 13. FOR  AHS2011_2009_FORWARD_LosAngles  *****/

TITLE 'UNWEIGHTED FREQ DIST OF SAME AND INTLOSS AFTER STEP 12 FROM AHS2011_2009_FORWARD_LosAngles BY METRO_AREA'; RUN;

PROC FREQ DATA=AHS2011_2009_FORWARD_LosAngles;TABLE METRO_AREA*(SAME  INTLOSS)/MISSING NOCOL NOROW NOPERCENT; RUN;



TITLE 'SUM OF FLCINCHWT FOR UNITS WHERE SAME=1 AFTER ADJUSTING FROM AHS2011_2009_FORWARD_LosAngles BY METRO_AREA'; RUN;

DATA SAME1; SET AHS2011_2009_FORWARD_LosAngles ; IF SAME=1; RUN;

PROC SORT DATA=SAME1; BY METRO_AREA; RUN;

PROC MEANS DATA=SAME1 SUM  NOPRINT; VAR FLCINCHWT ;OUTPUT OUT=SUM_SAME1 SUM=SUM_FLCINCHWT;BY METRO_AREA; RUN;


PROC PRINT DATA=SUM_SAME1 NOOBS; VAR METRO_AREA SUM_FLCINCHWT;RUN;


  
TITLE 'COUNT AND WEIGHTED SUM FOR UNITS WHERE INTLOSS=1 AFTER ADJUSTING FROM AHS2011_2009_FORWARD_LosAngles BY METRO_AREA '; RUN;

DATA INTLOSS1; SET AHS2011_2009_FORWARD_LosAngles; IF INTLOSS=1; RUN;

PROC SORT DATA=INTLOSS1; BY METRO_AREA; RUN;

PROC MEANS DATA=INTLOSS1 SUM  NOPRINT; VAR FLCINCHWT;OUTPUT OUT=SUM_INTLOSS1 SUM=SUM_FLCINCHWT;  BY METRO_AREA;RUN;



PROC PRINT DATA=SUM_INTLOSS1 NOOBS; VAR METRO_AREA SUM_FLCINCHWT;RUN;

TITLE 'SUM OF FLCINCHWT FOR ALL UNITS AFTER ADJUSTING FROM AHS2011_2009_FORWARD_LosAngles BY METRO_AREA '; RUN;

PROC SORT DATA=AHS2011_2009_FORWARD_LosAngles; BY METRO_AREA; RUN;

PROC MEANS DATA=AHS2011_2009_FORWARD_LosAngles SUM NOPRINT; VAR FLCINCHWT ;OUTPUT OUT=SUM_ALL SUM=SUM_FLCINCHWT; BY METRO_AREA; RUN;

PROC PRINT DATA=SUM_ALL NOOBS; VAR METRO_AREA SUM_FLCINCHWT;RUN;


*******************************************************************************************;



*******************************************************************************************;

/****   STEP 13. FOR  AHS2011_2009_FORWARD_NEWORLEANS  *****/

TITLE 'UNWEIGHTED FREQ DIST OF SAME AND INTLOSS AFTER STEP 12 FROM AHS2011_2009_FORWARD_NEWORLEANS BY METRO_AREA'; RUN;

PROC FREQ DATA=AHS2011_2009_FORWARD_NEWORLEANS;TABLE METRO_AREA*(SAME  INTLOSS)/MISSING NOCOL NOROW NOPERCENT; RUN;



TITLE 'SUM OF FLCINCHWT FOR UNITS WHERE SAME=1 AFTER ADJUSTING FROM AHS2011_2009_FORWARD_NEWORLEANS BY METRO_AREA'; RUN;

DATA SAME1; SET AHS2011_2009_FORWARD_NEWORLEANS ; IF SAME=1; RUN;

PROC SORT DATA=SAME1; BY METRO_AREA; RUN;

PROC MEANS DATA=SAME1 SUM  NOPRINT; VAR FLCINCHWT ;OUTPUT OUT=SUM_SAME1 SUM=SUM_FLCINCHWT;BY METRO_AREA; RUN;


PROC PRINT DATA=SUM_SAME1 NOOBS; VAR METRO_AREA SUM_FLCINCHWT;RUN;


  
TITLE 'COUNT AND WEIGHTED SUM FOR UNITS WHERE INTLOSS=1 AFTER ADJUSTING FROM AHS2011_2009_FORWARD_NEWORLEANS BY METRO_AREA '; RUN;

DATA INTLOSS1; SET AHS2011_2009_FORWARD_NEWORLEANS; IF INTLOSS=1; RUN;

PROC SORT DATA=INTLOSS1; BY METRO_AREA; RUN;

PROC MEANS DATA=INTLOSS1 SUM  NOPRINT; VAR FLCINCHWT;OUTPUT OUT=SUM_INTLOSS1 SUM=SUM_FLCINCHWT;  BY METRO_AREA;RUN;



PROC PRINT DATA=SUM_INTLOSS1 NOOBS; VAR METRO_AREA SUM_FLCINCHWT;RUN;

TITLE 'SUM OF FLCINCHWT FOR ALL UNITS AFTER ADJUSTING FROM AHS2011_2009_FORWARD_NEWORLEANS BY METRO_AREA '; RUN;

PROC SORT DATA=AHS2011_2009_FORWARD_NEWORLEANS; BY METRO_AREA; RUN;

PROC MEANS DATA=AHS2011_2009_FORWARD_NEWORLEANS SUM NOPRINT; VAR FLCINCHWT ;OUTPUT OUT=SUM_ALL SUM=SUM_FLCINCHWT; BY METRO_AREA; RUN;

PROC PRINT DATA=SUM_ALL NOOBS; VAR METRO_AREA SUM_FLCINCHWT;RUN;


*******************************************************************************************;







*******************************************************************************************;

/************** 14. FOR    AHS2011_1998_FORWARD      **************/

DATA SET1; SET AHS2011_1998_FORWARD; IF IN98_NUNIT2 = '1'; RUN;

PROC SORT DATA=SET1; BY METRO_AREA; RUN;

TITLE 'SUM OF FLCINCHWT FOR Single-unit, detached FROM AHS2011_1998_FORWARD BY METRO_AREA';RUN;

PROC MEANS DATA=SET1 SUM NOPRINT; VAR FLCINCHWT ;OUTPUT OUT=SUM_SET1 SUM=SUM_FLCINCHWT ;BY METRO_AREA; RUN;

PROC PRINT DATA=SUM_SET1 NOOBS; VAR METRO_AREA SUM_FLCINCHWT;RUN;


DATA SET2; SET AHS2011_1998_FORWARD; IF IN98_NUNIT2 = '4'; RUN;

PROC SORT DATA=SET2; BY METRO_AREA; RUN;

TITLE 'SUM OF FLCINCHWT FOR Manufactured (mobile) home FROM AHS2011_1998_FORWARD BY METRO_AREA';RUN;

PROC MEANS DATA=SET2 SUM NOPRINT; VAR FLCINCHWT  ;OUTPUT OUT=SUM_SET2 SUM=SUM_FLCINCHWT;BY METRO_AREA; RUN;

PROC PRINT DATA=SUM_SET2 NOOBS; VAR METRO_AREA SUM_FLCINCHWT;RUN;

***************************************************************************************************;


/************** 14. FOR    AHS2011_2002_FORWARD      **************/

DATA SET1; SET AHS2011_2002_FORWARD; IF IN02_NUNIT2 = '1'; RUN;

PROC SORT DATA=SET1; BY METRO_AREA; RUN;

TITLE 'SUM OF FLCINCHWT FOR Single-unit, detached FROM AHS2011_2002_FORWARD BY METRO_AREA';RUN;

PROC MEANS DATA=SET1 SUM NOPRINT; VAR FLCINCHWT ;OUTPUT OUT=SUM_SET1 SUM=SUM_FLCINCHWT ;BY METRO_AREA; RUN;

PROC PRINT DATA=SUM_SET1 NOOBS; VAR METRO_AREA SUM_FLCINCHWT;RUN;


DATA SET2; SET AHS2011_2002_FORWARD; IF IN02_NUNIT2 = '4'; RUN;

PROC SORT DATA=SET2; BY METRO_AREA; RUN;

TITLE 'SUM OF FLCINCHWT FOR Manufactured (mobile) home FROM AHS2011_2002_FORWARD BY METRO_AREA';RUN;

PROC MEANS DATA=SET2 SUM NOPRINT; VAR FLCINCHWT  ;OUTPUT OUT=SUM_SET2 SUM=SUM_FLCINCHWT;BY METRO_AREA; RUN;

PROC PRINT DATA=SUM_SET2 NOOBS; VAR METRO_AREA SUM_FLCINCHWT;RUN;

***************************************************************************************************;


/************** 14. FOR    AHS2011_2004_FORWARD      **************/

DATA SET1; SET AHS2011_2004_FORWARD; IF IN04_NUNIT2 = '1'; RUN;

PROC SORT DATA=SET1; BY METRO_AREA; RUN;

TITLE 'SUM OF FLCINCHWT FOR Single-unit, detached FROM AHS2011_2004_FORWARD BY METRO_AREA';RUN;

PROC MEANS DATA=SET1 SUM NOPRINT; VAR FLCINCHWT ;OUTPUT OUT=SUM_SET1 SUM=SUM_FLCINCHWT ;BY METRO_AREA; RUN;

PROC PRINT DATA=SUM_SET1 NOOBS; VAR METRO_AREA SUM_FLCINCHWT;RUN;


DATA SET2; SET AHS2011_2004_FORWARD; IF IN04_NUNIT2 = '4'; RUN;

PROC SORT DATA=SET2; BY METRO_AREA; RUN;

TITLE 'SUM OF FLCINCHWT FOR Manufactured (mobile) home FROM AHS2011_2004_FORWARD BY METRO_AREA';RUN;

PROC MEANS DATA=SET2 SUM NOPRINT; VAR FLCINCHWT  ;OUTPUT OUT=SUM_SET2 SUM=SUM_FLCINCHWT; BY METRO_AREA;RUN;

PROC PRINT DATA=SUM_SET2 NOOBS; VAR METRO_AREA SUM_FLCINCHWT;RUN;

***************************************************************************************************;


/************** 14. FOR    AHS2011_2009_FORWARD_LosAngles      **************/

DATA SET1; SET AHS2011_2009_FORWARD_LosAngles; IF IN09_NUNIT2 = '1'; RUN;

PROC SORT DATA=SET1; BY METRO_AREA; RUN;

TITLE 'SUM OF FLCINCHWT FOR Single-unit, detached FROM AHS2011_2009_FORWARD_LosAngles BY METRO_AREA';RUN;

PROC MEANS DATA=SET1 SUM NOPRINT; VAR FLCINCHWT ;OUTPUT OUT=SUM_SET1 SUM=SUM_FLCINCHWT ;BY METRO_AREA; RUN;

PROC PRINT DATA=SUM_SET1 NOOBS; VAR METRO_AREA SUM_FLCINCHWT;RUN;


DATA SET2; SET AHS2011_2009_FORWARD_LosAngles; IF IN09_NUNIT2 = '4'; RUN;

PROC SORT DATA=SET2; BY METRO_AREA; RUN;

TITLE 'SUM OF FLCINCHWT FOR Manufactured (mobile) home FROM AHS2011_2009_FORWARD_LosAngles BY METRO_AREA';RUN;

PROC MEANS DATA=SET2 SUM NOPRINT; VAR FLCINCHWT  ;OUTPUT OUT=SUM_SET2 SUM=SUM_FLCINCHWT;BY METRO_AREA; RUN;

PROC PRINT DATA=SUM_SET2 NOOBS; VAR METRO_AREA SUM_FLCINCHWT;RUN;

***************************************************************************************************;


/************** 14. FOR    AHS2011_2009_FORWARD_NEWORLEANS      **************/

DATA SET1; SET AHS2011_2009_FORWARD_NEWORLEANS; IF IN09_NUNIT2 = '1'; RUN;

PROC SORT DATA=SET1; BY METRO_AREA; RUN;

TITLE 'SUM OF FLCINCHWT FOR Single-unit, detached FROM AHS2011_2009_FORWARD_NEWORLEANS BY METRO_AREA';RUN;

PROC MEANS DATA=SET1 SUM NOPRINT; VAR FLCINCHWT ;OUTPUT OUT=SUM_SET1 SUM=SUM_FLCINCHWT ;BY METRO_AREA; RUN;

PROC PRINT DATA=SUM_SET1 NOOBS; VAR METRO_AREA SUM_FLCINCHWT;RUN;


DATA SET2; SET AHS2011_2009_FORWARD_NEWORLEANS; IF IN09_NUNIT2 = '4'; RUN;

PROC SORT DATA=SET2; BY METRO_AREA; RUN;

TITLE 'SUM OF FLCINCHWT FOR Manufactured (mobile) home FROM AHS2011_2009_FORWARD_NEWORLEANS BY METRO_AREA';RUN;

PROC MEANS DATA=SET2 SUM NOPRINT; VAR FLCINCHWT  ;OUTPUT OUT=SUM_SET2 SUM=SUM_FLCINCHWT;BY METRO_AREA; RUN;

PROC PRINT DATA=SUM_SET2 NOOBS; VAR METRO_AREA SUM_FLCINCHWT;RUN;

***************************************************************************************************;

/********************** FLSTATUS FOR EACH OF THE METRO AREAS ***********/

/*
FLSTATUS = Forward status = status of a previous survey year unit in 2011 

1 = in previous survey year stock and in 2011 stock: 

IF SAME=1 THEN FLSTATUS=1;fv

2 = in previous survey year stock but a loss in 2011 due to conversion or merger: 

IF INTLOSS=1 AND (32 LE IN11_NOINT LE 33) THEN FLSTATUS=2;

3 = in previous survey year stock but a loss in 2011 due to house or mobile home move out: 

IF INTLOSS=1 AND (IN11_NOINT=31 OR IN11_NOINT = 13) THEN FLSTATUS=3;

4 = in previous survey year stock but a loss in 2011 due to nonresidential use: 

IF INTLOSS=1 AND (IN11_NOINT=12 OR IN11_NOINT=14) THEN FLSTATUS=4;

5 = in previous survey year stock but a loss in 2011 due to demolition or disaster:

IF INTLOSS=1 AND IN11_NOINT=30 THEN FLSTATUS=5 ;

6 = in previous survey year stock but a loss in 2011 due to damage or condemnation:

IF INTLOSS=1 AND (15 LE IN11_NOINT LE 16) THEN FLSTATUS=6;

7 = in previous survey year stock but a loss in 2011 for other reason: 

IF INTLOSS=1 AND  (IN11_NOINT IN(10,17) OR (36 LE IN11_NOINT LE 37)) THEN FLSTATUS=7;

*/


***********************************************************************************************;
DATA OUT.AHS2011_1998_FORWARD; SET AHS2011_1998_FORWARD;
IF SAME=1 THEN FLSTATUS=1;

IF INTLOSS=1 AND (32 LE IN11_NOINT LE 33) THEN FLSTATUS=2;

IF INTLOSS=1 AND (IN11_NOINT=31 OR IN11_NOINT = 13) THEN FLSTATUS=3;

IF INTLOSS=1 AND (IN11_NOINT=12 OR IN11_NOINT=14) THEN FLSTATUS=4;

IF INTLOSS=1 AND IN11_NOINT=30 THEN FLSTATUS=5 ;

IF INTLOSS=1 AND (15 LE IN11_NOINT LE 16) THEN FLSTATUS=6;

IF INTLOSS=1 AND  (IN11_NOINT IN(10,17) OR (36 LE IN11_NOINT LE 37)) THEN FLSTATUS=7;


IF FLSTATUS=1 THEN FLSTATUS_C='1_in 1998 stock and in 2011 stock                                      ';
IF FLSTATUS=2 THEN FLSTATUS_C='2_in 1998 stock but a loss in 2011 due to conversion or merger         ';
IF FLSTATUS=3 THEN FLSTATUS_C='3_in 1998 stock but a loss in 2011 due to house or mobile home move out';
IF FLSTATUS=4 THEN FLSTATUS_C='4_in 1998 stock but a loss in 2011 due to nonresidential use           ';
IF FLSTATUS=5 THEN FLSTATUS_C='5_in 1998 stock but a loss in 2011 due to demolition or disaster       ';
IF FLSTATUS=6 THEN FLSTATUS_C='6_in 1998 stock but a loss in 2011 due to damage or condemnation       ';
IF FLSTATUS=7 THEN FLSTATUS_C='7_in 1998 stock but a loss in 2011 for other reason                    ';
RUN;

PROC SORT DATA=OUT.AHS2011_1998_FORWARD;BY METRO_AREA;RUN;

TITLE 'UNWEIGHTED FREQ DIST OF FLSTATUS IN THE OUT.AHS2011_1998_FORWARD BY METRO_AREA'; RUN;
PROC FREQ DATA=OUT.AHS2011_1998_FORWARD; TABLE FLSTATUS FLSTATUS_C/MISSING;BY METRO_AREA; RUN;

TITLE 'WEIGHTED (FLCINCHWT) FREQ DIST OF FLSTATUS IN THE OUT.AHS2011_1998_FORWARD BY METRO_AREA'; RUN;
PROC FREQ DATA=OUT.AHS2011_1998_FORWARD; TABLE FLSTATUS FLSTATUS_C/MISSING;WEIGHT FLCINCHWT; BY METRO_AREA;RUN;

***********************************************************************************************;

***********************************************************************************************;

DATA OUT.AHS2011_2002_FORWARD; SET AHS2011_2002_FORWARD;
IF SAME=1 THEN FLSTATUS=1;

IF INTLOSS=1 AND (32 LE IN11_NOINT LE 33) THEN FLSTATUS=2;

IF INTLOSS=1 AND (IN11_NOINT=31 OR IN11_NOINT = 13) THEN FLSTATUS=3;

IF INTLOSS=1 AND (IN11_NOINT=12 OR IN11_NOINT=14) THEN FLSTATUS=4;

IF INTLOSS=1 AND IN11_NOINT=30 THEN FLSTATUS=5 ;

IF INTLOSS=1 AND (15 LE IN11_NOINT LE 16) THEN FLSTATUS=6;

IF INTLOSS=1 AND  (IN11_NOINT IN(10,17) OR (36 LE IN11_NOINT LE 37)) THEN FLSTATUS=7;


IF FLSTATUS=1 THEN FLSTATUS_C='1_in 2002 stock and in 2011 stock                                      ';
IF FLSTATUS=2 THEN FLSTATUS_C='2_in 2002 stock but a loss in 2011 due to conversion or merger         ';
IF FLSTATUS=3 THEN FLSTATUS_C='3_in 2002 stock but a loss in 2011 due to house or mobile home move out';
IF FLSTATUS=4 THEN FLSTATUS_C='4_in 2002 stock but a loss in 2011 due to nonresidential use           ';
IF FLSTATUS=5 THEN FLSTATUS_C='5_in 2002 stock but a loss in 2011 due to demolition or disaster       ';
IF FLSTATUS=6 THEN FLSTATUS_C='6_in 2002 stock but a loss in 2011 due to damage or condemnation       ';
IF FLSTATUS=7 THEN FLSTATUS_C='7_in 2002 stock but a loss in 2011 for other reason                    ';
RUN;

PROC SORT DATA=OUT.AHS2011_2002_FORWARD;BY METRO_AREA;RUN;
TITLE 'UNWEIGHTED FREQ DIST OF FLSTATUS IN THE OUT.AHS2011_2002_FORWARD BY METRO_AREA'; RUN;
PROC FREQ DATA=OUT.AHS2011_2002_FORWARD; TABLE FLSTATUS FLSTATUS_C/MISSING;BY METRO_AREA; RUN;

TITLE 'WEIGHTED (FLCINCHWT) FREQ DIST OF FLSTATUS IN THE OUT.AHS2011_2002_FORWARD BY METRO_AREA'; RUN;
PROC FREQ DATA=OUT.AHS2011_2002_FORWARD; TABLE FLSTATUS FLSTATUS_C/MISSING;WEIGHT FLCINCHWT;BY METRO_AREA; RUN;

***********************************************************************************************;

***********************************************************************************************;

DATA OUT.AHS2011_2004_FORWARD; SET AHS2011_2004_FORWARD;

IF SAME=1 THEN FLSTATUS=1;

IF INTLOSS=1 AND (32 LE IN11_NOINT LE 33) THEN FLSTATUS=2;

IF INTLOSS=1 AND (IN11_NOINT=31 OR IN11_NOINT = 13) THEN FLSTATUS=3;

IF INTLOSS=1 AND (IN11_NOINT=12 OR IN11_NOINT=14) THEN FLSTATUS=4;

IF INTLOSS=1 AND IN11_NOINT=30 THEN FLSTATUS=5 ;

IF INTLOSS=1 AND (15 LE IN11_NOINT LE 16) THEN FLSTATUS=6;

IF INTLOSS=1 AND  (IN11_NOINT IN(10,17) OR (36 LE IN11_NOINT LE 37)) THEN FLSTATUS=7;


IF FLSTATUS=1 THEN FLSTATUS_C='1_in 2004 stock and in 2011 stock                                      ';
IF FLSTATUS=2 THEN FLSTATUS_C='2_in 2004 stock but a loss in 2011 due to conversion or merger         ';
IF FLSTATUS=3 THEN FLSTATUS_C='3_in 2004 stock but a loss in 2011 due to house or mobile home move out';
IF FLSTATUS=4 THEN FLSTATUS_C='4_in 2004 stock but a loss in 2011 due to nonresidential use           ';
IF FLSTATUS=5 THEN FLSTATUS_C='5_in 2004 stock but a loss in 2011 due to demolition or disaster       ';
IF FLSTATUS=6 THEN FLSTATUS_C='6_in 2004 stock but a loss in 2011 due to damage or condemnation       ';
IF FLSTATUS=7 THEN FLSTATUS_C='7_in 2004 stock but a loss in 2011 for other reason                    ';
RUN;
PROC SORT DATA=OUT.AHS2011_2004_FORWARD;BY METRO_AREA;RUN;
TITLE 'UNWEIGHTED FREQ DIST OF FLSTATUS IN THE OUT.AHS2011_2004_FORWARD BY METRO_AREA'; RUN;
PROC FREQ DATA=OUT.AHS2011_2004_FORWARD; TABLE FLSTATUS FLSTATUS_C/MISSING;BY METRO_AREA; RUN;

TITLE 'WEIGHTED (FLCINCHWT) FREQ DIST OF FLSTATUS IN THE OUT.AHS2011_2004_FORWARD BY METRO_AREA'; RUN;
PROC FREQ DATA=OUT.AHS2011_2004_FORWARD; TABLE FLSTATUS FLSTATUS_C/MISSING;WEIGHT FLCINCHWT; BY METRO_AREA;RUN;

***********************************************************************************************;

***********************************************************************************************;

DATA OUT.AHS2011_2009_FORWARD_LosAngles;SET AHS2011_2009_FORWARD_LosAngles;

IF SAME=1 THEN FLSTATUS=1;

IF INTLOSS=1 AND (32 LE IN11_NOINT LE 33) THEN FLSTATUS=2;

IF INTLOSS=1 AND (IN11_NOINT=31 OR IN11_NOINT = 13) THEN FLSTATUS=3;

IF INTLOSS=1 AND (IN11_NOINT=12 OR IN11_NOINT=14) THEN FLSTATUS=4;

IF INTLOSS=1 AND IN11_NOINT=30 THEN FLSTATUS=5 ;

IF INTLOSS=1 AND (15 LE IN11_NOINT LE 16) THEN FLSTATUS=6;

IF INTLOSS=1 AND  (IN11_NOINT IN(10,17) OR (36 LE IN11_NOINT LE 37)) THEN FLSTATUS=7;


IF FLSTATUS=1 THEN FLSTATUS_C='1_in 2009 stock and in 2011 stock                                      ';
IF FLSTATUS=2 THEN FLSTATUS_C='2_in 2009 stock but a loss in 2011 due to conversion or merger         ';
IF FLSTATUS=3 THEN FLSTATUS_C='3_in 2009 stock but a loss in 2011 due to house or mobile home move out';
IF FLSTATUS=4 THEN FLSTATUS_C='4_in 2009 stock but a loss in 2011 due to nonresidential use           ';
IF FLSTATUS=5 THEN FLSTATUS_C='5_in 2009 stock but a loss in 2011 due to demolition or disaster       ';
IF FLSTATUS=6 THEN FLSTATUS_C='6_in 2009 stock but a loss in 2011 due to damage or condemnation       ';
IF FLSTATUS=7 THEN FLSTATUS_C='7_in 2009 stock but a loss in 2011 for other reason                    ';
RUN;

PROC SORT DATA=OUT.AHS2011_2009_FORWARD_LosAngles;BY METRO_AREA;RUN;

TITLE 'UNWEIGHTED FREQ DIST OF FLSTATUS IN THE OUT.AHS2011_2009_FORWARD_LosAngles BY METRO_AREA'; RUN;
PROC FREQ DATA=OUT.AHS2011_2009_FORWARD_LosAngles; TABLE FLSTATUS FLSTATUS_C/MISSING; BY METRO_AREA;RUN;

TITLE 'WEIGHTED (FLCINCHWT) FREQ DIST OF FLSTATUS IN THE OUT.AHS2011_2009_FORWARD_LosAngles BY METRO_AREA'; RUN;
PROC FREQ DATA=OUT.AHS2011_2009_FORWARD_LosAngles; TABLE FLSTATUS FLSTATUS_C/MISSING;WEIGHT FLCINCHWT;BY METRO_AREA; RUN;

***********************************************************************************************;

***********************************************************************************************;
DATA OUT.AHS2011_2009_FORWARD_NEWORLEANS;SET AHS2011_2009_FORWARD_NEWORLEANS;

IF SAME=1 THEN FLSTATUS=1;

IF INTLOSS=1 AND (32 LE IN11_NOINT LE 33) THEN FLSTATUS=2;

IF INTLOSS=1 AND (IN11_NOINT=31 OR IN11_NOINT = 13) THEN FLSTATUS=3;

IF INTLOSS=1 AND (IN11_NOINT=12 OR IN11_NOINT=14) THEN FLSTATUS=4;

IF INTLOSS=1 AND IN11_NOINT=30 THEN FLSTATUS=5 ;

IF INTLOSS=1 AND (15 LE IN11_NOINT LE 16) THEN FLSTATUS=6;

IF INTLOSS=1 AND  (IN11_NOINT IN(10,17) OR (36 LE IN11_NOINT LE 37)) THEN FLSTATUS=7;


IF FLSTATUS=1 THEN FLSTATUS_C='1_in 2009 stock and in 2011 stock                                      ';
IF FLSTATUS=2 THEN FLSTATUS_C='2_in 2009 stock but a loss in 2011 due to conversion or merger         ';
IF FLSTATUS=3 THEN FLSTATUS_C='3_in 2009 stock but a loss in 2011 due to house or mobile home move out';
IF FLSTATUS=4 THEN FLSTATUS_C='4_in 2009 stock but a loss in 2011 due to nonresidential use           ';
IF FLSTATUS=5 THEN FLSTATUS_C='5_in 2009 stock but a loss in 2011 due to demolition or disaster       ';
IF FLSTATUS=6 THEN FLSTATUS_C='6_in 2009 stock but a loss in 2011 due to damage or condemnation       ';
IF FLSTATUS=7 THEN FLSTATUS_C='7_in 2009 stock but a loss in 2011 for other reason                    ';
RUN;

PROC SORT DATA=OUT.AHS2011_2009_FORWARD_NEWORLEANS; BY METRO_AREA;

TITLE 'UNWEIGHTED FREQ DIST OF FLSTATUS IN THE OUT.AHS2011_2009_FORWARD_NEWORLEANS BY METRO_AREA;'; RUN;
PROC FREQ DATA=OUT.AHS2011_2009_FORWARD_NEWORLEANS; TABLE FLSTATUS FLSTATUS_C/MISSING; BY METRO_AREA;RUN;

TITLE 'WEIGHTED (FLCINCHWT) FREQ DIST OF FLSTATUS IN THE OUT.AHS2011_2009_FORWARD_NEWORLEANS BY METRO_AREA'; RUN;
PROC FREQ DATA=OUT.AHS2011_2009_FORWARD_NEWORLEANS; TABLE FLSTATUS FLSTATUS_C/MISSING;WEIGHT FLCINCHWT;BY METRO_AREA; RUN;

***********************************************************************************************;
