options pagesize=3355 linesize=78 compress=binary nocenter;

libname OUT05  'C:\AHS_SAS_DATA\NEW_AHS_FILES\ahs05\';

libname OUT07  'C:\AHS_SAS_DATA\NEW_AHS_FILES\ahs07\';

libname OUT07m "C:\AHS_SAS_DATA\NEW_AHS_FILES\ahs07metro\";

libname OUT09 'C:\AHS_SAS_DATA\NEW_AHS_FILES\ahs09\';


libname OUT11  "C:\AHS_2013\NATIONAL_AHS_2011\";

libname OUT 'C:\AHS_11\METRO_CINCH_2011\';

libname OUT1 'C:\AHS_11\type_c\';

libname OUT1198 'C:\AHS_2013\BACKWARD_CINCH_METRO\';


libname OUT98 'C:\AHS_11\METRO_DATA\1998_DATA\';
libname OUT02 'C:\AHS_11\METRO_DATA\2002_DATA';
libname OUT04 'C:\AHS_11\METRO_DATA\2004_DATA';

libname OUT09_1 'C:\AHS_11\METRO_DATA\2009_DATA\';
libname OUT09_2 'C:\AHS_11\METRO_DATA\2009_DATA_NEW_ORLEANS\';

libname OUT11_2 'C:\AHS_11\METRO_DATA\2011_DATA\';




******************************************************************************************;
ods HTML file="C:\AHS_2013\BACKWARD_CINCH_METRO\METRO_BACKWARD_11_09_WEIGHTS.XLS";

*********************************************************************************************;

/****** STEP 1.a  ****************
/*a)From the previous survey PUF, compute for each metropolitan 
area a pure weight count of mobile homes built before 2000 
(OLDMHALL) by summing INxx_PWT for cases where 
INxx_NUNIT2 = 4 AND INxx_BUILT LE 1999.   

Omit this step for Los Angeles and New Orleans.

*/

DATA METRO_1998;SET OUT.RENAMED_METRO_1998;
MISSING b d r ; MISSING B D R ;
IF	(IN98_SMSA = 1000)	THEN	                METRO_AREA='Birmingham    ';
IF	(IN98_SMSA = 1640)	THEN	                METRO_AREA='Cincinnati    ';
IF	(IN98_SMSA = 5775)	THEN	                METRO_AREA='Oakland       ';
IF	(IN98_SMSA = 6480 or IN98_CMSA = 80)	THEN	METRO_AREA='Providence    ';
IF	(IN98_SMSA = 7360)	THEN	                METRO_AREA='San Francisco ';
IF	(IN98_SMSA = 7400)	THEN	                METRO_AREA='San Jose      ';
IF	 (IN98_SMSA = 5680)	THEN	                METRO_AREA='Virginia Beach';

IF	(IN98_SMSA = 1000)	THEN	                METRO_AREA_N=1;
IF	(IN98_SMSA = 1640)	THEN	                METRO_AREA_N=2;
IF	(IN98_SMSA = 5775)	THEN	                METRO_AREA_N=3;
IF	(IN98_SMSA = 6480 or IN98_CMSA = 80)	THEN	METRO_AREA_N=4;
IF	(IN98_SMSA = 7360)	THEN	                METRO_AREA_N=5;
IF	(IN98_SMSA = 7400)	THEN	                METRO_AREA_N=6;
IF	 (IN98_SMSA = 5680)	THEN	                METRO_AREA_N=7;
    
IF IN98_NUNIT2='B' THEN IN98_NUNIT2='.B' ;
IF IN98_BUILT='B' THEN IN98_BUILT='.B' ;
YEAR=1998; RUN;

*************************************************************;
DATA METRO_1998_sub; SET METRO_1998;IF (IN98_NUNIT2 ='4' or IN98_NUNIT2 ='5') AND IN98_BUILT LE 1999;RUN;

PROC SORT DATA=METRO_1998_sub; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=METRO_1998_sub NOPRINT SUM; VAR IN98_PWT;
OUTPUT OUT=PWT_98 SUM=OLDMHALL ; BY YEAR METRO_AREA;RUN;

TITLE "OLDMHAL FROM THE METRO_1998_SUB"; RUN;

PROC PRINT DATA=PWT_98 NOOBS; VAR YEAR METRO_AREA OLDMHALL; RUN;

DATA PWT_98; SET PWT_98; KEEP YEAR METRO_AREA OLDMHALL ; RUN;

PROC SORT DATA=PWT_98;BY METRO_AREA; RUN;

*******************************************************************;

DATA METRO_2002;SET OUT.RENAMED_METRO_2002;
MISSING b d r ; MISSING B D R ;
IF IN02_NUNIT2='B' THEN IN02_NUNIT2='.B' ;
IF IN02_BUILT='B' THEN IN02_BUILT='.B' ;

IF	(IN02_SMSA = 0360)	THEN	                METRO_AREA='Anaheim       ';
IF	(IN02_SMSA = 1280 or IN02_CMSA = 10)	THEN	METRO_AREA='Buffalo       ';
IF	(IN02_SMSA = 1520)	THEN	                METRO_AREA='Charlotte     ';
IF	(IN02_SMSA = 1840)	THEN	                METRO_AREA='Columbus      ';
IF	(IN02_SMSA = 1920)	THEN	                METRO_AREA='Dallas        ';
IF	(IN02_SMSA = 2800)	THEN	                METRO_AREA='Fort Worth    ';
IF	(IN02_SMSA = 3760)	THEN	                METRO_AREA='Kansas City   ';
IF	(IN02_SMSA = 5080)	THEN	                METRO_AREA='Milwaukee     ';
IF	(IN02_SMSA = 6200)	THEN	                METRO_AREA='Phoenix       ';
IF	(IN02_SMSA = 6440 or IN02_CMSA = 79)	THEN	METRO_AREA='Portland      ';
IF	 (IN02_SMSA = 7280)	THEN                    METRO_AREA='Riverside     ';
IF	(IN02_SMSA = 7320)	THEN	                METRO_AREA='San Diego     ';

IF	(IN02_SMSA = 0360)	THEN	                METRO_AREA_N=8;
IF	(IN02_SMSA = 1280 or IN02_CMSA = 10)	THEN	METRO_AREA_N=9;
IF	(IN02_SMSA = 1520)	THEN	                METRO_AREA_N=10;
IF	(IN02_SMSA = 1840)	THEN	                METRO_AREA_N=11;
IF	(IN02_SMSA = 1920)	THEN	                METRO_AREA_N=12;
IF	(IN02_SMSA = 2800)	THEN	                METRO_AREA_N=13;
IF	(IN02_SMSA = 3760)	THEN	                METRO_AREA_N=14;
IF	(IN02_SMSA = 5080)	THEN	                METRO_AREA_N=15;
IF	(IN02_SMSA = 6200)	THEN	                METRO_AREA_N=16;
IF	(IN02_SMSA = 6440 or IN02_CMSA = 79)	THEN	METRO_AREA_N=17;
IF	 (IN02_SMSA = 7280)	THEN                    METRO_AREA_N=18;
IF	(IN02_SMSA = 7320)	THEN	                METRO_AREA_N=19;
YEAR=2002;
RUN;


*************************************************************;
DATA METRO_2002_sub;SET METRO_2002; IF (IN02_NUNIT2 ='4' or IN02_NUNIT2 ='5') AND IN02_BUILT LE 1999;RUN;
PROC SORT DATA=METRO_2002_sub; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=METRO_2002_sub NOPRINT SUM; VAR IN02_PWT;
OUTPUT OUT=PWT_02 SUM=OLDMHALL ; BY YEAR METRO_AREA;RUN;

TITLE "  OLDMHAL FROM THE METRO_2002_SUB"; RUN;

PROC PRINT DATA=PWT_02 NOOBS; VAR YEAR METRO_AREA OLDMHALL; RUN;

DATA PWT_02; SET PWT_02; KEEP YEAR METRO_AREA OLDMHALL ; RUN;

PROC SORT DATA=PWT_02;BY METRO_AREA; RUN;

*******************************************************************;

****************************************************************************;
DATA METRO_2004;SET OUT.RENAMED_METRO_2004;
MISSING b d r ; MISSING B D R ;    
IF IN04_NUNIT2='B' THEN IN04_NUNIT2='.B' ;
IF IN04_BUILT='B' THEN IN04_BUILT='.B' ;

IF	(IN04_SMSA = 0520)	THEN   METRO_AREA='Atlanta       ';
IF	(IN04_SMSA = 1680)	THEN   METRO_AREA='Cleveland     ';
IF	(IN04_SMSA = 2080) 	THEN   METRO_AREA='Denver        ';
IF	(IN04_SMSA = 3480)	THEN   METRO_AREA='Indianapolis  ';
IF	(IN04_SMSA = 4920)	THEN   METRO_AREA='MemphiS       ';
IF	(IN04_SMSA = 0845 or IN04_SMSA = 6280)	THEN	METRO_AREA='Pittsburgh    ';
IF	(IN04_SMSA = 6920)	THEN	     METRO_AREA='Sacramento    ';
IF	(IN04_SMSA = 0275 or IN04_SMSA = 2285 or IN04_SMSA = 7040 or IN04_CMSA = 82)
	THEN  METRO_AREA='St. Louis     ';


IF	(IN04_SMSA = 0520)	THEN	                   METRO_AREA_N=21;
IF	(IN04_SMSA = 1680)	THEN	                   METRO_AREA_N=22;
IF	(IN04_SMSA = 2080) 	THEN	                   METRO_AREA_N=23;
IF	(IN04_SMSA = 3480)	THEN	                   METRO_AREA_N=24;
IF	(IN04_SMSA = 4920)	THEN	                   METRO_AREA_N=25;
IF	(IN04_SMSA = 0845 or IN04_SMSA = 6280)	THEN       METRO_AREA_N=26;
IF	(IN04_SMSA = 6920)	THEN	                   METRO_AREA_N=27;
IF	(IN04_SMSA = 0275 or IN04_SMSA = 2285 or IN04_SMSA = 7040 or IN04_CMSA = 82)
	THEN                                               METRO_AREA_N=28;
YEAR=2004;
RUN;

*************************************************************;
DATA METRO_2004_sub; SET METRO_2004; IF (IN04_NUNIT2 ='4' or IN04_NUNIT2 ='5') AND IN04_BUILT LE 1999;RUN;
PROC SORT DATA=METRO_2004_sub; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=METRO_2004_sub NOPRINT SUM; VAR IN04_PWT;
OUTPUT OUT=PWT_04 SUM=OLDMHALL ; BY YEAR METRO_AREA;RUN;

TITLE "  OLDMHAL FROM THE METRO_2004_SUB"; RUN;

PROC PRINT DATA=PWT_04 NOOBS; VAR YEAR METRO_AREA OLDMHALL; RUN;

DATA PWT_04; SET PWT_04; KEEP YEAR METRO_AREA OLDMHALL ; RUN;

PROC SORT DATA=PWT_04;BY METRO_AREA; RUN;

*******************************************************************;
***********************************************************************;

DATA METRO_2009_LOS_ANGELES; SET OUT09.RENAMED_ahs2009;

MISSING b d r ; MISSING B D R ;
IF	(IN09_SMSA = 4480)	THEN	METRO_AREA='Los Angeles	 ';

IF	(IN09_SMSA = 4480)	THEN	METRO_AREA_N=20;
IF	(IN09_SMSA = 4480);
YEAR=2009;RUN;

*****************************************************************;

DATA METRO_2009_NEW_ORLEANS;
SET OUT.RENAMED_METRO_2009_NEW_ORLEANS;
MISSING b d r ; MISSING B D R ;

IF IN09_NUNIT2='B' THEN IN09_NUNIT2='.B' ;
IF IN09_BUILT='B' THEN IN09_BUILT='.B' ;

IF	(IN09_SMSA = 5560)	THEN	METRO_AREA='New Orleans	  ';

METRO_AREA_N=29; YEAR=2009; RUN;


***************************************************************************;


/*
b)	Eliminate all cases where NATLFLAG = '01' OR HUDSAMP = '01'.   In 2011, 
the metropolitan and national samples were combined on the same PUF and a 
supplement sample of HUD-assisted units was added to the PUF.  
This steps eliminates all cases in the national sample and in 
the supplemental sample.

*/

DATA AHS2011; SET OUT11.RENAMED_AHS2011; 
/*IF IN11_PWT ='B' THEN IN11_PWT ='.B';*/

IF IN11_NATLFLAG = 1 OR IN11_HUDSAMP = 1 THEN DELETE;RUN;

*************************************************************************;

DATA renamed_ahs2011_C98; SET AHS2011;
IF (IN11_SMSA = 1000)	
OR (IN11_SMSA = 1640)	
OR (IN11_SMSA = 5775)	
OR (IN11_SMSA = 6480 or IN11_CMSA = 80)	
OR (IN11_SMSA = 7360)	
OR (IN11_SMSA = 7400)	
OR (IN11_SMSA = 5720)	;

IF (IN11_SMSA = 1000)	THEN	                METRO_AREA='Birmingham    ';
IF (IN11_SMSA = 1640)	THEN	                METRO_AREA='Cincinnati    ';
IF (IN11_SMSA = 5775)	THEN	                METRO_AREA='Oakland       ';
IF (IN11_SMSA = 6480 or IN11_CMSA = 80)	THEN	METRO_AREA='Providence    ';
IF (IN11_SMSA = 7360)	THEN	                METRO_AREA='San Francisco ';
IF (IN11_SMSA = 7400)	THEN	                METRO_AREA='San Jose      ';
IF (IN11_SMSA = 5720)	THEN	                METRO_AREA='Virginia Beach';

IF (IN11_SMSA = 1000)	THEN	                METRO_AREA_N=1;
IF (IN11_SMSA = 1640)	THEN	                METRO_AREA_N=2;
IF (IN11_SMSA = 5775)	THEN	                METRO_AREA_N=3;
IF (IN11_SMSA = 6480 or IN11_CMSA = 80)	THEN	METRO_AREA_N=4;
IF (IN11_SMSA = 7360)	THEN	                METRO_AREA_N=5;
IF (IN11_SMSA = 7400)	THEN	                METRO_AREA_N=6;
IF	 (IN11_SMSA = 5720)	THEN	                METRO_AREA_N=7;

RUN;
*************************************************************************************;
DATA renamed_ahs2011_C02; SET AHS2011;

IF (IN11_SMSA = 0360)	
OR (IN11_SMSA = 1280 or IN11_CMSA = 10)	
OR (IN11_SMSA = 1520)	
OR (IN11_SMSA = 1840)	
OR (IN11_SMSA = 1920)	
OR (IN11_SMSA = 2800)	
OR (IN11_SMSA = 3760)	
OR (IN11_SMSA = 5080)	
OR (IN11_SMSA = 6200)	
OR (IN11_SMSA = 6440 or IN11_CMSA = 79)	
OR (IN11_SMSA = 6780)	
OR (IN11_SMSA = 7320)	;

IF (IN11_SMSA = 0360)	THEN	                METRO_AREA='Anaheim       ';
IF (IN11_SMSA = 1280 or IN11_CMSA = 10)	THEN	METRO_AREA='Buffalo       ';
IF (IN11_SMSA = 1520)	THEN	                METRO_AREA='Charlotte     ';
IF (IN11_SMSA = 1840)	THEN	                METRO_AREA='Columbus      ';
IF (IN11_SMSA = 1920)	THEN	                METRO_AREA='Dallas        ';
IF (IN11_SMSA = 2800)	THEN	                METRO_AREA='Fort Worth    ';
IF (IN11_SMSA = 3760)	THEN	                METRO_AREA='Kansas City   ';
IF (IN11_SMSA = 5080)	THEN	                METRO_AREA='Milwaukee     ';
IF (IN11_SMSA = 6200)	THEN	                METRO_AREA='Phoenix       ';
IF (IN11_SMSA = 6440 or IN11_CMSA = 79)	THEN	METRO_AREA='Portland      ';
IF (IN11_SMSA = 6780)	THEN                    METRO_AREA='Riverside     ';
IF (IN11_SMSA = 7320)	THEN	                METRO_AREA='San Diego     ';

IF (IN11_SMSA = 0360)	THEN	                METRO_AREA_N=8;
IF (IN11_SMSA = 1280 or IN11_CMSA = 10)	THEN	METRO_AREA_N=9;
IF (IN11_SMSA = 1520)	THEN	                METRO_AREA_N=10;
IF (IN11_SMSA = 1840)	THEN	                METRO_AREA_N=11;
IF (IN11_SMSA = 1920)	THEN	                METRO_AREA_N=12;
IF (IN11_SMSA = 2800)	THEN	                METRO_AREA_N=13;
IF (IN11_SMSA = 3760)	THEN	                METRO_AREA_N=14;
IF (IN11_SMSA = 5080)	THEN	                METRO_AREA_N=15;
IF (IN11_SMSA = 6200)	THEN	                METRO_AREA_N=16;
IF (IN11_SMSA = 6440 or IN11_CMSA = 79)	THEN	METRO_AREA_N=17;
IF	 (IN11_SMSA = 6780)	THEN                    METRO_AREA_N=18;
IF (IN11_SMSA = 7320)	THEN	                METRO_AREA_N=19;

RUN;
*************************************************************************************;

DATA renamed_ahs2011_C04; SET AHS2011;

IF (IN11_SMSA = 0520)	
OR (IN11_SMSA = 1680)	
OR (IN11_SMSA = 2080) 	
OR (IN11_SMSA = 3480)	
OR (IN11_SMSA = 4920)	
OR (IN11_SMSA = 0845 or IN11_SMSA = 6280)	
OR (IN11_SMSA = 6920)	
OR (IN11_SMSA = 0275 or IN11_SMSA = 2285 or IN11_SMSA = 7040 or IN11_CMSA = 82);

IF (IN11_SMSA = 0520)	THEN                 METRO_AREA='Atlanta       ';
IF (IN11_SMSA = 1680)	THEN                 METRO_AREA='Cleveland     ';
IF (IN11_SMSA = 2080) 	THEN                 METRO_AREA='Denver        ';
IF (IN11_SMSA = 3480)	THEN                 METRO_AREA='Indianapolis  ';
IF (IN11_SMSA = 4920)	THEN                 METRO_AREA='MemphiS       ';
IF (IN11_SMSA = 0845 or IN11_SMSA = 6280) THEN	      METRO_AREA='Pittsburgh    ';
IF (IN11_SMSA = 6920)	THEN	                      METRO_AREA='Sacramento    ';
IF (IN11_SMSA = 0275 or IN11_SMSA = 2285 or IN11_SMSA = 7040 or IN11_CMSA = 82)	
                                                THEN  METRO_AREA='St. Louis     ';

IF (IN11_SMSA = 0520)	THEN                  METRO_AREA_N=21;
IF (IN11_SMSA = 1680)	THEN                  METRO_AREA_N=22;
IF (IN11_SMSA = 2080) 	THEN                  METRO_AREA_N=23;
IF (IN11_SMSA = 3480)	THEN                  METRO_AREA_N=24;
IF (IN11_SMSA = 4920)	THEN                  METRO_AREA_N=25;
IF (IN11_SMSA = 0845 or IN11_SMSA = 6280)	THEN   METRO_AREA_N=26;
IF (IN11_SMSA = 6920)	THEN                           METRO_AREA_N=27;
IF (IN11_SMSA = 0275 or IN11_SMSA = 2285 or IN11_SMSA = 7040 or IN11_CMSA = 82)
	THEN                    METRO_AREA_N=28;

RUN;

***************************************************************************************;
DATA  LOS_ANGELES_2011	; SET OUT11.RENAMED_AHS2011;	IF IN11_NATLFLAG = 1;
IF (IN11_SMSA = 4480)	;
METRO_AREA='Los Angeles	 ';

METRO_AREA_N=20;

run;
*****************************************************************************;

DATA  New_Orleans_2011	; SET AHS2011;	
IF (IN11_SMSA = 5560)	;
METRO_AREA='New Orleans	  ';

METRO_AREA_N=29;run;

 
*************************************************************************************;
/*

i)	Merge the 1998 metropolitan sample with the extract after step 1 b), 
keep cases in both files.  
(1)	Calculate PWTRATIO as follows:

IF (IN98_PWT = B OR IN11_PWT = B) THEN PWTRATIO = B
IF NOT(IN98_PWT = B OR IN11_PWT = B)  THEN PWTRATIO = IN98_PWT/IN11_PWT
(2)	For each SMSA, do a full PROC FREQ (mean, median, key percentiles) 

for PWTRATIO (where PWTRATIO NE B)
*/
***************************************************************************************;

DATA METRO_1998; SET METRO_1998; CONTROLM=CONTROL;RUN;
DATA METRO_1998; set  METRO_1998;DROP CONTROL;RUN;
PROC SORT DATA=renamed_ahs2011_C98; BY CONTROLM METRO_AREA;RUN;

PROC SORT DATA=METRO_1998; BY CONTROLM METRO_AREA;RUN;

DATA ahs2011_1998; MERGE renamed_ahs2011_C98 (IN=I11) METRO_1998 (IN=I98); BY 
CONTROLM METRO_AREA;

IF I11=1 AND I98=1 THEN MATCH_98_2011='IN BOTH      ';
IF I11=1 AND I98=0 THEN MATCH_98_2011='IN 2011 ONLY ';
IF I11=0 AND I98=1 THEN MATCH_98_2011='IN 1998 ONLY ';
YEAR=1998;RUN;

PROC SORT DATA=ahs2011_1998; BY METRO_AREA; RUN;

/*TITLE "UNWEIGHTED FREQ DIST OF MATCH_98_2011 BY METRO_AREA"; RUN;

PROC FREQ DATA=ahs2011_1998;TABLE MATCH_98_2011/MISSING; BY METRO_AREA;RUN;
*/

DATA ahs2011_1998_SUB; SET ahs2011_1998; IF MATCH_98_2011='IN BOTH      '; RUN;

DATA ahs2011_1998_SUB;SET  ahs2011_1998_SUB;
MISSING b d r ; MISSING B D R ;
IF (IN98_PWT LE 0 OR IN11_PWT LE 0) THEN PWTRATIO = .;
IF NOT(IN98_PWT LE 0 OR IN11_PWT LE 0)  THEN PWTRATIO = IN98_PWT/IN11_PWT;RUN;

PROC SORT DATA=ahs2011_1998_SUB; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_1998_SUB NOPRINT N MIN MEAN MEDIAN MAX; VAR PWTRATIO;
OUTPUT OUT=PWTRATIO_11_98 N=N MIN=MIN MEAN=MEAN MEDIAN=MEDIAN MAX=MAX; BY YEAR 
METRO_AREA;RUN;

TITLE "SUMMARY STAT OF PWTRATIO FROM THE AHS2011_1998 (KEEPING BOTH)"; RUN;

PROC PRINT DATA=PWTRATIO_11_98 NOOBS; VAR YEAR METRO_AREA N MIN MEAN MEDIAN MAX; RUN;

DATA PWTRATIO_11_98; SET PWTRATIO_11_98; KEEP METRO_AREA MEAN ; RUN;

PROC SORT DATA=PWTRATIO_11_98; BY METRO_AREA;RUN;


**************************************************************************;
DATA METRO_2002; SET METRO_2002; CONTROLM=CONTROL;RUN;
DATA METRO_2002; set  METRO_2002;DROP CONTROL;RUN;
PROC SORT DATA=renamed_ahs2011_C02; BY CONTROLM METRO_AREA;RUN;

PROC SORT DATA=METRO_2002; BY CONTROLM METRO_AREA;RUN;

DATA ahs2011_2002; MERGE renamed_ahs2011_C02 (IN=I11) METRO_2002 (IN=I02); BY 
CONTROLM METRO_AREA;

IF I11=1 AND I02=1 THEN MATCH_02_2011='IN BOTH      ';
IF I11=1 AND I02=0 THEN MATCH_02_2011='IN 2011 ONLY ';
IF I11=0 AND I02=1 THEN MATCH_02_2011='IN 2002 ONLY ';

YEAR=2002;
RUN;

PROC SORT DATA=ahs2011_2002; BY METRO_AREA; RUN;

/*TITLE "UNWEIGHTED FREQ DIST OF MATCH_02_2011 BY METRO_AREA"; RUN;

PROC FREQ DATA=ahs2011_2002;TABLE MATCH_02_2011/MISSING; BY METRO_AREA;RUN;
*/

DATA ahs2011_2002_SUB; SET ahs2011_2002; IF MATCH_02_2011='IN BOTH      '; RUN;


DATA ahs2011_2002_SUB;SET  ahs2011_2002_SUB;
MISSING b d r ; MISSING B D R ;
IF (IN02_PWT LE 0 OR IN11_PWT LE 0) THEN PWTRATIO = .;
IF NOT(IN02_PWT LE 0 OR IN11_PWT LE 0)  THEN PWTRATIO = IN02_PWT/IN11_PWT;RUN;

PROC SORT DATA=ahs2011_2002_SUB; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2002_SUB NOPRINT N MIN MEAN MEDIAN MAX; VAR PWTRATIO;
OUTPUT OUT=PWTRATIO_11_02 N=N MIN=MIN MEAN=MEAN MEDIAN=MEDIAN MAX=MAX; BY YEAR METRO_AREA;RUN;

TITLE "SUMMARY STAT OF PWTRATIO FROM THE AHS2011_2002 (KEEPING BOTH)"; RUN;

PROC PRINT DATA=PWTRATIO_11_02 NOOBS; VAR YEAR METRO_AREA N MIN MEAN MEDIAN MAX; RUN;

DATA PWTRATIO_11_02; SET PWTRATIO_11_02; KEEP METRO_AREA MEAN ; RUN;

PROC SORT DATA=PWTRATIO_11_02; BY METRO_AREA;RUN;

*********************************************************************************;
DATA METRO_2004; SET METRO_2004; CONTROLM=CONTROL;RUN;

DATA METRO_2004; set  METRO_2004;DROP CONTROL;RUN;


PROC SORT DATA=renamed_ahs2011_C04; BY CONTROLM METRO_AREA;RUN;

PROC SORT DATA=METRO_2004; BY CONTROLM METRO_AREA;RUN;

DATA ahs2011_2004; MERGE renamed_ahs2011_C04 (IN=I11) METRO_2004 (IN=I04); BY 
CONTROLM METRO_AREA;

IF I11=1 AND I04=1 THEN MATCH_04_2011='IN BOTH      ';
IF I11=1 AND I04=0 THEN MATCH_04_2011='IN 2011 ONLY ';
IF I11=0 AND I04=1 THEN MATCH_04_2011='IN 2004 ONLY ';
YEAR=2004;RUN;

PROC SORT DATA=ahs2011_2004; BY  METRO_AREA; RUN;

/*TITLE "UNWEIGHTED FREQ DIST OF MATCH_04_2011 BY METRO_AREA"; RUN;

PROC FREQ DATA=ahs2011_2004;TABLE MATCH_04_2011/MISSING; BY METRO_AREA;RUN;
*/
DATA ahs2011_2004_SUB; SET ahs2011_2004; IF MATCH_04_2011='IN BOTH      '; RUN;


DATA ahs2011_2004_SUB;SET  ahs2011_2004_SUB;
MISSING b d r ; MISSING B D R ;
IF (IN04_PWT LE 0 OR IN11_PWT LE 0) THEN PWTRATIO = .;
IF NOT(IN04_PWT LE 0 OR IN11_PWT LE 0)  THEN PWTRATIO = IN04_PWT/IN11_PWT;RUN;

PROC SORT DATA=ahs2011_2004_SUB; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2004_SUB NOPRINT N MIN MEAN MEDIAN MAX; VAR PWTRATIO;
OUTPUT OUT=PWTRATIO_11_04 N=N MIN=MIN MEAN=MEAN MEDIAN=MEDIAN MAX=MAX; BY YEAR 
METRO_AREA;RUN;

TITLE "SUMMARY STAT OF PWTRATIO FROM THE AHS2011_2004 (KEEPING BOTH)"; RUN;

PROC PRINT DATA=PWTRATIO_11_04 NOOBS; VAR YEAR METRO_AREA N MIN MEAN MEDIAN MAX; RUN;

DATA PWTRATIO_11_04; SET PWTRATIO_11_04; KEEP METRO_AREA MEAN ; RUN;

PROC SORT DATA=PWTRATIO_11_04; BY METRO_AREA;RUN;

*****************************************************************************;

****************************************************************************;

DATA METRO_2009_LOS_ANGELES;SET METRO_2009_LOS_ANGELES;run;

PROC SORT DATA=METRO_2009_LOS_ANGELES;BY CONTROL METRO_AREA;;RUN;
PROC SORT DATA=LOS_ANGELES_2011; BY CONTROL METRO_AREA;;RUN;

DATA ahs2011_2009_LOS_ANGELES; MERGE LOS_ANGELES_2011 (IN=I11) 
METRO_2009_LOS_ANGELES (IN=I09); BY CONTROL METRO_AREA;

IF I11=1 AND I09=1 THEN MATCH_09_2011='IN BOTH      ';
IF I11=1 AND I09=0 THEN MATCH_09_2011='IN 2011 ONLY ';
IF I11=0 AND I09=1 THEN MATCH_09_2011='IN 2009 ONLY ';
YEAR=2009; RUN;

*****************************************************************************;

DATA ahs2011_2009_LOS_ANGELES; SET ahs2011_2009_LOS_ANGELES; 
IF MATCH_09_2011='IN BOTH      ' OR MATCH_09_2011='IN 2011 ONLY '; RUN;

PROC SORT DATA=ahs2011_2009_LOS_ANGELES;BY METRO_AREA; RUN;

DATA PWTRATIO_11_09_LOS_ANGELES;
METRO_AREA='Los Angeles	 ';
METRO_AREA_N=20;
MEAN=3.04836;RUN;

PROC SORT DATA=PWTRATIO_11_09_LOS_ANGELES;BY METRO_AREA; RUN;

*****************************************************************************;
DATA METRO_2009_NEW_ORLEANS; SET METRO_2009_NEW_ORLEANS; CONTROLM=CONTROL;RUN;
DATA METRO_2009_NEW_ORLEANS; SET  METRO_2009_NEW_ORLEANS; DROP CONTROL;RUN;


PROC SORT DATA=New_Orleans_2011; BY CONTROLM METRO_AREA;RUN;

PROC SORT DATA=METRO_2009_NEW_ORLEANS; BY CONTROLM METRO_AREA;RUN;

DATA ahs2011_2009_NEW_ORLEANS; MERGE New_Orleans_2011 (IN=I11) 
METRO_2009_NEW_ORLEANS (IN=I09); BY CONTROLM METRO_AREA;

IF I11=1 AND I09=1 THEN MATCH_09_2011='IN BOTH      ';
IF I11=1 AND I09=0 THEN MATCH_09_2011='IN 2011 ONLY ';
IF I11=0 AND I09=1 THEN MATCH_09_2011='IN 2009 ONLY ';
YEAR=2009;
RUN;

PROC SORT DATA=ahs2011_2009_NEW_ORLEANS; BY METRO_AREA; RUN;

/*TITLE "UNWEIGHTED FREQ DIST OF MATCH_09_2011 BY METRO_AREA"; RUN;

PROC FREQ DATA=ahs2011_2009_NEW_ORLEANS;TABLE MATCH_09_2011/MISSING; BY METRO_AREA;RUN;
*/
DATA ahs2011_2009_SUB; SET ahs2011_2009_NEW_ORLEANS; IF MATCH_09_2011='IN BOTH      '; RUN;


DATA ahs2011_2009_SUB;SET  ahs2011_2009_SUB;
MISSING b d r ; MISSING B D R ;
IF (IN09_PWT LE 0 OR IN11_PWT LE 0) THEN PWTRATIO = .;
IF NOT(IN09_PWT LE 0 OR IN11_PWT LE 0)  THEN PWTRATIO = IN09_PWT/IN11_PWT;RUN;

PROC SORT DATA=ahs2011_2009_SUB; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2009_SUB NOPRINT N MIN MEAN MEDIAN MAX; VAR PWTRATIO;
OUTPUT OUT=PWTRATIO_11_09 N=N MIN=MIN MEAN=MEAN MEDIAN=MEDIAN MAX=MAX; BY  YEAR METRO_AREA;RUN;

TITLE "SUMMARY STAT OF PWTRATIO FROM THE AHS2011_2009_NEW_ORLEANS (KEEPING BOTH)"; RUN;

PROC PRINT DATA=PWTRATIO_11_09 NOOBS; VAR YEAR METRO_AREA N MIN MEAN MEDIAN MAX; RUN;

DATA PWTRATIO_11_09_NEW_ORLEANS;SET PWTRATIO_11_09; KEEP METRO_AREA MEAN; RUN; 

PROC SORT DATA=PWTRATIO_11_09_NEW_ORLEANS; BY METRO_AREA;RUN;

***************************************************************************;
/*vi)	Adjust PWT in each of the 29 metropolitan as follows:

If the case has a positive value for PWT in the previous survey, 
then set ADJPWT = INxx_PWT where xx is the year of the previous survey.

If the case has a positive value for PWT only in 2011, 
then set ADJPWT = (mean from above table)*IN11_PWT.  

*/

*****************************************************************************;


DATA ahs2011_1998; SET ahs2011_1998;
IF MATCH_98_2011='IN BOTH      ' OR MATCH_98_2011='IN 2011 ONLY ';RUN;

PROC SORT DATA=ahs2011_1998;BY METRO_AREA;RUN;

DATA ahs2011_1998;MERGE ahs2011_1998 PWTRATIO_11_98; BY METRO_AREA; 
MISSING b d r ; MISSING B D R ;

ADJPWT=.;
IF IN98_PWT GT 0  THEN ADJPWT = IN98_PWT;
IF IN11_PWT GT 0 AND MATCH_98_2011='IN 2011 ONLY ' THEN ADJPWT = MEAN*IN11_PWT;
L=1;YEAR=1998;
RUN;



DATA ahs2011_2002;SET ahs2011_2002; IF MATCH_02_2011='IN BOTH      '
 OR MATCH_02_2011='IN 2011 ONLY ';RUN;


PROC SORT DATA=ahs2011_2002;BY METRO_AREA;RUN;

DATA ahs2011_2002;MERGE ahs2011_2002 PWTRATIO_11_02; BY METRO_AREA; 
MISSING b d r ; MISSING B D R ;

ADJPWT=.;
IF IN02_PWT GT 0  THEN ADJPWT = IN02_PWT;
IF IN11_PWT GT 0 AND MATCH_02_2011='IN 2011 ONLY ' THEN ADJPWT = MEAN*IN11_PWT;
L=1;YEAR=2002;
RUN;


DATA ahs2011_2004; SET ahs2011_2004; IF MATCH_04_2011='IN BOTH      '
 OR MATCH_04_2011='IN 2011 ONLY ';RUN;

PROC SORT DATA=ahs2011_2004;BY METRO_AREA;RUN;

DATA ahs2011_2004;MERGE ahs2011_2004 PWTRATIO_11_04; BY METRO_AREA; 
MISSING b d r ; MISSING B D R ;

ADJPWT=.;
IF IN04_PWT GT 0  THEN ADJPWT = IN04_PWT;
IF IN11_PWT GT 0 AND MATCH_04_2011='IN 2011 ONLY ' THEN ADJPWT = MEAN*IN11_PWT;

L=1;YEAR=2004;
RUN;


DATA ahs2011_2009_LOS_ANGELES;MERGE ahs2011_2009_LOS_ANGELES  
PWTRATIO_11_09_LOS_ANGELES;BY METRO_AREA; 
MISSING b d r ; MISSING B D R ;

ADJPWT=.;
IF IN09_PWT GT 0  THEN ADJPWT = IN09_PWT;
IF IN11_PWT GT 0 AND MATCH_09_2011='IN 2011 ONLY ' THEN ADJPWT = MEAN*IN11_PWT;

L=1;YEAR=2009;
RUN;
DATA ahs2011_2009_NEW_ORLEANS; SET ahs2011_2009_NEW_ORLEANS; 
IF MATCH_09_2011='IN BOTH      ' OR MATCH_09_2011='IN 2011 ONLY '; RUN;

PROC SORT DATA=ahs2011_2009_NEW_ORLEANS;BY METRO_AREA;RUN;

DATA ahs2011_2009_NEW_ORLEANS;MERGE ahs2011_2009_NEW_ORLEANS 
PWTRATIO_11_09_NEW_ORLEANS; BY METRO_AREA; 
MISSING b d r ; MISSING B D R ;

ADJPWT=.;
IF IN09_PWT GT 0  THEN ADJPWT = IN09_PWT;
IF IN11_PWT GT 0 AND MATCH_09_2011='IN 2011 ONLY ' THEN ADJPWT = MEAN*IN11_PWT;
L=1;YEAR=2009;
RUN;

*******************************************************************************;

******************************************************************************;
/*
2)Delete cases where: 

a)(IN11_NOINT GE 38) These units were dropped from the sample 
for statistical reasons.  
They do not represent the housing stock in the 2011 AHS.

b)(10 LE IN11_NOINT LT 38). These are type B or type C losses in 2011. 
These units are not part of the 2011 stock, 
and therefore we do not track them backward.

c)(IN11_SAMEDU = 2). These are cases where it is possible that 
the Census Bureau interviewed the wrong unit in the previous survey. 

d)IN11_REUAD = 11. These are units added to improve the sample.   
They are part of the 2011 housing stock, but we cannot tell 
whether they were in the previous survey year stock or added by 
new construction or other means between previous survey year and 2011.  
In most cases, they do not represent market-driven additions to the housing stock.

e)(IN11_NUNIT2 = 4 AND IN11_BUILT LE 1999 AND NOT(INxx_ISTATUS = 1 
OR INxx_ISTATUS = 2 OR INxx_ISTATUS = 3 OR INxx_ISTATUS = 4)) 
These cases are the mobile homes added to the sample in 2005. 
We cannot use them for CINCH analysis because we have no information 
on their status in previous survey year or 2002. 
Omit this step for Los Angeles and New Orleans because the previous samples 
for these two metro were post 2005 and therefore these units had 
already been dropped.


*/ 
TITLE "NUMBER OF CASES by Metro Areas after step 1"; run;
PROC MEANS DATA=ahs2011_1998 N NOPRINT; VAR L; 
OUTPUT OUT=CASES_ahs2011_1998 N=N ; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2002 NOPRINT N ; VAR L;
OUTPUT OUT=CASES_ahs2011_2002 N=N ; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2004 NOPRINT N ; VAR L;
OUTPUT OUT=CASES_ahs2011_2004 N=N ; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2009_NEW_ORLEANS NOPRINT N ; VAR L;
OUTPUT OUT=CASES_ahs2011_2009_NEW_ORLEANS N=N ; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2009_LOS_ANGELES NOPRINT N ; VAR L;
OUTPUT OUT=CASES_ahs2011_2009_LOS_ANGELES N=N ; BY YEAR METRO_AREA;RUN;


DATA CASES; SET CASES_ahs2011_1998 CASES_ahs2011_2002 CASES_ahs2011_2004
CASES_ahs2011_2009_NEW_ORLEANS CASES_ahs2011_2009_LOS_ANGELES; RUN;

PROC SORT DATA=CASES; BY YEAR METRO_AREA;RUN;

PROC PRINT DATA=CASES NOOBS; VAR YEAR METRO_AREA N; RUN;


******************************************************************************;
/***********STEP 2.a*****************/
DATA ahs2011_1998;SET ahs2011_1998;IF (IN11_NOINT GE 38) THEN DELETE;RUN;
DATA ahs2011_2002;SET ahs2011_2002;IF (IN11_NOINT GE 38) THEN DELETE;RUN;
DATA ahs2011_2004;SET ahs2011_2004;IF (IN11_NOINT GE 38) THEN DELETE;RUN;
DATA ahs2011_2009_NEW_ORLEANS;SET ahs2011_2009_NEW_ORLEANS;
IF (IN11_NOINT GE 38) THEN DELETE;RUN;
DATA ahs2011_2009_LOS_ANGELES;SET ahs2011_2009_LOS_ANGELES;
IF (IN11_NOINT GE 38) THEN DELETE;RUN;

TITLE "NUMBER OF CASES by Metro Areas after step 2.a"; run;
PROC MEANS DATA=ahs2011_1998 N NOPRINT; VAR L; 
OUTPUT OUT=CASES_ahs2011_1998 N=N ; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2002 NOPRINT N ; VAR L;
OUTPUT OUT=CASES_ahs2011_2002 N=N ; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2004 NOPRINT N ; VAR L;
OUTPUT OUT=CASES_ahs2011_2004 N=N ; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2009_NEW_ORLEANS NOPRINT N ; VAR L;
OUTPUT OUT=CASES_ahs2011_2009_NEW_ORLEANS N=N ; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2009_LOS_ANGELES NOPRINT N ; VAR L;
OUTPUT OUT=CASES_ahs2011_2009_LOS_ANGELES N=N ; BY YEAR METRO_AREA;RUN;


DATA CASES; SET CASES_ahs2011_1998 CASES_ahs2011_2002 CASES_ahs2011_2004
CASES_ahs2011_2009_NEW_ORLEANS CASES_ahs2011_2009_LOS_ANGELES; RUN;

PROC SORT DATA=CASES; BY YEAR METRO_AREA;RUN;

PROC PRINT DATA=CASES NOOBS; VAR YEAR METRO_AREA N; RUN;

**************************************************************************;
/***********STEP 2.b*****************/
DATA ahs2011_1998;SET ahs2011_1998;IF (10 LE IN11_NOINT LT 38) THEN DELETE;RUN;
DATA ahs2011_2002;SET ahs2011_2002;IF (10 LE IN11_NOINT LT 38) THEN DELETE;RUN;
DATA ahs2011_2004;SET ahs2011_2004;IF (10 LE IN11_NOINT LT 38) THEN DELETE;RUN;
DATA ahs2011_2009_NEW_ORLEANS;SET ahs2011_2009_NEW_ORLEANS;
IF (10 LE IN11_NOINT LT 38) THEN DELETE;RUN;
DATA ahs2011_2009_LOS_ANGELES;SET ahs2011_2009_LOS_ANGELES;
IF (10 LE IN11_NOINT LT 38) THEN DELETE;RUN;

TITLE "NUMBER OF CASES by Metro Areas after step 2.b"; run;
PROC MEANS DATA=ahs2011_1998 N NOPRINT; VAR L; 
OUTPUT OUT=CASES_ahs2011_1998 N=N ; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2002 NOPRINT N ; VAR L;
OUTPUT OUT=CASES_ahs2011_2002 N=N ; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2004 NOPRINT N ; VAR L;
OUTPUT OUT=CASES_ahs2011_2004 N=N ; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2009_NEW_ORLEANS NOPRINT N ; VAR L;
OUTPUT OUT=CASES_ahs2011_2009_NEW_ORLEANS N=N ; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2009_LOS_ANGELES NOPRINT N ; VAR L;
OUTPUT OUT=CASES_ahs2011_2009_LOS_ANGELES N=N ; BY YEAR METRO_AREA;RUN;


DATA CASES; SET CASES_ahs2011_1998 CASES_ahs2011_2002 CASES_ahs2011_2004
CASES_ahs2011_2009_NEW_ORLEANS CASES_ahs2011_2009_LOS_ANGELES; RUN;

PROC SORT DATA=CASES; BY YEAR METRO_AREA;RUN;

PROC PRINT DATA=CASES NOOBS; VAR YEAR METRO_AREA N; RUN;




**************************************************************************;
/***********STEP 2.c*****************/
DATA ahs2011_1998;SET ahs2011_1998;IF (IN11_SAMEDU = 2) THEN DELETE;RUN;
DATA ahs2011_2002;SET ahs2011_2002;IF (IN11_SAMEDU = 2) THEN DELETE;RUN;
DATA ahs2011_2004;SET ahs2011_2004;IF (IN11_SAMEDU = 2) THEN DELETE;RUN;
DATA ahs2011_2009_NEW_ORLEANS;SET ahs2011_2009_NEW_ORLEANS;
IF (IN11_SAMEDU = 2) THEN DELETE;RUN;
DATA ahs2011_2009_LOS_ANGELES;SET ahs2011_2009_LOS_ANGELES;
IF (IN11_SAMEDU = 2) THEN DELETE;RUN;

TITLE "NUMBER OF CASES bu Metro Areas after step 2.c"; run;
PROC MEANS DATA=ahs2011_1998 N NOPRINT; VAR L; 
OUTPUT OUT=CASES_ahs2011_1998 N=N ; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2002 NOPRINT N ; VAR L;
OUTPUT OUT=CASES_ahs2011_2002 N=N ; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2004 NOPRINT N ; VAR L;
OUTPUT OUT=CASES_ahs2011_2004 N=N ; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2009_NEW_ORLEANS NOPRINT N ; VAR L;
OUTPUT OUT=CASES_ahs2011_2009_NEW_ORLEANS N=N ; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2009_LOS_ANGELES NOPRINT N ; VAR L;
OUTPUT OUT=CASES_ahs2011_2009_LOS_ANGELES N=N ; BY YEAR METRO_AREA;RUN;


DATA CASES; SET CASES_ahs2011_1998 CASES_ahs2011_2002 CASES_ahs2011_2004
CASES_ahs2011_2009_NEW_ORLEANS CASES_ahs2011_2009_LOS_ANGELES; RUN;

PROC SORT DATA=CASES; BY YEAR METRO_AREA;RUN;

PROC PRINT DATA=CASES NOOBS; VAR YEAR METRO_AREA N; RUN;




**************************************************************************;
/***********STEP 2.d*****************/
DATA ahs2011_1998;SET ahs2011_1998;IF IN11_REUAD = 11 THEN DELETE;RUN;
DATA ahs2011_2002;SET ahs2011_2002;IF IN11_REUAD = 11 THEN DELETE;RUN;
DATA ahs2011_2004;SET ahs2011_2004;IF IN11_REUAD = 11 THEN DELETE;RUN;
DATA ahs2011_2009_NEW_ORLEANS;SET ahs2011_2009_NEW_ORLEANS;
IF IN11_REUAD = 11 THEN DELETE;RUN;
DATA ahs2011_2009_LOS_ANGELES;SET ahs2011_2009_LOS_ANGELES;
IF IN11_REUAD = 11 THEN DELETE;RUN;

TITLE "NUMBER OF CASES by Metro Areas after step 2.d"; run;
PROC MEANS DATA=ahs2011_1998 N NOPRINT; VAR L; 
OUTPUT OUT=CASES_ahs2011_1998 N=N ; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2002 NOPRINT N ; VAR L;
OUTPUT OUT=CASES_ahs2011_2002 N=N ; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2004 NOPRINT N ; VAR L;
OUTPUT OUT=CASES_ahs2011_2004 N=N ; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2009_NEW_ORLEANS NOPRINT N ; VAR L;
OUTPUT OUT=CASES_ahs2011_2009_NEW_ORLEANS N=N ; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2009_LOS_ANGELES NOPRINT N ; VAR L;
OUTPUT OUT=CASES_ahs2011_2009_LOS_ANGELES N=N ; BY YEAR METRO_AREA;RUN;


DATA CASES; SET CASES_ahs2011_1998 CASES_ahs2011_2002 CASES_ahs2011_2004
CASES_ahs2011_2009_NEW_ORLEANS CASES_ahs2011_2009_LOS_ANGELES; RUN;

PROC SORT DATA=CASES; BY YEAR METRO_AREA;RUN;

PROC PRINT DATA=CASES NOOBS; VAR YEAR METRO_AREA N; RUN;


*************************************************************************;
/***********STEP 2.e*****************/
DATA ahs2011_1998;SET ahs2011_1998;
IF ((IN11_NUNIT2 ='4' or IN11_NUNIT2 ='5') AND IN11_BUILT LE 1999 AND NOT(IN98_ISTATUS = 1
OR IN98_ISTATUS = 2 OR IN98_ISTATUS = 3 OR IN98_ISTATUS = 4)) 
 THEN DELETE;RUN;

DATA ahs2011_2002;SET ahs2011_2002;
IF ((IN11_NUNIT2 ='4' or IN11_NUNIT2 ='5') AND IN11_BUILT LE 1999 AND NOT(IN02_ISTATUS = 1
OR IN02_ISTATUS = 2 OR IN02_ISTATUS = 3 OR IN02_ISTATUS = 4)) 
 THEN DELETE;RUN;

DATA ahs2011_2004;SET ahs2011_2004;
IF ((IN11_NUNIT2 ='4' or IN11_NUNIT2 ='5') AND IN11_BUILT LE 1999 AND NOT(IN04_ISTATUS = 1
OR IN04_ISTATUS = 2 OR IN04_ISTATUS = 3 OR IN04_ISTATUS = 4)) 
 THEN DELETE;RUN;


TITLE "NUMBER OF CASES by Metro Areas after step 2.e"; run;
PROC MEANS DATA=ahs2011_1998 N NOPRINT; VAR L; 
OUTPUT OUT=CASES_ahs2011_1998 N=N ; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2002 NOPRINT N ; VAR L;
OUTPUT OUT=CASES_ahs2011_2002 N=N ; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2004 NOPRINT N ; VAR L;
OUTPUT OUT=CASES_ahs2011_2004 N=N ; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2009_NEW_ORLEANS NOPRINT N ; VAR L;
OUTPUT OUT=CASES_ahs2011_2009_NEW_ORLEANS N=N ; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2009_LOS_ANGELES NOPRINT N ; VAR L;
OUTPUT OUT=CASES_ahs2011_2009_LOS_ANGELES N=N ; BY YEAR METRO_AREA;RUN;


DATA CASES; SET CASES_ahs2011_1998 CASES_ahs2011_2002 CASES_ahs2011_2004
CASES_ahs2011_2009_NEW_ORLEANS CASES_ahs2011_2009_LOS_ANGELES; RUN;

PROC SORT DATA=CASES; BY YEAR METRO_AREA;RUN;

PROC PRINT DATA=CASES NOOBS; VAR YEAR METRO_AREA N; RUN;

DATA ahs2011_2009_NEW_ORLEANS; SET ahs2011_2009_NEW_ORLEANS;
MH=0;
IF (IN11_NUNIT2 ='4' or IN11_NUNIT2 ='5') THEN MH=1;

RUN;
DATA ahs2011_2009_LOS_ANGELES; SET ahs2011_2009_LOS_ANGELES;
MH=0;
IF (IN11_NUNIT2 ='4' or IN11_NUNIT2 ='5') THEN MH=1;
RUN;


***************************************************************************;
/*
3)Adjust the pure weights of manufactured (mobile) homes. 
Omit this step for Los Angeles and New Orleans.

a)From merged file after step 2, compute a pure weight count 
of mobile homes built before 2000 that are in both years 
(OLDMHKEPT) by summing ADJPWT for cases where (IN11_NUNIT2 ='4' or IN11_NUNIT2 ='5') AND IN11_BUILT LE 1999. 

b)Adjust the pure weights of all manufactured (mobile) homes. 

IF (IN11_NUNIT2 ='4' or IN11_NUNIT2 ='5') AND IN11_BUILT GE 2000
ADJPWT = ADJPWT.
IF (IN11_NUNIT2 ='4' or IN11_NUNIT2 ='5') AND IN11_BUILT LE 1999
ADJPWT = ADJPWT*(OLDMHALL/OLDMHKEPT).

*/

/***********STEP 3*****************/

DATA ahs2011_1998_SUB;SET ahs2011_1998;
IF (IN11_NUNIT2 ='4' or IN11_NUNIT2 ='5') AND IN11_BUILT LE 1999 ;RUN;

PROC SORT DATA=ahs2011_1998_SUB; BY YEAR METRO_AREA;RUN;


PROC MEANS DATA=ahs2011_1998_SUB NOPRINT SUM; VAR ADJPWT;
OUTPUT OUT=ADJPWT_98 SUM=OLDMHKEPT ; BY YEAR METRO_AREA;RUN;

TITLE " OLDMHKEPT FROM THE ahs2011_1998_SUB"; RUN;

PROC PRINT DATA=ADJPWT_98 NOOBS; VAR YEAR METRO_AREA OLDMHKEPT; RUN;

DATA ADJPWT_98; SET ADJPWT_98; KEEP YEAR METRO_AREA  OLDMHKEPT; RUN;

PROC SORT DATA=ADJPWT_98;BY METRO_AREA; RUN;

*********************************************************************;

DATA ahs2011_2002_SUB;SET ahs2011_2002;
IF (IN11_NUNIT2 ='4' or IN11_NUNIT2 ='5') AND IN11_BUILT LE 1999 ;RUN;

PROC SORT DATA=ahs2011_2002_SUB; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2002_SUB NOPRINT SUM; VAR ADJPWT;
OUTPUT OUT=ADJPWT_02 SUM=OLDMHKEPT ; BY YEAR METRO_AREA;RUN;

TITLE " OLDMHKEPT FROM THE ahs2011_2002_SUB"; RUN;

PROC PRINT DATA=ADJPWT_02 NOOBS; VAR YEAR METRO_AREA OLDMHKEPT; RUN;

DATA ADJPWT_02; SET ADJPWT_02; KEEP YEAR METRO_AREA  OLDMHKEPT; RUN;

PROC SORT DATA=ADJPWT_02;BY METRO_AREA; RUN;

*********************************************************************;

DATA ahs2011_2004_SUB;SET ahs2011_2004;
IF (IN11_NUNIT2 ='4' or IN11_NUNIT2 ='5') AND IN11_BUILT LE 1999 ;RUN;

PROC SORT DATA=ahs2011_2004_SUB; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2004_SUB NOPRINT SUM; VAR ADJPWT;
OUTPUT OUT=ADJPWT_04 SUM=OLDMHKEPT ; BY YEAR METRO_AREA;RUN;

TITLE " OLDMHKEPT FROM THE ahs2011_2004_SUB"; RUN;

PROC PRINT DATA=ADJPWT_04 NOOBS; VAR YEAR METRO_AREA OLDMHKEPT; RUN;

DATA ADJPWT_04; SET ADJPWT_04; KEEP YEAR METRO_AREA  OLDMHKEPT; RUN;

PROC SORT DATA=ADJPWT_04;BY METRO_AREA; RUN;

*********************************************************************;

PROC SORT DATA=ahs2011_1998; BY METRO_AREA; RUN;

DATA ahs2011_1998; MERGE ahs2011_1998 PWT_98 ADJPWT_98; BY METRO_AREA;

IF (IN11_NUNIT2 ='4' or IN11_NUNIT2 ='5') AND IN11_BUILT GE 2000
THEN ADJPWT = ADJPWT;


IF (IN11_NUNIT2 ='4' or IN11_NUNIT2 ='5') AND IN11_BUILT LE 1999
THEN ADJPWT = ADJPWT*(OLDMHALL/OLDMHKEPT);

MH=0;
IF (IN11_NUNIT2 ='4' or IN11_NUNIT2 ='5') THEN MH=1;


RUN;
*********************************************************************;
PROC SORT DATA=ahs2011_2002; BY METRO_AREA; RUN;

DATA ahs2011_2002; MERGE ahs2011_2002 PWT_02 ADJPWT_02; BY METRO_AREA;

IF (IN11_NUNIT2 ='4' or IN11_NUNIT2 ='5') AND IN11_BUILT GE 2000
THEN ADJPWT = ADJPWT;

IF (IN11_NUNIT2 ='4' or IN11_NUNIT2 ='5') AND IN11_BUILT LE 1999
THEN ADJPWT = ADJPWT*(OLDMHALL/OLDMHKEPT);

MH=0;
IF (IN11_NUNIT2 ='4' or IN11_NUNIT2 ='5') THEN MH=1;


RUN;
*********************************************************************;
PROC SORT DATA=ahs2011_2004; BY METRO_AREA; RUN;

DATA ahs2011_2004; MERGE ahs2011_2004 PWT_04 ADJPWT_04; BY METRO_AREA;

IF (IN11_NUNIT2 ='4' or IN11_NUNIT2 ='5') AND IN11_BUILT GE 2000
THEN ADJPWT = ADJPWT;


IF (IN11_NUNIT2 ='4' or IN11_NUNIT2 ='5') AND IN11_BUILT LE 1999
THEN ADJPWT = ADJPWT*(OLDMHALL/OLDMHKEPT);

MH=0;
IF (IN11_NUNIT2 ='4' or IN11_NUNIT2 ='5') THEN MH=1;
RUN;
*********************************************************************;
***************************************************************************;

/*

a)	SAME = 1 if INxx_ISTATUS = 1, 2, or 3 AND IN11_ISTATUS = 1, 2, OR 3 
AND NOT(IN11_NUNIT2 = '4' AND IN11_BUILT GE xx AND INxx_BUILT NE xx)) 

b)	NC = 1 if  IN11_ISTATUS=1, 2, 3, or 4 AND ((IN11_REUAD = 3) OR 
(10 LE INxx_NOINT LE 11) OR (IN11_NUNIT2 = '4' AND IN11_BUILT GE xx 
AND INxx_BUILT NE xx)) .

c)	INTNC = 1 IF NC=1 AND IN11_ISTATUS=1, 2, or 3 

d)	ADD = 1 if  IN11_ISTATUS=1, 2, 3, or 4 AND ((4 LE IN11_REUAD LE 10) 
OR (12 LE INxx_NOINT LE 17)) AND NOT NC=1 

e)	INTADD = 1 if  ADD =1 AND IN11_ISTATUS=1, 2, OR 3

*/
*******************************************************************;


PROC SORT DATA=ahs2011_1998; BY YEAR METRO_AREA;RUN;


PROC MEANS DATA=ahs2011_1998 NOPRINT SUM; VAR ADJPWT;
OUTPUT OUT=SADJPWT_98 SUM=SADJPWT; BY YEAR METRO_AREA;RUN;

TITLE " SADJPWT & COUNT_2011 FROM THE ahs2011_1998"; RUN;

DATA SADJPWT_98; SET SADJPWT_98; 
IF METRO_AREA='Birmingham    '	THEN	COUNT_2011=	502000	;
IF METRO_AREA='Cincinnati    '	THEN	COUNT_2011=	921700	;
IF METRO_AREA='Oakland       '	THEN	COUNT_2011=	994600	;
IF METRO_AREA='Providence    '	THEN	COUNT_2011=	583000	;
IF METRO_AREA='San Francisco '	THEN	COUNT_2011=	766600	;
IF METRO_AREA='San Jose      '	THEN	COUNT_2011=	655900	;
IF METRO_AREA='Virginia Beach'	THEN	COUNT_2011=	694200	;

KEEP YEAR METRO_AREA SADJPWT COUNT_2011; RUN;

PROC PRINT DATA=SADJPWT_98 NOOBS; VAR YEAR METRO_AREA SADJPWT COUNT_2011; RUN;

PROC SORT DATA=SADJPWT_98;BY METRO_AREA; RUN;
PROC SORT DATA=ahs2011_1998; BY METRO_AREA;RUN;

DATA ahs2011_1998; MERGE ahs2011_1998 SADJPWT_98;  BY METRO_AREA;
BLCINCHWT = ADJPWT*(COUNT_2011/SADJPWT);

SAME=0;

IF (IN98_ISTATUS ='1' OR IN98_ISTATUS='2' OR IN98_ISTATUS='3') AND 
(IN11_ISTATUS ='1' OR IN11_ISTATUS='2' OR IN11_ISTATUS='3')  AND NOT(IN11_NUNIT2 = '4' 
AND IN11_BUILT GE 1998 AND IN98_BUILT NE 1998) 
THEN SAME=1;

NC = 0;
IF (IN11_ISTATUS ='1' OR IN11_ISTATUS='2' OR IN11_ISTATUS='3' OR IN11_ISTATUS='4') 
AND ((IN11_REUAD = 3) OR (10 LE IN98_NOINT LE 11) 
 OR (IN11_NUNIT2 = '4' AND IN11_BUILT GE 1998 AND IN98_BUILT NE 1998))  THEN NC = 1;


INTNC = 0;
IF (IN11_ISTATUS ='1' OR IN11_ISTATUS='2' OR IN11_ISTATUS='3') AND NC=1 THEN INTNC = 1;


ADD = 0;

IF (IN11_ISTATUS ='1' OR IN11_ISTATUS='2' OR IN11_ISTATUS='3' OR IN11_ISTATUS='4')
AND ((4 LE IN11_REUAD LE 10) OR (12 LE IN98_NOINT LE 17))
AND NOT NC=1 THEN ADD=1;

INTADD = 0;
IF (IN11_ISTATUS ='1' OR IN11_ISTATUS='2' OR IN11_ISTATUS='3') AND ADD =1 
THEN INTADD = 1;


RUN;
TITLE 'UNWEIGHTED FREQ DIST OF (SAME NC INTNC ADD INTADD) FROM 
THE ahs2011_1998 BY METRO_AREA '; RUN;

PROC FREQ DATA=ahs2011_1998; TABLE METRO_AREA*(SAME NC INTNC ADD INTADD)
 /MISSING NOCOL NOROW NOPERCENT; RUN;

*********************************************************************;

PROC SORT DATA=ahs2011_2002; BY YEAR METRO_AREA;RUN;


PROC MEANS DATA=ahs2011_2002 NOPRINT SUM; VAR ADJPWT;
OUTPUT OUT=SADJPWT_02 SUM=SADJPWT; BY YEAR METRO_AREA;RUN;

TITLE " SADJPWT & COUNT_2011 FROM THE ahs2011_2002"; RUN;

DATA SADJPWT_02; SET SADJPWT_02; 
IF METRO_AREA='Anaheim       '	THEN	COUNT_2011=	1054100	;
IF METRO_AREA='Buffalo       '	THEN	COUNT_2011=	520200	;
IF METRO_AREA='Charlotte     '	THEN	COUNT_2011=	747600	;
IF METRO_AREA='Columbus      '	THEN	COUNT_2011=	798400	;
IF METRO_AREA='Dallas        '	THEN	COUNT_2011=	1691000	;
IF METRO_AREA='Fort Worth    '	THEN	COUNT_2011=	856200	;
IF METRO_AREA='Kansas City   '	THEN	COUNT_2011=	893600	;
IF METRO_AREA='Milwaukee     '	THEN	COUNT_2011=	674100	;
IF METRO_AREA='Phoenix       '	THEN	COUNT_2011=	1821700	;
IF METRO_AREA='Portland      '	THEN	COUNT_2011=	934000	;
IF METRO_AREA='Riverside     '	THEN	COUNT_2011=	1511800	;
IF METRO_AREA='San Diego     '	THEN	COUNT_2011=	1186100	;

KEEP YEAR METRO_AREA SADJPWT COUNT_2011; 

RUN;

PROC PRINT DATA=SADJPWT_02 NOOBS; VAR YEAR METRO_AREA SADJPWT COUNT_2011; RUN;


PROC SORT DATA=SADJPWT_02;BY METRO_AREA; RUN;
PROC SORT DATA=ahs2011_2002; BY METRO_AREA;RUN;
DATA ahs2011_2002; MERGE ahs2011_2002 SADJPWT_02;  BY METRO_AREA;
BLCINCHWT = ADJPWT*(COUNT_2011/SADJPWT);

SAME=0;

IF (IN02_ISTATUS ='1' OR IN02_ISTATUS='2' OR IN02_ISTATUS='3') AND 
(IN11_ISTATUS ='1' OR IN11_ISTATUS='2' OR IN11_ISTATUS='3') AND NOT(IN11_NUNIT2 = '4' 
AND IN11_BUILT GE 2002 AND IN02_BUILT NE 2002) 
THEN SAME=1;

NC = 0;
IF (IN11_ISTATUS ='1' OR IN11_ISTATUS='2' OR IN11_ISTATUS='3' OR IN11_ISTATUS='4') 
AND ((IN11_REUAD = 3) OR (10 LE IN02_NOINT LE 11) 
       OR (IN11_NUNIT2 = '4' AND IN11_BUILT GE 2002 AND IN02_BUILT NE 2002))  THEN NC = 1;


INTNC = 0;
IF (IN11_ISTATUS ='1' OR IN11_ISTATUS='2' OR IN11_ISTATUS='3') AND NC=1 THEN INTNC = 1;


ADD = 0;

IF (IN11_ISTATUS ='1' OR IN11_ISTATUS='2' OR IN11_ISTATUS='3' OR IN11_ISTATUS='4')
AND ((4 LE IN11_REUAD LE 10) OR (12 LE IN02_NOINT LE 17))
AND NOT NC=1 THEN ADD=1;

INTADD = 0;
IF (IN11_ISTATUS ='1' OR IN11_ISTATUS='2' OR IN11_ISTATUS='3') AND ADD =1 
THEN INTADD = 1;

RUN;

TITLE 'UNWEIGHTED FREQ DIST OF (SAME NC INTNC ADD INTADD) FROM 
THE ahs2011_2002 BY METRO_AREA '; RUN;

PROC FREQ DATA=ahs2011_2002; TABLE METRO_AREA*(SAME NC INTNC ADD INTADD)
 /MISSING NOCOL NOROW NOPERCENT; RUN;

*********************************************************************;

PROC SORT DATA=ahs2011_2004; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2004 NOPRINT SUM; VAR ADJPWT;
OUTPUT OUT=SADJPWT_04 SUM=SADJPWT; BY YEAR METRO_AREA;RUN;

TITLE " SADJPWT & COUNT_2011 FROM THE ahs2011_2004"; RUN;

DATA SADJPWT_04; SET SADJPWT_04; 

IF METRO_AREA='Atlanta       '	THEN	COUNT_2011=	2175600	;
IF METRO_AREA='Cleveland     '	THEN	COUNT_2011=	958700	;
IF METRO_AREA='Denver        '	THEN	COUNT_2011=	1067000	;
IF METRO_AREA='Indianapolis  '	THEN	COUNT_2011=	765300	;
IF METRO_AREA='MemphiS       '	THEN	COUNT_2011=	552500	;
IF METRO_AREA='Pittsburgh    '	THEN	COUNT_2011=	1104900	;
IF METRO_AREA='Sacramento    '	THEN	COUNT_2011=	883700	;
IF METRO_AREA='St. Louis     '	THEN	COUNT_2011=	1248100	;

KEEP YEAR METRO_AREA SADJPWT COUNT_2011; 
RUN;

PROC PRINT DATA=SADJPWT_04 NOOBS; VAR YEAR METRO_AREA SADJPWT COUNT_2011; RUN;


PROC SORT DATA=SADJPWT_04;BY METRO_AREA; RUN;
PROC SORT DATA=ahs2011_2004; BY METRO_AREA;RUN;
DATA ahs2011_2004; MERGE ahs2011_2004 SADJPWT_04;  BY METRO_AREA;
BLCINCHWT = ADJPWT*(COUNT_2011/SADJPWT);

SAME=0;

IF (IN04_ISTATUS ='1' OR IN04_ISTATUS='2' OR IN04_ISTATUS='3') AND 
(IN11_ISTATUS ='1' OR IN11_ISTATUS='2' OR IN11_ISTATUS='3')  AND NOT(IN11_NUNIT2 = '4' 
AND IN11_BUILT GE 2004 AND IN04_BUILT NE 2004) 
THEN SAME=1;

NC = 0;
IF (IN11_ISTATUS ='1' OR IN11_ISTATUS='2' OR IN11_ISTATUS='3' OR IN11_ISTATUS='4') 
AND ((IN11_REUAD = 3) OR (10 LE IN04_NOINT LE 11) 
       OR (IN11_NUNIT2 = '4' AND IN11_BUILT GE 2004 AND IN04_BUILT NE 2004)) 
 THEN NC = 1;


INTNC = 0;
IF (IN11_ISTATUS ='1' OR IN11_ISTATUS='2' OR IN11_ISTATUS='3') AND NC=1 THEN INTNC = 1;


ADD = 0;

IF (IN11_ISTATUS ='1' OR IN11_ISTATUS='2' OR IN11_ISTATUS='3' OR IN11_ISTATUS='4')
AND ((4 LE IN11_REUAD LE 10) OR (12 LE IN04_NOINT LE 17))
AND NOT NC=1 THEN ADD=1;

INTADD = 0;
IF (IN11_ISTATUS ='1' OR IN11_ISTATUS='2' OR IN11_ISTATUS='3') AND ADD =1 
THEN INTADD = 1;

RUN;
TITLE 'UNWEIGHTED FREQ DIST OF (SAME NC INTNC ADD INTADD) FROM 
THE ahs2011_2004 BY METRO_AREA '; RUN;

PROC FREQ DATA=ahs2011_2004; TABLE METRO_AREA*(SAME NC INTNC ADD INTADD)
 /MISSING NOCOL NOROW NOPERCENT; RUN;

*********************************************************************;
PROC SORT DATA=ahs2011_2009_NEW_ORLEANS; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2009_NEW_ORLEANS NOPRINT SUM; VAR ADJPWT;
OUTPUT OUT=SADJPWT_09_NEW_ORLEANS SUM=SADJPWT; BY YEAR METRO_AREA;RUN;

TITLE " SADJPWT & COUNT_2011 FROM THE ahs2011_2009_NEW_ORLEANS"; RUN;

DATA SADJPWT_09_NEW_ORLEANS; SET SADJPWT_09_NEW_ORLEANS; 
COUNT_2011=	545700	;
KEEP YEAR METRO_AREA SADJPWT COUNT_2011; RUN;

PROC PRINT DATA=SADJPWT_09_NEW_ORLEANS NOOBS; VAR YEAR METRO_AREA SADJPWT COUNT_2011; RUN;


PROC SORT DATA=SADJPWT_09_NEW_ORLEANS;BY METRO_AREA; RUN;
PROC SORT DATA=ahs2011_2009_NEW_ORLEANS; BY METRO_AREA;RUN;
DATA ahs2011_2009_NEW_ORLEANS; MERGE ahs2011_2009_NEW_ORLEANS SADJPWT_09_NEW_ORLEANS;  BY METRO_AREA;
BLCINCHWT = ADJPWT*(COUNT_2011/SADJPWT);

SAME=0;

IF (IN09_ISTATUS ='1' OR IN09_ISTATUS='2' OR IN09_ISTATUS='3') AND 
(IN11_ISTATUS ='1' OR IN11_ISTATUS='2' OR IN11_ISTATUS='3') 
AND NOT(IN11_NUNIT2 = '4' AND IN11_BUILT GE 2009 AND IN09_BUILT NE 2009) 
THEN SAME=1;

NC = 0;
IF (IN11_ISTATUS ='1' OR IN11_ISTATUS='2' OR IN11_ISTATUS='3' OR IN11_ISTATUS='4') 
AND ((IN11_REUAD = 3) OR (10 LE IN09_NOINT LE 11) 
 OR (IN11_NUNIT2 = '4' AND IN11_BUILT GE 2009 AND IN09_BUILT NE 2009))  THEN NC = 1;

INTNC = 0;
IF (IN11_ISTATUS ='1' OR IN11_ISTATUS='2' OR IN11_ISTATUS='3') AND NC=1 THEN INTNC = 1;

ADD = 0;
IF (IN11_ISTATUS ='1' OR IN11_ISTATUS='2' OR IN11_ISTATUS='3' OR IN11_ISTATUS='4')
AND ((4 LE IN11_REUAD LE 10) OR (12 LE IN09_NOINT LE 17)) AND NOT NC=1 THEN ADD=1;

INTADD = 0;
IF (IN11_ISTATUS ='1' OR IN11_ISTATUS='2' OR IN11_ISTATUS='3') AND ADD =1 
THEN INTADD = 1;

RUN;
TITLE 'UNWEIGHTED FREQ DIST OF (SAME NC INTNC ADD INTADD) FROM 
THE ahs2011_2009_NEW_ORLEANS BY METRO_AREA '; RUN;

PROC FREQ DATA=ahs2011_2009_NEW_ORLEANS; TABLE METRO_AREA*(SAME NC INTNC ADD INTADD)
 /MISSING NOCOL NOROW NOPERCENT; RUN;

*********************************************************************;
PROC SORT DATA=ahs2011_2009_LOS_ANGELES; BY YEAR METRO_AREA;RUN;


PROC MEANS DATA=ahs2011_2009_LOS_ANGELES NOPRINT SUM; VAR ADJPWT;
OUTPUT OUT=SADJPWT_09_LOS_ANGELES SUM=SADJPWT ; BY YEAR METRO_AREA;RUN;

TITLE " SADJPWT & COUNT_2011 FROM THE ahs2011_2009_LOS_ANGELES"; RUN;

DATA SADJPWT_09_LOS_ANGELES; SET SADJPWT_09_LOS_ANGELES; 
COUNT_2011=	3457800	;
KEEP YEAR METRO_AREA SADJPWT COUNT_2011; RUN;

PROC PRINT DATA=SADJPWT_09_LOS_ANGELES NOOBS; VAR YEAR METRO_AREA SADJPWT COUNT_2011; RUN;


PROC SORT DATA=SADJPWT_09_LOS_ANGELES;BY METRO_AREA; RUN;
PROC SORT DATA=ahs2011_2009_LOS_ANGELES; BY METRO_AREA;RUN;
DATA ahs2011_2009_LOS_ANGELES; MERGE ahs2011_2009_LOS_ANGELES SADJPWT_09_LOS_ANGELES;  BY METRO_AREA;
BLCINCHWT = ADJPWT*(COUNT_2011/SADJPWT);

SAME=0;

IF (IN09_ISTATUS ='1' OR IN09_ISTATUS='2' OR IN09_ISTATUS='3') AND 
(IN11_ISTATUS ='1' OR IN11_ISTATUS='2' OR IN11_ISTATUS='3') 
AND NOT(IN11_NUNIT2 = '4' AND IN11_BUILT GE 2009 AND IN09_BUILT NE 2009) 
THEN SAME=1;

NC = 0;
IF (IN11_ISTATUS ='1' OR IN11_ISTATUS='2' OR IN11_ISTATUS='3' OR IN11_ISTATUS='4') 
AND ((IN11_REUAD = 3) OR (10 LE IN09_NOINT LE 11) 
 OR (IN11_NUNIT2 = '4' AND IN11_BUILT GE 2009 AND IN09_BUILT NE 2009))  THEN NC = 1;

INTNC = 0;
IF (IN11_ISTATUS ='1' OR IN11_ISTATUS='2' OR IN11_ISTATUS='3') AND NC=1 THEN INTNC = 1;

ADD = 0;
IF (IN11_ISTATUS ='1' OR IN11_ISTATUS='2' OR IN11_ISTATUS='3' OR IN11_ISTATUS='4')
AND ((4 LE IN11_REUAD LE 10) OR (12 LE IN09_NOINT LE 17)) AND NOT NC=1 THEN ADD=1;

INTADD = 0;
IF (IN11_ISTATUS ='1' OR IN11_ISTATUS='2' OR IN11_ISTATUS='3') AND ADD =1 
THEN INTADD = 1;

RUN;


TITLE 'UNWEIGHTED FREQ DIST OF (SAME NC INTNC ADD INTADD) FROM 
THE ahs2011_2009_LOS_ANGELES BY METRO_AREA '; RUN;

PROC FREQ DATA=ahs2011_2009_LOS_ANGELES; TABLE METRO_AREA*(SAME NC INTNC ADD INTADD)
 /MISSING NOCOL NOROW NOPERCENT; RUN;

************************************************************************************;



*********************************************************************;
/*
8)	Calculate:

a)	SSAME = sum of ADJPWT for SAME = 1

b)	SNC = sum of ADJPWT for NC = 1.

c)	SINTNC = sum of ADJPWT for INTNC = 1

d)	SADD = sum of ADJPWT for ADD = 1.

e)	SINTADD = sum of ADJPWT for INTADD = 1. 



9)	Calculate:

f)	Ratio1 = (CURRENTCOUNT  (SADD + SNC))/SSAME.

g)	Ratio2 = SNC/SINTNC.

h)	Ratio4 = SADD/SINTADD. 


10)	Recalculate BLCINCHWT as follows:

a)	For SAME = 1, BLCINCHWT = Ratio1*BLCINCHWT.

b)	For INTNC= 1, BLCINCHWT = Ratio2*BLCINCHWT.

c)	For INTADD = 1, BLCINCHWT = Ratio4*BLCINCHWT.

*/



/*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*/
********************** 8.a ****************************************;

DATA SAME1; SET ahs2011_1998 ; IF SAME=1; RUN;
PROC SORT DATA=SAME1; BY METRO_AREA;RUN;


PROC MEANS DATA=SAME1 N SUM NOPRINT ; VAR BLCINCHWT ;BY METRO_AREA; 
OUTPUT OUT=S1 N=N SUM=SSAME; RUN; 

TITLE 'VALUE OF N AND SSAME FOR DATA WHERE SAME=1 FROM THE ahs2011_1998';RUN; 
PROC PRINT DATA=S1 NOOBS; VAR METRO_AREA N SSAME; RUN;


PROC SORT DATA=S1; BY METRO_AREA;RUN;

******************************** 8.b***********************************;
DATA NC1; SET ahs2011_1998 ; IF NC=1; RUN;
PROC SORT DATA=NC1; BY METRO_AREA;RUN;

PROC MEANS DATA=NC1 N SUM NOPRINT ; VAR BLCINCHWT ;BY METRO_AREA; 
OUTPUT OUT=S2 N=N SUM=SNC; RUN; 

TITLE 'VALUE OF N AND SNC FOR DATA WHERE NC=1 FROM THE ahs2011_1998';RUN; 
PROC PRINT DATA=S2 NOOBS; VAR METRO_AREA N SNC; RUN;

PROC SORT DATA=S2; BY METRO_AREA;RUN;



DATA NC1_2; SET ahs2011_1998 ; IF NC=1 AND IN11_NUNIT2 = '4'; RUN;
PROC SORT DATA=NC1_2; BY METRO_AREA;RUN;

PROC MEANS DATA=NC1_2 N SUM NOPRINT ; VAR BLCINCHWT ;BY METRO_AREA; 
OUTPUT OUT=S3 N=N SUM=SNCMH; RUN; 

TITLE 'VALUE OF N AND SNCMH FOR DATA WHERE NC=1 AND (IN11_NUNIT2 =4,5) FROM THE ahs2011_1998';RUN; 
PROC PRINT DATA=S3 NOOBS; VAR METRO_AREA N SNCMH; RUN;

PROC SORT DATA=S3; BY METRO_AREA;RUN;



DATA NC1_3; SET ahs2011_1998 ; IF NC=1 AND IN11_NUNIT2 NE '4'; RUN;
PROC SORT DATA=NC1_3; BY METRO_AREA;RUN;

PROC MEANS DATA=NC1_3 N SUM NOPRINT ; VAR BLCINCHWT ;BY METRO_AREA; 
OUTPUT OUT=S4 N=N SUM=SNCOTH; RUN; 

TITLE 'VALUE OF N AND SNCOTH FOR DATA WHERE NC=1 AND IN11_NUNIT2 NE 4 FROM THE ahs2011_1998';RUN; 
PROC PRINT DATA=S4 NOOBS; VAR METRO_AREA N SNCOTH; RUN;

PROC SORT DATA=S4; BY METRO_AREA;RUN;

******************************** 8.c ***********************************;
DATA INTNC1; SET ahs2011_1998 ; IF INTNC=1; RUN;
PROC SORT DATA=INTNC1; BY METRO_AREA;RUN;

PROC MEANS DATA=INTNC1 N SUM NOPRINT ; VAR BLCINCHWT ;BY METRO_AREA; 
OUTPUT OUT=S5 N=N SUM=SINTNC; RUN; 

TITLE 'VALUE OF N AND SINTNC FOR DATA WHERE INTNC=1 FROM THE ahs2011_1998';RUN; 
PROC PRINT DATA=S5 NOOBS; VAR METRO_AREA N SINTNC; RUN;

PROC SORT DATA=S5; BY METRO_AREA;RUN;

DATA INTNC1_2; SET ahs2011_1998 ; IF INTNC=1 AND IN11_NUNIT2 = '4'; RUN;
PROC SORT DATA=INTNC1_2; BY METRO_AREA;RUN;

PROC MEANS DATA=INTNC1_2 N SUM NOPRINT ; VAR BLCINCHWT ;BY METRO_AREA; 
OUTPUT OUT=S6 N=N SUM=SINTNCMH; RUN; 

TITLE 'VALUE OF N AND SINTNCMH FOR DATA WHERE INTNC=1 AND (IN11_NUNIT2 =4,5) FROM THE ahs2011_1998';RUN; 
PROC PRINT DATA=S6 NOOBS; VAR METRO_AREA N SINTNCMH; RUN;

PROC SORT DATA=S6; BY METRO_AREA;RUN;

DATA INTNC1_3; SET ahs2011_1998 ; IF INTNC=1 AND IN11_NUNIT2 NE '4'; RUN;
PROC SORT DATA=INTNC1_3; BY METRO_AREA;RUN;

PROC MEANS DATA=INTNC1_3 N SUM NOPRINT ; VAR BLCINCHWT ;BY METRO_AREA; 
OUTPUT OUT=S7 N=N SUM=SINTNCOTH; RUN; 

TITLE 'VALUE OF N AND SINTNCOTH FOR DATA WHERE INTNC=1 AND IN11_NUNIT2 NE 4 FROM THE ahs2011_1998';RUN; 
PROC PRINT DATA=S7 NOOBS; VAR METRO_AREA N SINTNCOTH; RUN;

PROC SORT DATA=S7; BY METRO_AREA;RUN;

************************ 8.d **************************************;
DATA ADD1; SET ahs2011_1998 ; IF ADD=1; RUN;
PROC SORT DATA=ADD1; BY METRO_AREA;RUN;


PROC MEANS DATA=ADD1 N SUM NOPRINT; VAR BLCINCHWT;BY METRO_AREA;
OUTPUT OUT=S8 N=N SUM=SADD; RUN; 

TITLE 'VALUE OF N AND SADD FOR DATA WHERE ADD=1 FROM THE ahs2011_1998';RUN; 
PROC PRINT DATA=S8 NOOBS; VAR METRO_AREA N SADD; RUN;

PROC SORT DATA=S8; BY METRO_AREA;RUN;

************************ 8.e **************************************;

DATA INTADD1 ; SET ahs2011_1998 ; IF INTADD =1; RUN;
PROC SORT DATA=INTADD1; BY METRO_AREA;RUN;

PROC MEANS DATA=INTADD1 N SUM NOPRINT; VAR BLCINCHWT;BY METRO_AREA;
OUTPUT OUT=S9 N=N SUM=SINTADD; RUN;
 
TITLE 'VALUE OF N AND SINTADD FOR DATA WHERE INTADD=1 FROM THE ahs2011_1998';RUN; 
PROC PRINT DATA=S9 NOOBS; VAR METRO_AREA N SINTADD; RUN;

PROC SORT DATA=S9; BY METRO_AREA;RUN;

DATA ahs2011_1998;SET ahs2011_1998;RUN;

DATA ahs2011_1998;SET ahs2011_1998  ;
 
IF SAME = 1 OR INTNC = 1 OR INTADD =1; RUN;

TITLE "UNWEIGHTED FREQ OF IN11_NUNIT2 IN ahs2011_1998
AFTER KEEPING SAME = 1 OR INTNC = 1 OR INTADD =1"; RUN;
PROC FREQ DATA=ahs2011_1998;TABLE METRO_AREA*IN11_NUNIT2/MISSING
NOCOL NOROW NOPERCENT; RUN;


PROC SORT DATA=ahs2011_1998; BY METRO_AREA;RUN;

DATA ahs2011_1998;MERGE ahs2011_1998
S1 S2 S3 S4 S5 S6 S7 S8 S9  ;  BY METRO_AREA;

Ratio1 = (COUNT_2011 - (SADD + SNC))/SSAME;

Ratio2 = SNC/SINTNC;

Ratio4 = SADD/SINTADD; 


IF SAME=1   THEN BLCINCHWT=BLCINCHWT*RATIO1;

IF INTNC=1  THEN BLCINCHWT=BLCINCHWT*RATIO2;

IF INTADD=1 THEN BLCINCHWT=BLCINCHWT*RATIO4;

RUN;

TITLE 'VALUES OF RATIO1 RATIO2 RATIO3 RATIO4 by METRO AREA'; RUN;

proc sort DATA=ahs2011_1998; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_1998 NOPRINT MEAN ;VAR RATIO1 RATIO2 RATIO4;
OUTPUT OUT=RATIOS MEAN=RATIO1 RATIO2 RATIO4;BY YEAR METRO_AREA;RUN;
PROC PRINT DATA=RATIOS NOOBS; VAR YEAR METRO_AREA RATIO1 RATIO2 RATIO4; RUN;

RUN;

/*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*/
********************** 8.a ****************************************;

DATA SAME1; SET ahs2011_2002 ; IF SAME=1; RUN;
PROC SORT DATA=SAME1; BY METRO_AREA;RUN;


PROC MEANS DATA=SAME1 N SUM NOPRINT ; VAR BLCINCHWT ;BY METRO_AREA; 
OUTPUT OUT=S1 N=N SUM=SSAME; RUN; 

TITLE 'VALUE OF N AND SSAME FOR DATA WHERE SAME=1 FROM THE ahs2011_2002';RUN; 
PROC PRINT DATA=S1 NOOBS; VAR METRO_AREA N SSAME; RUN;


PROC SORT DATA=S1; BY METRO_AREA;RUN;

******************************** 8.b***********************************;
DATA NC1; SET ahs2011_2002 ; IF NC=1; RUN;
PROC SORT DATA=NC1; BY METRO_AREA;RUN;

PROC MEANS DATA=NC1 N SUM NOPRINT ; VAR BLCINCHWT ;BY METRO_AREA; 
OUTPUT OUT=S2 N=N SUM=SNC; RUN; 

TITLE 'VALUE OF N AND SNC FOR DATA WHERE NC=1 FROM THE ahs2011_2002';RUN; 
PROC PRINT DATA=S2 NOOBS; VAR METRO_AREA N SNC; RUN;

PROC SORT DATA=S2; BY METRO_AREA;RUN;



DATA NC1_2; SET ahs2011_2002 ; IF NC=1 AND IN11_NUNIT2 = '4'; RUN;
PROC SORT DATA=NC1_2; BY METRO_AREA;RUN;

PROC MEANS DATA=NC1_2 N SUM NOPRINT ; VAR BLCINCHWT ;BY METRO_AREA; 
OUTPUT OUT=S3 N=N SUM=SNCMH; RUN; 

TITLE 'VALUE OF N AND SNCMH FOR DATA WHERE NC=1 AND (IN11_NUNIT2 =4,5) FROM THE ahs2011_2002';RUN; 
PROC PRINT DATA=S3 NOOBS; VAR METRO_AREA N SNCMH; RUN;

PROC SORT DATA=S3; BY METRO_AREA;RUN;



DATA NC1_3; SET ahs2011_2002 ; IF NC=1 AND IN11_NUNIT2 NE '4'; RUN;
PROC SORT DATA=NC1_3; BY METRO_AREA;RUN;

PROC MEANS DATA=NC1_3 N SUM NOPRINT ; VAR BLCINCHWT ;BY METRO_AREA; 
OUTPUT OUT=S4 N=N SUM=SNCOTH; RUN; 

TITLE 'VALUE OF N AND SNCOTH FOR DATA WHERE NC=1 AND IN11_NUNIT2 NE 4 FROM THE ahs2011_2002';RUN; 
PROC PRINT DATA=S4 NOOBS; VAR METRO_AREA N SNCOTH; RUN;

PROC SORT DATA=S4; BY METRO_AREA;RUN;

******************************** 8.c ***********************************;
DATA INTNC1; SET ahs2011_2002 ; IF INTNC=1; RUN;
PROC SORT DATA=INTNC1; BY METRO_AREA;RUN;

PROC MEANS DATA=INTNC1 N SUM NOPRINT ; VAR BLCINCHWT ;BY METRO_AREA; 
OUTPUT OUT=S5 N=N SUM=SINTNC; RUN; 

TITLE 'VALUE OF N AND SINTNC FOR DATA WHERE INTNC=1 FROM THE ahs2011_2002';RUN; 
PROC PRINT DATA=S5 NOOBS; VAR METRO_AREA N SINTNC; RUN;

PROC SORT DATA=S5; BY METRO_AREA;RUN;

DATA INTNC1_2; SET ahs2011_2002 ; IF INTNC=1 AND IN11_NUNIT2 = '4'; RUN;
PROC SORT DATA=INTNC1_2; BY METRO_AREA;RUN;

PROC MEANS DATA=INTNC1_2 N SUM NOPRINT ; VAR BLCINCHWT ;BY METRO_AREA; 
OUTPUT OUT=S6 N=N SUM=SINTNCMH; RUN; 

TITLE 'VALUE OF N AND SINTNCMH FOR DATA WHERE INTNC=1 AND (IN11_NUNIT2 =4,5) FROM THE ahs2011_2002';RUN; 
PROC PRINT DATA=S6 NOOBS; VAR METRO_AREA N SINTNCMH; RUN;

PROC SORT DATA=S6; BY METRO_AREA;RUN;

DATA INTNC1_3; SET ahs2011_2002 ; IF INTNC=1 AND IN11_NUNIT2 NE '4'; RUN;
PROC SORT DATA=INTNC1_3; BY METRO_AREA;RUN;

PROC MEANS DATA=INTNC1_3 N SUM NOPRINT ; VAR BLCINCHWT ;BY METRO_AREA; 
OUTPUT OUT=S7 N=N SUM=SINTNCOTH; RUN; 

TITLE 'VALUE OF N AND SINTNCOTH FOR DATA WHERE INTNC=1 AND IN11_NUNIT2 NE 4 FROM THE ahs2011_2002';RUN; 
PROC PRINT DATA=S7 NOOBS; VAR METRO_AREA N SINTNCOTH; RUN;

PROC SORT DATA=S7; BY METRO_AREA;RUN;

************************ 8.d **************************************;
DATA ADD1; SET ahs2011_2002 ; IF ADD=1; RUN;
PROC SORT DATA=ADD1; BY METRO_AREA;RUN;


PROC MEANS DATA=ADD1 N SUM NOPRINT; VAR BLCINCHWT;BY METRO_AREA;
OUTPUT OUT=S8 N=N SUM=SADD; RUN; 

TITLE 'VALUE OF N AND SADD FOR DATA WHERE ADD=1 FROM THE ahs2011_2002';RUN; 
PROC PRINT DATA=S8 NOOBS; VAR METRO_AREA N SADD; RUN;

PROC SORT DATA=S8; BY METRO_AREA;RUN;

************************ 8.e **************************************;

DATA INTADD1 ; SET ahs2011_2002 ; IF INTADD =1; RUN;
PROC SORT DATA=INTADD1; BY METRO_AREA;RUN;

PROC MEANS DATA=INTADD1 N SUM NOPRINT; VAR BLCINCHWT;BY METRO_AREA;
OUTPUT OUT=S9 N=N SUM=SINTADD; RUN;
 
TITLE 'VALUE OF N AND SINTADD FOR DATA WHERE INTADD=1 FROM THE ahs2011_2002';RUN; 
PROC PRINT DATA=S9 NOOBS; VAR METRO_AREA N SINTADD; RUN;

PROC SORT DATA=S9; BY METRO_AREA;RUN;


DATA ahs2011_2002;SET ahs2011_2002  ;
 
IF SAME = 1 OR INTNC = 1 OR INTADD =1; RUN;

TITLE "UNWEIGHTED FREQ OF IN11_NUNIT2 IN ahs2011_2002
AFTER KEEPING SAME = 1 OR INTNC = 1 OR INTADD =1"; RUN;
PROC FREQ DATA=ahs2011_2002;TABLE METRO_AREA*IN11_NUNIT2/MISSING
NOCOL NOROW NOPERCENT; RUN;

PROC SORT DATA=ahs2011_2002; BY METRO_AREA;RUN;

DATA ahs2011_2002;MERGE ahs2011_2002
S1 S2 S3 S4 S5 S6 S7 S8 S9  ;  BY METRO_AREA;

Ratio1 = (COUNT_2011 - (SADD + SNC))/SSAME;

Ratio2 = SNC/SINTNC;

Ratio4 = SADD/SINTADD; 


IF SAME=1   THEN BLCINCHWT=BLCINCHWT*RATIO1;

IF INTNC=1  THEN BLCINCHWT=BLCINCHWT*RATIO2;

IF INTADD=1 THEN BLCINCHWT=BLCINCHWT*RATIO4;


RUN;


TITLE 'VALUES OF RATIO1 RATIO2 RATIO3 RATIO4 by METRO AREA'; RUN;

proc sort DATA=ahs2011_2002; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2002 NOPRINT  MEAN ;VAR RATIO1 RATIO2 RATIO4;
OUTPUT OUT=RATIOS MEAN=RATIO1 RATIO2 RATIO4;BY YEAR METRO_AREA;RUN;
PROC PRINT DATA=RATIOS NOOBS; VAR YEAR METRO_AREA RATIO1 RATIO2 RATIO4; RUN;

RUN;

/*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*/
********************** 8.a ****************************************;

DATA SAME1; SET ahs2011_2004 ; IF SAME=1; RUN;
PROC SORT DATA=SAME1; BY METRO_AREA;RUN;


PROC MEANS DATA=SAME1 N SUM NOPRINT ; VAR BLCINCHWT ;BY METRO_AREA; 
OUTPUT OUT=S1 N=N SUM=SSAME; RUN; 

TITLE 'VALUE OF N AND SSAME FOR DATA WHERE SAME=1 FROM THE ahs2011_2004';RUN; 
PROC PRINT DATA=S1 NOOBS; VAR METRO_AREA N SSAME; RUN;


PROC SORT DATA=S1; BY METRO_AREA;RUN;

******************************** 8.b***********************************;
DATA NC1; SET ahs2011_2004 ; IF NC=1; RUN;
PROC SORT DATA=NC1; BY METRO_AREA;RUN;

PROC MEANS DATA=NC1 N SUM NOPRINT ; VAR BLCINCHWT ;BY METRO_AREA; 
OUTPUT OUT=S2 N=N SUM=SNC; RUN; 

TITLE 'VALUE OF N AND SNC FOR DATA WHERE NC=1 FROM THE ahs2011_2004';RUN; 
PROC PRINT DATA=S2 NOOBS; VAR METRO_AREA N SNC; RUN;

PROC SORT DATA=S2; BY METRO_AREA;RUN;



DATA NC1_2; SET ahs2011_2004 ; IF NC=1 AND IN11_NUNIT2 = '4'; RUN;
PROC SORT DATA=NC1_2; BY METRO_AREA;RUN;

PROC MEANS DATA=NC1_2 N SUM NOPRINT ; VAR BLCINCHWT ;BY METRO_AREA; 
OUTPUT OUT=S3 N=N SUM=SNCMH; RUN; 

TITLE 'VALUE OF N AND SNCMH FOR DATA WHERE NC=1 AND (IN11_NUNIT2 =4,5) FROM THE ahs2011_2004';RUN; 
PROC PRINT DATA=S3 NOOBS; VAR METRO_AREA N SNCMH; RUN;

PROC SORT DATA=S3; BY METRO_AREA;RUN;



DATA NC1_3; SET ahs2011_2004 ; IF NC=1 AND IN11_NUNIT2 NE '4'; RUN;
PROC SORT DATA=NC1_3; BY METRO_AREA;RUN;

PROC MEANS DATA=NC1_3 N SUM NOPRINT ; VAR BLCINCHWT ;BY METRO_AREA; 
OUTPUT OUT=S4 N=N SUM=SNCOTH; RUN; 

TITLE 'VALUE OF N AND SNCOTH FOR DATA WHERE NC=1 AND IN11_NUNIT2 NE 4 FROM THE ahs2011_2004';RUN; 
PROC PRINT DATA=S4 NOOBS; VAR METRO_AREA N SNCOTH; RUN;

PROC SORT DATA=S4; BY METRO_AREA;RUN;

******************************** 8.c ***********************************;
DATA INTNC1; SET ahs2011_2004 ; IF INTNC=1; RUN;
PROC SORT DATA=INTNC1; BY METRO_AREA;RUN;

PROC MEANS DATA=INTNC1 N SUM NOPRINT ; VAR BLCINCHWT ;BY METRO_AREA; 
OUTPUT OUT=S5 N=N SUM=SINTNC; RUN; 

TITLE 'VALUE OF N AND SINTNC FOR DATA WHERE INTNC=1 FROM THE ahs2011_2004';RUN; 
PROC PRINT DATA=S5 NOOBS; VAR METRO_AREA N SINTNC; RUN;

PROC SORT DATA=S5; BY METRO_AREA;RUN;

DATA INTNC1_2; SET ahs2011_2004 ; IF INTNC=1 AND IN11_NUNIT2 = '4'; RUN;
PROC SORT DATA=INTNC1_2; BY METRO_AREA;RUN;

PROC MEANS DATA=INTNC1_2 N SUM NOPRINT ; VAR BLCINCHWT ;BY METRO_AREA; 
OUTPUT OUT=S6 N=N SUM=SINTNCMH; RUN; 

TITLE 'VALUE OF N AND SINTNCMH FOR DATA WHERE INTNC=1 AND (IN11_NUNIT2 =4,5) FROM THE ahs2011_2004';RUN; 
PROC PRINT DATA=S6 NOOBS; VAR METRO_AREA N SINTNCMH; RUN;

PROC SORT DATA=S6; BY METRO_AREA;RUN;

DATA INTNC1_3; SET ahs2011_2004 ; IF INTNC=1 AND IN11_NUNIT2 NE '4'; RUN;
PROC SORT DATA=INTNC1_3; BY METRO_AREA;RUN;

PROC MEANS DATA=INTNC1_3 N SUM NOPRINT ; VAR BLCINCHWT ;BY METRO_AREA; 
OUTPUT OUT=S7 N=N SUM=SINTNCOTH; RUN; 

TITLE 'VALUE OF N AND SINTNCOTH FOR DATA WHERE INTNC=1 AND IN11_NUNIT2 NE 4 FROM THE ahs2011_2004';RUN; 
PROC PRINT DATA=S7 NOOBS; VAR METRO_AREA N SINTNCOTH; RUN;

PROC SORT DATA=S7; BY METRO_AREA;RUN;

************************ 8.d **************************************;
DATA ADD1; SET ahs2011_2004 ; IF ADD=1; RUN;
PROC SORT DATA=ADD1; BY METRO_AREA;RUN;


PROC MEANS DATA=ADD1 N SUM NOPRINT; VAR BLCINCHWT;BY METRO_AREA;
OUTPUT OUT=S8 N=N SUM=SADD; RUN; 

TITLE 'VALUE OF N AND SADD FOR DATA WHERE ADD=1 FROM THE ahs2011_2004';RUN; 
PROC PRINT DATA=S8 NOOBS; VAR METRO_AREA N SADD; RUN;

PROC SORT DATA=S8; BY METRO_AREA;RUN;

************************ 8.e **************************************;

DATA INTADD1 ; SET ahs2011_2004 ; IF INTADD =1; RUN;
PROC SORT DATA=INTADD1; BY METRO_AREA;RUN;

PROC MEANS DATA=INTADD1 N SUM NOPRINT; VAR BLCINCHWT;BY METRO_AREA;
OUTPUT OUT=S9 N=N SUM=SINTADD; RUN;
 
TITLE 'VALUE OF N AND SINTADD FOR DATA WHERE INTADD=1 FROM THE ahs2011_2004';RUN; 
PROC PRINT DATA=S9 NOOBS; VAR METRO_AREA N SINTADD; RUN;

PROC SORT DATA=S9; BY METRO_AREA;RUN;


DATA ahs2011_2004;SET ahs2011_2004  ;
 
IF SAME = 1 OR INTNC = 1 OR INTADD =1; RUN;

TITLE "UNWEIGHTED FREQ OF IN11_NUNIT2 IN ahs2011_2004
AFTER KEEPING SAME = 1 OR INTNC = 1 OR INTADD =1"; RUN;
PROC FREQ DATA=ahs2011_2004;TABLE METRO_AREA*IN11_NUNIT2/MISSING
NOCOL NOROW NOPERCENT; RUN;


PROC SORT DATA=ahs2011_2004; BY METRO_AREA;RUN;

DATA ahs2011_2004;MERGE ahs2011_2004
S1 S2 S3 S4 S5 S6 S7 S8 S9  ;  BY METRO_AREA;

Ratio1 = (COUNT_2011 - (SADD + SNC))/SSAME;

Ratio2 = SNC/SINTNC;

Ratio4 = SADD/SINTADD; 


IF SAME=1   THEN BLCINCHWT=BLCINCHWT*RATIO1;

IF INTNC=1  THEN BLCINCHWT=BLCINCHWT*RATIO2;

IF INTADD=1 THEN BLCINCHWT=BLCINCHWT*RATIO4;


RUN;



TITLE 'VALUES OF RATIO1 RATIO2 RATIO3 RATIO4 by METRO AREA'; RUN;

proc sort DATA=ahs2011_2004; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2004 NOPRINT  MEAN ;VAR RATIO1 RATIO2 RATIO4;
OUTPUT OUT=RATIOS MEAN=RATIO1 RATIO2 RATIO4;BY YEAR METRO_AREA;RUN;
PROC PRINT DATA=RATIOS NOOBS; VAR YEAR METRO_AREA RATIO1 RATIO2 RATIO4; RUN;

RUN;

/*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*/
********************** 8.a ****************************************;

DATA SAME1; SET ahs2011_2009_NEW_ORLEANS ; IF SAME=1; RUN;
PROC SORT DATA=SAME1; BY METRO_AREA;RUN;


PROC MEANS DATA=SAME1 N SUM NOPRINT ; VAR BLCINCHWT ;BY METRO_AREA; 
OUTPUT OUT=S1 N=N SUM=SSAME; RUN; 

TITLE 'VALUE OF N AND SSAME FOR DATA WHERE SAME=1 FROM THE ahs2011_2009_NEW_ORLEANS';RUN; 
PROC PRINT DATA=S1 NOOBS; VAR METRO_AREA N SSAME; RUN;


PROC SORT DATA=S1; BY METRO_AREA;RUN;

******************************** 8.b***********************************;
DATA NC1; SET ahs2011_2009_NEW_ORLEANS ; IF NC=1; RUN;
PROC SORT DATA=NC1; BY METRO_AREA;RUN;

PROC MEANS DATA=NC1 N SUM NOPRINT ; VAR BLCINCHWT ;BY METRO_AREA; 
OUTPUT OUT=S2 N=N SUM=SNC; RUN; 

TITLE 'VALUE OF N AND SNC FOR DATA WHERE NC=1 FROM THE ahs2011_2009_NEW_ORLEANS';RUN; 
PROC PRINT DATA=S2 NOOBS; VAR METRO_AREA N SNC; RUN;

PROC SORT DATA=S2; BY METRO_AREA;RUN;



DATA NC1_2; SET ahs2011_2009_NEW_ORLEANS ; IF NC=1 AND IN11_NUNIT2 = '4'; RUN;
PROC SORT DATA=NC1_2; BY METRO_AREA;RUN;

PROC MEANS DATA=NC1_2 N SUM NOPRINT ; VAR BLCINCHWT ;BY METRO_AREA; 
OUTPUT OUT=S3 N=N SUM=SNCMH; RUN; 

TITLE 'VALUE OF N AND SNCMH FOR DATA WHERE NC=1 AND (IN11_NUNIT2 =4,5) FROM THE ahs2011_2009_NEW_ORLEANS';RUN; 
PROC PRINT DATA=S3 NOOBS; VAR METRO_AREA N SNCMH; RUN;

PROC SORT DATA=S3; BY METRO_AREA;RUN;



DATA NC1_3; SET ahs2011_2009_NEW_ORLEANS ; IF NC=1 AND IN11_NUNIT2 NE '4'; RUN;
PROC SORT DATA=NC1_3; BY METRO_AREA;RUN;

PROC MEANS DATA=NC1_3 N SUM NOPRINT ; VAR BLCINCHWT ;BY METRO_AREA; 
OUTPUT OUT=S4 N=N SUM=SNCOTH; RUN; 

TITLE 'VALUE OF N AND SNCOTH FOR DATA WHERE NC=1 AND IN11_NUNIT2 NE 4 FROM THE ahs2011_2009_NEW_ORLEANS';RUN; 
PROC PRINT DATA=S4 NOOBS; VAR METRO_AREA N SNCOTH; RUN;

PROC SORT DATA=S4; BY METRO_AREA;RUN;

******************************** 8.c ***********************************;
DATA INTNC1; SET ahs2011_2009_NEW_ORLEANS ; IF INTNC=1; RUN;
PROC SORT DATA=INTNC1; BY METRO_AREA;RUN;

PROC MEANS DATA=INTNC1 N SUM NOPRINT ; VAR BLCINCHWT ;BY METRO_AREA; 
OUTPUT OUT=S5 N=N SUM=SINTNC; RUN; 

TITLE 'VALUE OF N AND SINTNC FOR DATA WHERE INTNC=1 FROM THE ahs2011_2009_NEW_ORLEANS';RUN; 
PROC PRINT DATA=S5 NOOBS; VAR METRO_AREA N SINTNC; RUN;

PROC SORT DATA=S5; BY METRO_AREA;RUN;

DATA INTNC1_2; SET ahs2011_2009_NEW_ORLEANS ; IF INTNC=1 AND IN11_NUNIT2 = '4'; RUN;
PROC SORT DATA=INTNC1_2; BY METRO_AREA;RUN;

PROC MEANS DATA=INTNC1_2 N SUM NOPRINT ; VAR BLCINCHWT ;BY METRO_AREA; 
OUTPUT OUT=S6 N=N SUM=SINTNCMH; RUN; 

TITLE 'VALUE OF N AND SINTNCMH FOR DATA WHERE INTNC=1 AND (IN11_NUNIT2 =4,5) FROM THE ahs2011_2009_NEW_ORLEANS';RUN; 
PROC PRINT DATA=S6 NOOBS; VAR METRO_AREA N SINTNCMH; RUN;

PROC SORT DATA=S6; BY METRO_AREA;RUN;

DATA INTNC1_3; SET ahs2011_2009_NEW_ORLEANS ; IF INTNC=1 AND IN11_NUNIT2 NE '4'; RUN;
PROC SORT DATA=INTNC1_3; BY METRO_AREA;RUN;

PROC MEANS DATA=INTNC1_3 N SUM NOPRINT ; VAR BLCINCHWT ;BY METRO_AREA; 
OUTPUT OUT=S7 N=N SUM=SINTNCOTH; RUN; 

TITLE 'VALUE OF N AND SINTNCOTH FOR DATA WHERE INTNC=1 AND IN11_NUNIT2 NE 4 FROM THE ahs2011_2009_NEW_ORLEANS';RUN; 
PROC PRINT DATA=S7 NOOBS; VAR METRO_AREA N SINTNCOTH; RUN;

PROC SORT DATA=S7; BY METRO_AREA;RUN;

************************ 8.d **************************************;
DATA ADD1; SET ahs2011_2009_NEW_ORLEANS ; IF ADD=1; RUN;
PROC SORT DATA=ADD1; BY METRO_AREA;RUN;


PROC MEANS DATA=ADD1 N SUM NOPRINT; VAR BLCINCHWT;BY METRO_AREA;
OUTPUT OUT=S8 N=N SUM=SADD; RUN; 

TITLE 'VALUE OF N AND SADD FOR DATA WHERE ADD=1 FROM THE ahs2011_2009_NEW_ORLEANS';RUN; 
PROC PRINT DATA=S8 NOOBS; VAR METRO_AREA N SADD; RUN;

PROC SORT DATA=S8; BY METRO_AREA;RUN;

************************ 8.e **************************************;

DATA INTADD1 ; SET ahs2011_2009_NEW_ORLEANS ; IF INTADD =1; RUN;
PROC SORT DATA=INTADD1; BY METRO_AREA;RUN;

PROC MEANS DATA=INTADD1 N SUM NOPRINT; VAR BLCINCHWT;BY METRO_AREA;
OUTPUT OUT=S9 N=N SUM=SINTADD; RUN;
 
TITLE 'VALUE OF N AND SINTADD FOR DATA WHERE INTADD=1 FROM THE ahs2011_2009_NEW_ORLEANS';RUN; 
PROC PRINT DATA=S9 NOOBS; VAR METRO_AREA N SINTADD; RUN;

PROC SORT DATA=S9; BY METRO_AREA;RUN;



DATA ahs2011_2009_NEW_ORLEANS;SET ahs2011_2009_NEW_ORLEANS  ;
 
IF SAME = 1 OR INTNC = 1 OR INTADD =1; RUN;

TITLE "UNWEIGHTED FREQ OF IN11_NUNIT2 IN ahs2011_2009_NEW_ORLEANS
AFTER KEEPING SAME = 1 OR INTNC = 1 OR INTADD =1"; RUN;
PROC FREQ DATA=ahs2011_2009_NEW_ORLEANS;TABLE IN11_NUNIT2/MISSING; RUN;


PROC SORT DATA=ahs2011_2009_NEW_ORLEANS; BY METRO_AREA;RUN;

DATA ahs2011_2009_NEW_ORLEANS;MERGE ahs2011_2009_NEW_ORLEANS
S1 S2 S3 S4 S5 S6 S7 S8 S9  ;  BY METRO_AREA;

Ratio1 = (COUNT_2011 - (SADD + SNC))/SSAME;

Ratio2 = SNC/SINTNC;

Ratio4 = SADD/SINTADD; 


IF SAME=1   THEN BLCINCHWT=BLCINCHWT*RATIO1;

IF INTNC=1  THEN BLCINCHWT=BLCINCHWT*RATIO2;

IF INTADD=1 THEN BLCINCHWT=BLCINCHWT*RATIO4;


RUN;


TITLE 'VALUES OF RATIO1 RATIO2 RATIO3 RATIO4 by METRO AREA'; RUN;

proc sort DATA=ahs2011_2009_NEW_ORLEANS; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2009_NEW_ORLEANS NOPRINT  MEAN ;VAR RATIO1 RATIO2 RATIO4;
OUTPUT OUT=RATIOS MEAN=RATIO1 RATIO2 RATIO4;BY YEAR METRO_AREA;RUN;
PROC PRINT DATA=RATIOS NOOBS; VAR YEAR METRO_AREA RATIO1 RATIO2 RATIO4; RUN;

RUN;

********************************************************************************;

/*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*/
********************** 8.a ****************************************;

DATA SAME1; SET ahs2011_2009_LOS_ANGELES ; IF SAME=1; RUN;
PROC SORT DATA=SAME1; BY METRO_AREA;RUN;


PROC MEANS DATA=SAME1 N SUM NOPRINT ; VAR BLCINCHWT ;BY METRO_AREA; 
OUTPUT OUT=S1 N=N SUM=SSAME; RUN; 

TITLE 'VALUE OF N AND SSAME FOR DATA WHERE SAME=1 FROM THE ahs2011_2009_LOS_ANGELES';RUN; 
PROC PRINT DATA=S1 NOOBS; VAR METRO_AREA N SSAME; RUN;


PROC SORT DATA=S1; BY METRO_AREA;RUN;

******************************** 8.b***********************************;
DATA NC1; SET ahs2011_2009_LOS_ANGELES ; IF NC=1; RUN;
PROC SORT DATA=NC1; BY METRO_AREA;RUN;

PROC MEANS DATA=NC1 N SUM NOPRINT ; VAR BLCINCHWT ;BY METRO_AREA; 
OUTPUT OUT=S2 N=N SUM=SNC; RUN; 

TITLE 'VALUE OF N AND SNC FOR DATA WHERE NC=1 FROM THE ahs2011_2009_LOS_ANGELES';RUN; 
PROC PRINT DATA=S2 NOOBS; VAR METRO_AREA N SNC; RUN;

PROC SORT DATA=S2; BY METRO_AREA;RUN;



DATA NC1_2; SET ahs2011_2009_LOS_ANGELES ; IF NC=1 AND IN11_NUNIT2 = '4'; RUN;
PROC SORT DATA=NC1_2; BY METRO_AREA;RUN;

PROC MEANS DATA=NC1_2 N SUM NOPRINT ; VAR BLCINCHWT ;BY METRO_AREA; 
OUTPUT OUT=S3 N=N SUM=SNCMH; RUN; 

TITLE 'VALUE OF N AND SNCMH FOR DATA WHERE NC=1 AND (IN11_NUNIT2 =4,5) FROM THE ahs2011_2009_LOS_ANGELES';RUN; 
PROC PRINT DATA=S3 NOOBS; VAR METRO_AREA N SNCMH; RUN;

PROC SORT DATA=S3; BY METRO_AREA;RUN;



DATA NC1_3; SET ahs2011_2009_LOS_ANGELES ; IF NC=1 AND IN11_NUNIT2 NE '4'; RUN;
PROC SORT DATA=NC1_3; BY METRO_AREA;RUN;

PROC MEANS DATA=NC1_3 N SUM NOPRINT ; VAR BLCINCHWT ;BY METRO_AREA; 
OUTPUT OUT=S4 N=N SUM=SNCOTH; RUN; 

TITLE 'VALUE OF N AND SNCOTH FOR DATA WHERE NC=1 AND IN11_NUNIT2 NE 4 FROM THE ahs2011_2009_LOS_ANGELES';RUN; 
PROC PRINT DATA=S4 NOOBS; VAR METRO_AREA N SNCOTH; RUN;

PROC SORT DATA=S4; BY METRO_AREA;RUN;

******************************** 8.c ***********************************;
DATA INTNC1; SET ahs2011_2009_LOS_ANGELES ; IF INTNC=1; RUN;
PROC SORT DATA=INTNC1; BY METRO_AREA;RUN;

PROC MEANS DATA=INTNC1 N SUM NOPRINT ; VAR BLCINCHWT ;BY METRO_AREA; 
OUTPUT OUT=S5 N=N SUM=SINTNC; RUN; 

TITLE 'VALUE OF N AND SINTNC FOR DATA WHERE INTNC=1 FROM THE ahs2011_2009_LOS_ANGELES';RUN; 
PROC PRINT DATA=S5 NOOBS; VAR METRO_AREA N SINTNC; RUN;

PROC SORT DATA=S5; BY METRO_AREA;RUN;

DATA INTNC1_2; SET ahs2011_2009_LOS_ANGELES ; IF INTNC=1 AND IN11_NUNIT2 = '4'; RUN;
PROC SORT DATA=INTNC1_2; BY METRO_AREA;RUN;

PROC MEANS DATA=INTNC1_2 N SUM NOPRINT ; VAR BLCINCHWT ;BY METRO_AREA; 
OUTPUT OUT=S6 N=N SUM=SINTNCMH; RUN; 

TITLE 'VALUE OF N AND SINTNCMH FOR DATA WHERE INTNC=1 AND (IN11_NUNIT2 =4,5) FROM THE ahs2011_2009_LOS_ANGELES';RUN; 
PROC PRINT DATA=S6 NOOBS; VAR METRO_AREA N SINTNCMH; RUN;

PROC SORT DATA=S6; BY METRO_AREA;RUN;

DATA INTNC1_3; SET ahs2011_2009_LOS_ANGELES ; IF INTNC=1 AND IN11_NUNIT2 NE '4'; RUN;
PROC SORT DATA=INTNC1_3; BY METRO_AREA;RUN;

PROC MEANS DATA=INTNC1_3 N SUM NOPRINT ; VAR BLCINCHWT ;BY METRO_AREA; 
OUTPUT OUT=S7 N=N SUM=SINTNCOTH; RUN; 

TITLE 'VALUE OF N AND SINTNCOTH FOR DATA WHERE INTNC=1 AND IN11_NUNIT2 NE 4 FROM THE ahs2011_2009_LOS_ANGELES';RUN; 
PROC PRINT DATA=S7 NOOBS; VAR METRO_AREA N SINTNCOTH; RUN;

PROC SORT DATA=S7; BY METRO_AREA;RUN;

************************ 8.d **************************************;
DATA ADD1; SET ahs2011_2009_LOS_ANGELES ; IF ADD=1; RUN;
PROC SORT DATA=ADD1; BY METRO_AREA;RUN;


PROC MEANS DATA=ADD1 N SUM NOPRINT; VAR BLCINCHWT;BY METRO_AREA;
OUTPUT OUT=S8 N=N SUM=SADD; RUN; 

TITLE 'VALUE OF N AND SADD FOR DATA WHERE ADD=1 FROM THE ahs2011_2009_LOS_ANGELES';RUN; 
PROC PRINT DATA=S8 NOOBS; VAR METRO_AREA N SADD; RUN;

PROC SORT DATA=S8; BY METRO_AREA;RUN;

************************ 8.e **************************************;

DATA INTADD1 ; SET ahs2011_2009_LOS_ANGELES ; IF INTADD =1; RUN;
PROC SORT DATA=INTADD1; BY METRO_AREA;RUN;

PROC MEANS DATA=INTADD1 N SUM NOPRINT; VAR BLCINCHWT;BY METRO_AREA;
OUTPUT OUT=S9 N=N SUM=SINTADD; RUN;
 
TITLE 'VALUE OF N AND SINTADD FOR DATA WHERE INTADD=1 FROM THE ahs2011_2009_LOS_ANGELES';RUN; 
PROC PRINT DATA=S9 NOOBS; VAR METRO_AREA N SINTADD; RUN;

PROC SORT DATA=S9; BY METRO_AREA;RUN;

************************************************************************************************************;
DATA ahs2011_2009_LOS_ANGELES;SET ahs2011_2009_LOS_ANGELES  ;
 
IF SAME = 1 OR INTNC = 1 OR INTADD =1; RUN;

TITLE "UNWEIGHTED FREQ OF IN11_NUNIT2 IN ahs2011_2009_LOS_ANGELES
AFTER KEEPING SAME = 1 OR INTNC = 1 OR INTADD =1"; RUN;
PROC FREQ DATA=ahs2011_2009_LOS_ANGELES;TABLE IN11_NUNIT2/MISSING; RUN;


PROC SORT DATA=ahs2011_2009_LOS_ANGELES; BY METRO_AREA;RUN;

DATA ahs2011_2009_LOS_ANGELES;MERGE ahs2011_2009_LOS_ANGELES
S1 S2 S3 S4 S5 S6 S7 S8 S9  ;  BY METRO_AREA;

Ratio1 = (COUNT_2011 - (SADD + SNC))/SSAME;

Ratio2 = SNC/SINTNC;

Ratio4 = SADD/SINTADD; 


IF SAME=1   THEN BLCINCHWT=BLCINCHWT*RATIO1;

IF INTNC=1  THEN BLCINCHWT=BLCINCHWT*RATIO2;

IF INTADD=1 THEN BLCINCHWT=BLCINCHWT*RATIO4;

RUN;

************************************************************************************************************;
TITLE 'VALUES OF RATIO1 RATIO2 RATIO4 by METRO AREA'; RUN;

proc sort DATA=ahs2011_2009_LOS_ANGELES; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2009_LOS_ANGELES  NOPRINT MEAN ;VAR RATIO1 RATIO2 RATIO4;
OUTPUT OUT=RATIOS MEAN=RATIO1 RATIO2 RATIO4;BY YEAR METRO_AREA;RUN;
PROC PRINT DATA=RATIOS NOOBS; VAR YEAR METRO_AREA RATIO1 RATIO2 RATIO4; RUN;

RUN;

*******************************************************************************;
TITLE "NUMBER OF MOBILE HOMES by Metro Areas after step 8 
(SELECT SAME = 1 OR INTNC = 1 OR INTADD =1)"; run;
PROC MEANS DATA=ahs2011_1998 SUM  NOPRINT; VAR  MH; 
OUTPUT OUT=CASES_ahs2011_1998 SUM=NUMER_MH ; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2002 SUM  NOPRINT ; VAR  MH;
OUTPUT OUT=CASES_ahs2011_2002 SUM=NUMER_MH ; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2004 SUM  NOPRINT ; VAR  MH;
OUTPUT OUT=CASES_ahs2011_2004 SUM=NUMER_MH ; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2009_NEW_ORLEANS SUM  NOPRINT ; VAR  MH;
OUTPUT OUT=CASES_ahs2011_2009_NEW_ORLEANS SUM=NUMER_MH ; BY YEAR METRO_AREA;RUN;

PROC MEANS DATA=ahs2011_2009_LOS_ANGELES SUM  NOPRINT ; VAR  MH;
OUTPUT OUT=CASES_ahs2011_2009_LOS_ANGELES SUM=NUMER_MH ; BY YEAR METRO_AREA;RUN;


DATA CASES; SET CASES_ahs2011_1998 CASES_ahs2011_2002 CASES_ahs2011_2004
CASES_ahs2011_2009_NEW_ORLEANS CASES_ahs2011_2009_LOS_ANGELES; RUN;

PROC SORT DATA=CASES; BY YEAR METRO_AREA;RUN;

PROC PRINT DATA=CASES NOOBS; VAR YEAR METRO_AREA NUMER_MH; RUN;



***************************************************************************;


DATA BACKWARD_2011_1998_PART1;          ; SET ahs2011_1998;
IF METRO_AREA='Birmingham    '	OR  METRO_AREA='Virginia Beach'	;

IF IN11_ISTATUS = '1' AND IN11_TENURE = '1' AND IN11_NUNIT2 = '4' THEN GROUP=1;

IF IN11_ISTATUS = '1' AND IN11_TENURE = '1' AND IN11_NUNIT2 NE '4' THEN GROUP=2;

IF IN11_ISTATUS = '1' AND (IN11_TENURE='2' OR IN11_TENURE='3') AND IN11_NUNIT2 = '4'
THEN GROUP=3;

IF IN11_ISTATUS = '1' AND (IN11_TENURE='2' OR IN11_TENURE='3') AND IN11_NUNIT2 NE '4'
THEN GROUP=4;


IF (IN11_ISTATUS='2' OR IN11_ISTATUS='3') AND NOT(8 LE IN11_VACANCY LE 11) 
AND IN11_NUNIT2 = '4' THEN GROUP=5;

IF (IN11_ISTATUS='2' OR IN11_ISTATUS='3') AND NOT(8 LE IN11_VACANCY LE 11) 
AND IN11_NUNIT2 NE '4' THEN GROUP=6;

IF (IN11_ISTATUS='2' OR IN11_ISTATUS='3') AND (8 LE IN11_VACANCY LE 11) 
AND IN11_NUNIT2 = '4' THEN GROUP=7;

IF (IN11_ISTATUS='2' OR IN11_ISTATUS='3') AND (8 LE IN11_VACANCY LE 11) 
AND IN11_NUNIT2 NE '4' THEN GROUP=8;

IF GROUP=1 THEN GROUP_CATEGORY='1-Owner-Occupied (mobile homes)';
IF GROUP=2 THEN GROUP_CATEGORY='2-Owner-Occupied (other)       ';
IF GROUP=3 THEN GROUP_CATEGORY='3-Renter(mobile homes)         ';
IF GROUP=4 THEN GROUP_CATEGORY='4-Renter (other)               ';
IF GROUP=5 THEN GROUP_CATEGORY='5-Vacant (mobile homes)        ';
IF GROUP=6 THEN GROUP_CATEGORY='6-Vacant (other)               ';
IF GROUP=7 THEN GROUP_CATEGORY='7-Seasonal (mobile homes)      ';
IF GROUP=8 THEN GROUP_CATEGORY='8-Seasonal (other)             ';
RUN;


TITLE "UNWEIGHTED FREQ OF 8 NEW GROUPS BY METRO AREA (Birmingham & Virginia Beach)
 YEAR=1998"; RUN;
PROC FREQ DATA=BACKWARD_2011_1998_PART1; TABLE METRO_AREA*GROUP_CATEGORY/
NOPERCENT NOCOL NOROW; RUN;

********************************************************************************;

DATA BACKWARD_2011_2002_PART1           ; SET ahs2011_2002;
IF METRO_AREA='Phoenix       ' OR METRO_AREA='Riverside     ';

IF IN11_ISTATUS = '1' AND IN11_TENURE = '1' AND IN11_NUNIT2 = '4' THEN GROUP=1;

IF IN11_ISTATUS = '1' AND IN11_TENURE = '1' AND IN11_NUNIT2 NE '4' THEN GROUP=2;

IF IN11_ISTATUS = '1' AND (IN11_TENURE='2' OR IN11_TENURE='3') AND IN11_NUNIT2 = '4'
THEN GROUP=3;

IF IN11_ISTATUS = '1' AND (IN11_TENURE='2' OR IN11_TENURE='3') AND IN11_NUNIT2 NE '4'
THEN GROUP=4;


IF (IN11_ISTATUS='2' OR IN11_ISTATUS='3') AND NOT(8 LE IN11_VACANCY LE 11) 
AND IN11_NUNIT2 = '4' THEN GROUP=5;

IF (IN11_ISTATUS='2' OR IN11_ISTATUS='3') AND NOT(8 LE IN11_VACANCY LE 11) 
AND IN11_NUNIT2 NE '4' THEN GROUP=6;

IF (IN11_ISTATUS='2' OR IN11_ISTATUS='3') AND (8 LE IN11_VACANCY LE 11) 
AND IN11_NUNIT2 = '4' THEN GROUP=7;

IF (IN11_ISTATUS='2' OR IN11_ISTATUS='3') AND (8 LE IN11_VACANCY LE 11) 
AND IN11_NUNIT2 NE '4' THEN GROUP=8;

IF GROUP=1 THEN GROUP_CATEGORY='1-Owner-Occupied (mobile homes)';
IF GROUP=2 THEN GROUP_CATEGORY='2-Owner-Occupied (other)       ';
IF GROUP=3 THEN GROUP_CATEGORY='3-Renter(mobile homes)         ';
IF GROUP=4 THEN GROUP_CATEGORY='4-Renter (other)               ';
IF GROUP=5 THEN GROUP_CATEGORY='5-Vacant (mobile homes)        ';
IF GROUP=6 THEN GROUP_CATEGORY='6-Vacant (other)               ';
IF GROUP=7 THEN GROUP_CATEGORY='7-Seasonal (mobile homes)      ';
IF GROUP=8 THEN GROUP_CATEGORY='8-Seasonal (other)             ';

RUN;


TITLE "UNWEIGHTED FREQ OF 8 NEW GROUPS BY METRO AREA (Phoenix & Riverside) 
YEAR=2002"; RUN;
PROC FREQ DATA=BACKWARD_2011_2002_PART1; TABLE METRO_AREA*GROUP_CATEGORY/
NOPERCENT NOCOL NOROW; RUN;

********************************************************************************;
********************************************************************************;

/**** THESE ARE THE FOUR METROS THAT HAVE 8 GROUPS  **/


PROC SORT DATA=BACKWARD_2011_1998_PART1; BY YEAR METRO_AREA GROUP ;RUN;

PROC MEANS DATA=BACKWARD_2011_1998_PART1 NOPRINT SUM;VAR  BLCINCHWT;
OUTPUT OUT=EST_1998 SUM=EST_1998; BY YEAR METRO_AREA GROUP; RUN;

DATA EST_1998; SET EST_1998; 

IF METRO_AREA='Birmingham    ' AND GROUP=1 THEN PUB_1998= 34300	;
IF METRO_AREA='Birmingham    ' AND GROUP=2 THEN PUB_1998= 274800	;
IF METRO_AREA='Birmingham    ' AND GROUP=3 THEN PUB_1998= 7700	;
IF METRO_AREA='Birmingham    ' AND GROUP=4 THEN PUB_1998= 102600	;
IF METRO_AREA='Birmingham    ' AND GROUP=5 THEN PUB_1998= 6800	;
IF METRO_AREA='Birmingham    ' AND GROUP=6 THEN PUB_1998= 69200	;
IF METRO_AREA='Birmingham    ' AND GROUP=7 THEN PUB_1998= 900	;
IF METRO_AREA='Birmingham    ' AND GROUP=8 THEN PUB_1998= 5700	;
							

							
IF METRO_AREA='Virginia Beach' AND GROUP=1 THEN PUB_1998= 9400	;
IF METRO_AREA='Virginia Beach' AND GROUP=2 THEN PUB_1998= 388000	;
IF METRO_AREA='Virginia Beach' AND GROUP=3 THEN PUB_1998= 5300	;
IF METRO_AREA='Virginia Beach' AND GROUP=4 THEN PUB_1998= 228000	;
IF METRO_AREA='Virginia Beach' AND GROUP=5 THEN PUB_1998= 2600	;
IF METRO_AREA='Virginia Beach' AND GROUP=6 THEN PUB_1998= 56400	;
IF METRO_AREA='Virginia Beach' AND GROUP=7 THEN PUB_1998= 600	;
IF METRO_AREA='Virginia Beach' AND GROUP=8 THEN PUB_1998= 4200	;
								


D=PUB_1998/EST_1998;RUN;

TITLE "2011 ESTIMATE FOR THE TWO 1998 METROS AND THE RATIOS"; RUN;
PROC PRINT DATA=EST_1998 NOOBS; VAR YEAR METRO_AREA GROUP EST_1998 PUB_1998 D; RUN;

PROC SORT DATA=EST_1998; BY YEAR METRO_AREA GROUP ;RUN;
DATA BACKWARD_2011_1998_PART1  ; MERGE  BACKWARD_2011_1998_PART1 EST_1998 ; 
BY YEAR METRO_AREA GROUP ;

BLCINCHWT = D*BLCINCHWT; RUN;

PROC SORT DATA=BACKWARD_2011_1998_PART1; BY YEAR METRO_AREA GROUP ;RUN;

PROC MEANS DATA=BACKWARD_2011_1998_PART1 NOPRINT SUM;VAR  BLCINCHWT;
OUTPUT OUT=SUM_1998 SUM=SUM_BLCINCHWT; BY YEAR METRO_AREA GROUP; RUN;

TITLE "sum of BLCINCHWT FOR THE TWO 1998 METROS AFTER ADDJUSTING"; RUN;
PROC PRINT DATA=SUM_1998 NOOBS; VAR YEAR METRO_AREA GROUP SUM_BLCINCHWT; RUN;

********************************************************************:
********************************************************************;

          
               
PROC SORT DATA=BACKWARD_2011_2002_PART1; BY YEAR METRO_AREA GROUP ;RUN;

PROC MEANS DATA=BACKWARD_2011_2002_PART1 NOPRINT SUM;VAR  BLCINCHWT;
OUTPUT OUT=EST_2002 SUM=EST_2002; BY YEAR METRO_AREA GROUP; RUN;

DATA EST_2002; SET EST_2002; 
IF METRO_AREA='Phoenix       ' AND GROUP=1 THEN PUB_2002= 75300	;
IF METRO_AREA='Phoenix       ' AND GROUP=2 THEN PUB_2002= 905500	;
IF METRO_AREA='Phoenix       ' AND GROUP=3 THEN PUB_2002= 5300	;
IF METRO_AREA='Phoenix       ' AND GROUP=4 THEN PUB_2002= 523900	;
IF METRO_AREA='Phoenix       ' AND GROUP=5 THEN PUB_2002= 22100	;
IF METRO_AREA='Phoenix       ' AND GROUP=6 THEN PUB_2002= 232300	;
IF METRO_AREA='Phoenix       ' AND GROUP=7 THEN PUB_2002= 10500	;
IF METRO_AREA='Phoenix       ' AND GROUP=8 THEN PUB_2002= 46600	;
								
								
IF METRO_AREA='Riverside     ' AND GROUP=1 THEN PUB_2002= 73600	;
IF METRO_AREA='Riverside     ' AND GROUP=2 THEN PUB_2002= 747700	;
IF METRO_AREA='Riverside     ' AND GROUP=3 THEN PUB_2002= 19100	;
IF METRO_AREA='Riverside     ' AND GROUP=4 THEN PUB_2002= 446500	;
IF METRO_AREA='Riverside     ' AND GROUP=5 THEN PUB_2002= 13300	;
IF METRO_AREA='Riverside     ' AND GROUP=6 THEN PUB_2002= 150200	;
IF METRO_AREA='Riverside     ' AND GROUP=7 THEN PUB_2002= 7800	;
IF METRO_AREA='Riverside     ' AND GROUP=8 THEN PUB_2002= 52200	;

D=PUB_2002/EST_2002;RUN;

TITLE "2011 ESTIMATE FOR THE TWO 2002 METROS AND THE RATIOS"; RUN;
PROC PRINT DATA=EST_2002 NOOBS; VAR YEAR METRO_AREA GROUP EST_2002 PUB_2002 D; RUN;

PROC SORT DATA=EST_2002; BY YEAR METRO_AREA GROUP ;RUN;
DATA BACKWARD_2011_2002_PART1  ; MERGE  BACKWARD_2011_2002_PART1 EST_2002 ; 
BY YEAR METRO_AREA GROUP ;

BLCINCHWT = D*BLCINCHWT; RUN;

PROC SORT DATA=BACKWARD_2011_2002_PART1; BY YEAR METRO_AREA GROUP ;RUN;

PROC MEANS DATA=BACKWARD_2011_2002_PART1 NOPRINT SUM;VAR  BLCINCHWT;
OUTPUT OUT=SUM_2002 SUM=SUM_BLCINCHWT; BY YEAR METRO_AREA GROUP; RUN;

TITLE "sum of BLCINCHWT FOR THE TWO 2002 METROS AFTER ADDJUSTING"; RUN;
PROC PRINT DATA=SUM_2002 NOOBS; VAR YEAR METRO_AREA GROUP SUM_BLCINCHWT; RUN;

/*16)	Calculate the sum of BLCINCHWT for the following categories:
	IN11_NUNIT2 = '1'
	IN11_NUNIT2 = '4'
This step checks to see if the estimate of single family detached 
units and mobile homes are reasonable close to the published numbers.  
*/


***********************************************************************;

***********************************************************************************;
/*   5 groups structire type
Single-family detached	INxx_NUNIT2 =' 1'
Single-family attached	INSS_NUNIT2 = '2'
24 unit structures	INxx_NUNIT2 = '3' AND INxx_NUNITS = {2,3,4}
5+ unit structures	INxx_NUNIT2 = '3' AND INxx_NUNITS GE 5 
Manufactured houses	INxx_NUNIT2 = {'4'} 
*/
/*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*/

DATA BACKWARD_2011_1998_PART2;          ; SET ahs2011_1998;
IF METRO_AREA NE 'Birmingham    '	;
IF METRO_AREA NE 'Virginia Beach'	;

IF IN11_NUNIT2 = '1' THEN GROUP=1;
IF IN11_NUNIT2 = '2' THEN GROUP=2;
IF IN11_NUNIT2 = '3' AND IN11_NUNITS  IN(2,3,4) THEN GROUP=3;
IF IN11_NUNIT2 = '3' AND IN11_NUNITS GE 5  THEN GROUP=4;
IF IN11_NUNIT2 = '4' OR  IN11_NUNIT2 = '5' THEN GROUP=5;


IF GROUP=1  THEN GROUP_CATEGORY='1- Single-family detached  ';
IF GROUP=2  THEN GROUP_CATEGORY='2- Single-family attached  ';
IF GROUP=3  THEN GROUP_CATEGORY='3- 24 unit structures     ';
IF GROUP=4  THEN GROUP_CATEGORY='4- 5+ unit structures      '; 
IF GROUP=5  THEN GROUP_CATEGORY='5- Manufactured houses     '; RUN;


TITLE "UNWEIGHTED FREQ OF 5 GROUPS BY METRO AREA (YEAR=1998)"; RUN;
PROC FREQ DATA=BACKWARD_2011_1998_PART2; TABLE METRO_AREA*GROUP_CATEGORY/
NOPERCENT NOCOL NOROW; RUN;

********************************************************************************;


DATA BACKWARD_2011_2002_PART2           ; SET ahs2011_2002;
IF METRO_AREA NE 'Phoenix       ';
IF METRO_AREA NE 'Riverside     ';

IF IN11_NUNIT2 = '1' THEN GROUP=1;
IF IN11_NUNIT2 = '2' THEN GROUP=2;
IF IN11_NUNIT2 = '3' AND IN11_NUNITS  IN(2,3,4) THEN GROUP=3;
IF IN11_NUNIT2 = '3' AND IN11_NUNITS GE 5  THEN GROUP=4;
IF IN11_NUNIT2 = '4' OR  IN11_NUNIT2 = '5' THEN GROUP=5;


IF GROUP=1  THEN GROUP_CATEGORY='1- Single-family detached  ';
IF GROUP=2  THEN GROUP_CATEGORY='2- Single-family attached  ';
IF GROUP=3  THEN GROUP_CATEGORY='3- 24 unit structures     ';
IF GROUP=4  THEN GROUP_CATEGORY='4- 5+ unit structures      '; 
IF GROUP=5  THEN GROUP_CATEGORY='5- Manufactured houses     '; 

RUN;


TITLE "UNWEIGHTED FREQ OF 5 GROUPS BY METRO AREA (YEAR=2002)"; RUN;
PROC FREQ DATA=BACKWARD_2011_2002_PART2; TABLE METRO_AREA*GROUP_CATEGORY/
NOPERCENT NOCOL NOROW; RUN;

********************************************************************************;
DATA BACKWARD_2011_2004         ; SET ahs2011_2004;

IF IN11_NUNIT2 = '1' THEN GROUP=1;
IF IN11_NUNIT2 = '2' THEN GROUP=2;
IF IN11_NUNIT2 = '3' AND IN11_NUNITS  IN(2,3,4) THEN GROUP=3;
IF IN11_NUNIT2 = '3' AND IN11_NUNITS GE 5  THEN GROUP=4;
IF IN11_NUNIT2 = '4' OR  IN11_NUNIT2 = '5' THEN GROUP=5;


IF GROUP=1  THEN GROUP_CATEGORY='1- Single-family detached  ';
IF GROUP=2  THEN GROUP_CATEGORY='2- Single-family attached  ';
IF GROUP=3  THEN GROUP_CATEGORY='3- 24 unit structures     ';
IF GROUP=4  THEN GROUP_CATEGORY='4- 5+ unit structures      '; 
IF GROUP=5  THEN GROUP_CATEGORY='5- Manufactured houses     '; 
RUN;


TITLE "UNWEIGHTED FREQ OF 5 GROUPS BY METRO AREA (YEAR=2004)"; RUN;
PROC FREQ DATA=BACKWARD_2011_2004; TABLE METRO_AREA*GROUP_CATEGORY/
NOPERCENT NOCOL NOROW; RUN;

**************************************************************************;
DATA BACKWARD_2011_2009_LOS_ANGELES ; SET ahs2011_2009_LOS_ANGELES;

IF CONTROL= 665037520149   THEN IN11_NUNITS=3;  RUN;

*********************************************************************;

DATA BACKWARD_2011_2009_LOS_ANGELES ; SET BACKWARD_2011_2009_LOS_ANGELES;

IF IN11_NUNIT2 = '1' THEN GROUP=1;
IF IN11_NUNIT2 = '2' THEN GROUP=2;
IF IN11_NUNIT2 = '3' AND IN11_NUNITS  IN(2,3,4) THEN GROUP=3;
IF IN11_NUNIT2 = '3' AND IN11_NUNITS GE 5  THEN GROUP=4;
IF IN11_NUNIT2 = '4' OR  IN11_NUNIT2 = '5' THEN GROUP=5;


IF GROUP=1  THEN GROUP_CATEGORY='1- Single-family detached  ';
IF GROUP=2  THEN GROUP_CATEGORY='2- Single-family attached  ';
IF GROUP=3  THEN GROUP_CATEGORY='3- 24 unit structures     ';
IF GROUP=4  THEN GROUP_CATEGORY='4- 5+ unit structures      '; 
IF GROUP=5  THEN GROUP_CATEGORY='5- Manufactured houses     '; 

RUN;


TITLE "UNWEIGHTED FREQ OF 5 GROUPS FOR LOS ANGLES "; RUN;
PROC FREQ DATA=BACKWARD_2011_2009_LOS_ANGELES; TABLE METRO_AREA*GROUP_CATEGORY/
NOPERCENT NOCOL NOROW; RUN;


*********************************************************************************;
DATA BACKWARD_2011_2009_NEW_ORLEANS ; SET ahs2011_2009_NEW_ORLEANS;

IF IN11_NUNIT2 = '1' THEN GROUP=1;
IF IN11_NUNIT2 = '2' THEN GROUP=2;
IF IN11_NUNIT2 = '3' AND IN11_NUNITS  IN(2,3,4) THEN GROUP=3;
IF IN11_NUNIT2 = '3' AND IN11_NUNITS GE 5  THEN GROUP=4;
IF IN11_NUNIT2 = '4' OR  IN11_NUNIT2 = '5' THEN GROUP=5;


IF GROUP=1  THEN GROUP_CATEGORY='1- Single-family detached  ';
IF GROUP=2  THEN GROUP_CATEGORY='2- Single-family attached  ';
IF GROUP=3  THEN GROUP_CATEGORY='3- 24 unit structures     ';
IF GROUP=4  THEN GROUP_CATEGORY='4- 5+ unit structures      '; 
IF GROUP=5  THEN GROUP_CATEGORY='5- Manufactured houses     '; 
RUN;


PROC SORT DATA=BACKWARD_2011_2009_NEW_ORLEANS; BY YEAR METRO_AREA GROUP_CATEGORY;RUN;

TITLE "UNWEIGHTED FREQ OF THE 5 GROUPS FOR NEW ORLEANS "; RUN;
PROC FREQ DATA=BACKWARD_2011_2009_NEW_ORLEANS; TABLE METRO_AREA*GROUP_CATEGORY/
NOPERCENT NOCOL NOROW; RUN;

*****************************************************************************;

/*****    WEIGHTS FOR THE OTHER 25 METROS THAT HAS 5 GROUPS   ****/

PROC SORT DATA=BACKWARD_2011_1998_PART2; BY YEAR METRO_AREA GROUP ;RUN;

PROC MEANS DATA=BACKWARD_2011_1998_PART2 NOPRINT SUM;VAR  BLCINCHWT;
OUTPUT OUT=EST_1998 SUM=EST_1998; BY YEAR METRO_AREA GROUP; RUN;

DATA EST_1998; SET EST_1998; 

IF	METRO_AREA='Cincinnati    ' AND GROUP=1 THEN PUB_1998=	611300		;
IF	METRO_AREA='Cincinnati    ' AND GROUP=2 THEN PUB_1998=	44900		;
IF	METRO_AREA='Cincinnati    ' AND GROUP=3 THEN PUB_1998=	93500		;
IF	METRO_AREA='Cincinnati    ' AND GROUP=4 THEN PUB_1998=	141900		;
IF	METRO_AREA='Cincinnati    ' AND GROUP=5 THEN PUB_1998=	30100		;
IF	METRO_AREA='Oakland       ' AND GROUP=1 THEN PUB_1998=	585700		;
IF	METRO_AREA='Oakland       ' AND GROUP=2 THEN PUB_1998=	77100		;
IF	METRO_AREA='Oakland       ' AND GROUP=3 THEN PUB_1998=	106400		;
IF	METRO_AREA='Oakland       ' AND GROUP=4 THEN PUB_1998=	212000		;
IF	METRO_AREA='Oakland       ' AND GROUP=5 THEN PUB_1998=	13400		;
IF	METRO_AREA='Providence    ' AND GROUP=1 THEN PUB_1998=	325400		;
IF	METRO_AREA='Providence    ' AND GROUP=2 THEN PUB_1998=	19100		;
IF	METRO_AREA='Providence    ' AND GROUP=3 THEN PUB_1998=	136600		;
IF	METRO_AREA='Providence    ' AND GROUP=4 THEN PUB_1998=	96000		;
IF	METRO_AREA='Providence    ' AND GROUP=5 THEN PUB_1998=	5800		;
IF	METRO_AREA='San Francisco ' AND GROUP=1 THEN PUB_1998=	312300		;
IF	METRO_AREA='San Francisco ' AND GROUP=2 THEN PUB_1998=	57500		;
IF	METRO_AREA='San Francisco ' AND GROUP=3 THEN PUB_1998=	125800		;
IF	METRO_AREA='San Francisco ' AND GROUP=4 THEN PUB_1998=	266900		;
IF	METRO_AREA='San Francisco ' AND GROUP=5 THEN PUB_1998=	4100		;
IF	METRO_AREA='San Jose      ' AND GROUP=1 THEN PUB_1998=	369500		;
IF	METRO_AREA='San Jose      ' AND GROUP=2 THEN PUB_1998=	55800		;
IF	METRO_AREA='San Jose      ' AND GROUP=3 THEN PUB_1998=	52500		;
IF	METRO_AREA='San Jose      ' AND GROUP=4 THEN PUB_1998=	158000		;
IF	METRO_AREA='San Jose      ' AND GROUP=5 THEN PUB_1998=	20000		;

D=PUB_1998/EST_1998;RUN;

TITLE "2011 ESTIMATE FOR THE OTHER FIVE 1998 METROS AND THE RATIOS"; RUN;
PROC PRINT DATA=EST_1998 NOOBS; VAR YEAR METRO_AREA GROUP EST_1998 PUB_1998 D; RUN;

PROC SORT DATA=EST_1998; BY YEAR METRO_AREA GROUP ;RUN;
DATA BACKWARD_2011_1998_PART2  ; MERGE  BACKWARD_2011_1998_PART2 EST_1998 ; 
BY YEAR METRO_AREA GROUP ;

BLCINCHWT = D*BLCINCHWT; RUN;

PROC SORT DATA=BACKWARD_2011_1998_PART2; BY YEAR METRO_AREA GROUP ;RUN;

PROC MEANS DATA=BACKWARD_2011_1998_PART2 NOPRINT SUM;VAR  BLCINCHWT;
OUTPUT OUT=SUM_1998 SUM=SUM_BLCINCHWT; BY YEAR METRO_AREA GROUP; RUN;

TITLE "sum of BLCINCHWT FOR THE FIVE 1998 METROS AFTER ADDJUSTING"; RUN;
PROC PRINT DATA=SUM_1998 NOOBS; VAR YEAR METRO_AREA GROUP SUM_BLCINCHWT; RUN;


********************************************************************;
**************************************************************************;
PROC SORT DATA=BACKWARD_2011_2002_PART2; BY YEAR METRO_AREA GROUP ;RUN;

PROC MEANS DATA=BACKWARD_2011_2002_PART2 NOPRINT SUM;VAR  BLCINCHWT;
OUTPUT OUT=EST_2002 SUM=EST_2002; BY YEAR METRO_AREA GROUP; RUN;

DATA EST_2002; SET EST_2002; 

IF	METRO_AREA='Anaheim       ' AND GROUP=1 THEN PUB_2002=	539600		;
IF	METRO_AREA='Anaheim       ' AND GROUP=2 THEN PUB_2002= 	126500		;
IF	METRO_AREA='Anaheim       ' AND GROUP=3 THEN PUB_2002= 	109100		;
IF	METRO_AREA='Anaheim       ' AND GROUP=4 THEN PUB_2002= 	247400		;
IF	METRO_AREA='Anaheim       ' AND GROUP=5 THEN PUB_2002= 	31500		;
IF	METRO_AREA='Buffalo       ' AND GROUP=1 THEN PUB_2002= 	325600		;
IF	METRO_AREA='Buffalo       ' AND GROUP=2 THEN PUB_2002= 	15400		;
IF	METRO_AREA='Buffalo       ' AND GROUP=3 THEN PUB_2002= 	110100		;
IF	METRO_AREA='Buffalo       ' AND GROUP=4 THEN PUB_2002= 	58700		;
IF	METRO_AREA='Buffalo       ' AND GROUP=5 THEN PUB_2002= 	10300		;
IF	METRO_AREA='Charlotte     ' AND GROUP=1 THEN PUB_2002= 	516300		;
IF	METRO_AREA='Charlotte     ' AND GROUP=2 THEN PUB_2002= 	47500		;
IF	METRO_AREA='Charlotte     ' AND GROUP=3 THEN PUB_2002= 	30000		;
IF	METRO_AREA='Charlotte     ' AND GROUP=4 THEN PUB_2002= 	112100		;
IF	METRO_AREA='Charlotte     ' AND GROUP=5 THEN PUB_2002= 	41600		;
IF	METRO_AREA='Columbus      ' AND GROUP=1 THEN PUB_2002= 	497600		;
IF	METRO_AREA='Columbus      ' AND GROUP=2 THEN PUB_2002= 	74200		;
IF	METRO_AREA='Columbus      ' AND GROUP=3 THEN PUB_2002= 	71100		;
IF	METRO_AREA='Columbus      ' AND GROUP=4 THEN PUB_2002= 	140100		;
IF	METRO_AREA='Columbus      ' AND GROUP=5 THEN PUB_2002= 	15400		;
IF	METRO_AREA='Dallas        ' AND GROUP=1 THEN PUB_2002= 	1085300		;
IF	METRO_AREA='Dallas        ' AND GROUP=2 THEN PUB_2002= 	65100		;
IF	METRO_AREA='Dallas        ' AND GROUP=3 THEN PUB_2002= 	76500		;
IF	METRO_AREA='Dallas        ' AND GROUP=4 THEN PUB_2002= 	412700		;
IF	METRO_AREA='Dallas        ' AND GROUP=5 THEN PUB_2002= 	51500		;
IF	METRO_AREA='Fort Worth    ' AND GROUP=1 THEN PUB_2002= 	588100		;
IF	METRO_AREA='Fort Worth    ' AND GROUP=2 THEN PUB_2002= 	37100		;
IF	METRO_AREA='Fort Worth    ' AND GROUP=3 THEN PUB_2002= 	43100		;
IF	METRO_AREA='Fort Worth    ' AND GROUP=4 THEN PUB_2002= 	149100		;
IF	METRO_AREA='Fort Worth    ' AND GROUP=5 THEN PUB_2002= 	38700		;
IF	METRO_AREA='Kansas City   ' AND GROUP=1 THEN PUB_2002= 	624900		;
IF	METRO_AREA='Kansas City   ' AND GROUP=2 THEN PUB_2002= 	54100		;
IF	METRO_AREA='Kansas City   ' AND GROUP=3 THEN PUB_2002= 	70300		;
IF	METRO_AREA='Kansas City   ' AND GROUP=4 THEN PUB_2002= 	126300		;
IF	METRO_AREA='Kansas City   ' AND GROUP=5 THEN PUB_2002= 	18000		;
IF	METRO_AREA='Milwaukee     ' AND GROUP=1 THEN PUB_2002= 	377000		;
IF	METRO_AREA='Milwaukee     ' AND GROUP=2 THEN PUB_2002= 	29000		;
IF	METRO_AREA='Milwaukee     ' AND GROUP=3 THEN PUB_2002= 	117300		;
IF	METRO_AREA='Milwaukee     ' AND GROUP=4 THEN PUB_2002= 	146400		;
IF	METRO_AREA='Milwaukee     ' AND GROUP=5 THEN PUB_2002= 	4400		;
IF	METRO_AREA='Portland      ' AND GROUP=1 THEN PUB_2002= 	617400		;
IF	METRO_AREA='Portland      ' AND GROUP=2 THEN PUB_2002= 	46300		;
IF	METRO_AREA='Portland      ' AND GROUP=3 THEN PUB_2002= 	64300		;
IF	METRO_AREA='Portland      ' AND GROUP=4 THEN PUB_2002= 	171700		;
IF	METRO_AREA='Portland      ' AND GROUP=5 THEN PUB_2002= 	34400		;
IF	METRO_AREA='San Diego     ' AND GROUP=1 THEN PUB_2002= 	621600		;
IF	METRO_AREA='San Diego     ' AND GROUP=2 THEN PUB_2002= 	112000		;
IF	METRO_AREA='San Diego     ' AND GROUP=3 THEN PUB_2002= 	88700		;
IF	METRO_AREA='San Diego     ' AND GROUP=4 THEN PUB_2002= 	321300		;
IF	METRO_AREA='San Diego     ' AND GROUP=5 THEN PUB_2002= 	42700		;


D=PUB_2002/EST_2002;RUN;

TITLE "2011 ESTIMATE FOR THE OTHER TEN 2002 METROS AND THE RATIOS"; RUN;
PROC PRINT DATA=EST_2002 NOOBS; VAR YEAR METRO_AREA GROUP EST_2002 PUB_2002 D; RUN;

PROC SORT DATA=EST_2002; BY YEAR METRO_AREA GROUP ;RUN;
DATA BACKWARD_2011_2002_PART2  ; MERGE  BACKWARD_2011_2002_PART2 EST_2002 ; 
BY YEAR METRO_AREA GROUP ;

BLCINCHWT = D*BLCINCHWT; RUN;

PROC SORT DATA=BACKWARD_2011_2002_PART2; BY YEAR METRO_AREA GROUP ;RUN;

PROC MEANS DATA=BACKWARD_2011_2002_PART2 NOPRINT SUM;VAR  BLCINCHWT;
OUTPUT OUT=SUM_2002 SUM=SUM_BLCINCHWT; BY YEAR METRO_AREA GROUP; RUN;

TITLE "sum of BLCINCHWT FOR THE TEN 2002 METROS AFTER ADDJUSTING"; RUN;
PROC PRINT DATA=SUM_2002 NOOBS; VAR YEAR METRO_AREA GROUP SUM_BLCINCHWT; RUN;


********************************************************************;
**************************************************************************;


PROC SORT DATA=BACKWARD_2011_2004; BY YEAR METRO_AREA GROUP ;RUN;

PROC MEANS DATA=BACKWARD_2011_2004 NOPRINT SUM;VAR  BLCINCHWT;
OUTPUT OUT=EST_2004 SUM=EST_2004; BY YEAR METRO_AREA GROUP; RUN;

DATA EST_2004; SET EST_2004; 

IF	METRO_AREA='Atlanta       ' AND GROUP=1 THEN PUB_2004=	1503700		;
IF	METRO_AREA='Atlanta       ' AND GROUP=2 THEN PUB_2004= 	127300		;
IF	METRO_AREA='Atlanta       ' AND GROUP=3 THEN PUB_2004= 	79500		;
IF	METRO_AREA='Atlanta       ' AND GROUP=4 THEN PUB_2004= 	395800		;
IF	METRO_AREA='Atlanta       ' AND GROUP=5 THEN PUB_2004= 	69300		;
 				
IF	METRO_AREA='Cleveland     ' AND GROUP=1 THEN PUB_2004= 	666500		;
IF	METRO_AREA='Cleveland     ' AND GROUP=2 THEN PUB_2004= 	39700		;
IF	METRO_AREA='Cleveland     ' AND GROUP=3 THEN PUB_2004= 	75300		;
IF	METRO_AREA='Cleveland     ' AND GROUP=4 THEN PUB_2004= 	166400		;
IF	METRO_AREA='Cleveland     ' AND GROUP=5 THEN PUB_2004= 	10700		;
 				
IF	METRO_AREA='Denver        ' AND GROUP=1 THEN PUB_2004= 	653700		;
IF	METRO_AREA='Denver        ' AND GROUP=2 THEN PUB_2004= 	89100		;
IF	METRO_AREA='Denver        ' AND GROUP=3 THEN PUB_2004= 	44800		;
IF	METRO_AREA='Denver        ' AND GROUP=4 THEN PUB_2004= 	261900		;
IF	METRO_AREA='Denver        ' AND GROUP=5 THEN PUB_2004= 	17600		;
 				
IF	METRO_AREA='Indianapolis  ' AND GROUP=1 THEN PUB_2004= 	532800		;
IF	METRO_AREA='Indianapolis  ' AND GROUP=2 THEN PUB_2004= 	34200		;
IF	METRO_AREA='Indianapolis  ' AND GROUP=3 THEN PUB_2004= 	62600		;
IF	METRO_AREA='Indianapolis  ' AND GROUP=4 THEN PUB_2004= 	118100		;
IF	METRO_AREA='Indianapolis  ' AND GROUP=5 THEN PUB_2004= 	17700		;
 				
IF	METRO_AREA='MemphiS       ' AND GROUP=1 THEN PUB_2004= 	385300		;
IF	METRO_AREA='MemphiS       ' AND GROUP=2 THEN PUB_2004= 	20400		;
IF	METRO_AREA='MemphiS       ' AND GROUP=3 THEN PUB_2004= 	30300		;
IF	METRO_AREA='MemphiS       ' AND GROUP=4 THEN PUB_2004= 	94100		;
IF	METRO_AREA='MemphiS       ' AND GROUP=5 THEN PUB_2004= 	22400		;
 				
IF	METRO_AREA='Pittsburgh    ' AND GROUP=1 THEN PUB_2004= 	783800		;
IF	METRO_AREA='Pittsburgh    ' AND GROUP=2 THEN PUB_2004= 	81400		;
IF	METRO_AREA='Pittsburgh    ' AND GROUP=3 THEN PUB_2004= 	81600		;
IF	METRO_AREA='Pittsburgh    ' AND GROUP=4 THEN PUB_2004= 	114100		;
IF	METRO_AREA='Pittsburgh    ' AND GROUP=5 THEN PUB_2004= 	43900		;
 				
IF	METRO_AREA='Sacramento    ' AND GROUP=1 THEN PUB_2004= 	602000		;
IF	METRO_AREA='Sacramento    ' AND GROUP=2 THEN PUB_2004= 	46400		;
IF	METRO_AREA='Sacramento    ' AND GROUP=3 THEN PUB_2004= 	56800		;
IF	METRO_AREA='Sacramento    ' AND GROUP=4 THEN PUB_2004= 	155000		;
IF	METRO_AREA='Sacramento    ' AND GROUP=5 THEN PUB_2004= 	23600		;
 				
IF	METRO_AREA='St. Louis     ' AND GROUP=1 THEN PUB_2004= 	890500		;
IF	METRO_AREA='St. Louis     ' AND GROUP=2 THEN PUB_2004= 	43600		;
IF	METRO_AREA='St. Louis     ' AND GROUP=3 THEN PUB_2004= 	128500		;
IF	METRO_AREA='St. Louis     ' AND GROUP=4 THEN PUB_2004= 	137200		;
IF	METRO_AREA='St. Louis     ' AND GROUP=5 THEN PUB_2004= 	48300		;

D=PUB_2004/EST_2004;RUN;

TITLE "2011 ESTIMATE FOR THE EIGHT 2004 METROS AND THE RATIOS"; RUN;
PROC PRINT DATA=EST_2004 NOOBS; VAR YEAR METRO_AREA GROUP EST_2004 PUB_2004 D; RUN;

PROC SORT DATA=EST_2004; BY YEAR METRO_AREA GROUP ;RUN;
DATA BACKWARD_2011_2004  ; MERGE  BACKWARD_2011_2004 EST_2004 ; 
BY YEAR METRO_AREA GROUP ;

BLCINCHWT = D*BLCINCHWT; RUN;

PROC SORT DATA=BACKWARD_2011_2004; BY YEAR METRO_AREA GROUP ;RUN;

PROC MEANS DATA=BACKWARD_2011_2004 NOPRINT SUM;VAR  BLCINCHWT;
OUTPUT OUT=SUM_2004 SUM=SUM_BLCINCHWT; BY YEAR METRO_AREA GROUP; RUN;

TITLE "sum of BLCINCHWT FOR THE EIGHT 2004 METROS AFTER ADDJUSTING"; RUN;
PROC PRINT DATA=SUM_2004 NOOBS; VAR YEAR METRO_AREA GROUP SUM_BLCINCHWT; RUN;


********************************************************************;
**************************************************************************;

PROC SORT DATA=BACKWARD_2011_2009_LOS_ANGELES; BY YEAR METRO_AREA GROUP ;RUN;

PROC MEANS DATA=BACKWARD_2011_2009_LOS_ANGELES NOPRINT SUM;VAR  BLCINCHWT;
OUTPUT OUT=EST_2009 SUM=EST_2009; BY YEAR METRO_AREA GROUP; RUN;

DATA EST_2009; SET EST_2009; 

IF  GROUP=1 THEN PUB_2009=	1729600	;
IF  GROUP=2 THEN PUB_2009=	255600	;
IF  GROUP=3 THEN PUB_2009=	321600	;
IF  GROUP=4 THEN PUB_2009=	1099200	;
IF  GROUP=5 THEN PUB_2009=	51800	;
	
D=PUB_2009/EST_2009;RUN;

TITLE "2011 ESTIMATE FOR LOS_ANGELES AND THE RATIOS"; RUN;
PROC PRINT DATA=EST_2009 NOOBS; VAR YEAR METRO_AREA GROUP EST_2009 PUB_2009 D; RUN;

PROC SORT DATA=EST_2009; BY YEAR METRO_AREA GROUP ;RUN;
DATA BACKWARD_2011_2009_LOS_ANGELES  ; MERGE  BACKWARD_2011_2009_LOS_ANGELES EST_2009 ; 
BY YEAR METRO_AREA GROUP ;

BLCINCHWT = D*BLCINCHWT; RUN;

PROC SORT DATA=BACKWARD_2011_2009_LOS_ANGELES; BY YEAR METRO_AREA GROUP ;RUN;

PROC MEANS DATA=BACKWARD_2011_2009_LOS_ANGELES NOPRINT SUM;VAR  BLCINCHWT;
OUTPUT OUT=SUM_2009 SUM=SUM_BLCINCHWT; BY YEAR METRO_AREA GROUP; RUN;

TITLE "sum of BLCINCHWT FOR LOS_ANGELES AFTER ADDJUSTING"; RUN;
PROC PRINT DATA=SUM_2009 NOOBS; VAR YEAR METRO_AREA GROUP SUM_BLCINCHWT; RUN;

**************************************************************************;

PROC SORT DATA=BACKWARD_2011_2009_NEW_ORLEANS; BY YEAR METRO_AREA GROUP ;RUN;

PROC MEANS DATA=BACKWARD_2011_2009_NEW_ORLEANS NOPRINT SUM;VAR  BLCINCHWT;
OUTPUT OUT=EST_2009 SUM=EST_2009; BY YEAR METRO_AREA GROUP; RUN;

DATA EST_2009; SET EST_2009; 

IF  GROUP=1 THEN PUB_2009=	353000	;
IF  GROUP=2 THEN PUB_2009=	34400	;
IF  GROUP=3 THEN PUB_2009=	76500	;
IF  GROUP=4 THEN PUB_2009=	64100	;
IF  GROUP=5 THEN PUB_2009=	17600	;

D=PUB_2009/EST_2009;RUN;

TITLE "2011 ESTIMATE FOR NEW_ORLEANS AND THE RATIOS"; RUN;
PROC PRINT DATA=EST_2009 NOOBS; VAR YEAR METRO_AREA GROUP EST_2009 PUB_2009 D; RUN;

PROC SORT DATA=EST_2009; BY YEAR METRO_AREA GROUP ;RUN;
DATA BACKWARD_2011_2009_NEW_ORLEANS  ; MERGE  BACKWARD_2011_2009_NEW_ORLEANS EST_2009 ; 
BY YEAR METRO_AREA GROUP ;

BLCINCHWT = D*BLCINCHWT; RUN;

PROC SORT DATA=BACKWARD_2011_2009_NEW_ORLEANS; BY YEAR METRO_AREA GROUP ;RUN;

PROC MEANS DATA=BACKWARD_2011_2009_NEW_ORLEANS NOPRINT SUM;VAR  BLCINCHWT;
OUTPUT OUT=SUM_2009 SUM=SUM_BLCINCHWT; BY YEAR METRO_AREA GROUP; RUN;

TITLE "sum of BLCINCHWT FOR NEW_ORLEANS AFTER ADDJUSTING"; RUN;
PROC PRINT DATA=SUM_2009 NOOBS; VAR YEAR METRO_AREA GROUP SUM_BLCINCHWT; RUN;


********************************************************************;

************************************************************************;
**************************************************************************;

/*DATA BACKWARD_2011_1998_PART2; SET BACKWARD_2011_1998_PART2; 

    GROUPING='3-Other units           ';
IF IN11_NUNIT2 = '1' THEN GROUPING='1-Single Family Detached';
IF IN11_NUNIT2 = '4' THEN GROUPING='2-Mobile Homes          ';RUN;  
RUN;

DATA BACKWARD_2011_2002_PART2; SET BACKWARD_2011_2002_PART2; 

    GROUPING='3-Other units           ';
IF IN11_NUNIT2 = '1' THEN GROUPING='1-Single Family Detached';
IF IN11_NUNIT2 = '4' THEN GROUPING='2-Mobile Homes          ';RUN;  
RUN;


DATA BACKWARD_2011_2004; SET BACKWARD_2011_2004; 

    GROUPING='3-Other units           ';
IF IN11_NUNIT2 = '1' THEN GROUPING='1-Single Family Detached';
IF IN11_NUNIT2 = '4' THEN GROUPING='2-Mobile Homes          ';RUN;  
RUN;



DATA BACKWARD_2011_2009_LOS_ANGELES; SET BACKWARD_2011_2009_LOS_ANGELES; 
    GROUPING='3-Other units           ';
IF IN11_NUNIT2 = '1' THEN GROUPING='1-Single Family Detached';
IF IN11_NUNIT2 = '4' THEN GROUPING='2-Mobile Homes          ';RUN;  

              RUN;


DATA BACKWARD_2011_2009_NEW_ORLEANS; SET BACKWARD_2011_2009_NEW_ORLEANS; 

    GROUPING='3-Other units           ';
IF IN11_NUNIT2 = '1' THEN GROUPING='1-Single Family Detached';
IF IN11_NUNIT2 = '4' THEN GROUPING='2-Mobile Homes          ';RUN;  
RUN;



TITLE "WEIGHTED FREQ OF THE TYPE OF UNITS IN THE TWO 1998 METROS";RUN;
PROC FREQ DATA= BACKWARD_2011_1998_PART1;TABLE METRO_AREA*GROUPING/MISSING NOCOL
NOROW NOPERCENT; WEIGHT BLCINCHWT;RUN;

TITLE "WEIGHTED FREQ OF THE TYPE OF UNITS IN THE TWO 2002 METROS";RUN;
PROC FREQ DATA= BACKWARD_2011_2002_PART1;TABLE METRO_AREA*GROUPING/MISSING NOCOL
NOROW NOPERCENT; WEIGHT BLCINCHWT;RUN;


TITLE "WEIGHTED FREQ OF TYPES OF UNITS IN THE 2011-1998 FIVE METROS"; RUN; 
PROC FREQ DATA=BACKWARD_2011_1998_PART2; TABLE METRO_AREA*GROUPING /NOCOL
NOROW NOPERCENT MISSING; WEIGHT BLCINCHWT; RUN;


TITLE "WEIGHTED FREQ OF TYPES OF UNITS IN THE 2011-2002 TEN METROS"; RUN; 
PROC FREQ DATA=BACKWARD_2011_2002_PART2; TABLE METRO_AREA*GROUPING/MISSING NOCOL
NOROW NOPERCENT; WEIGHT BLCINCHWT; RUN;


TITLE "WEIGHTED FREQ OF TYPES OF UNITS IN THE 2011-2004 8 METROS"; RUN; 
PROC FREQ DATA=BACKWARD_2011_2004; TABLE METRO_AREA*GROUPING/MISSING NOCOL
NOROW NOPERCENT; WEIGHT BLCINCHWT; RUN;


TITLE "WEIGHTED FREQ OF TYPES OF UNITS IN THE 2011-2009_LOS_ANGELES "; RUN; 
PROC FREQ DATA=BACKWARD_2011_2009_LOS_ANGELES; TABLE METRO_AREA*GROUPING/MISSING NOCOL
NOROW NOPERCENT; WEIGHT BLCINCHWT; RUN;


TITLE "WEIGHTED FREQ OF TYPES OF UNITS IN THE 2011-2009_NEW_ORLEANS "; RUN; 
PROC FREQ DATA=BACKWARD_2011_2009_NEW_ORLEANS; TABLE METRO_AREA*GROUPING/MISSING NOCOL
NOROW NOPERCENT; WEIGHT BLCINCHWT; RUN;


*/

/***&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*/



DATA BACKWARD_2011_1998_PART2;          ; SET BACKWARD_2011_1998_PART2;
IF METRO_AREA NE 'Birmingham    '	;
IF METRO_AREA NE 'Virginia Beach'	;

IF IN11_ISTATUS = '1' AND IN11_TENURE = 1  THEN NEW_GROUP=1;
IF IN11_ISTATUS = '1' AND (2 LE IN11_TENURE LE 3) THEN NEW_GROUP=2;
IF (IN11_ISTATUS='2' OR IN11_ISTATUS='3') AND NOT(8 LE IN11_VACANCY LE 11) THEN NEW_GROUP=3;
IF (IN11_ISTATUS='2' OR IN11_ISTATUS='3') AND (8 LE IN11_VACANCY LE 11) THEN NEW_GROUP=4;

IF NEW_GROUP=1  THEN NEW_GROUP_CATEGORY='1- Owner-Occupied  ';
IF NEW_GROUP=2  THEN NEW_GROUP_CATEGORY='2- Renter-Occupied ';
IF NEW_GROUP=3  THEN NEW_GROUP_CATEGORY='3- Vacant Units    ';
IF NEW_GROUP=4  THEN NEW_GROUP_CATEGORY='4- Seasonal Units  '; RUN;


RUN;


TITLE "UNWEIGHTED FREQ OF 4 NEW NEW_GROUPS BY METRO AREA (YEAR=1998)"; RUN;
PROC FREQ DATA=BACKWARD_2011_1998_PART2; TABLE METRO_AREA*NEW_GROUP_CATEGORY/
NOPERCENT NOCOL NOROW; RUN;

********************************************************************************;


DATA BACKWARD_2011_2002_PART2           ; SET BACKWARD_2011_2002_PART2;
IF METRO_AREA NE 'Phoenix       ';
IF METRO_AREA NE 'Riverside     ';

IF IN11_ISTATUS = '1' AND IN11_TENURE = 1  THEN NEW_GROUP=1;
IF IN11_ISTATUS = '1' AND (2 LE IN11_TENURE LE 3) THEN NEW_GROUP=2;
IF (IN11_ISTATUS='2' OR IN11_ISTATUS='3') AND NOT(8 LE IN11_VACANCY LE 11) THEN NEW_GROUP=3;
IF (IN11_ISTATUS='2' OR IN11_ISTATUS='3') AND (8 LE IN11_VACANCY LE 11) THEN NEW_GROUP=4;

IF NEW_GROUP=1  THEN NEW_GROUP_CATEGORY='1- Owner-Occupied  ';
IF NEW_GROUP=2  THEN NEW_GROUP_CATEGORY='2- Renter-Occupied ';
IF NEW_GROUP=3  THEN NEW_GROUP_CATEGORY='3- Vacant Units    ';
IF NEW_GROUP=4  THEN NEW_GROUP_CATEGORY='4- Seasonal Units  '; RUN;


RUN;


TITLE "UNWEIGHTED FREQ OF 4 NEW NEW_GROUPS BY METRO AREA (YEAR=2002)"; RUN;
PROC FREQ DATA=BACKWARD_2011_2002_PART2; TABLE METRO_AREA*NEW_GROUP_CATEGORY/
NOPERCENT NOCOL NOROW; RUN;

********************************************************************************;
DATA BACKWARD_2011_2004         ; SET BACKWARD_2011_2004;

IF IN11_ISTATUS = '1' AND IN11_TENURE = 1  THEN NEW_GROUP=1;
IF IN11_ISTATUS = '1' AND (2 LE IN11_TENURE LE 3) THEN NEW_GROUP=2;
IF (IN11_ISTATUS='2' OR IN11_ISTATUS='3') AND NOT(8 LE IN11_VACANCY LE 11) THEN NEW_GROUP=3;
IF (IN11_ISTATUS='2' OR IN11_ISTATUS='3') AND (8 LE IN11_VACANCY LE 11) THEN NEW_GROUP=4;

IF NEW_GROUP=1  THEN NEW_GROUP_CATEGORY='1- Owner-Occupied  ';
IF NEW_GROUP=2  THEN NEW_GROUP_CATEGORY='2- Renter-Occupied ';
IF NEW_GROUP=3  THEN NEW_GROUP_CATEGORY='3- Vacant Units    ';
IF NEW_GROUP=4  THEN NEW_GROUP_CATEGORY='4- Seasonal Units  '; RUN;


RUN;


TITLE "UNWEIGHTED FREQ OF 4 NEW NEW_GROUPS BY METRO AREA (YEAR=2004)"; RUN;
PROC FREQ DATA=BACKWARD_2011_2004; TABLE METRO_AREA*NEW_GROUP_CATEGORY/
NOPERCENT NOCOL NOROW; RUN;

**************************************************************************;
DATA BACKWARD_2011_2009_LOS_ANGELES ; SET BACKWARD_2011_2009_LOS_ANGELES;

IF IN11_ISTATUS = '1' AND IN11_TENURE = 1  THEN NEW_GROUP=1;
IF IN11_ISTATUS = '1' AND (2 LE IN11_TENURE LE 3) THEN NEW_GROUP=2;
IF (IN11_ISTATUS='2' OR IN11_ISTATUS='3') AND NOT(8 LE IN11_VACANCY LE 11) THEN NEW_GROUP=3;
IF (IN11_ISTATUS='2' OR IN11_ISTATUS='3') AND (8 LE IN11_VACANCY LE 11) THEN NEW_GROUP=4;

IF NEW_GROUP=1  THEN NEW_GROUP_CATEGORY='1- Owner-Occupied  ';
IF NEW_GROUP=2  THEN NEW_GROUP_CATEGORY='2- Renter-Occupied ';
IF NEW_GROUP=3  THEN NEW_GROUP_CATEGORY='3- Vacant Units    ';
IF NEW_GROUP=4  THEN NEW_GROUP_CATEGORY='4- Seasonal Units  '; RUN;


RUN;



TITLE "UNWEIGHTED FREQ OF 4 NEW NEW_GROUPS FOR LOS ANGLES "; RUN;
PROC FREQ DATA=BACKWARD_2011_2009_LOS_ANGELES; TABLE METRO_AREA*NEW_GROUP_CATEGORY/
NOPERCENT NOCOL NOROW; RUN;


*********************************************************************************;
DATA BACKWARD_2011_2009_NEW_ORLEANS ; SET BACKWARD_2011_2009_NEW_ORLEANS;

IF IN11_ISTATUS = '1' AND IN11_TENURE = 1  THEN NEW_GROUP=1;
IF IN11_ISTATUS = '1' AND (2 LE IN11_TENURE LE 3) THEN NEW_GROUP=2;
IF (IN11_ISTATUS='2' OR IN11_ISTATUS='3') AND NOT(8 LE IN11_VACANCY LE 11) THEN NEW_GROUP=3;
IF (IN11_ISTATUS='2' OR IN11_ISTATUS='3') AND (8 LE IN11_VACANCY LE 11) THEN NEW_GROUP=4;

IF NEW_GROUP=1  THEN NEW_GROUP_CATEGORY='1- Owner-Occupied  ';
IF NEW_GROUP=2  THEN NEW_GROUP_CATEGORY='2- Renter-Occupied ';
IF NEW_GROUP=3  THEN NEW_GROUP_CATEGORY='3- Vacant Units    ';
IF NEW_GROUP=4  THEN NEW_GROUP_CATEGORY='4- Seasonal Units  '; RUN;

RUN;


PROC SORT DATA=BACKWARD_2011_2009_NEW_ORLEANS; BY YEAR METRO_AREA NEW_GROUP_CATEGORY;RUN;

TITLE "UNWEIGHTED FREQ OF THE 4 NEW NEW_GROUPS FOR NEW ORLEANS "; RUN;
PROC FREQ DATA=BACKWARD_2011_2009_NEW_ORLEANS; TABLE METRO_AREA*NEW_GROUP_CATEGORY/
NOPERCENT NOCOL NOROW; RUN;

*****************************************************************************;

/*****    WEIGHTS FOR THE OTHER 25 METROS THAT HAS 4 NEW_GROUPS   ****/

PROC SORT DATA=BACKWARD_2011_1998_PART2; BY YEAR METRO_AREA NEW_GROUP ;RUN;

PROC MEANS DATA=BACKWARD_2011_1998_PART2 NOPRINT SUM;VAR  BLCINCHWT;
OUTPUT OUT=NEW_EST_1998 SUM=NEW_EST_1998; BY YEAR METRO_AREA NEW_GROUP; RUN;

DATA NEW_EST_1998; SET NEW_EST_1998; 


IF	METRO_AREA='Cincinnati    ' AND NEW_GROUP=1 THEN NEW_PUB_1998=	559000	;
IF	METRO_AREA='Cincinnati    ' AND NEW_GROUP=2 THEN NEW_PUB_1998=	256600	;
IF	METRO_AREA='Cincinnati    ' AND NEW_GROUP=3 THEN NEW_PUB_1998=	103800	;
IF	METRO_AREA='Cincinnati    ' AND NEW_GROUP=4 THEN NEW_PUB_1998=	2200	;

IF	METRO_AREA='Oakland       ' AND NEW_GROUP=1 THEN NEW_PUB_1998=	538300	;
IF	METRO_AREA='Oakland       ' AND NEW_GROUP=2 THEN NEW_PUB_1998=	368900	;
IF	METRO_AREA='Oakland       ' AND NEW_GROUP=3 THEN NEW_PUB_1998=	87000	;
IF	METRO_AREA='Oakland       ' AND NEW_GROUP=4 THEN NEW_PUB_1998=	300	;

IF	METRO_AREA='Providence    ' AND NEW_GROUP=1 THEN NEW_PUB_1998=	318600	;
IF	METRO_AREA='Providence    ' AND NEW_GROUP=2 THEN NEW_PUB_1998=	203500	;
IF	METRO_AREA='Providence    ' AND NEW_GROUP=3 THEN NEW_PUB_1998=	54600	;
IF	METRO_AREA='Providence    ' AND NEW_GROUP=4 THEN NEW_PUB_1998=	6300	;

IF	METRO_AREA='San Francisco ' AND NEW_GROUP=1 THEN NEW_PUB_1998=	343100	;
IF	METRO_AREA='San Francisco ' AND NEW_GROUP=2 THEN NEW_PUB_1998=	376900	;
IF	METRO_AREA='San Francisco ' AND NEW_GROUP=3 THEN NEW_PUB_1998=	42700	;
IF	METRO_AREA='San Francisco ' AND NEW_GROUP=4 THEN NEW_PUB_1998=	3800	;

IF	METRO_AREA='San Jose      ' AND NEW_GROUP=1 THEN NEW_PUB_1998=	354900	;
IF	METRO_AREA='San Jose      ' AND NEW_GROUP=2 THEN NEW_PUB_1998=	269200	;
IF	METRO_AREA='San Jose      ' AND NEW_GROUP=3 THEN NEW_PUB_1998=	31000	;
IF	METRO_AREA='San Jose      ' AND NEW_GROUP=4 THEN NEW_PUB_1998=	800	;
									

RK=NEW_PUB_1998/NEW_EST_1998;RUN;

TITLE "2011 ESTIMATE FOR THE OTHER FIVE 1998 METROS AND THE RATIOS"; RUN;
PROC PRINT DATA=NEW_EST_1998 NOOBS; VAR YEAR METRO_AREA NEW_GROUP NEW_EST_1998 
NEW_PUB_1998 RK; RUN;

PROC SORT DATA=NEW_EST_1998; BY YEAR METRO_AREA NEW_GROUP ;RUN;
DATA BACKWARD_2011_1998_PART2  ; MERGE  BACKWARD_2011_1998_PART2 NEW_EST_1998 ; 
BY YEAR METRO_AREA NEW_GROUP ;

BLCINCHWT = RK*BLCINCHWT; RUN;

PROC SORT DATA=BACKWARD_2011_1998_PART2; BY YEAR METRO_AREA NEW_GROUP ;RUN;

PROC MEANS DATA=BACKWARD_2011_1998_PART2 NOPRINT SUM;VAR  BLCINCHWT;
OUTPUT OUT=SUM_1998 SUM=SUM_BLCINCHWT; BY YEAR METRO_AREA NEW_GROUP; RUN;

TITLE "sum of BLCINCHWT FOR THE FIVE 1998 METROS AFTER ADDJUSTING"; RUN;
PROC PRINT DATA=SUM_1998 NOOBS; VAR YEAR METRO_AREA NEW_GROUP SUM_BLCINCHWT; RUN;


********************************************************************;
**************************************************************************;
PROC SORT DATA=BACKWARD_2011_2002_PART2; BY YEAR METRO_AREA NEW_GROUP ;RUN;

PROC MEANS DATA=BACKWARD_2011_2002_PART2 NOPRINT SUM;VAR  BLCINCHWT;
OUTPUT OUT=NEW_EST_2002 SUM=NEW_EST_2002; BY YEAR METRO_AREA NEW_GROUP; RUN;

DATA NEW_EST_2002; SET NEW_EST_2002; 
IF	METRO_AREA='Anaheim       ' AND NEW_GROUP=1 THEN NEW_PUB_2002=	568300	;
IF	METRO_AREA='Anaheim       ' AND NEW_GROUP=2 THEN NEW_PUB_2002=	415000	;
IF	METRO_AREA='Anaheim       ' AND NEW_GROUP=3 THEN NEW_PUB_2002=	63000	;
IF	METRO_AREA='Anaheim       ' AND NEW_GROUP=4 THEN NEW_PUB_2002=	7800	;

IF	METRO_AREA='Buffalo       ' AND NEW_GROUP=1 THEN NEW_PUB_2002=	311200	;
IF	METRO_AREA='Buffalo       ' AND NEW_GROUP=2 THEN NEW_PUB_2002=	158600	;
IF	METRO_AREA='Buffalo       ' AND NEW_GROUP=3 THEN NEW_PUB_2002=	49000	;
IF	METRO_AREA='Buffalo       ' AND NEW_GROUP=4 THEN NEW_PUB_2002=	1400	;

IF	METRO_AREA='Charlotte     ' AND NEW_GROUP=1 THEN NEW_PUB_2002=	432800	;
IF	METRO_AREA='Charlotte     ' AND NEW_GROUP=2 THEN NEW_PUB_2002=	233000	;
IF	METRO_AREA='Charlotte     ' AND NEW_GROUP=3 THEN NEW_PUB_2002=	76700	;
IF	METRO_AREA='Charlotte     ' AND NEW_GROUP=4 THEN NEW_PUB_2002=	5000	;

IF	METRO_AREA='Columbus      ' AND NEW_GROUP=1 THEN NEW_PUB_2002=	417200	;
IF	METRO_AREA='Columbus      ' AND NEW_GROUP=2 THEN NEW_PUB_2002=	266800	;
IF	METRO_AREA='Columbus      ' AND NEW_GROUP=3 THEN NEW_PUB_2002=	111400	;
IF	METRO_AREA='Columbus      ' AND NEW_GROUP=4 THEN NEW_PUB_2002=	3000	;

IF	METRO_AREA='Dallas        ' AND NEW_GROUP=1 THEN NEW_PUB_2002=	950800	;
IF	METRO_AREA='Dallas        ' AND NEW_GROUP=2 THEN NEW_PUB_2002=	594700	;
IF	METRO_AREA='Dallas        ' AND NEW_GROUP=3 THEN NEW_PUB_2002=	143300	;
IF	METRO_AREA='Dallas        ' AND NEW_GROUP=4 THEN NEW_PUB_2002=	2300	;

IF	METRO_AREA='Fort Worth    ' AND NEW_GROUP=1 THEN NEW_PUB_2002=	503500	;
IF	METRO_AREA='Fort Worth    ' AND NEW_GROUP=2 THEN NEW_PUB_2002=	285900	;
IF	METRO_AREA='Fort Worth    ' AND NEW_GROUP=3 THEN NEW_PUB_2002=	64500	;
IF	METRO_AREA='Fort Worth    ' AND NEW_GROUP=4 THEN NEW_PUB_2002=	2400	;

IF	METRO_AREA='Kansas City   ' AND NEW_GROUP=1 THEN NEW_PUB_2002=	532500	;
IF	METRO_AREA='Kansas City   ' AND NEW_GROUP=2 THEN NEW_PUB_2002=	261200	;
IF	METRO_AREA='Kansas City   ' AND NEW_GROUP=3 THEN NEW_PUB_2002=	96200	;
IF	METRO_AREA='Kansas City   ' AND NEW_GROUP=4 THEN NEW_PUB_2002=	3700	;

IF	METRO_AREA='Milwaukee     ' AND NEW_GROUP=1 THEN NEW_PUB_2002=	405200	;
IF	METRO_AREA='Milwaukee     ' AND NEW_GROUP=2 THEN NEW_PUB_2002=	222700	;
IF	METRO_AREA='Milwaukee     ' AND NEW_GROUP=3 THEN NEW_PUB_2002=	45600	;
IF	METRO_AREA='Milwaukee     ' AND NEW_GROUP=4 THEN NEW_PUB_2002=	700	;

IF	METRO_AREA='Portland      ' AND NEW_GROUP=1 THEN NEW_PUB_2002=	553700	;
IF	METRO_AREA='Portland      ' AND NEW_GROUP=2 THEN NEW_PUB_2002=	304800	;
IF	METRO_AREA='Portland      ' AND NEW_GROUP=3 THEN NEW_PUB_2002=	73200	;
IF	METRO_AREA='Portland      ' AND NEW_GROUP=4 THEN NEW_PUB_2002=	2300	;

IF	METRO_AREA='San Diego     ' AND NEW_GROUP=1 THEN NEW_PUB_2002=	582700	;
IF	METRO_AREA='San Diego     ' AND NEW_GROUP=2 THEN NEW_PUB_2002=	510800	;
IF	METRO_AREA='San Diego     ' AND NEW_GROUP=3 THEN NEW_PUB_2002=	78400	;
IF	METRO_AREA='San Diego     ' AND NEW_GROUP=4 THEN NEW_PUB_2002=	14100	;

RK=NEW_PUB_2002/NEW_EST_2002;RUN;

TITLE "2011 ESTIMATE FOR THE OTHER TEN 2002 METROS AND THE RATIOS"; RUN;
PROC PRINT DATA=NEW_EST_2002 NOOBS; VAR YEAR METRO_AREA NEW_GROUP NEW_EST_2002 
NEW_PUB_2002 RK; RUN;

PROC SORT DATA=NEW_EST_2002; BY YEAR METRO_AREA NEW_GROUP ;RUN;
DATA BACKWARD_2011_2002_PART2  ; MERGE  BACKWARD_2011_2002_PART2 NEW_EST_2002 ; 
BY YEAR METRO_AREA NEW_GROUP ;

BLCINCHWT = RK*BLCINCHWT; RUN;

PROC SORT DATA=BACKWARD_2011_2002_PART2; BY YEAR METRO_AREA NEW_GROUP ;RUN;

PROC MEANS DATA=BACKWARD_2011_2002_PART2 NOPRINT SUM;VAR  BLCINCHWT;
OUTPUT OUT=SUM_2002 SUM=SUM_BLCINCHWT; BY YEAR METRO_AREA NEW_GROUP; RUN;

TITLE "sum of BLCINCHWT FOR THE TEN 2002 METROS AFTER ADDJUSTING"; RUN;
PROC PRINT DATA=SUM_2002 NOOBS; VAR YEAR METRO_AREA NEW_GROUP SUM_BLCINCHWT; RUN;


********************************************************************;
**************************************************************************;


PROC SORT DATA=BACKWARD_2011_2004; BY YEAR METRO_AREA NEW_GROUP ;RUN;

PROC MEANS DATA=BACKWARD_2011_2004 NOPRINT SUM;VAR  BLCINCHWT;
OUTPUT OUT=NEW_EST_2004 SUM=NEW_EST_2004; BY YEAR METRO_AREA NEW_GROUP; RUN;

DATA NEW_EST_2004; SET NEW_EST_2004; 
IF	METRO_AREA='Atlanta       ' AND NEW_GROUP=1 THEN NEW_PUB_2004=	1263200	;
IF	METRO_AREA='Atlanta       ' AND NEW_GROUP=2 THEN NEW_PUB_2004=	639300	;
IF	METRO_AREA='Atlanta       ' AND NEW_GROUP=3 THEN NEW_PUB_2004=	256800	;
IF	METRO_AREA='Atlanta       ' AND NEW_GROUP=4 THEN NEW_PUB_2004=	16300	;

IF	METRO_AREA='Cleveland     ' AND NEW_GROUP=1 THEN NEW_PUB_2004=	591700	;
IF	METRO_AREA='Cleveland     ' AND NEW_GROUP=2 THEN NEW_PUB_2004=	268700	;
IF	METRO_AREA='Cleveland     ' AND NEW_GROUP=3 THEN NEW_PUB_2004=	95300	;
IF	METRO_AREA='Cleveland     ' AND NEW_GROUP=4 THEN NEW_PUB_2004=	3000	;

IF	METRO_AREA='Denver        ' AND NEW_GROUP=1 THEN NEW_PUB_2004=	622900	;
IF	METRO_AREA='Denver        ' AND NEW_GROUP=2 THEN NEW_PUB_2004=	361000	;
IF	METRO_AREA='Denver        ' AND NEW_GROUP=3 THEN NEW_PUB_2004=	78700	;
IF	METRO_AREA='Denver        ' AND NEW_GROUP=4 THEN NEW_PUB_2004=	4400	;

IF	METRO_AREA='Indianapolis  ' AND NEW_GROUP=1 THEN NEW_PUB_2004=	455500	;
IF	METRO_AREA='Indianapolis  ' AND NEW_GROUP=2 THEN NEW_PUB_2004=	221200	;
IF	METRO_AREA='Indianapolis  ' AND NEW_GROUP=3 THEN NEW_PUB_2004=	85600	;
IF	METRO_AREA='Indianapolis  ' AND NEW_GROUP=4 THEN NEW_PUB_2004=	3000	;

IF	METRO_AREA='MemphiS       ' AND NEW_GROUP=1 THEN NEW_PUB_2004=	313300	;
IF	METRO_AREA='MemphiS       ' AND NEW_GROUP=2 THEN NEW_PUB_2004=	167300	;
IF	METRO_AREA='MemphiS       ' AND NEW_GROUP=3 THEN NEW_PUB_2004=	71100	;
IF	METRO_AREA='MemphiS       ' AND NEW_GROUP=4 THEN NEW_PUB_2004=	800	;

IF	METRO_AREA='Pittsburgh    ' AND NEW_GROUP=1 THEN NEW_PUB_2004=	701500	;
IF	METRO_AREA='Pittsburgh    ' AND NEW_GROUP=2 THEN NEW_PUB_2004=	291200	;
IF	METRO_AREA='Pittsburgh    ' AND NEW_GROUP=3 THEN NEW_PUB_2004=	103800	;
IF	METRO_AREA='Pittsburgh    ' AND NEW_GROUP=4 THEN NEW_PUB_2004=	8400	;

IF	METRO_AREA='Sacramento    ' AND NEW_GROUP=1 THEN NEW_PUB_2004=	442700	;
IF	METRO_AREA='Sacramento    ' AND NEW_GROUP=2 THEN NEW_PUB_2004=	341000	;
IF	METRO_AREA='Sacramento    ' AND NEW_GROUP=3 THEN NEW_PUB_2004=	78700	;
IF	METRO_AREA='Sacramento    ' AND NEW_GROUP=4 THEN NEW_PUB_2004=	21300	;

IF	METRO_AREA='St. Louis     ' AND NEW_GROUP=1 THEN NEW_PUB_2004=	804400	;
IF	METRO_AREA='St. Louis     ' AND NEW_GROUP=2 THEN NEW_PUB_2004=	310800	;
IF	METRO_AREA='St. Louis     ' AND NEW_GROUP=3 THEN NEW_PUB_2004=	127200	;
IF	METRO_AREA='St. Louis     ' AND NEW_GROUP=4 THEN NEW_PUB_2004=	5600	;


RK=NEW_PUB_2004/NEW_EST_2004;RUN;

TITLE "2011 ESTIMATE FOR THE EIGHT 2004 METROS AND THE RATIOS"; RUN;
PROC PRINT DATA=NEW_EST_2004 NOOBS; VAR YEAR METRO_AREA NEW_GROUP NEW_EST_2004 
NEW_PUB_2004 RK; RUN;

PROC SORT DATA=NEW_EST_2004; BY YEAR METRO_AREA NEW_GROUP ;RUN;
DATA BACKWARD_2011_2004  ; MERGE  BACKWARD_2011_2004 NEW_EST_2004 ; 
BY YEAR METRO_AREA NEW_GROUP ;

BLCINCHWT = RK*BLCINCHWT; RUN;

PROC SORT DATA=BACKWARD_2011_2004; BY YEAR METRO_AREA NEW_GROUP ;RUN;

PROC MEANS DATA=BACKWARD_2011_2004 NOPRINT SUM;VAR  BLCINCHWT;
OUTPUT OUT=SUM_2004 SUM=SUM_BLCINCHWT; BY YEAR METRO_AREA NEW_GROUP; RUN;

TITLE "sum of BLCINCHWT FOR THE EIGHT 2004 METROS AFTER ADDJUSTING"; RUN;
PROC PRINT DATA=SUM_2004 NOOBS; VAR YEAR METRO_AREA NEW_GROUP SUM_BLCINCHWT; RUN;


********************************************************************;
**************************************************************************;

PROC SORT DATA=BACKWARD_2011_2009_LOS_ANGELES; BY YEAR METRO_AREA NEW_GROUP ;RUN;

PROC MEANS DATA=BACKWARD_2011_2009_LOS_ANGELES NOPRINT SUM;VAR  BLCINCHWT;
OUTPUT OUT=NEW_EST_2009 SUM=NEW_EST_2009; BY YEAR METRO_AREA NEW_GROUP; RUN;

DATA NEW_EST_2009; SET NEW_EST_2009; 

IF  NEW_GROUP=1 THEN NEW_PUB_2009= 		1518400	;
IF  NEW_GROUP=2 THEN NEW_PUB_2009= 		1708600	;
IF  NEW_GROUP=3 THEN NEW_PUB_2009= 		220600	;
IF  NEW_GROUP=4 THEN NEW_PUB_2009= 		10300	;
	
						

RK=NEW_PUB_2009/NEW_EST_2009;RUN;

TITLE "2011 ESTIMATE FOR LOS_ANGELES AND THE RATIOS"; RUN;
PROC PRINT DATA=NEW_EST_2009 NOOBS; VAR YEAR METRO_AREA NEW_GROUP NEW_EST_2009 
NEW_PUB_2009 RK; RUN;

PROC SORT DATA=NEW_EST_2009; BY YEAR METRO_AREA NEW_GROUP ;RUN;
DATA BACKWARD_2011_2009_LOS_ANGELES  ; MERGE  BACKWARD_2011_2009_LOS_ANGELES NEW_EST_2009 ; 
BY YEAR METRO_AREA NEW_GROUP ;

BLCINCHWT = RK*BLCINCHWT; RUN;

PROC SORT DATA=BACKWARD_2011_2009_LOS_ANGELES; BY YEAR METRO_AREA NEW_GROUP ;RUN;

PROC MEANS DATA=BACKWARD_2011_2009_LOS_ANGELES NOPRINT SUM;VAR  BLCINCHWT;
OUTPUT OUT=SUM_2009 SUM=SUM_BLCINCHWT; BY YEAR METRO_AREA NEW_GROUP; RUN;

TITLE "sum of BLCINCHWT FOR LOS_ANGELES AFTER ADDJUSTING"; RUN;
PROC PRINT DATA=SUM_2009 NOOBS; VAR YEAR METRO_AREA NEW_GROUP SUM_BLCINCHWT; RUN;

**************************************************************************;

PROC SORT DATA=BACKWARD_2011_2009_NEW_ORLEANS; BY YEAR METRO_AREA NEW_GROUP ;RUN;

PROC MEANS DATA=BACKWARD_2011_2009_NEW_ORLEANS NOPRINT SUM;VAR  BLCINCHWT;
OUTPUT OUT=NEW_EST_2009 SUM=NEW_EST_2009; BY YEAR METRO_AREA NEW_GROUP; RUN;

DATA NEW_EST_2009; SET NEW_EST_2009; 

IF  NEW_GROUP=1 THEN NEW_PUB_2009= 		303900	;
IF  NEW_GROUP=2 THEN NEW_PUB_2009= 		159100	;
IF  NEW_GROUP=3 THEN NEW_PUB_2009= 		77800	;
IF  NEW_GROUP=4 THEN NEW_PUB_2009= 		4900	;



RK=NEW_PUB_2009/NEW_EST_2009;RUN;

TITLE "2011 ESTIMATE FOR NEW_ORLEANS AND THE RATIOS"; RUN;
PROC PRINT DATA=NEW_EST_2009 NOOBS; VAR YEAR METRO_AREA NEW_GROUP NEW_EST_2009 
NEW_PUB_2009 RK; RUN;

PROC SORT DATA=NEW_EST_2009; BY YEAR METRO_AREA NEW_GROUP ;RUN;
DATA BACKWARD_2011_2009_NEW_ORLEANS  ; MERGE  BACKWARD_2011_2009_NEW_ORLEANS NEW_EST_2009 ; 
BY YEAR METRO_AREA NEW_GROUP ;

BLCINCHWT = RK*BLCINCHWT; RUN;

PROC SORT DATA=BACKWARD_2011_2009_NEW_ORLEANS; BY YEAR METRO_AREA NEW_GROUP ;RUN;

PROC MEANS DATA=BACKWARD_2011_2009_NEW_ORLEANS NOPRINT SUM;VAR  BLCINCHWT;
OUTPUT OUT=SUM_2009 SUM=SUM_BLCINCHWT; BY YEAR METRO_AREA NEW_GROUP; RUN;

TITLE "sum of BLCINCHWT FOR NEW_ORLEANS AFTER ADDJUSTING"; RUN;
PROC PRINT DATA=SUM_2009 NOOBS; VAR YEAR METRO_AREA NEW_GROUP SUM_BLCINCHWT; RUN;


**************************************************************************;
********************************************************************************;
/*****   CALCULATION OF BLSTATUS  *************/
DATA BACKWARD_2011_1998_PART1;SET BACKWARD_2011_1998_PART1;
                          GROUPING='3-Other units           ';
IF IN11_NUNIT2 = '1' THEN GROUPING='1-Single Family Detached';
IF IN11_NUNIT2 = '4' THEN GROUPING='2-Mobile Homes          ';


IF SAME=1 THEN BLSTATUS=1;

IF INTADD=1 AND ((6 LE IN11_REUAD LE 8) OR 
(IN11_SAMEDU='6' OR IN11_SAMEDU='7' OR IN11_SAMEDU='8')) 
THEN BLSTATUS=2;

IF INTADD=1 AND (IN98_NOINT=13 OR (4 LE IN11_REUAD LE 5) 
OR IN11_SAMEDU ='5') THEN BLSTATUS=3;

IF INTADD=1 AND ((IN98_NOINT=12 OR IN98_NOINT=14) OR IN11_REUAD=9) 
THEN BLSTATUS=4;


IF INTNC=1 THEN BLSTATUS=5;

 
IF INTADD=1 AND ((15 LE IN98_NOINT LE 16) AND 
NOT(IN11_SAMEDU='5' OR IN11_SAMEDU='6' OR IN11_SAMEDU='7' OR IN11_SAMEDU='8')) 
THEN BLSTATUS=6;

IF INTADD=1 AND ( IN11_REUAD = 10 OR IN98_NOINT = 17) THEN BLSTATUS=7;


IF BLSTATUS=1 THEN BLSTATUS_C='1_in 2011 stock and in 1998 stock                                            ';

IF BLSTATUS=2 THEN BLSTATUS_C='2_in 2011 stock but not in 1998 stock; added by conversion or merger         ';

IF BLSTATUS=3 THEN BLSTATUS_C='3_in 2011 stock but not in 1998 stock; added by house or mobile home move in ';

IF BLSTATUS=4 THEN BLSTATUS_C='4_in 2011 stock but not in 1998 stock; added from nonresidential use         ';

IF BLSTATUS=5 THEN BLSTATUS_C='5_in 2011 stock but not in 1998 stock; added by new construction             ';

IF BLSTATUS=6 THEN BLSTATUS_C='6_in 2011 stock but not in 1998 stock; added from temporary structural losses';

IF BLSTATUS=7 THEN BLSTATUS_C='7_in 2011 stock but not in 1998 stock; added by other reason                 ';  


RUN;  

********************************************************************;


DATA BACKWARD_2011_2002_PART1;SET BACKWARD_2011_2002_PART1;
                          GROUPING='Other units           ';
IF IN11_NUNIT2 = '1' THEN GROUPING='Single Family Detached';
IF IN11_NUNIT2 = '4' THEN GROUPING='Mobile Homes          ';

IF SAME=1 THEN BLSTATUS=1;

IF INTADD=1 AND ((6 LE IN11_REUAD LE 8) OR 
(IN11_SAMEDU='6' OR IN11_SAMEDU='7' OR IN11_SAMEDU='8')) 
THEN BLSTATUS=2;

IF INTADD=1 AND (IN02_NOINT=13 OR (4 LE IN11_REUAD LE 5) 
OR IN11_SAMEDU ='5') THEN BLSTATUS=3;

IF INTADD=1 AND ((IN02_NOINT=12 OR IN02_NOINT=14) OR IN11_REUAD=9) 
THEN BLSTATUS=4;


IF INTNC=1 THEN BLSTATUS=5;

 
IF INTADD=1 AND ((15 LE IN02_NOINT LE 16) AND 
NOT(IN11_SAMEDU='5' OR IN11_SAMEDU='6' OR IN11_SAMEDU='7' OR IN11_SAMEDU='8')) 
THEN BLSTATUS=6;

IF INTADD=1 AND ( IN11_REUAD = 10 OR IN02_NOINT = 17) THEN BLSTATUS=7;


IF BLSTATUS=1 THEN BLSTATUS_C='1_in 2011 stock and in 2002 stock                                            ';

IF BLSTATUS=2 THEN BLSTATUS_C='2_in 2011 stock but not in 2002 stock; added by conversion or merger         ';

IF BLSTATUS=3 THEN BLSTATUS_C='3_in 2011 stock but not in 2002 stock; added by house or mobile home move in ';

IF BLSTATUS=4 THEN BLSTATUS_C='4_in 2011 stock but not in 2002 stock; added from nonresidential use         ';

IF BLSTATUS=5 THEN BLSTATUS_C='5_in 2011 stock but not in 2002 stock; added by new construction             ';

IF BLSTATUS=6 THEN BLSTATUS_C='6_in 2011 stock but not in 2002 stock; added from temporary structural losses';

IF BLSTATUS=7 THEN BLSTATUS_C='7_in 2011 stock but not in 2002 stock; added by other reason                 ';  


RUN;  

*****************************************************************************;

DATA BACKWARD_2011_1998_PART2; SET BACKWARD_2011_1998_PART2; 

    NEW_GROUPING='3-Other units           ';
IF IN11_NUNIT2 = '1' THEN GROUPING='1-Single Family Detached';
IF IN11_NUNIT2 = '4' THEN GROUPING='2-Mobile Homes          '; 

IF SAME=1 THEN BLSTATUS=1;

IF INTADD=1 AND ((6 LE IN11_REUAD LE 8) OR 
(IN11_SAMEDU='6' OR IN11_SAMEDU='7' OR IN11_SAMEDU='8')) 
THEN BLSTATUS=2;

IF INTADD=1 AND (IN98_NOINT=13 OR (4 LE IN11_REUAD LE 5) 
OR IN11_SAMEDU ='5') THEN BLSTATUS=3;

IF INTADD=1 AND ((IN98_NOINT=12 OR IN98_NOINT=14) OR IN11_REUAD=9) 
THEN BLSTATUS=4;


IF INTNC=1 THEN BLSTATUS=5;

 
IF INTADD=1 AND ((15 LE IN98_NOINT LE 16) AND 
NOT(IN11_SAMEDU='5' OR IN11_SAMEDU='6' OR IN11_SAMEDU='7' OR IN11_SAMEDU='8')) 
THEN BLSTATUS=6;

IF INTADD=1 AND ( IN11_REUAD = 10 OR IN98_NOINT = 17) THEN BLSTATUS=7;


IF BLSTATUS=1 THEN BLSTATUS_C='1_in 2011 stock and in 1998 stock                                            ';

IF BLSTATUS=2 THEN BLSTATUS_C='2_in 2011 stock but not in 1998 stock; added by conversion or merger         ';

IF BLSTATUS=3 THEN BLSTATUS_C='3_in 2011 stock but not in 1998 stock; added by house or mobile home move in ';

IF BLSTATUS=4 THEN BLSTATUS_C='4_in 2011 stock but not in 1998 stock; added from nonresidential use         ';

IF BLSTATUS=5 THEN BLSTATUS_C='5_in 2011 stock but not in 1998 stock; added by new construction             ';

IF BLSTATUS=6 THEN BLSTATUS_C='6_in 2011 stock but not in 1998 stock; added from temporary structural losses';

IF BLSTATUS=7 THEN BLSTATUS_C='7_in 2011 stock but not in 1998 stock; added by other reason                 ';  

RUN;

**************************************************************************;
DATA BACKWARD_2011_2002_PART2; SET BACKWARD_2011_2002_PART2; 

    GROUPING='3-Other units           ';
IF IN11_NUNIT2 = '1' THEN GROUPING='1-Single Family Detached';
IF IN11_NUNIT2 = '4' THEN GROUPING='2-Mobile Homes          ';  

IF SAME=1 THEN BLSTATUS=1;

IF INTADD=1 AND ((6 LE IN11_REUAD LE 8) OR 
(IN11_SAMEDU='6' OR IN11_SAMEDU='7' OR IN11_SAMEDU='8')) 
THEN BLSTATUS=2;

IF INTADD=1 AND (IN02_NOINT=13 OR (4 LE IN11_REUAD LE 5) 
OR IN11_SAMEDU ='5') THEN BLSTATUS=3;

IF INTADD=1 AND ((IN02_NOINT=12 OR IN02_NOINT=14) OR IN11_REUAD=9) 
THEN BLSTATUS=4;


IF INTNC=1 THEN BLSTATUS=5;

 
IF INTADD=1 AND ((15 LE IN02_NOINT LE 16) AND 
NOT(IN11_SAMEDU='5' OR IN11_SAMEDU='6' OR IN11_SAMEDU='7' OR IN11_SAMEDU='8')) 
THEN BLSTATUS=6;

IF INTADD=1 AND ( IN11_REUAD = 10 OR IN02_NOINT = 17) THEN BLSTATUS=7;


IF BLSTATUS=1 THEN BLSTATUS_C='1_in 2011 stock and in 2002 stock                                            ';

IF BLSTATUS=2 THEN BLSTATUS_C='2_in 2011 stock but not in 2002 stock; added by conversion or merger         ';

IF BLSTATUS=3 THEN BLSTATUS_C='3_in 2011 stock but not in 2002 stock; added by house or mobile home move in ';

IF BLSTATUS=4 THEN BLSTATUS_C='4_in 2011 stock but not in 2002 stock; added from nonresidential use         ';

IF BLSTATUS=5 THEN BLSTATUS_C='5_in 2011 stock but not in 2002 stock; added by new construction             ';

IF BLSTATUS=6 THEN BLSTATUS_C='6_in 2011 stock but not in 2002 stock; added from temporary structural losses';

IF BLSTATUS=7 THEN BLSTATUS_C='7_in 2011 stock but not in 2002 stock; added by other reason                 ';  


RUN;


*******************************************************************************;
DATA BACKWARD_2011_2004; SET BACKWARD_2011_2004; 

    GROUPING='3-Other units           ';
IF IN11_NUNIT2 = '1' THEN GROUPING='1-Single Family Detached';
IF IN11_NUNIT2 = '4' THEN GROUPING='2-Mobile Homes          ';  
IF SAME=1 THEN BLSTATUS=1;

IF INTADD=1 AND ((6 LE IN11_REUAD LE 8) OR 
(IN11_SAMEDU='6' OR IN11_SAMEDU='7' OR IN11_SAMEDU='8')) 
THEN BLSTATUS=2;

IF INTADD=1 AND (IN04_NOINT=13 OR (4 LE IN11_REUAD LE 5) 
OR IN11_SAMEDU ='5') THEN BLSTATUS=3;

IF INTADD=1 AND ((IN04_NOINT=12 OR IN04_NOINT=14) OR IN11_REUAD=9) 
THEN BLSTATUS=4;


IF INTNC=1 THEN BLSTATUS=5;

 
IF INTADD=1 AND ((15 LE IN04_NOINT LE 16) AND 
NOT(IN11_SAMEDU='5' OR IN11_SAMEDU='6' OR IN11_SAMEDU='7' OR IN11_SAMEDU='8')) 
THEN BLSTATUS=6;

IF INTADD=1 AND ( IN11_REUAD = 10 OR IN04_NOINT = 17) THEN BLSTATUS=7;


IF BLSTATUS=1 THEN BLSTATUS_C='1_in 2011 stock and in 2004 stock                                            ';

IF BLSTATUS=2 THEN BLSTATUS_C='2_in 2011 stock but not in 2004 stock; added by conversion or merger         ';

IF BLSTATUS=3 THEN BLSTATUS_C='3_in 2011 stock but not in 2004 stock; added by house or mobile home move in ';

IF BLSTATUS=4 THEN BLSTATUS_C='4_in 2011 stock but not in 2004 stock; added from nonresidential use         ';

IF BLSTATUS=5 THEN BLSTATUS_C='5_in 2011 stock but not in 2004 stock; added by new construction             ';

IF BLSTATUS=6 THEN BLSTATUS_C='6_in 2011 stock but not in 2004 stock; added from temporary structural losses';

IF BLSTATUS=7 THEN BLSTATUS_C='7_in 2011 stock but not in 2004 stock; added by other reason                 ';  



RUN;

***************************************************************************;


DATA BACKWARD_2011_2009_LOS_ANGELES; SET BACKWARD_2011_2009_LOS_ANGELES; 
    GROUPING='3-Other units           ';
IF IN11_NUNIT2 = '1' THEN GROUPING='1-Single Family Detached';
IF IN11_NUNIT2 = '4' THEN GROUPING='2-Mobile Homes          '; 

IF SAME=1 THEN BLSTATUS=1;

IF INTADD=1 AND ((6 LE IN11_REUAD LE 8) OR 
(IN11_SAMEDU='6' OR IN11_SAMEDU='7' OR IN11_SAMEDU='8')) 
THEN BLSTATUS=2;

IF INTADD=1 AND (IN09_NOINT=13 OR (4 LE IN11_REUAD LE 5) 
OR IN11_SAMEDU ='5') THEN BLSTATUS=3;

IF INTADD=1 AND ((IN09_NOINT=12 OR IN09_NOINT=14) OR IN11_REUAD=9) 
THEN BLSTATUS=4;


IF INTNC=1 THEN BLSTATUS=5;

 
IF INTADD=1 AND ((15 LE IN09_NOINT LE 16) AND 
NOT(IN11_SAMEDU='5' OR IN11_SAMEDU='6' OR IN11_SAMEDU='7' OR IN11_SAMEDU='8')) 
THEN BLSTATUS=6;

IF INTADD=1 AND ( IN11_REUAD = 10 OR IN09_NOINT = 17) THEN BLSTATUS=7;


IF BLSTATUS=1 THEN BLSTATUS_C='1_in 2011 stock and in 2009 stock                                            ';

IF BLSTATUS=2 THEN BLSTATUS_C='2_in 2011 stock but not in 2009 stock; added by conversion or merger         ';

IF BLSTATUS=3 THEN BLSTATUS_C='3_in 2011 stock but not in 2009 stock; added by house or mobile home move in ';

IF BLSTATUS=4 THEN BLSTATUS_C='4_in 2011 stock but not in 2009 stock; added from nonresidential use         ';

IF BLSTATUS=5 THEN BLSTATUS_C='5_in 2011 stock but not in 2009 stock; added by new construction             ';

IF BLSTATUS=6 THEN BLSTATUS_C='6_in 2011 stock but not in 2009 stock; added from temporary structural losses';

IF BLSTATUS=7 THEN BLSTATUS_C='7_in 2011 stock but not in 2009 stock; added by other reason                 ';  


              RUN;


*******************************************************************;

DATA BACKWARD_2011_2009_NEW_ORLEANS; SET BACKWARD_2011_2009_NEW_ORLEANS; 

    GROUPING='3-Other units           ';
IF IN11_NUNIT2 = '1' THEN GROUPING='1-Single Family Detached';
IF IN11_NUNIT2 = '4' THEN GROUPING='2-Mobile Homes          '; 


IF SAME=1 THEN BLSTATUS=1;

IF INTADD=1 AND ((6 LE IN11_REUAD LE 8) OR 
(IN11_SAMEDU='6' OR IN11_SAMEDU='7' OR IN11_SAMEDU='8')) 
THEN BLSTATUS=2;

IF INTADD=1 AND (IN09_NOINT=13 OR (4 LE IN11_REUAD LE 5) 
OR IN11_SAMEDU ='5') THEN BLSTATUS=3;

IF INTADD=1 AND ((IN09_NOINT=12 OR IN09_NOINT=14) OR IN11_REUAD=9) 
THEN BLSTATUS=4;


IF INTNC=1 THEN BLSTATUS=5;

 
IF INTADD=1 AND ((15 LE IN09_NOINT LE 16) AND 
NOT(IN11_SAMEDU='5' OR IN11_SAMEDU='6' OR IN11_SAMEDU='7' OR IN11_SAMEDU='8')) 
THEN BLSTATUS=6;

IF INTADD=1 AND ( IN11_REUAD = 10 OR IN09_NOINT = 17) THEN BLSTATUS=7;


IF BLSTATUS=1 THEN BLSTATUS_C='1_in 2011 stock and in 2009 stock                                            ';

IF BLSTATUS=2 THEN BLSTATUS_C='2_in 2011 stock but not in 2009 stock; added by conversion or merger         ';

IF BLSTATUS=3 THEN BLSTATUS_C='3_in 2011 stock but not in 2009 stock; added by house or mobile home move in ';

IF BLSTATUS=4 THEN BLSTATUS_C='4_in 2011 stock but not in 2009 stock; added from nonresidential use         ';

IF BLSTATUS=5 THEN BLSTATUS_C='5_in 2011 stock but not in 2009 stock; added by new construction             ';

IF BLSTATUS=6 THEN BLSTATUS_C='6_in 2011 stock but not in 2009 stock; added from temporary structural losses';

IF BLSTATUS=7 THEN BLSTATUS_C='7_in 2011 stock but not in 2009 stock; added by other reason                 ';  


RUN;



/**************&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*********/
/**************&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*********/

DATA OUT1198.BACKWARD_2011_1998_PART1; SET BACKWARD_2011_1998_PART1;RUN;
DATA OUT1198.BACKWARD_2011_1998_PART2; SET BACKWARD_2011_1998_PART2;RUN;
DATA OUT1198.BACKWARD_2011_2002_PART1; SET BACKWARD_2011_2002_PART1;RUN;
DATA OUT1198.BACKWARD_2011_2002_PART2; SET BACKWARD_2011_2002_PART2;RUN;
DATA OUT1198.BACKWARD_2011_2004; SET BACKWARD_2011_2004;RUN;
DATA OUT1198.BACKWARD_2011_2009_LOS_ANGELES; SET BACKWARD_2011_2009_LOS_ANGELES;RUN;
DATA OUT1198.BACKWARD_2011_2009_NEW_ORLEANS; SET BACKWARD_2011_2009_NEW_ORLEANS;RUN;


/**************&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*********/
/**************&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*********/



TITLE "WEIGHTED FREQ OF THE TYPE OF UNITS IN THE TWO 2011-998 METROS";RUN;
PROC FREQ DATA= BACKWARD_2011_1998_PART1;TABLE (GROUPING BLSTATUS_C )*METRO_AREA/MISSING NOCOL
NOROW NOPERCENT; WEIGHT BLCINCHWT;RUN;

TITLE "WEIGHTED FREQ OF TYPES OF UNITS IN THE 2011-1998 FIVE METROS"; RUN; 
PROC FREQ DATA=BACKWARD_2011_1998_PART2; TABLE (GROUPING BLSTATUS_C )*METRO_AREA /NOCOL
NOROW NOPERCENT MISSING; WEIGHT BLCINCHWT; RUN;


TITLE "WEIGHTED FREQ OF THE TYPE OF UNITS IN THE TWO 2011-2002 METROS";RUN;
PROC FREQ DATA= BACKWARD_2011_2002_PART1;TABLE (GROUPING BLSTATUS_C )*METRO_AREA/MISSING NOCOL
NOROW NOPERCENT; WEIGHT BLCINCHWT;RUN;


TITLE "WEIGHTED FREQ OF TYPES OF UNITS IN THE 2011-2002 TEN METROS"; RUN; 
PROC FREQ DATA=BACKWARD_2011_2002_PART2; TABLE (GROUPING BLSTATUS_C )*METRO_AREA/MISSING NOCOL
NOROW NOPERCENT; WEIGHT BLCINCHWT; RUN;


TITLE "WEIGHTED FREQ OF TYPES OF UNITS IN THE 2011-2004 8 METROS"; RUN; 
PROC FREQ DATA=BACKWARD_2011_2004; TABLE (GROUPING BLSTATUS_C )*METRO_AREA/MISSING NOCOL
NOROW NOPERCENT; WEIGHT BLCINCHWT; RUN;


TITLE "WEIGHTED FREQ OF TYPES OF UNITS IN THE 2011-2009_LOS_ANGELES "; RUN; 
PROC FREQ DATA=BACKWARD_2011_2009_LOS_ANGELES; TABLE (GROUPING BLSTATUS_C )*METRO_AREA/MISSING NOCOL
NOROW NOPERCENT; WEIGHT BLCINCHWT; RUN;


TITLE "WEIGHTED FREQ OF TYPES OF UNITS IN THE 2011-2009_NEW_ORLEANS "; RUN; 
PROC FREQ DATA=BACKWARD_2011_2009_NEW_ORLEANS; TABLE (GROUPING BLSTATUS_C )*METRO_AREA/MISSING NOCOL
NOROW NOPERCENT; WEIGHT BLCINCHWT; RUN;


